﻿/*
 * @file hv_comm_shell_ext.h
 * @brief Header file of shell.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) 
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-18
 */


#ifndef __HV_COMM_SHELL_EXT_H__
#define __HV_COMM_SHELL_EXT_H__

#include "hv_comm_shell.h"

/**
 * @brief 数字类型
 *
 */
typedef enum
{
    NUM_TYPE_INT,                                           /**< 十进制整型 */
    NUM_TYPE_BIN,                                           /**< 二进制整型 */
    NUM_TYPE_OCT,                                           /**< 八进制整型 */
    NUM_TYPE_HEX,                                           /**< 十六进制整型 */
    NUM_TYPE_FLOAT                                          /**< 浮点型 */
} NUM_Type;

unsigned int shellExtParsePara(CHAR8 *string);
int shellExtRun(shellFunction function, int argc, CHAR8 *argv[]);

#endif
