#ifndef _HV_PAGE_HT7315_AUDIO_TOP0_H_
#define _HV_PAGE_HT7315_AUDIO_TOP0_H_

#ifndef HV_AUDIO_TOP0_BASE_ADDRESS
    #define HV_AUDIO_TOP0_BASE_ADDRESS                                         0x11045000
#endif


#define RX_AUDIO_TOP0_00                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x00)

#define RX_AUDIO_TOP0_00_struct                                          rs_rx_audio_top0_00

typedef struct _rs_rx_audio_top0_00  rs_rx_audio_top0_00;
struct _rs_rx_audio_top0_00 {
    unsigned int reg_audio_i2s_rx_bit_width                 : 7;
    unsigned int reg_audio_i2s_rx_bit_width_sel             : 1;
    unsigned int reg_audio_i2s_rx_force_lock                : 1;
    unsigned int reg_audio_i2s_rx_hbr_mode                  : 1;
    unsigned int reg_audio_i2s_rx_sck_debounce_en           : 1;
    unsigned int reg_audio_i2s_rx_sck_inv                   : 1;
    unsigned int reg_audio_i2s_rx_ws_mode                   : 2;
    unsigned int reg_audio_rx_out_sel                       : 4;
    unsigned int reg_audio_rxtx_bypass_en                   : 1;
    unsigned int reg_audio_spdif_rx_phase_thro              :10;
    unsigned int reg_audio_spdif_rx_phase_en                : 1;
    unsigned int reg_audio_pattern_ctl                      : 2;
};
#define rx_audio_top0_00(val) ((rs_rx_audio_top0_00*)&(val))



#define RX_AUDIO_TOP0_04                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x04)

#define RX_AUDIO_TOP0_04_struct                                          rs_rx_audio_top0_04

typedef struct _rs_rx_audio_top0_04  rs_rx_audio_top0_04;
struct _rs_rx_audio_top0_04 {
    unsigned int reg_audio_spdif_rx_src_sel_0               : 4;
    unsigned int reg_audio_spdif_rx_src_sel_1               : 4;
    unsigned int reg_audio_spdif_rx_src_sel_2               : 4;
    unsigned int reg_audio_spdif_rx_src_sel_3               : 4;
    unsigned int reg_audio_spdif_rx_lock_sel                : 4;
    unsigned int reg_audio_spdif_rx_debounce_en             : 1;
    unsigned int reg_audio_spdif_rx_det_en                  : 1;
    unsigned int reg_audio_spdif_rx_det_thro                : 3;
    unsigned int reg_audio_spdif_rx_en                      : 1;
    unsigned int reg_audio_sw_mute_en                       : 1;
    unsigned int reg_audio_mute_sel                         : 2;
    unsigned int reg_audio_mute_clr                         : 1;
    unsigned int reg_audio_mute_clr_sel                     : 2;
};
#define rx_audio_top0_04(val) ((rs_rx_audio_top0_04*)&(val))



#define RX_AUDIO_TOP0_08                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x08)

#define RX_AUDIO_TOP0_08_struct                                          rs_rx_audio_top0_08

typedef struct _rs_rx_audio_top0_08  rs_rx_audio_top0_08;
struct _rs_rx_audio_top0_08 {
    unsigned int reg_audio_i2s_rx_bpcuv_en                  : 1;
    unsigned int reg_audio_i2s_rx_debounce_en               : 1;
    unsigned int reg_audio_i2s_rx_en                        : 1;
    unsigned int reg_audio_i2s_rx_src_sel_0                 :12;
    unsigned int reg_audio_i2s_rx_src_sel_1                 :12;
    unsigned int reg_audio_i2s_rx_64fs_sel                  : 4;
    unsigned int reserved                                   : 1;
};
#define rx_audio_top0_08(val) ((rs_rx_audio_top0_08*)&(val))



#define RX_AUDIO_TOP0_0C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x0C)

#define RX_AUDIO_TOP0_0C_struct                                          rs_rx_audio_top0_0c

typedef struct _rs_rx_audio_top0_0c  rs_rx_audio_top0_0c;
struct _rs_rx_audio_top0_0c {
    unsigned int reg_audio_i2s_rx_src_sel_2                 :12;
    unsigned int reg_audio_i2s_rx_src_sel_3                 :12;
    unsigned int reg_hdmi_audclk_sel                        : 2;
    unsigned int reg_hdmi_audclk_en                         : 1;
    unsigned int reg_hdmi_rx_en                             : 1;
    unsigned int regr_audio_mute_status                     : 1;
    unsigned int reg_audio_mute_bypass                      : 1;
    unsigned int reg_i2s_tx_mclk_en                         : 1;
    unsigned int reserved                                   : 1;
};
#define rx_audio_top0_0c(val) ((rs_rx_audio_top0_0c*)&(val))



#define RX_AUDIO_TOP0_10                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x10)

#define RX_AUDIO_TOP0_10_struct                                          rs_rx_audio_top0_10

typedef struct _rs_rx_audio_top0_10  rs_rx_audio_top0_10;
struct _rs_rx_audio_top0_10 {
    unsigned int reg_audio_spdif_rx_comp_step               :16;
    unsigned int reg_audio_spdif_rx_comp_thro               :16;
};
#define rx_audio_top0_10(val) ((rs_rx_audio_top0_10*)&(val))



#define RX_AUDIO_TOP0_14                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x14)

#define RX_AUDIO_TOP0_14_struct                                          rs_rx_audio_top0_14

typedef struct _rs_rx_audio_top0_14  rs_rx_audio_top0_14;
struct _rs_rx_audio_top0_14 {
    unsigned int regr_audio_i2s_rx_bit_width_0              : 7;
    unsigned int regr_audio_i2s_rx_bit_width_1              : 7;
    unsigned int regr_audio_i2s_rx_bit_width_2              : 7;
    unsigned int regr_audio_i2s_rx_bit_width_3              : 7;
    unsigned int reserved                                   : 4;
};
#define rx_audio_top0_14(val) ((rs_rx_audio_top0_14*)&(val))



#define RX_AUDIO_TOP0_18                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x18)

#define RX_AUDIO_TOP0_18_struct                                          rs_rx_audio_top0_18

typedef struct _rs_rx_audio_top0_18  rs_rx_audio_top0_18;
struct _rs_rx_audio_top0_18 {
    unsigned int regr_audio_spdif_rx_fs_buf                 :24;
    unsigned int regr_audio_spdif_rx_fs                     : 4;
    unsigned int reserved                                   : 4;
};
#define rx_audio_top0_18(val) ((rs_rx_audio_top0_18*)&(val))



#define RX_AUDIO_TOP0_1C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x1C)

#define RX_AUDIO_TOP0_1C_struct                                          rs_rx_audio_top0_1c

typedef struct _rs_rx_audio_top0_1c  rs_rx_audio_top0_1c;
struct _rs_rx_audio_top0_1c {
    unsigned int regr_audio_spdif_rx_fs_cnt                 :16;
    unsigned int regr_audio_spdif_rx_lock                   : 1;
    unsigned int regr_audio_spdif_rx_parity_check_result    : 1;
    unsigned int reserved                                   :14;
};
#define rx_audio_top0_1c(val) ((rs_rx_audio_top0_1c*)&(val))



#define RX_AUDIO_TOP0_20                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x20)

#define RX_AUDIO_TOP0_20_struct                                          rs_rx_audio_top0_20

typedef struct _rs_rx_audio_top0_20  rs_rx_audio_top0_20;
struct _rs_rx_audio_top0_20 {
    unsigned int regr_audio_spdif_rx_frm_cnt                :32;
};
#define rx_audio_top0_20(val) ((rs_rx_audio_top0_20*)&(val))



#define RX_AUDIO_TOP0_2C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x2C)

#define RX_AUDIO_TOP0_2C_struct                                          rs_rx_audio_top0_2c

typedef struct _rs_rx_audio_top0_2c  rs_rx_audio_top0_2c;
struct _rs_rx_audio_top0_2c {
    unsigned int regr_audio_spdif_rx_aux_l_0                : 4;
    unsigned int regr_audio_spdif_rx_aux_l_1                : 4;
    unsigned int regr_audio_spdif_rx_aux_l_2                : 4;
    unsigned int regr_audio_spdif_rx_aux_l_3                : 4;
    unsigned int regr_audio_spdif_rx_aux_r_0                : 4;
    unsigned int regr_audio_spdif_rx_aux_r_1                : 4;
    unsigned int regr_audio_spdif_rx_aux_r_2                : 4;
    unsigned int regr_audio_spdif_rx_aux_r_3                : 4;
};
#define rx_audio_top0_2c(val) ((rs_rx_audio_top0_2c*)&(val))



#define RX_AUDIO_TOP0_30                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x30)

#define RX_AUDIO_TOP0_30_struct                                          rs_rx_audio_top0_30

typedef struct _rs_rx_audio_top0_30  rs_rx_audio_top0_30;
struct _rs_rx_audio_top0_30 {
    unsigned int regr_audio_spdif_rx_status_0               : 2;
    unsigned int regr_audio_spdif_rx_status_1               : 2;
    unsigned int regr_audio_spdif_rx_status_2               : 2;
    unsigned int regr_audio_spdif_rx_status_3               : 2;
    unsigned int regr_audio_spdif_rx_user_data_l_0          : 1;
    unsigned int regr_audio_spdif_rx_user_data_l_1          : 1;
    unsigned int regr_audio_spdif_rx_user_data_l_2          : 1;
    unsigned int regr_audio_spdif_rx_user_data_l_3          : 1;
    unsigned int regr_audio_spdif_rx_user_data_r_0          : 1;
    unsigned int regr_audio_spdif_rx_user_data_r_1          : 1;
    unsigned int regr_audio_spdif_rx_user_data_r_2          : 1;
    unsigned int regr_audio_spdif_rx_user_data_r_3          : 1;
    unsigned int reserved                                   :16;
};
#define rx_audio_top0_30(val) ((rs_rx_audio_top0_30*)&(val))



#define RX_AUDIO_TOP0_34                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x34)

#define RX_AUDIO_TOP0_34_struct                                          rs_rx_audio_top0_34

typedef struct _rs_rx_audio_top0_34  rs_rx_audio_top0_34;
struct _rs_rx_audio_top0_34 {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_0   :32;
};
#define rx_audio_top0_34(val) ((rs_rx_audio_top0_34*)&(val))



#define RX_AUDIO_TOP0_38                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x38)

#define RX_AUDIO_TOP0_38_struct                                          rs_rx_audio_top0_38

typedef struct _rs_rx_audio_top0_38  rs_rx_audio_top0_38;
struct _rs_rx_audio_top0_38 {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_1   :32;
};
#define rx_audio_top0_38(val) ((rs_rx_audio_top0_38*)&(val))



#define RX_AUDIO_TOP0_3C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x3C)

#define RX_AUDIO_TOP0_3C_struct                                          rs_rx_audio_top0_3c

typedef struct _rs_rx_audio_top0_3c  rs_rx_audio_top0_3c;
struct _rs_rx_audio_top0_3c {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_2   :32;
};
#define rx_audio_top0_3c(val) ((rs_rx_audio_top0_3c*)&(val))



#define RX_AUDIO_TOP0_40                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x40)

#define RX_AUDIO_TOP0_40_struct                                          rs_rx_audio_top0_40

typedef struct _rs_rx_audio_top0_40  rs_rx_audio_top0_40;
struct _rs_rx_audio_top0_40 {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_3   :32;
};
#define rx_audio_top0_40(val) ((rs_rx_audio_top0_40*)&(val))



#define RX_AUDIO_TOP0_44                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x44)

#define RX_AUDIO_TOP0_44_struct                                          rs_rx_audio_top0_44

typedef struct _rs_rx_audio_top0_44  rs_rx_audio_top0_44;
struct _rs_rx_audio_top0_44 {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_4   :32;
};
#define rx_audio_top0_44(val) ((rs_rx_audio_top0_44*)&(val))



#define RX_AUDIO_TOP0_48                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x48)

#define RX_AUDIO_TOP0_48_struct                                          rs_rx_audio_top0_48

typedef struct _rs_rx_audio_top0_48  rs_rx_audio_top0_48;
struct _rs_rx_audio_top0_48 {
    unsigned int regr_audio_spdif_rx_channel_status_l_0_5   :32;
};
#define rx_audio_top0_48(val) ((rs_rx_audio_top0_48*)&(val))



#define RX_AUDIO_TOP0_4C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x4C)

#define RX_AUDIO_TOP0_4C_struct                                          rs_rx_audio_top0_4c

typedef struct _rs_rx_audio_top0_4c  rs_rx_audio_top0_4c;
struct _rs_rx_audio_top0_4c {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_0   :32;
};
#define rx_audio_top0_4c(val) ((rs_rx_audio_top0_4c*)&(val))



#define RX_AUDIO_TOP0_50                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x50)

#define RX_AUDIO_TOP0_50_struct                                          rs_rx_audio_top0_50

typedef struct _rs_rx_audio_top0_50  rs_rx_audio_top0_50;
struct _rs_rx_audio_top0_50 {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_1   :32;
};
#define rx_audio_top0_50(val) ((rs_rx_audio_top0_50*)&(val))



#define RX_AUDIO_TOP0_54                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x54)

#define RX_AUDIO_TOP0_54_struct                                          rs_rx_audio_top0_54

typedef struct _rs_rx_audio_top0_54  rs_rx_audio_top0_54;
struct _rs_rx_audio_top0_54 {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_2   :32;
};
#define rx_audio_top0_54(val) ((rs_rx_audio_top0_54*)&(val))



#define RX_AUDIO_TOP0_58                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x58)

#define RX_AUDIO_TOP0_58_struct                                          rs_rx_audio_top0_58

typedef struct _rs_rx_audio_top0_58  rs_rx_audio_top0_58;
struct _rs_rx_audio_top0_58 {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_3   :32;
};
#define rx_audio_top0_58(val) ((rs_rx_audio_top0_58*)&(val))



#define RX_AUDIO_TOP0_5C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x5C)

#define RX_AUDIO_TOP0_5C_struct                                          rs_rx_audio_top0_5c

typedef struct _rs_rx_audio_top0_5c  rs_rx_audio_top0_5c;
struct _rs_rx_audio_top0_5c {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_4   :32;
};
#define rx_audio_top0_5c(val) ((rs_rx_audio_top0_5c*)&(val))



#define RX_AUDIO_TOP0_60                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x60)

#define RX_AUDIO_TOP0_60_struct                                          rs_rx_audio_top0_60

typedef struct _rs_rx_audio_top0_60  rs_rx_audio_top0_60;
struct _rs_rx_audio_top0_60 {
    unsigned int regr_audio_spdif_rx_channel_status_l_1_5   :32;
};
#define rx_audio_top0_60(val) ((rs_rx_audio_top0_60*)&(val))



#define RX_AUDIO_TOP0_64                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x64)

#define RX_AUDIO_TOP0_64_struct                                          rs_rx_audio_top0_64

typedef struct _rs_rx_audio_top0_64  rs_rx_audio_top0_64;
struct _rs_rx_audio_top0_64 {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_0   :32;
};
#define rx_audio_top0_64(val) ((rs_rx_audio_top0_64*)&(val))



#define RX_AUDIO_TOP0_68                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x68)

#define RX_AUDIO_TOP0_68_struct                                          rs_rx_audio_top0_68

typedef struct _rs_rx_audio_top0_68  rs_rx_audio_top0_68;
struct _rs_rx_audio_top0_68 {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_1   :32;
};
#define rx_audio_top0_68(val) ((rs_rx_audio_top0_68*)&(val))



#define RX_AUDIO_TOP0_6C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x6C)

#define RX_AUDIO_TOP0_6C_struct                                          rs_rx_audio_top0_6c

typedef struct _rs_rx_audio_top0_6c  rs_rx_audio_top0_6c;
struct _rs_rx_audio_top0_6c {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_2   :32;
};
#define rx_audio_top0_6c(val) ((rs_rx_audio_top0_6c*)&(val))



#define RX_AUDIO_TOP0_70                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x70)

#define RX_AUDIO_TOP0_70_struct                                          rs_rx_audio_top0_70

typedef struct _rs_rx_audio_top0_70  rs_rx_audio_top0_70;
struct _rs_rx_audio_top0_70 {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_3   :32;
};
#define rx_audio_top0_70(val) ((rs_rx_audio_top0_70*)&(val))



#define RX_AUDIO_TOP0_74                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x74)

#define RX_AUDIO_TOP0_74_struct                                          rs_rx_audio_top0_74

typedef struct _rs_rx_audio_top0_74  rs_rx_audio_top0_74;
struct _rs_rx_audio_top0_74 {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_4   :32;
};
#define rx_audio_top0_74(val) ((rs_rx_audio_top0_74*)&(val))



#define RX_AUDIO_TOP0_78                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x78)

#define RX_AUDIO_TOP0_78_struct                                          rs_rx_audio_top0_78

typedef struct _rs_rx_audio_top0_78  rs_rx_audio_top0_78;
struct _rs_rx_audio_top0_78 {
    unsigned int regr_audio_spdif_rx_channel_status_l_2_5   :32;
};
#define rx_audio_top0_78(val) ((rs_rx_audio_top0_78*)&(val))



#define RX_AUDIO_TOP0_7C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x7C)

#define RX_AUDIO_TOP0_7C_struct                                          rs_rx_audio_top0_7c

typedef struct _rs_rx_audio_top0_7c  rs_rx_audio_top0_7c;
struct _rs_rx_audio_top0_7c {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_0   :32;
};
#define rx_audio_top0_7c(val) ((rs_rx_audio_top0_7c*)&(val))



#define RX_AUDIO_TOP0_80                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x80)

#define RX_AUDIO_TOP0_80_struct                                          rs_rx_audio_top0_80

typedef struct _rs_rx_audio_top0_80  rs_rx_audio_top0_80;
struct _rs_rx_audio_top0_80 {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_1   :32;
};
#define rx_audio_top0_80(val) ((rs_rx_audio_top0_80*)&(val))



#define RX_AUDIO_TOP0_84                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x84)

#define RX_AUDIO_TOP0_84_struct                                          rs_rx_audio_top0_84

typedef struct _rs_rx_audio_top0_84  rs_rx_audio_top0_84;
struct _rs_rx_audio_top0_84 {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_2   :32;
};
#define rx_audio_top0_84(val) ((rs_rx_audio_top0_84*)&(val))



#define RX_AUDIO_TOP0_88                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x88)

#define RX_AUDIO_TOP0_88_struct                                          rs_rx_audio_top0_88

typedef struct _rs_rx_audio_top0_88  rs_rx_audio_top0_88;
struct _rs_rx_audio_top0_88 {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_3   :32;
};
#define rx_audio_top0_88(val) ((rs_rx_audio_top0_88*)&(val))



#define RX_AUDIO_TOP0_8C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x8C)

#define RX_AUDIO_TOP0_8C_struct                                          rs_rx_audio_top0_8c

typedef struct _rs_rx_audio_top0_8c  rs_rx_audio_top0_8c;
struct _rs_rx_audio_top0_8c {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_4   :32;
};
#define rx_audio_top0_8c(val) ((rs_rx_audio_top0_8c*)&(val))



#define RX_AUDIO_TOP0_90                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x90)

#define RX_AUDIO_TOP0_90_struct                                          rs_rx_audio_top0_90

typedef struct _rs_rx_audio_top0_90  rs_rx_audio_top0_90;
struct _rs_rx_audio_top0_90 {
    unsigned int regr_audio_spdif_rx_channel_status_l_3_5   :32;
};
#define rx_audio_top0_90(val) ((rs_rx_audio_top0_90*)&(val))



#define RX_AUDIO_TOP0_94                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x94)

#define RX_AUDIO_TOP0_94_struct                                          rs_rx_audio_top0_94

typedef struct _rs_rx_audio_top0_94  rs_rx_audio_top0_94;
struct _rs_rx_audio_top0_94 {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_0   :32;
};
#define rx_audio_top0_94(val) ((rs_rx_audio_top0_94*)&(val))



#define RX_AUDIO_TOP0_98                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x98)

#define RX_AUDIO_TOP0_98_struct                                          rs_rx_audio_top0_98

typedef struct _rs_rx_audio_top0_98  rs_rx_audio_top0_98;
struct _rs_rx_audio_top0_98 {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_1   :32;
};
#define rx_audio_top0_98(val) ((rs_rx_audio_top0_98*)&(val))



#define RX_AUDIO_TOP0_9C                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0x9C)

#define RX_AUDIO_TOP0_9C_struct                                          rs_rx_audio_top0_9c

typedef struct _rs_rx_audio_top0_9c  rs_rx_audio_top0_9c;
struct _rs_rx_audio_top0_9c {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_2   :32;
};
#define rx_audio_top0_9c(val) ((rs_rx_audio_top0_9c*)&(val))



#define RX_AUDIO_TOP0_A0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xA0)

#define RX_AUDIO_TOP0_A0_struct                                          rs_rx_audio_top0_a0

typedef struct _rs_rx_audio_top0_a0  rs_rx_audio_top0_a0;
struct _rs_rx_audio_top0_a0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_3   :32;
};
#define rx_audio_top0_a0(val) ((rs_rx_audio_top0_a0*)&(val))



#define RX_AUDIO_TOP0_A4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xA4)

#define RX_AUDIO_TOP0_A4_struct                                          rs_rx_audio_top0_a4

typedef struct _rs_rx_audio_top0_a4  rs_rx_audio_top0_a4;
struct _rs_rx_audio_top0_a4 {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_4   :32;
};
#define rx_audio_top0_a4(val) ((rs_rx_audio_top0_a4*)&(val))



#define RX_AUDIO_TOP0_A8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xA8)

#define RX_AUDIO_TOP0_A8_struct                                          rs_rx_audio_top0_a8

typedef struct _rs_rx_audio_top0_a8  rs_rx_audio_top0_a8;
struct _rs_rx_audio_top0_a8 {
    unsigned int regr_audio_spdif_rx_channel_status_r_0_5   :32;
};
#define rx_audio_top0_a8(val) ((rs_rx_audio_top0_a8*)&(val))



#define RX_AUDIO_TOP0_AC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xAC)

#define RX_AUDIO_TOP0_AC_struct                                          rs_rx_audio_top0_ac

typedef struct _rs_rx_audio_top0_ac  rs_rx_audio_top0_ac;
struct _rs_rx_audio_top0_ac {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_0   :32;
};
#define rx_audio_top0_ac(val) ((rs_rx_audio_top0_ac*)&(val))



#define RX_AUDIO_TOP0_B0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xB0)

#define RX_AUDIO_TOP0_B0_struct                                          rs_rx_audio_top0_b0

typedef struct _rs_rx_audio_top0_b0  rs_rx_audio_top0_b0;
struct _rs_rx_audio_top0_b0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_1   :32;
};
#define rx_audio_top0_b0(val) ((rs_rx_audio_top0_b0*)&(val))



#define RX_AUDIO_TOP0_B4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xB4)

#define RX_AUDIO_TOP0_B4_struct                                          rs_rx_audio_top0_b4

typedef struct _rs_rx_audio_top0_b4  rs_rx_audio_top0_b4;
struct _rs_rx_audio_top0_b4 {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_2   :32;
};
#define rx_audio_top0_b4(val) ((rs_rx_audio_top0_b4*)&(val))



#define RX_AUDIO_TOP0_B8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xB8)

#define RX_AUDIO_TOP0_B8_struct                                          rs_rx_audio_top0_b8

typedef struct _rs_rx_audio_top0_b8  rs_rx_audio_top0_b8;
struct _rs_rx_audio_top0_b8 {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_3   :32;
};
#define rx_audio_top0_b8(val) ((rs_rx_audio_top0_b8*)&(val))



#define RX_AUDIO_TOP0_BC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xBC)

#define RX_AUDIO_TOP0_BC_struct                                          rs_rx_audio_top0_bc

typedef struct _rs_rx_audio_top0_bc  rs_rx_audio_top0_bc;
struct _rs_rx_audio_top0_bc {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_4   :32;
};
#define rx_audio_top0_bc(val) ((rs_rx_audio_top0_bc*)&(val))



#define RX_AUDIO_TOP0_C0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xC0)

#define RX_AUDIO_TOP0_C0_struct                                          rs_rx_audio_top0_c0

typedef struct _rs_rx_audio_top0_c0  rs_rx_audio_top0_c0;
struct _rs_rx_audio_top0_c0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_1_5   :32;
};
#define rx_audio_top0_c0(val) ((rs_rx_audio_top0_c0*)&(val))



#define RX_AUDIO_TOP0_C4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xC4)

#define RX_AUDIO_TOP0_C4_struct                                          rs_rx_audio_top0_c4

typedef struct _rs_rx_audio_top0_c4  rs_rx_audio_top0_c4;
struct _rs_rx_audio_top0_c4 {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_0   :32;
};
#define rx_audio_top0_c4(val) ((rs_rx_audio_top0_c4*)&(val))



#define RX_AUDIO_TOP0_C8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xC8)

#define RX_AUDIO_TOP0_C8_struct                                          rs_rx_audio_top0_c8

typedef struct _rs_rx_audio_top0_c8  rs_rx_audio_top0_c8;
struct _rs_rx_audio_top0_c8 {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_1   :32;
};
#define rx_audio_top0_c8(val) ((rs_rx_audio_top0_c8*)&(val))



#define RX_AUDIO_TOP0_CC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xCC)

#define RX_AUDIO_TOP0_CC_struct                                          rs_rx_audio_top0_cc

typedef struct _rs_rx_audio_top0_cc  rs_rx_audio_top0_cc;
struct _rs_rx_audio_top0_cc {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_2   :32;
};
#define rx_audio_top0_cc(val) ((rs_rx_audio_top0_cc*)&(val))



#define RX_AUDIO_TOP0_D0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xD0)

#define RX_AUDIO_TOP0_D0_struct                                          rs_rx_audio_top0_d0

typedef struct _rs_rx_audio_top0_d0  rs_rx_audio_top0_d0;
struct _rs_rx_audio_top0_d0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_3   :32;
};
#define rx_audio_top0_d0(val) ((rs_rx_audio_top0_d0*)&(val))



#define RX_AUDIO_TOP0_D4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xD4)

#define RX_AUDIO_TOP0_D4_struct                                          rs_rx_audio_top0_d4

typedef struct _rs_rx_audio_top0_d4  rs_rx_audio_top0_d4;
struct _rs_rx_audio_top0_d4 {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_4   :32;
};
#define rx_audio_top0_d4(val) ((rs_rx_audio_top0_d4*)&(val))



#define RX_AUDIO_TOP0_D8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xD8)

#define RX_AUDIO_TOP0_D8_struct                                          rs_rx_audio_top0_d8

typedef struct _rs_rx_audio_top0_d8  rs_rx_audio_top0_d8;
struct _rs_rx_audio_top0_d8 {
    unsigned int regr_audio_spdif_rx_channel_status_r_2_5   :32;
};
#define rx_audio_top0_d8(val) ((rs_rx_audio_top0_d8*)&(val))



#define RX_AUDIO_TOP0_DC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xDC)

#define RX_AUDIO_TOP0_DC_struct                                          rs_rx_audio_top0_dc

typedef struct _rs_rx_audio_top0_dc  rs_rx_audio_top0_dc;
struct _rs_rx_audio_top0_dc {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_0   :32;
};
#define rx_audio_top0_dc(val) ((rs_rx_audio_top0_dc*)&(val))



#define RX_AUDIO_TOP0_E0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xE0)

#define RX_AUDIO_TOP0_E0_struct                                          rs_rx_audio_top0_e0

typedef struct _rs_rx_audio_top0_e0  rs_rx_audio_top0_e0;
struct _rs_rx_audio_top0_e0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_1   :32;
};
#define rx_audio_top0_e0(val) ((rs_rx_audio_top0_e0*)&(val))



#define RX_AUDIO_TOP0_E4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xE4)

#define RX_AUDIO_TOP0_E4_struct                                          rs_rx_audio_top0_e4

typedef struct _rs_rx_audio_top0_e4  rs_rx_audio_top0_e4;
struct _rs_rx_audio_top0_e4 {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_2   :32;
};
#define rx_audio_top0_e4(val) ((rs_rx_audio_top0_e4*)&(val))



#define RX_AUDIO_TOP0_E8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xE8)

#define RX_AUDIO_TOP0_E8_struct                                          rs_rx_audio_top0_e8

typedef struct _rs_rx_audio_top0_e8  rs_rx_audio_top0_e8;
struct _rs_rx_audio_top0_e8 {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_3   :32;
};
#define rx_audio_top0_e8(val) ((rs_rx_audio_top0_e8*)&(val))



#define RX_AUDIO_TOP0_EC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xEC)

#define RX_AUDIO_TOP0_EC_struct                                          rs_rx_audio_top0_ec

typedef struct _rs_rx_audio_top0_ec  rs_rx_audio_top0_ec;
struct _rs_rx_audio_top0_ec {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_4   :32;
};
#define rx_audio_top0_ec(val) ((rs_rx_audio_top0_ec*)&(val))



#define RX_AUDIO_TOP0_F0                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xF0)

#define RX_AUDIO_TOP0_F0_struct                                          rs_rx_audio_top0_f0

typedef struct _rs_rx_audio_top0_f0  rs_rx_audio_top0_f0;
struct _rs_rx_audio_top0_f0 {
    unsigned int regr_audio_spdif_rx_channel_status_r_3_5   :32;
};
#define rx_audio_top0_f0(val) ((rs_rx_audio_top0_f0*)&(val))



#define RX_AUDIO_TOP0_F4                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xF4)

#define RX_AUDIO_TOP0_F4_struct                                          rs_rx_audio_top0_f4

typedef struct _rs_rx_audio_top0_f4  rs_rx_audio_top0_f4;
struct _rs_rx_audio_top0_f4 {
    unsigned int regr_audio_i2s_rx_bpcuv_l_0                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_l_1                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_l_2                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_l_3                : 5;
    unsigned int regr_audio_i2s_rx_fs_0                     : 4;
    unsigned int regr_audio_i2s_rx_fs_1                     : 4;
    unsigned int reserved                                   : 4;
};
#define rx_audio_top0_f4(val) ((rs_rx_audio_top0_f4*)&(val))



#define RX_AUDIO_TOP0_F8                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xF8)

#define RX_AUDIO_TOP0_F8_struct                                          rs_rx_audio_top0_f8

typedef struct _rs_rx_audio_top0_f8  rs_rx_audio_top0_f8;
struct _rs_rx_audio_top0_f8 {
    unsigned int regr_audio_i2s_rx_bpcuv_r_0                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_r_1                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_r_2                : 5;
    unsigned int regr_audio_i2s_rx_bpcuv_r_3                : 5;
    unsigned int regr_audio_i2s_rx_fs_2                     : 4;
    unsigned int regr_audio_i2s_rx_fs_3                     : 4;
    unsigned int reserved                                   : 4;
};
#define rx_audio_top0_f8(val) ((rs_rx_audio_top0_f8*)&(val))



#define RX_AUDIO_TOP0_FC                                                 (HV_AUDIO_TOP0_BASE_ADDRESS + 0xFC)

#define RX_AUDIO_TOP0_FC_struct                                          rs_rx_audio_top0_fc

typedef struct _rs_rx_audio_top0_fc  rs_rx_audio_top0_fc;
struct _rs_rx_audio_top0_fc {
    unsigned int regr_audio_spdif_rx_valid_flag_l_0         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_l_1         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_l_2         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_l_3         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_r_0         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_r_1         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_r_2         : 1;
    unsigned int regr_audio_spdif_rx_valid_flag_r_3         : 1;
    unsigned int reserved                                   :24;
};
#define rx_audio_top0_fc(val) ((rs_rx_audio_top0_fc*)&(val))



#endif