#ifndef _HV_PAGE_HT7315_DDR_SELFTEST_H_
#define _HV_PAGE_HT7315_DDR_SELFTEST_H_

#ifndef HV_DDR_SELFTEST_BASE_ADDRESS
    #define HV_DDR_SELFTEST_BASE_ADDRESS                                         0x1101C200
#endif


#define SYS_DDR_SELFTEST_DS_MODE                                         (HV_DDR_SELFTEST_BASE_ADDRESS + 0x00)

#define SYS_DDR_SELFTEST_DS_MODE_struct                                  rs_sys_ddr_selftest_ds_mode

typedef struct _rs_sys_ddr_selftest_ds_mode  rs_sys_ddr_selftest_ds_mode;
struct _rs_sys_ddr_selftest_ds_mode {
    unsigned int reg_ds_enable                              : 1;
    unsigned int reg_ds_start                               : 1;
    unsigned int reg_ds_test_mode                           : 3;
    unsigned int reg_ds_rw_mode                             : 2;
    unsigned int reg_ds_addr_mode                           : 3;
    unsigned int reg_ds_agent_mode                          : 1;
    unsigned int reg_ds_hold_time                           : 8;
    unsigned int reg_ds_write_en                            : 1;
    unsigned int reg_ds_read_en                             : 1;
    unsigned int reg_ds_fixed_seq                           : 1;
    unsigned int reg_ds_valid_byte_num                      : 2;
    unsigned int reserved                                   : 8;
};
#define sys_ddr_selftest_ds_mode(val) ((rs_sys_ddr_selftest_ds_mode*)&(val))



#define SYS_DDR_SELFTEST_DS_START_ADDR0                                  (HV_DDR_SELFTEST_BASE_ADDRESS + 0x04)

#define SYS_DDR_SELFTEST_DS_START_ADDR0_struct                           rs_sys_ddr_selftest_ds_start_addr0

typedef struct _rs_sys_ddr_selftest_ds_start_addr0  rs_sys_ddr_selftest_ds_start_addr0;
struct _rs_sys_ddr_selftest_ds_start_addr0 {
    unsigned int reg_ds_start_address0                      :32;
};
#define sys_ddr_selftest_ds_start_addr0(val) ((rs_sys_ddr_selftest_ds_start_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_END_ADDR0                                    (HV_DDR_SELFTEST_BASE_ADDRESS + 0x08)

#define SYS_DDR_SELFTEST_DS_END_ADDR0_struct                             rs_sys_ddr_selftest_ds_end_addr0

typedef struct _rs_sys_ddr_selftest_ds_end_addr0  rs_sys_ddr_selftest_ds_end_addr0;
struct _rs_sys_ddr_selftest_ds_end_addr0 {
    unsigned int reg_ds_end_address0                        :32;
};
#define sys_ddr_selftest_ds_end_addr0(val) ((rs_sys_ddr_selftest_ds_end_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_STEP_ADDR0                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x0C)

#define SYS_DDR_SELFTEST_DS_STEP_ADDR0_struct                            rs_sys_ddr_selftest_ds_step_addr0

typedef struct _rs_sys_ddr_selftest_ds_step_addr0  rs_sys_ddr_selftest_ds_step_addr0;
struct _rs_sys_ddr_selftest_ds_step_addr0 {
    unsigned int reg_ds_addr_step0                          :32;
};
#define sys_ddr_selftest_ds_step_addr0(val) ((rs_sys_ddr_selftest_ds_step_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_ALEN                                         (HV_DDR_SELFTEST_BASE_ADDRESS + 0x1C)

#define SYS_DDR_SELFTEST_DS_ALEN_struct                                  rs_sys_ddr_selftest_ds_alen

typedef struct _rs_sys_ddr_selftest_ds_alen  rs_sys_ddr_selftest_ds_alen;
struct _rs_sys_ddr_selftest_ds_alen {
    unsigned int reg_ds_awlen0                              : 8;
    unsigned int reserved                                   : 8;
    unsigned int reg_ds_arlen0                              : 8;
    unsigned int reserved_1                                 : 8;
};
#define sys_ddr_selftest_ds_alen(val) ((rs_sys_ddr_selftest_ds_alen*)&(val))



#define SYS_DDR_SELFTEST_DS_LFSR_SEED0                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x30)

#define SYS_DDR_SELFTEST_DS_LFSR_SEED0_struct                            rs_sys_ddr_selftest_ds_lfsr_seed0

typedef struct _rs_sys_ddr_selftest_ds_lfsr_seed0  rs_sys_ddr_selftest_ds_lfsr_seed0;
struct _rs_sys_ddr_selftest_ds_lfsr_seed0 {
    unsigned int reg_ds_lfsr_seed_0                         :31;
    unsigned int reserved                                   : 1;
};
#define sys_ddr_selftest_ds_lfsr_seed0(val) ((rs_sys_ddr_selftest_ds_lfsr_seed0*)&(val))



#define SYS_DDR_SELFTEST_DS_LFSR_SEED1                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x34)

#define SYS_DDR_SELFTEST_DS_LFSR_SEED1_struct                            rs_sys_ddr_selftest_ds_lfsr_seed1

typedef struct _rs_sys_ddr_selftest_ds_lfsr_seed1  rs_sys_ddr_selftest_ds_lfsr_seed1;
struct _rs_sys_ddr_selftest_ds_lfsr_seed1 {
    unsigned int reg_ds_lfsr_seed_1                         :31;
    unsigned int reserved                                   : 1;
};
#define sys_ddr_selftest_ds_lfsr_seed1(val) ((rs_sys_ddr_selftest_ds_lfsr_seed1*)&(val))



#define SYS_DDR_SELFTEST_DS_LFSR_SEED2                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x38)

#define SYS_DDR_SELFTEST_DS_LFSR_SEED2_struct                            rs_sys_ddr_selftest_ds_lfsr_seed2

typedef struct _rs_sys_ddr_selftest_ds_lfsr_seed2  rs_sys_ddr_selftest_ds_lfsr_seed2;
struct _rs_sys_ddr_selftest_ds_lfsr_seed2 {
    unsigned int reg_ds_lfsr_seed_2                         :31;
    unsigned int reserved                                   : 1;
};
#define sys_ddr_selftest_ds_lfsr_seed2(val) ((rs_sys_ddr_selftest_ds_lfsr_seed2*)&(val))



#define SYS_DDR_SELFTEST_DS_LFSR_SEED3                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x3C)

#define SYS_DDR_SELFTEST_DS_LFSR_SEED3_struct                            rs_sys_ddr_selftest_ds_lfsr_seed3

typedef struct _rs_sys_ddr_selftest_ds_lfsr_seed3  rs_sys_ddr_selftest_ds_lfsr_seed3;
struct _rs_sys_ddr_selftest_ds_lfsr_seed3 {
    unsigned int reg_ds_lfsr_seed_3                         :31;
    unsigned int reserved                                   : 1;
};
#define sys_ddr_selftest_ds_lfsr_seed3(val) ((rs_sys_ddr_selftest_ds_lfsr_seed3*)&(val))



#define SYS_DDR_SELFTEST_DS_LFSR0                                        (HV_DDR_SELFTEST_BASE_ADDRESS + 0x40)

#define SYS_DDR_SELFTEST_DS_LFSR0_struct                                 rs_sys_ddr_selftest_ds_lfsr0

typedef struct _rs_sys_ddr_selftest_ds_lfsr0  rs_sys_ddr_selftest_ds_lfsr0;
struct _rs_sys_ddr_selftest_ds_lfsr0 {
    unsigned int reg_lfsr_upd                               : 1;
    unsigned int reg_lfsr_reset                             : 1;
    unsigned int reserved                                   :30;
};
#define sys_ddr_selftest_ds_lfsr0(val) ((rs_sys_ddr_selftest_ds_lfsr0*)&(val))



#define SYS_DDR_SELFTEST_DS_RSTART_ADDR0                                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0x4C)

#define SYS_DDR_SELFTEST_DS_RSTART_ADDR0_struct                          rs_sys_ddr_selftest_ds_rstart_addr0

typedef struct _rs_sys_ddr_selftest_ds_rstart_addr0  rs_sys_ddr_selftest_ds_rstart_addr0;
struct _rs_sys_ddr_selftest_ds_rstart_addr0 {
    unsigned int reg_ds_rstart_address0                     :32;
};
#define sys_ddr_selftest_ds_rstart_addr0(val) ((rs_sys_ddr_selftest_ds_rstart_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_REND_ADDR0                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x50)

#define SYS_DDR_SELFTEST_DS_REND_ADDR0_struct                            rs_sys_ddr_selftest_ds_rend_addr0

typedef struct _rs_sys_ddr_selftest_ds_rend_addr0  rs_sys_ddr_selftest_ds_rend_addr0;
struct _rs_sys_ddr_selftest_ds_rend_addr0 {
    unsigned int reg_ds_rend_address0                       :32;
};
#define sys_ddr_selftest_ds_rend_addr0(val) ((rs_sys_ddr_selftest_ds_rend_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_RSTEP_ADDR0                                  (HV_DDR_SELFTEST_BASE_ADDRESS + 0x54)

#define SYS_DDR_SELFTEST_DS_RSTEP_ADDR0_struct                           rs_sys_ddr_selftest_ds_rstep_addr0

typedef struct _rs_sys_ddr_selftest_ds_rstep_addr0  rs_sys_ddr_selftest_ds_rstep_addr0;
struct _rs_sys_ddr_selftest_ds_rstep_addr0 {
    unsigned int reg_ds_raddr_step0                         :32;
};
#define sys_ddr_selftest_ds_rstep_addr0(val) ((rs_sys_ddr_selftest_ds_rstep_addr0*)&(val))



#define SYS_DDR_SELFTEST_DS_ERROR_NUM0                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x64)

#define SYS_DDR_SELFTEST_DS_ERROR_NUM0_struct                            rs_sys_ddr_selftest_ds_error_num0

typedef struct _rs_sys_ddr_selftest_ds_error_num0  rs_sys_ddr_selftest_ds_error_num0;
struct _rs_sys_ddr_selftest_ds_error_num0 {
    unsigned int regr_ds_error_num0                         :32;
};
#define sys_ddr_selftest_ds_error_num0(val) ((rs_sys_ddr_selftest_ds_error_num0*)&(val))



#define SYS_DDR_SELFTEST_DS_ERROR_NUM1                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x68)

#define SYS_DDR_SELFTEST_DS_ERROR_NUM1_struct                            rs_sys_ddr_selftest_ds_error_num1

typedef struct _rs_sys_ddr_selftest_ds_error_num1  rs_sys_ddr_selftest_ds_error_num1;
struct _rs_sys_ddr_selftest_ds_error_num1 {
    unsigned int regr_ds_error_num1                         :32;
};
#define sys_ddr_selftest_ds_error_num1(val) ((rs_sys_ddr_selftest_ds_error_num1*)&(val))



#define SYS_DDR_SELFTEST_ERROR_ADDR_BEGIN0                               (HV_DDR_SELFTEST_BASE_ADDRESS + 0x6C)

#define SYS_DDR_SELFTEST_ERROR_ADDR_BEGIN0_struct                        rs_sys_ddr_selftest_error_addr_begin0

typedef struct _rs_sys_ddr_selftest_error_addr_begin0  rs_sys_ddr_selftest_error_addr_begin0;
struct _rs_sys_ddr_selftest_error_addr_begin0 {
    unsigned int regr_ds_error_addr_begin0                  :32;
};
#define sys_ddr_selftest_error_addr_begin0(val) ((rs_sys_ddr_selftest_error_addr_begin0*)&(val))



#define SYS_DDR_SELFTEST_ERROR_ADDR_END0                                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0x70)

#define SYS_DDR_SELFTEST_ERROR_ADDR_END0_struct                          rs_sys_ddr_selftest_error_addr_end0

typedef struct _rs_sys_ddr_selftest_error_addr_end0  rs_sys_ddr_selftest_error_addr_end0;
struct _rs_sys_ddr_selftest_error_addr_end0 {
    unsigned int regr_ds_error_addr_end0                    :32;
};
#define sys_ddr_selftest_error_addr_end0(val) ((rs_sys_ddr_selftest_error_addr_end0*)&(val))



#define SYS_DDR_SELFTEST_ERROR_ADDR_BEGIN1                               (HV_DDR_SELFTEST_BASE_ADDRESS + 0x74)

#define SYS_DDR_SELFTEST_ERROR_ADDR_BEGIN1_struct                        rs_sys_ddr_selftest_error_addr_begin1

typedef struct _rs_sys_ddr_selftest_error_addr_begin1  rs_sys_ddr_selftest_error_addr_begin1;
struct _rs_sys_ddr_selftest_error_addr_begin1 {
    unsigned int regr_ds_error_addr_begin1                  :32;
};
#define sys_ddr_selftest_error_addr_begin1(val) ((rs_sys_ddr_selftest_error_addr_begin1*)&(val))



#define SYS_DDR_SELFTEST_ERROR_ADDR_END1                                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0x78)

#define SYS_DDR_SELFTEST_ERROR_ADDR_END1_struct                          rs_sys_ddr_selftest_error_addr_end1

typedef struct _rs_sys_ddr_selftest_error_addr_end1  rs_sys_ddr_selftest_error_addr_end1;
struct _rs_sys_ddr_selftest_error_addr_end1 {
    unsigned int regr_ds_error_addr_end1                    :32;
};
#define sys_ddr_selftest_error_addr_end1(val) ((rs_sys_ddr_selftest_error_addr_end1*)&(val))



#define SYS_DDR_SELFTEST_DS_BIT_ERROR0                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x7C)

#define SYS_DDR_SELFTEST_DS_BIT_ERROR0_struct                            rs_sys_ddr_selftest_ds_bit_error0

typedef struct _rs_sys_ddr_selftest_ds_bit_error0  rs_sys_ddr_selftest_ds_bit_error0;
struct _rs_sys_ddr_selftest_ds_bit_error0 {
    unsigned int regr_ds_bit_error_0                        :32;
};
#define sys_ddr_selftest_ds_bit_error0(val) ((rs_sys_ddr_selftest_ds_bit_error0*)&(val))



#define SYS_DDR_SELFTEST_DS_BIT_ERROR1                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x80)

#define SYS_DDR_SELFTEST_DS_BIT_ERROR1_struct                            rs_sys_ddr_selftest_ds_bit_error1

typedef struct _rs_sys_ddr_selftest_ds_bit_error1  rs_sys_ddr_selftest_ds_bit_error1;
struct _rs_sys_ddr_selftest_ds_bit_error1 {
    unsigned int regr_ds_bit_error_1                        :32;
};
#define sys_ddr_selftest_ds_bit_error1(val) ((rs_sys_ddr_selftest_ds_bit_error1*)&(val))



#define SYS_DDR_SELFTEST_DS_BIT_ERROR2                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x84)

#define SYS_DDR_SELFTEST_DS_BIT_ERROR2_struct                            rs_sys_ddr_selftest_ds_bit_error2

typedef struct _rs_sys_ddr_selftest_ds_bit_error2  rs_sys_ddr_selftest_ds_bit_error2;
struct _rs_sys_ddr_selftest_ds_bit_error2 {
    unsigned int regr_ds_bit_error_2                        :32;
};
#define sys_ddr_selftest_ds_bit_error2(val) ((rs_sys_ddr_selftest_ds_bit_error2*)&(val))



#define SYS_DDR_SELFTEST_DS_BIT_ERROR3                                   (HV_DDR_SELFTEST_BASE_ADDRESS + 0x88)

#define SYS_DDR_SELFTEST_DS_BIT_ERROR3_struct                            rs_sys_ddr_selftest_ds_bit_error3

typedef struct _rs_sys_ddr_selftest_ds_bit_error3  rs_sys_ddr_selftest_ds_bit_error3;
struct _rs_sys_ddr_selftest_ds_bit_error3 {
    unsigned int regr_ds_bit_error_3                        :32;
};
#define sys_ddr_selftest_ds_bit_error3(val) ((rs_sys_ddr_selftest_ds_bit_error3*)&(val))



#define SYS_DDR_SELFTEST_DS_STATUS                                       (HV_DDR_SELFTEST_BASE_ADDRESS + 0x8C)

#define SYS_DDR_SELFTEST_DS_STATUS_struct                                rs_sys_ddr_selftest_ds_status

typedef struct _rs_sys_ddr_selftest_ds_status  rs_sys_ddr_selftest_ds_status;
struct _rs_sys_ddr_selftest_ds_status {
    unsigned int regr_lfsr_err                              : 1;
    unsigned int regr_ds_done                               : 1;
    unsigned int reserved                                   :30;
};
#define sys_ddr_selftest_ds_status(val) ((rs_sys_ddr_selftest_ds_status*)&(val))



#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_0                             (HV_DDR_SELFTEST_BASE_ADDRESS + 0x90)

#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_0_struct                      rs_sys_ddr_selftest_error_data_begin0_0

typedef struct _rs_sys_ddr_selftest_error_data_begin0_0  rs_sys_ddr_selftest_error_data_begin0_0;
struct _rs_sys_ddr_selftest_error_data_begin0_0 {
    unsigned int regr_ds_error_data_begin0_0                :32;
};
#define sys_ddr_selftest_error_data_begin0_0(val) ((rs_sys_ddr_selftest_error_data_begin0_0*)&(val))



#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_1                             (HV_DDR_SELFTEST_BASE_ADDRESS + 0x94)

#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_1_struct                      rs_sys_ddr_selftest_error_data_begin0_1

typedef struct _rs_sys_ddr_selftest_error_data_begin0_1  rs_sys_ddr_selftest_error_data_begin0_1;
struct _rs_sys_ddr_selftest_error_data_begin0_1 {
    unsigned int regr_ds_error_data_begin0_1                :32;
};
#define sys_ddr_selftest_error_data_begin0_1(val) ((rs_sys_ddr_selftest_error_data_begin0_1*)&(val))



#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_2                             (HV_DDR_SELFTEST_BASE_ADDRESS + 0x98)

#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_2_struct                      rs_sys_ddr_selftest_error_data_begin0_2

typedef struct _rs_sys_ddr_selftest_error_data_begin0_2  rs_sys_ddr_selftest_error_data_begin0_2;
struct _rs_sys_ddr_selftest_error_data_begin0_2 {
    unsigned int regr_ds_error_data_begin0_2                :32;
};
#define sys_ddr_selftest_error_data_begin0_2(val) ((rs_sys_ddr_selftest_error_data_begin0_2*)&(val))



#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_3                             (HV_DDR_SELFTEST_BASE_ADDRESS + 0x9C)

#define SYS_DDR_SELFTEST_ERROR_DATA_BEGIN0_3_struct                      rs_sys_ddr_selftest_error_data_begin0_3

typedef struct _rs_sys_ddr_selftest_error_data_begin0_3  rs_sys_ddr_selftest_error_data_begin0_3;
struct _rs_sys_ddr_selftest_error_data_begin0_3 {
    unsigned int regr_ds_error_data_begin0_3                :32;
};
#define sys_ddr_selftest_error_data_begin0_3(val) ((rs_sys_ddr_selftest_error_data_begin0_3*)&(val))



#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_SETTING_0                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0xA0)

#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_SETTING_0_struct          rs_sys_ddr_selftest_ds_efficiency_monitor_setting_0

typedef struct _rs_sys_ddr_selftest_ds_efficiency_monitor_setting_0  rs_sys_ddr_selftest_ds_efficiency_monitor_setting_0;
struct _rs_sys_ddr_selftest_ds_efficiency_monitor_setting_0 {
    unsigned int reg_axi_bwtest_start_0                     : 1;
    unsigned int reg_axi_bwtest_data_count_sel_0            : 2;
    unsigned int reg_axi_bwtest_data_count_clr_0            : 1;
    unsigned int reg_axi_bwtest_data_rd_en_0                : 1;
    unsigned int reg_axi_rd_latency_start_0                 : 1;
    unsigned int reg_axi_rd_latency_stop_0                  : 1;
    unsigned int reg_read_dly_result_en_0                   : 1;
    unsigned int reg_axi_max_rd_latency_clr_0               : 1;
    unsigned int reg_axi_bwtest_consider_size_sel_0         : 1;
    unsigned int reserved                                   :22;
};
#define sys_ddr_selftest_ds_efficiency_monitor_setting_0(val) ((rs_sys_ddr_selftest_ds_efficiency_monitor_setting_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_CLOCK_NUM_0                              (HV_DDR_SELFTEST_BASE_ADDRESS + 0xA4)

#define SYS_DDR_SELFTEST_BWTEST_CLOCK_NUM_0_struct                       rs_sys_ddr_selftest_bwtest_clock_num_0

typedef struct _rs_sys_ddr_selftest_bwtest_clock_num_0  rs_sys_ddr_selftest_bwtest_clock_num_0;
struct _rs_sys_ddr_selftest_bwtest_clock_num_0 {
    unsigned int reg_axi_bwtest_clock_num_0                 :32;
};
#define sys_ddr_selftest_bwtest_clock_num_0(val) ((rs_sys_ddr_selftest_bwtest_clock_num_0*)&(val))



#define SYS_DDR_SELFTEST_RD_LATENCY_CLOCK_NUM_0                          (HV_DDR_SELFTEST_BASE_ADDRESS + 0xA8)

#define SYS_DDR_SELFTEST_RD_LATENCY_CLOCK_NUM_0_struct                   rs_sys_ddr_selftest_rd_latency_clock_num_0

typedef struct _rs_sys_ddr_selftest_rd_latency_clock_num_0  rs_sys_ddr_selftest_rd_latency_clock_num_0;
struct _rs_sys_ddr_selftest_rd_latency_clock_num_0 {
    unsigned int reg_axi_rd_latency_clock_num_0             :32;
};
#define sys_ddr_selftest_rd_latency_clock_num_0(val) ((rs_sys_ddr_selftest_rd_latency_clock_num_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_RESULT_0                                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0xAC)

#define SYS_DDR_SELFTEST_BWTEST_RESULT_0_struct                          rs_sys_ddr_selftest_bwtest_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_result_0  rs_sys_ddr_selftest_bwtest_result_0;
struct _rs_sys_ddr_selftest_bwtest_result_0 {
    unsigned int regr_axi_bwtest_data_count_0               :32;
};
#define sys_ddr_selftest_bwtest_result_0(val) ((rs_sys_ddr_selftest_bwtest_result_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_1BYTE_RESULT_0                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xB0)

#define SYS_DDR_SELFTEST_BWTEST_1BYTE_RESULT_0_struct                    rs_sys_ddr_selftest_bwtest_1byte_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_1byte_result_0  rs_sys_ddr_selftest_bwtest_1byte_result_0;
struct _rs_sys_ddr_selftest_bwtest_1byte_result_0 {
    unsigned int regr_axi_bwtest_1byte_0                    :32;
};
#define sys_ddr_selftest_bwtest_1byte_result_0(val) ((rs_sys_ddr_selftest_bwtest_1byte_result_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_2BYTE_RESULT_0                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xB4)

#define SYS_DDR_SELFTEST_BWTEST_2BYTE_RESULT_0_struct                    rs_sys_ddr_selftest_bwtest_2byte_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_2byte_result_0  rs_sys_ddr_selftest_bwtest_2byte_result_0;
struct _rs_sys_ddr_selftest_bwtest_2byte_result_0 {
    unsigned int regr_axi_bwtest_2byte_0                    :32;
};
#define sys_ddr_selftest_bwtest_2byte_result_0(val) ((rs_sys_ddr_selftest_bwtest_2byte_result_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_4BYTE_RESULT_0                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xB8)

#define SYS_DDR_SELFTEST_BWTEST_4BYTE_RESULT_0_struct                    rs_sys_ddr_selftest_bwtest_4byte_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_4byte_result_0  rs_sys_ddr_selftest_bwtest_4byte_result_0;
struct _rs_sys_ddr_selftest_bwtest_4byte_result_0 {
    unsigned int regr_axi_bwtest_4byte_0                    :32;
};
#define sys_ddr_selftest_bwtest_4byte_result_0(val) ((rs_sys_ddr_selftest_bwtest_4byte_result_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_8BYTE_RESULT_0                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xBC)

#define SYS_DDR_SELFTEST_BWTEST_8BYTE_RESULT_0_struct                    rs_sys_ddr_selftest_bwtest_8byte_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_8byte_result_0  rs_sys_ddr_selftest_bwtest_8byte_result_0;
struct _rs_sys_ddr_selftest_bwtest_8byte_result_0 {
    unsigned int regr_axi_bwtest_8byte_0                    :32;
};
#define sys_ddr_selftest_bwtest_8byte_result_0(val) ((rs_sys_ddr_selftest_bwtest_8byte_result_0*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_16BYTE_RESULT_0                          (HV_DDR_SELFTEST_BASE_ADDRESS + 0xC0)

#define SYS_DDR_SELFTEST_BWTEST_16BYTE_RESULT_0_struct                   rs_sys_ddr_selftest_bwtest_16byte_result_0

typedef struct _rs_sys_ddr_selftest_bwtest_16byte_result_0  rs_sys_ddr_selftest_bwtest_16byte_result_0;
struct _rs_sys_ddr_selftest_bwtest_16byte_result_0 {
    unsigned int regr_axi_bwtest_16byte_0                   :32;
};
#define sys_ddr_selftest_bwtest_16byte_result_0(val) ((rs_sys_ddr_selftest_bwtest_16byte_result_0*)&(val))



#define SYS_DDR_SELFTEST_MAX_RD_LATENCY_0                                (HV_DDR_SELFTEST_BASE_ADDRESS + 0xC4)

#define SYS_DDR_SELFTEST_MAX_RD_LATENCY_0_struct                         rs_sys_ddr_selftest_max_rd_latency_0

typedef struct _rs_sys_ddr_selftest_max_rd_latency_0  rs_sys_ddr_selftest_max_rd_latency_0;
struct _rs_sys_ddr_selftest_max_rd_latency_0 {
    unsigned int regr_axi_max_rd_latency_0                  :32;
};
#define sys_ddr_selftest_max_rd_latency_0(val) ((rs_sys_ddr_selftest_max_rd_latency_0*)&(val))



#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_RESULT_VALID_0            (HV_DDR_SELFTEST_BASE_ADDRESS + 0xC8)

#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_RESULT_VALID_0_struct     rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_0

typedef struct _rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_0  rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_0;
struct _rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_0 {
    unsigned int regr_axi_bwtest_data_count_vld_0           : 1;
    unsigned int regr_axi_max_rd_latency_vld_0              : 1;
    unsigned int reserved                                   :30;
};
#define sys_ddr_selftest_ds_efficiency_monitor_result_valid_0(val) ((rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_0*)&(val))



#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_SETTING_1                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0xCC)

#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_SETTING_1_struct          rs_sys_ddr_selftest_ds_efficiency_monitor_setting_1

typedef struct _rs_sys_ddr_selftest_ds_efficiency_monitor_setting_1  rs_sys_ddr_selftest_ds_efficiency_monitor_setting_1;
struct _rs_sys_ddr_selftest_ds_efficiency_monitor_setting_1 {
    unsigned int reg_axi_bwtest_start_1                     : 1;
    unsigned int reg_axi_bwtest_data_count_sel_1            : 2;
    unsigned int reg_axi_bwtest_data_count_clr_1            : 1;
    unsigned int reg_axi_bwtest_data_rd_en_1                : 1;
    unsigned int reg_axi_rd_latency_start_1                 : 1;
    unsigned int reg_axi_rd_latency_stop_1                  : 1;
    unsigned int reg_read_dly_result_en_1                   : 1;
    unsigned int reg_axi_max_rd_latency_clr_1               : 1;
    unsigned int reg_axi_bwtest_consider_size_sel_1         : 1;
    unsigned int reserved                                   :22;
};
#define sys_ddr_selftest_ds_efficiency_monitor_setting_1(val) ((rs_sys_ddr_selftest_ds_efficiency_monitor_setting_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_CLOCK_NUM_1                              (HV_DDR_SELFTEST_BASE_ADDRESS + 0xD0)

#define SYS_DDR_SELFTEST_BWTEST_CLOCK_NUM_1_struct                       rs_sys_ddr_selftest_bwtest_clock_num_1

typedef struct _rs_sys_ddr_selftest_bwtest_clock_num_1  rs_sys_ddr_selftest_bwtest_clock_num_1;
struct _rs_sys_ddr_selftest_bwtest_clock_num_1 {
    unsigned int reg_axi_bwtest_clock_num_1                 :32;
};
#define sys_ddr_selftest_bwtest_clock_num_1(val) ((rs_sys_ddr_selftest_bwtest_clock_num_1*)&(val))



#define SYS_DDR_SELFTEST_RD_LATENCY_CLOCK_NUM_1                          (HV_DDR_SELFTEST_BASE_ADDRESS + 0xD4)

#define SYS_DDR_SELFTEST_RD_LATENCY_CLOCK_NUM_1_struct                   rs_sys_ddr_selftest_rd_latency_clock_num_1

typedef struct _rs_sys_ddr_selftest_rd_latency_clock_num_1  rs_sys_ddr_selftest_rd_latency_clock_num_1;
struct _rs_sys_ddr_selftest_rd_latency_clock_num_1 {
    unsigned int reg_axi_rd_latency_clock_num_1             :32;
};
#define sys_ddr_selftest_rd_latency_clock_num_1(val) ((rs_sys_ddr_selftest_rd_latency_clock_num_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_RESULT_1                                 (HV_DDR_SELFTEST_BASE_ADDRESS + 0xD8)

#define SYS_DDR_SELFTEST_BWTEST_RESULT_1_struct                          rs_sys_ddr_selftest_bwtest_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_result_1  rs_sys_ddr_selftest_bwtest_result_1;
struct _rs_sys_ddr_selftest_bwtest_result_1 {
    unsigned int regr_axi_bwtest_data_count_1               :32;
};
#define sys_ddr_selftest_bwtest_result_1(val) ((rs_sys_ddr_selftest_bwtest_result_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_1BYTE_RESULT_1                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xDC)

#define SYS_DDR_SELFTEST_BWTEST_1BYTE_RESULT_1_struct                    rs_sys_ddr_selftest_bwtest_1byte_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_1byte_result_1  rs_sys_ddr_selftest_bwtest_1byte_result_1;
struct _rs_sys_ddr_selftest_bwtest_1byte_result_1 {
    unsigned int regr_axi_bwtest_1byte_1                    :32;
};
#define sys_ddr_selftest_bwtest_1byte_result_1(val) ((rs_sys_ddr_selftest_bwtest_1byte_result_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_2BYTE_RESULT_1                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xE0)

#define SYS_DDR_SELFTEST_BWTEST_2BYTE_RESULT_1_struct                    rs_sys_ddr_selftest_bwtest_2byte_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_2byte_result_1  rs_sys_ddr_selftest_bwtest_2byte_result_1;
struct _rs_sys_ddr_selftest_bwtest_2byte_result_1 {
    unsigned int regr_axi_bwtest_2byte_1                    :32;
};
#define sys_ddr_selftest_bwtest_2byte_result_1(val) ((rs_sys_ddr_selftest_bwtest_2byte_result_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_4BYTE_RESULT_1                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xE4)

#define SYS_DDR_SELFTEST_BWTEST_4BYTE_RESULT_1_struct                    rs_sys_ddr_selftest_bwtest_4byte_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_4byte_result_1  rs_sys_ddr_selftest_bwtest_4byte_result_1;
struct _rs_sys_ddr_selftest_bwtest_4byte_result_1 {
    unsigned int regr_axi_bwtest_4byte_1                    :32;
};
#define sys_ddr_selftest_bwtest_4byte_result_1(val) ((rs_sys_ddr_selftest_bwtest_4byte_result_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_8BYTE_RESULT_1                           (HV_DDR_SELFTEST_BASE_ADDRESS + 0xE8)

#define SYS_DDR_SELFTEST_BWTEST_8BYTE_RESULT_1_struct                    rs_sys_ddr_selftest_bwtest_8byte_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_8byte_result_1  rs_sys_ddr_selftest_bwtest_8byte_result_1;
struct _rs_sys_ddr_selftest_bwtest_8byte_result_1 {
    unsigned int regr_axi_bwtest_8byte_1                    :32;
};
#define sys_ddr_selftest_bwtest_8byte_result_1(val) ((rs_sys_ddr_selftest_bwtest_8byte_result_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_16BYTE_RESULT_1                          (HV_DDR_SELFTEST_BASE_ADDRESS + 0xEC)

#define SYS_DDR_SELFTEST_BWTEST_16BYTE_RESULT_1_struct                   rs_sys_ddr_selftest_bwtest_16byte_result_1

typedef struct _rs_sys_ddr_selftest_bwtest_16byte_result_1  rs_sys_ddr_selftest_bwtest_16byte_result_1;
struct _rs_sys_ddr_selftest_bwtest_16byte_result_1 {
    unsigned int regr_axi_bwtest_16byte_1                   :32;
};
#define sys_ddr_selftest_bwtest_16byte_result_1(val) ((rs_sys_ddr_selftest_bwtest_16byte_result_1*)&(val))



#define SYS_DDR_SELFTEST_MAX_RD_LATENCY_1                                (HV_DDR_SELFTEST_BASE_ADDRESS + 0xF0)

#define SYS_DDR_SELFTEST_MAX_RD_LATENCY_1_struct                         rs_sys_ddr_selftest_max_rd_latency_1

typedef struct _rs_sys_ddr_selftest_max_rd_latency_1  rs_sys_ddr_selftest_max_rd_latency_1;
struct _rs_sys_ddr_selftest_max_rd_latency_1 {
    unsigned int regr_axi_max_rd_latency_1                  :32;
};
#define sys_ddr_selftest_max_rd_latency_1(val) ((rs_sys_ddr_selftest_max_rd_latency_1*)&(val))



#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_RESULT_VALID_1            (HV_DDR_SELFTEST_BASE_ADDRESS + 0xF4)

#define SYS_DDR_SELFTEST_DS_EFFICIENCY_MONITOR_RESULT_VALID_1_struct     rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_1

typedef struct _rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_1  rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_1;
struct _rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_1 {
    unsigned int regr_axi_bwtest_data_count_vld_1           : 1;
    unsigned int regr_axi_max_rd_latency_vld_1              : 1;
    unsigned int reserved                                   :30;
};
#define sys_ddr_selftest_ds_efficiency_monitor_result_valid_1(val) ((rs_sys_ddr_selftest_ds_efficiency_monitor_result_valid_1*)&(val))



#define SYS_DDR_SELFTEST_BWTEST_CFG                                      (HV_DDR_SELFTEST_BASE_ADDRESS + 0xF8)

#define SYS_DDR_SELFTEST_BWTEST_CFG_struct                               rs_sys_ddr_selftest_bwtest_cfg

typedef struct _rs_sys_ddr_selftest_bwtest_cfg  rs_sys_ddr_selftest_bwtest_cfg;
struct _rs_sys_ddr_selftest_bwtest_cfg {
    unsigned int reg_axi_bwtest_sel_0                       : 3;
    unsigned int reg_axi_bwtest_sel_1                       : 3;
    unsigned int reserved                                   :26;
};
#define sys_ddr_selftest_bwtest_cfg(val) ((rs_sys_ddr_selftest_bwtest_cfg*)&(val))



#endif