#ifndef _HV_PAGE_HT7315_HSRX_CH_01_H_
#define _HV_PAGE_HT7315_HSRX_CH_01_H_

#ifndef HV_HSRX_CH_01_BASE_ADDRESS
    #define HV_HSRX_CH_01_BASE_ADDRESS                                         0x11044300
#endif


#define RX_HSRX_CH_01_00                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x00)

#define RX_HSRX_CH_01_00_struct                                          rs_rx_hsrx_ch_01_00

typedef struct _rs_rx_hsrx_ch_01_00  rs_rx_hsrx_ch_01_00;
struct _rs_rx_hsrx_ch_01_00 {
    unsigned int reserved                                   : 3;
    unsigned int reg_01_mute_bypass_en                      : 1;
    unsigned int reg_01_hsrx_patt_apb_clk_en                : 1;
    unsigned int regr_01_hsrx_cursor_bd_r                   :12;
    unsigned int reserved_1                                 :15;
};
#define rx_hsrx_ch_01_00(val) ((rs_rx_hsrx_ch_01_00*)&(val))



#define RX_HSRX_CH_01_04                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x04)

#define RX_HSRX_CH_01_04_struct                                          rs_rx_hsrx_ch_01_04

typedef struct _rs_rx_hsrx_ch_01_04  rs_rx_hsrx_ch_01_04;
struct _rs_rx_hsrx_ch_01_04 {
    unsigned int reg_01_hsrx_cursor_en                      : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_01_hsrx_cursor_hcnt                    :13;
    unsigned int reg_01_hsrx_cursor_vcnt                    :13;
    unsigned int reg_01_hsrx_cursor_color                   : 3;
    unsigned int reserved_1                                 : 1;
};
#define rx_hsrx_ch_01_04(val) ((rs_rx_hsrx_ch_01_04*)&(val))



#define RX_HSRX_CH_01_08                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x08)

#define RX_HSRX_CH_01_08_struct                                          rs_rx_hsrx_ch_01_08

typedef struct _rs_rx_hsrx_ch_01_08  rs_rx_hsrx_ch_01_08;
struct _rs_rx_hsrx_ch_01_08 {
    unsigned int reg_01_hsrx_cursor_hwidth                  : 4;
    unsigned int reg_01_hsrx_cursor_vwidth                  : 4;
    unsigned int reg_01_hsrx_cursor_hstep                   : 6;
    unsigned int reg_01_hsrx_cursor_vstep                   : 6;
    unsigned int reg_01_hsrx_cursor_scan_cnt                :11;
    unsigned int reg_01_hsrx_cursor_step_en                 : 1;
};
#define rx_hsrx_ch_01_08(val) ((rs_rx_hsrx_ch_01_08*)&(val))



#define RX_HSRX_CH_01_0C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x0C)

#define RX_HSRX_CH_01_0C_struct                                          rs_rx_hsrx_ch_01_0c

typedef struct _rs_rx_hsrx_ch_01_0c  rs_rx_hsrx_ch_01_0c;
struct _rs_rx_hsrx_ch_01_0c {
    unsigned int regr_01_hsrx_cursor_bd_g                   :12;
    unsigned int regr_01_hsrx_cursor_bd_b                   :12;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_0c(val) ((rs_rx_hsrx_ch_01_0c*)&(val))



#define RX_HSRX_CH_01_10                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x10)

#define RX_HSRX_CH_01_10_struct                                          rs_rx_hsrx_ch_01_10

typedef struct _rs_rx_hsrx_ch_01_10  rs_rx_hsrx_ch_01_10;
struct _rs_rx_hsrx_ch_01_10 {
    unsigned int reg_01_hsrx_mon_bcnt                       : 3;
    unsigned int reg_01_hsrx_mon_mode                       : 4;
    unsigned int reg_01_hsrx_mon_pins                       : 4;
    unsigned int reg_01_hsrx_mon_tcnt                       : 3;
    unsigned int reg_01_hsrx_mon_vcnt                       :16;
    unsigned int reserved                                   : 2;
};
#define rx_hsrx_ch_01_10(val) ((rs_rx_hsrx_ch_01_10*)&(val))



#define RX_HSRX_CH_01_14                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x14)

#define RX_HSRX_CH_01_14_struct                                          rs_rx_hsrx_ch_01_14

typedef struct _rs_rx_hsrx_ch_01_14  rs_rx_hsrx_ch_01_14;
struct _rs_rx_hsrx_ch_01_14 {
    unsigned int reg_01_hsrx_mon_pre_bcnt                   : 3;
    unsigned int reg_01_hsrx_mon_pre_mode                   : 4;
    unsigned int reg_01_hsrx_mon_pre_pins                   : 4;
    unsigned int reg_01_hsrx_mon_pre_tcnt                   : 3;
    unsigned int reg_01_hsrx_mon_pre_vcnt                   :16;
    unsigned int reserved                                   : 2;
};
#define rx_hsrx_ch_01_14(val) ((rs_rx_hsrx_ch_01_14*)&(val))



#define RX_HSRX_CH_01_1C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x1C)

#define RX_HSRX_CH_01_1C_struct                                          rs_rx_hsrx_ch_01_1c

typedef struct _rs_rx_hsrx_ch_01_1c  rs_rx_hsrx_ch_01_1c;
struct _rs_rx_hsrx_ch_01_1c {
    unsigned int reserved                                   : 2;
    unsigned int reg_01_hsrx_disp_enable_0                  : 1;
    unsigned int reg_01_hsrx_disp_enable_1                  : 1;
    unsigned int reg_01_hsrx_distance                       : 8;
    unsigned int reg_01_hsrx_seg_length                     : 8;
    unsigned int reg_01_hsrx_seg_width                      : 8;
    unsigned int reserved_1                                 : 4;
};
#define rx_hsrx_ch_01_1c(val) ((rs_rx_hsrx_ch_01_1c*)&(val))



#define RX_HSRX_CH_01_20                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x20)

#define RX_HSRX_CH_01_20_struct                                          rs_rx_hsrx_ch_01_20

typedef struct _rs_rx_hsrx_ch_01_20  rs_rx_hsrx_ch_01_20;
struct _rs_rx_hsrx_ch_01_20 {
    unsigned int reg_01_hsrx_seg_place_x_0                  :12;
    unsigned int reg_01_hsrx_seg_place_y_0                  :12;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_20(val) ((rs_rx_hsrx_ch_01_20*)&(val))



#define RX_HSRX_CH_01_24                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x24)

#define RX_HSRX_CH_01_24_struct                                          rs_rx_hsrx_ch_01_24

typedef struct _rs_rx_hsrx_ch_01_24  rs_rx_hsrx_ch_01_24;
struct _rs_rx_hsrx_ch_01_24 {
    unsigned int reg_01_hsrx_seg_place_x_1                  :12;
    unsigned int reg_01_hsrx_seg_place_y_1                  :12;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_24(val) ((rs_rx_hsrx_ch_01_24*)&(val))



#define RX_HSRX_CH_01_2C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x2C)

#define RX_HSRX_CH_01_2C_struct                                          rs_rx_hsrx_ch_01_2c

typedef struct _rs_rx_hsrx_ch_01_2c  rs_rx_hsrx_ch_01_2c;
struct _rs_rx_hsrx_ch_01_2c {
    unsigned int reg_01_hsrx_color_0                        :12;
    unsigned int reg_01_hsrx_color_1                        :12;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_2c(val) ((rs_rx_hsrx_ch_01_2c*)&(val))



#define RX_HSRX_CH_01_30                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x30)

#define RX_HSRX_CH_01_30_struct                                          rs_rx_hsrx_ch_01_30

typedef struct _rs_rx_hsrx_ch_01_30  rs_rx_hsrx_ch_01_30;
struct _rs_rx_hsrx_ch_01_30 {
    unsigned int reg_01_hsrx_mapping_en                     : 1;
    unsigned int reg_01_hsrx_mapping_xsb                    : 1;
    unsigned int reg_01_hsrx_mapping_pair                   : 6;
    unsigned int reg_01_hsrx_mapping_port                   : 2;
    unsigned int reserved                                   :22;
};
#define rx_hsrx_ch_01_30(val) ((rs_rx_hsrx_ch_01_30*)&(val))



#define RX_HSRX_CH_01_34                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x34)

#define RX_HSRX_CH_01_34_struct                                          rs_rx_hsrx_ch_01_34

typedef struct _rs_rx_hsrx_ch_01_34  rs_rx_hsrx_ch_01_34;
struct _rs_rx_hsrx_ch_01_34 {
    unsigned int regr_01_hsrx_aging_mode_device_id          : 8;
    unsigned int reg_01_hsrx_bluescreen_en                  : 1;
    unsigned int reg_01_hsrx_patt_mute_comp_black_en        : 1;
    unsigned int reserved                                   :22;
};
#define rx_hsrx_ch_01_34(val) ((rs_rx_hsrx_ch_01_34*)&(val))



#define RX_HSRX_CH_01_38                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x38)

#define RX_HSRX_CH_01_38_struct                                          rs_rx_hsrx_ch_01_38

typedef struct _rs_rx_hsrx_ch_01_38  rs_rx_hsrx_ch_01_38;
struct _rs_rx_hsrx_ch_01_38 {
    unsigned int reg_01_hsrx_int_vtotal_0                   :16;
    unsigned int reg_01_hsrx_int_vtotal_1                   :16;
};
#define rx_hsrx_ch_01_38(val) ((rs_rx_hsrx_ch_01_38*)&(val))



#define RX_HSRX_CH_01_3C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x3C)

#define RX_HSRX_CH_01_3C_struct                                          rs_rx_hsrx_ch_01_3c

typedef struct _rs_rx_hsrx_ch_01_3c  rs_rx_hsrx_ch_01_3c;
struct _rs_rx_hsrx_ch_01_3c {
    unsigned int reg_01_hsrx_int_vtotal_2                   :16;
    unsigned int reg_01_hsrx_int_vtotal_3                   :16;
};
#define rx_hsrx_ch_01_3c(val) ((rs_rx_hsrx_ch_01_3c*)&(val))



#define RX_HSRX_CH_01_40                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x40)

#define RX_HSRX_CH_01_40_struct                                          rs_rx_hsrx_ch_01_40

typedef struct _rs_rx_hsrx_ch_01_40  rs_rx_hsrx_ch_01_40;
struct _rs_rx_hsrx_ch_01_40 {
    unsigned int reg_01_hsrx_int_vtotal_4                   :16;
    unsigned int reg_01_hsrx_int_vtotal_5                   :16;
};
#define rx_hsrx_ch_01_40(val) ((rs_rx_hsrx_ch_01_40*)&(val))



#define RX_HSRX_CH_01_44                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x44)

#define RX_HSRX_CH_01_44_struct                                          rs_rx_hsrx_ch_01_44

typedef struct _rs_rx_hsrx_ch_01_44  rs_rx_hsrx_ch_01_44;
struct _rs_rx_hsrx_ch_01_44 {
    unsigned int reg_01_hsrx_int_vtotal_6                   :16;
    unsigned int reg_01_hsrx_int_vtotal_7                   :16;
};
#define rx_hsrx_ch_01_44(val) ((rs_rx_hsrx_ch_01_44*)&(val))



#define RX_HSRX_CH_01_48                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x48)

#define RX_HSRX_CH_01_48_struct                                          rs_rx_hsrx_ch_01_48

typedef struct _rs_rx_hsrx_ch_01_48  rs_rx_hsrx_ch_01_48;
struct _rs_rx_hsrx_ch_01_48 {
    unsigned int reg_01_hsrx_int_vtotal_8                   :16;
    unsigned int reg_01_hsrx_int_vtotal_9                   :16;
};
#define rx_hsrx_ch_01_48(val) ((rs_rx_hsrx_ch_01_48*)&(val))



#define RX_HSRX_CH_01_4C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x4C)

#define RX_HSRX_CH_01_4C_struct                                          rs_rx_hsrx_ch_01_4c

typedef struct _rs_rx_hsrx_ch_01_4c  rs_rx_hsrx_ch_01_4c;
struct _rs_rx_hsrx_ch_01_4c {
    unsigned int reg_01_hsrx_int_vtotal_10                  :16;
    unsigned int reg_01_hsrx_int_vtotal_11                  :16;
};
#define rx_hsrx_ch_01_4c(val) ((rs_rx_hsrx_ch_01_4c*)&(val))



#define RX_HSRX_CH_01_50                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x50)

#define RX_HSRX_CH_01_50_struct                                          rs_rx_hsrx_ch_01_50

typedef struct _rs_rx_hsrx_ch_01_50  rs_rx_hsrx_ch_01_50;
struct _rs_rx_hsrx_ch_01_50 {
    unsigned int reg_01_hsrx_int_vtotal_12                  :16;
    unsigned int reg_01_hsrx_int_vtotal_13                  :16;
};
#define rx_hsrx_ch_01_50(val) ((rs_rx_hsrx_ch_01_50*)&(val))



#define RX_HSRX_CH_01_54                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x54)

#define RX_HSRX_CH_01_54_struct                                          rs_rx_hsrx_ch_01_54

typedef struct _rs_rx_hsrx_ch_01_54  rs_rx_hsrx_ch_01_54;
struct _rs_rx_hsrx_ch_01_54 {
    unsigned int reg_01_hsrx_int_vtotal_14                  :16;
    unsigned int reg_01_hsrx_int_vtotal_15                  :16;
};
#define rx_hsrx_ch_01_54(val) ((rs_rx_hsrx_ch_01_54*)&(val))



#define RX_HSRX_CH_01_58                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x58)

#define RX_HSRX_CH_01_58_struct                                          rs_rx_hsrx_ch_01_58

typedef struct _rs_rx_hsrx_ch_01_58  rs_rx_hsrx_ch_01_58;
struct _rs_rx_hsrx_ch_01_58 {
    unsigned int reg_01_hsrx_int_vtotal_16                  :16;
    unsigned int reg_01_hsrx_int_vtotal_17                  :16;
};
#define rx_hsrx_ch_01_58(val) ((rs_rx_hsrx_ch_01_58*)&(val))



#define RX_HSRX_CH_01_5C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x5C)

#define RX_HSRX_CH_01_5C_struct                                          rs_rx_hsrx_ch_01_5c

typedef struct _rs_rx_hsrx_ch_01_5c  rs_rx_hsrx_ch_01_5c;
struct _rs_rx_hsrx_ch_01_5c {
    unsigned int reg_01_hsrx_int_vtotal_18                  :16;
    unsigned int reg_01_hsrx_int_vtotal_19                  :16;
};
#define rx_hsrx_ch_01_5c(val) ((rs_rx_hsrx_ch_01_5c*)&(val))



#define RX_HSRX_CH_01_60                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x60)

#define RX_HSRX_CH_01_60_struct                                          rs_rx_hsrx_ch_01_60

typedef struct _rs_rx_hsrx_ch_01_60  rs_rx_hsrx_ch_01_60;
struct _rs_rx_hsrx_ch_01_60 {
    unsigned int reg_01_hsrx_int_vtotal_20                  :16;
    unsigned int reg_01_hsrx_int_vtotal_21                  :16;
};
#define rx_hsrx_ch_01_60(val) ((rs_rx_hsrx_ch_01_60*)&(val))



#define RX_HSRX_CH_01_64                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x64)

#define RX_HSRX_CH_01_64_struct                                          rs_rx_hsrx_ch_01_64

typedef struct _rs_rx_hsrx_ch_01_64  rs_rx_hsrx_ch_01_64;
struct _rs_rx_hsrx_ch_01_64 {
    unsigned int reg_01_hsrx_int_vtotal_22                  :16;
    unsigned int reg_01_hsrx_int_vtotal_23                  :16;
};
#define rx_hsrx_ch_01_64(val) ((rs_rx_hsrx_ch_01_64*)&(val))



#define RX_HSRX_CH_01_68                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x68)

#define RX_HSRX_CH_01_68_struct                                          rs_rx_hsrx_ch_01_68

typedef struct _rs_rx_hsrx_ch_01_68  rs_rx_hsrx_ch_01_68;
struct _rs_rx_hsrx_ch_01_68 {
    unsigned int reg_01_hsrx_int_sel                        : 3;
    unsigned int reg_01_hsrx_measure_sel                    : 3;
    unsigned int reg_01_hsrx_measure_en                     : 1;
    unsigned int reg_01_hsrx_vtotal_int                     :16;
    unsigned int reg_01_hsrx_hs_int_sel                     : 1;
    unsigned int reg_01_hsrx_vs_int_sel                     : 1;
    unsigned int reserved                                   : 7;
};
#define rx_hsrx_ch_01_68(val) ((rs_rx_hsrx_ch_01_68*)&(val))



#define RX_HSRX_CH_01_6C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x6C)

#define RX_HSRX_CH_01_6C_struct                                          rs_rx_hsrx_ch_01_6c

typedef struct _rs_rx_hsrx_ch_01_6c  rs_rx_hsrx_ch_01_6c;
struct _rs_rx_hsrx_ch_01_6c {
    unsigned int reg_01_hsrx_int_wclr_hs_24                 :24;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_6c(val) ((rs_rx_hsrx_ch_01_6c*)&(val))



#define RX_HSRX_CH_01_70                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x70)

#define RX_HSRX_CH_01_70_struct                                          rs_rx_hsrx_ch_01_70

typedef struct _rs_rx_hsrx_ch_01_70  rs_rx_hsrx_ch_01_70;
struct _rs_rx_hsrx_ch_01_70 {
    unsigned int reg_01_hsrx_int_en_hs_24                   :24;
    unsigned int reserved                                   : 8;
};
#define rx_hsrx_ch_01_70(val) ((rs_rx_hsrx_ch_01_70*)&(val))



#define RX_HSRX_CH_01_74                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x74)

#define RX_HSRX_CH_01_74_struct                                          rs_rx_hsrx_ch_01_74

typedef struct _rs_rx_hsrx_ch_01_74  rs_rx_hsrx_ch_01_74;
struct _rs_rx_hsrx_ch_01_74 {
    unsigned int regr_01_hsrx_int_pending_hs_24             :24;
    unsigned int regr_01_hsrx_int_pending                   : 4;
    unsigned int reserved                                   : 4;
};
#define rx_hsrx_ch_01_74(val) ((rs_rx_hsrx_ch_01_74*)&(val))



#define RX_HSRX_CH_01_78                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x78)

#define RX_HSRX_CH_01_78_struct                                          rs_rx_hsrx_ch_01_78

typedef struct _rs_rx_hsrx_ch_01_78  rs_rx_hsrx_ch_01_78;
struct _rs_rx_hsrx_ch_01_78 {
    unsigned int regr_01_hsrx_mon_data0                     :32;
};
#define rx_hsrx_ch_01_78(val) ((rs_rx_hsrx_ch_01_78*)&(val))



#define RX_HSRX_CH_01_7C                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x7C)

#define RX_HSRX_CH_01_7C_struct                                          rs_rx_hsrx_ch_01_7c

typedef struct _rs_rx_hsrx_ch_01_7c  rs_rx_hsrx_ch_01_7c;
struct _rs_rx_hsrx_ch_01_7c {
    unsigned int regr_01_hsrx_mon_data1                     :32;
};
#define rx_hsrx_ch_01_7c(val) ((rs_rx_hsrx_ch_01_7c*)&(val))



#define RX_HSRX_CH_01_80                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x80)

#define RX_HSRX_CH_01_80_struct                                          rs_rx_hsrx_ch_01_80

typedef struct _rs_rx_hsrx_ch_01_80  rs_rx_hsrx_ch_01_80;
struct _rs_rx_hsrx_ch_01_80 {
    unsigned int regr_01_hsrx_mon_pre_data0                 :32;
};
#define rx_hsrx_ch_01_80(val) ((rs_rx_hsrx_ch_01_80*)&(val))



#define RX_HSRX_CH_01_84                                                 (HV_HSRX_CH_01_BASE_ADDRESS + 0x84)

#define RX_HSRX_CH_01_84_struct                                          rs_rx_hsrx_ch_01_84

typedef struct _rs_rx_hsrx_ch_01_84  rs_rx_hsrx_ch_01_84;
struct _rs_rx_hsrx_ch_01_84 {
    unsigned int regr_01_hsrx_mon_pre_data1                 :32;
};
#define rx_hsrx_ch_01_84(val) ((rs_rx_hsrx_ch_01_84*)&(val))



#endif