#ifndef _HV_PAGE_HT7315_HSRX_TOP_H_
#define _HV_PAGE_HT7315_HSRX_TOP_H_

#ifndef HV_HSRX_TOP_BASE_ADDRESS
    #define HV_HSRX_TOP_BASE_ADDRESS                                         0x11044000
#endif


#define RX_HSRX_TOP_00                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x00)

#define RX_HSRX_TOP_00_struct                                            rs_rx_hsrx_top_00

typedef struct _rs_rx_hsrx_top_00  rs_rx_hsrx_top_00;
struct _rs_rx_hsrx_top_00 {
    unsigned int reg_hsrx_dbg_sel                           : 4;
    unsigned int reg_dprx0_apb_clk_en                       : 1;
    unsigned int reg_dprx1_apb_clk_en                       : 1;
    unsigned int reg_hsrx_aud_dp_sel                        : 1;
    unsigned int reg_hsrx_aud_hdmi_sel                      : 1;
    unsigned int reg_hsrx_cec_clk_en                        : 1;
    unsigned int reg_hsrx_aud_cable_detect_sel              : 3;
    unsigned int reg_hsrx_axi_dbg_sel                       : 4;
    unsigned int reg_hsrx_out_sel                           :16;
};
#define rx_hsrx_top_00(val) ((rs_rx_hsrx_top_00*)&(val))



#define RX_HSRX_TOP_04                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x04)

#define RX_HSRX_TOP_04_struct                                            rs_rx_hsrx_top_04

typedef struct _rs_rx_hsrx_top_04  rs_rx_hsrx_top_04;
struct _rs_rx_hsrx_top_04 {
    unsigned int reg_hsrx_cec_clk_div_num                   :16;
    unsigned int reg_hsrx_hdrx2hdcp_mux0                    : 1;
    unsigned int reg_hsrx_hdrx2hdcp_mux1                    : 1;
    unsigned int reg_hsrx_dprx2hdcp_mux0                    : 1;
    unsigned int reg_hsrx_dprx2hdcp_mux1                    : 1;
    unsigned int reg_hsrx_video_abnormal_sel                : 1;
    unsigned int reg_hsrx_sw_aud_cable_detect               : 1;
    unsigned int reserved                                   :10;
};
#define rx_hsrx_top_04(val) ((rs_rx_hsrx_top_04*)&(val))



#define RX_HSRX_TOP_08                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x08)

#define RX_HSRX_TOP_08_struct                                            rs_rx_hsrx_top_08

typedef struct _rs_rx_hsrx_top_08  rs_rx_hsrx_top_08;
struct _rs_rx_hsrx_top_08 {
    unsigned int reg_hsrx_ce_oscclk_window_length           :12;
    unsigned int reg_hsrx_ce_prc_det_mode                   : 3;
    unsigned int reg_hsrx_ce_prc_det_clkgate_en             : 1;
    unsigned int regr_hsrx_ce_mclk_window_length_0          :16;
};
#define rx_hsrx_top_08(val) ((rs_rx_hsrx_top_08*)&(val))



#define RX_HSRX_TOP_0C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x0C)

#define RX_HSRX_TOP_0C_struct                                            rs_rx_hsrx_top_0c

typedef struct _rs_rx_hsrx_top_0c  rs_rx_hsrx_top_0c;
struct _rs_rx_hsrx_top_0c {
    unsigned int regr_hsrx_ce_mclk_window_length_1          :16;
    unsigned int reserved                                   :16;
};
#define rx_hsrx_top_0c(val) ((rs_rx_hsrx_top_0c*)&(val))



#define RX_HSRX_TOP_HDMI_TO_BW_SET                                       (HV_HSRX_TOP_BASE_ADDRESS + 0x20)

#define RX_HSRX_TOP_HDMI_TO_BW_SET_struct                                rs_rx_hsrx_top_hdmi_to_bw_set

typedef struct _rs_rx_hsrx_top_hdmi_to_bw_set  rs_rx_hsrx_top_hdmi_to_bw_set;
struct _rs_rx_hsrx_top_hdmi_to_bw_set {
    unsigned int reg_hsrx_hd2rxphy02_bw_set                 : 4;
    unsigned int reg_hsrx_hd2rxphy03_bw_set                 : 4;
    unsigned int reg_hsrx_hd2rxphy02_lane_vld               : 4;
    unsigned int reg_hsrx_hd2rxphy03_lane_vld               : 4;
    unsigned int reserved                                   :16;
};
#define rx_hsrx_top_hdmi_to_bw_set(val) ((rs_rx_hsrx_top_hdmi_to_bw_set*)&(val))



#define RX_HSRX_TOP_50                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x50)

#define RX_HSRX_TOP_50_struct                                            rs_rx_hsrx_top_50

typedef struct _rs_rx_hsrx_top_50  rs_rx_hsrx_top_50;
struct _rs_rx_hsrx_top_50 {
    unsigned int reg_hsrx_mem_reg_0                         :32;
};
#define rx_hsrx_top_50(val) ((rs_rx_hsrx_top_50*)&(val))



#define RX_HSRX_TOP_54                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x54)

#define RX_HSRX_TOP_54_struct                                            rs_rx_hsrx_top_54

typedef struct _rs_rx_hsrx_top_54  rs_rx_hsrx_top_54;
struct _rs_rx_hsrx_top_54 {
    unsigned int reg_hsrx_mem_reg_1                         :32;
};
#define rx_hsrx_top_54(val) ((rs_rx_hsrx_top_54*)&(val))



#define RX_HSRX_TOP_58                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x58)

#define RX_HSRX_TOP_58_struct                                            rs_rx_hsrx_top_58

typedef struct _rs_rx_hsrx_top_58  rs_rx_hsrx_top_58;
struct _rs_rx_hsrx_top_58 {
    unsigned int reg_hsrx_mem_reg_2                         :32;
};
#define rx_hsrx_top_58(val) ((rs_rx_hsrx_top_58*)&(val))



#define RX_HSRX_TOP_5C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x5C)

#define RX_HSRX_TOP_5C_struct                                            rs_rx_hsrx_top_5c

typedef struct _rs_rx_hsrx_top_5c  rs_rx_hsrx_top_5c;
struct _rs_rx_hsrx_top_5c {
    unsigned int reg_hsrx_mem_reg_3                         :32;
};
#define rx_hsrx_top_5c(val) ((rs_rx_hsrx_top_5c*)&(val))



#define RX_HSRX_TOP_60                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x60)

#define RX_HSRX_TOP_60_struct                                            rs_rx_hsrx_top_60

typedef struct _rs_rx_hsrx_top_60  rs_rx_hsrx_top_60;
struct _rs_rx_hsrx_top_60 {
    unsigned int reg_hsrx_mem_reg_4                         :32;
};
#define rx_hsrx_top_60(val) ((rs_rx_hsrx_top_60*)&(val))



#define RX_HSRX_TOP_64                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x64)

#define RX_HSRX_TOP_64_struct                                            rs_rx_hsrx_top_64

typedef struct _rs_rx_hsrx_top_64  rs_rx_hsrx_top_64;
struct _rs_rx_hsrx_top_64 {
    unsigned int reg_hsrx_mem_reg_5                         :32;
};
#define rx_hsrx_top_64(val) ((rs_rx_hsrx_top_64*)&(val))



#define RX_HSRX_TOP_68                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x68)

#define RX_HSRX_TOP_68_struct                                            rs_rx_hsrx_top_68

typedef struct _rs_rx_hsrx_top_68  rs_rx_hsrx_top_68;
struct _rs_rx_hsrx_top_68 {
    unsigned int reg_hsrx_mem_reg_6                         :32;
};
#define rx_hsrx_top_68(val) ((rs_rx_hsrx_top_68*)&(val))



#define RX_HSRX_TOP_6C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x6C)

#define RX_HSRX_TOP_6C_struct                                            rs_rx_hsrx_top_6c

typedef struct _rs_rx_hsrx_top_6c  rs_rx_hsrx_top_6c;
struct _rs_rx_hsrx_top_6c {
    unsigned int reg_hsrx_mem_reg_7                         :32;
};
#define rx_hsrx_top_6c(val) ((rs_rx_hsrx_top_6c*)&(val))



#define RX_HSRX_TOP_70                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x70)

#define RX_HSRX_TOP_70_struct                                            rs_rx_hsrx_top_70

typedef struct _rs_rx_hsrx_top_70  rs_rx_hsrx_top_70;
struct _rs_rx_hsrx_top_70 {
    unsigned int reg_hsrx_mem_ema_0                         :32;
};
#define rx_hsrx_top_70(val) ((rs_rx_hsrx_top_70*)&(val))



#define RX_HSRX_TOP_74                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x74)

#define RX_HSRX_TOP_74_struct                                            rs_rx_hsrx_top_74

typedef struct _rs_rx_hsrx_top_74  rs_rx_hsrx_top_74;
struct _rs_rx_hsrx_top_74 {
    unsigned int reg_hsrx_mem_ema_1                         :32;
};
#define rx_hsrx_top_74(val) ((rs_rx_hsrx_top_74*)&(val))



#define RX_HSRX_TOP_78                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x78)

#define RX_HSRX_TOP_78_struct                                            rs_rx_hsrx_top_78

typedef struct _rs_rx_hsrx_top_78  rs_rx_hsrx_top_78;
struct _rs_rx_hsrx_top_78 {
    unsigned int reg_hsrx_mem_ema_2                         :32;
};
#define rx_hsrx_top_78(val) ((rs_rx_hsrx_top_78*)&(val))



#define RX_HSRX_TOP_7C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x7C)

#define RX_HSRX_TOP_7C_struct                                            rs_rx_hsrx_top_7c

typedef struct _rs_rx_hsrx_top_7c  rs_rx_hsrx_top_7c;
struct _rs_rx_hsrx_top_7c {
    unsigned int reg_hsrx_mem_ema_3                         :32;
};
#define rx_hsrx_top_7c(val) ((rs_rx_hsrx_top_7c*)&(val))



#define RX_HSRX_TOP_80                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x80)

#define RX_HSRX_TOP_80_struct                                            rs_rx_hsrx_top_80

typedef struct _rs_rx_hsrx_top_80  rs_rx_hsrx_top_80;
struct _rs_rx_hsrx_top_80 {
    unsigned int reg_hsrx_mem_ema_4                         :32;
};
#define rx_hsrx_top_80(val) ((rs_rx_hsrx_top_80*)&(val))



#define RX_HSRX_TOP_84                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x84)

#define RX_HSRX_TOP_84_struct                                            rs_rx_hsrx_top_84

typedef struct _rs_rx_hsrx_top_84  rs_rx_hsrx_top_84;
struct _rs_rx_hsrx_top_84 {
    unsigned int reg_hsrx_mem_ema_5                         :32;
};
#define rx_hsrx_top_84(val) ((rs_rx_hsrx_top_84*)&(val))



#define RX_HSRX_TOP_88                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x88)

#define RX_HSRX_TOP_88_struct                                            rs_rx_hsrx_top_88

typedef struct _rs_rx_hsrx_top_88  rs_rx_hsrx_top_88;
struct _rs_rx_hsrx_top_88 {
    unsigned int reg_hsrx_mem_ema_6                         :32;
};
#define rx_hsrx_top_88(val) ((rs_rx_hsrx_top_88*)&(val))



#define RX_HSRX_TOP_8C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x8C)

#define RX_HSRX_TOP_8C_struct                                            rs_rx_hsrx_top_8c

typedef struct _rs_rx_hsrx_top_8c  rs_rx_hsrx_top_8c;
struct _rs_rx_hsrx_top_8c {
    unsigned int reg_hsrx_mem_ema_7                         :32;
};
#define rx_hsrx_top_8c(val) ((rs_rx_hsrx_top_8c*)&(val))



#define RX_HSRX_TOP_90                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x90)

#define RX_HSRX_TOP_90_struct                                            rs_rx_hsrx_top_90

typedef struct _rs_rx_hsrx_top_90  rs_rx_hsrx_top_90;
struct _rs_rx_hsrx_top_90 {
    unsigned int reg_hsrx_mem_ema_8                         :32;
};
#define rx_hsrx_top_90(val) ((rs_rx_hsrx_top_90*)&(val))



#define RX_HSRX_TOP_94                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x94)

#define RX_HSRX_TOP_94_struct                                            rs_rx_hsrx_top_94

typedef struct _rs_rx_hsrx_top_94  rs_rx_hsrx_top_94;
struct _rs_rx_hsrx_top_94 {
    unsigned int reg_hsrx_mem_ema_9                         :32;
};
#define rx_hsrx_top_94(val) ((rs_rx_hsrx_top_94*)&(val))



#define RX_HSRX_TOP_98                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x98)

#define RX_HSRX_TOP_98_struct                                            rs_rx_hsrx_top_98

typedef struct _rs_rx_hsrx_top_98  rs_rx_hsrx_top_98;
struct _rs_rx_hsrx_top_98 {
    unsigned int reg_hsrx_mem_ema_10                        :32;
};
#define rx_hsrx_top_98(val) ((rs_rx_hsrx_top_98*)&(val))



#define RX_HSRX_TOP_9C                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0x9C)

#define RX_HSRX_TOP_9C_struct                                            rs_rx_hsrx_top_9c

typedef struct _rs_rx_hsrx_top_9c  rs_rx_hsrx_top_9c;
struct _rs_rx_hsrx_top_9c {
    unsigned int reg_hsrx_mem_ema_11                        :32;
};
#define rx_hsrx_top_9c(val) ((rs_rx_hsrx_top_9c*)&(val))



#define RX_HSRX_TOP_A0                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xA0)

#define RX_HSRX_TOP_A0_struct                                            rs_rx_hsrx_top_a0

typedef struct _rs_rx_hsrx_top_a0  rs_rx_hsrx_top_a0;
struct _rs_rx_hsrx_top_a0 {
    unsigned int reg_hsrx_mem_ema_12                        :32;
};
#define rx_hsrx_top_a0(val) ((rs_rx_hsrx_top_a0*)&(val))



#define RX_HSRX_TOP_A4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xA4)

#define RX_HSRX_TOP_A4_struct                                            rs_rx_hsrx_top_a4

typedef struct _rs_rx_hsrx_top_a4  rs_rx_hsrx_top_a4;
struct _rs_rx_hsrx_top_a4 {
    unsigned int reg_hsrx_mem_ema_13                        :32;
};
#define rx_hsrx_top_a4(val) ((rs_rx_hsrx_top_a4*)&(val))



#define RX_HSRX_TOP_A8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xA8)

#define RX_HSRX_TOP_A8_struct                                            rs_rx_hsrx_top_a8

typedef struct _rs_rx_hsrx_top_a8  rs_rx_hsrx_top_a8;
struct _rs_rx_hsrx_top_a8 {
    unsigned int reg_hsrx_mem_ema_14                        :32;
};
#define rx_hsrx_top_a8(val) ((rs_rx_hsrx_top_a8*)&(val))



#define RX_HSRX_TOP_AC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xAC)

#define RX_HSRX_TOP_AC_struct                                            rs_rx_hsrx_top_ac

typedef struct _rs_rx_hsrx_top_ac  rs_rx_hsrx_top_ac;
struct _rs_rx_hsrx_top_ac {
    unsigned int reg_hsrx_mem_ema_15                        :32;
};
#define rx_hsrx_top_ac(val) ((rs_rx_hsrx_top_ac*)&(val))



#define RX_HSRX_TOP_B4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xB4)

#define RX_HSRX_TOP_B4_struct                                            rs_rx_hsrx_top_b4

typedef struct _rs_rx_hsrx_top_b4  rs_rx_hsrx_top_b4;
struct _rs_rx_hsrx_top_b4 {
    unsigned int regr_mbist_faultinfo_hsrx                  :32;
};
#define rx_hsrx_top_b4(val) ((rs_rx_hsrx_top_b4*)&(val))



#define RX_HSRX_TOP_B8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xB8)

#define RX_HSRX_TOP_B8_struct                                            rs_rx_hsrx_top_b8

typedef struct _rs_rx_hsrx_top_b8  rs_rx_hsrx_top_b8;
struct _rs_rx_hsrx_top_b8 {
    unsigned int regr_hsrx_mem_ro_0                         :32;
};
#define rx_hsrx_top_b8(val) ((rs_rx_hsrx_top_b8*)&(val))



#define RX_HSRX_TOP_BC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xBC)

#define RX_HSRX_TOP_BC_struct                                            rs_rx_hsrx_top_bc

typedef struct _rs_rx_hsrx_top_bc  rs_rx_hsrx_top_bc;
struct _rs_rx_hsrx_top_bc {
    unsigned int regr_hsrx_mem_ro_1                         :32;
};
#define rx_hsrx_top_bc(val) ((rs_rx_hsrx_top_bc*)&(val))



#define RX_HSRX_TOP_C0                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xC0)

#define RX_HSRX_TOP_C0_struct                                            rs_rx_hsrx_top_c0

typedef struct _rs_rx_hsrx_top_c0  rs_rx_hsrx_top_c0;
struct _rs_rx_hsrx_top_c0 {
    unsigned int regr_hsrx_mem_ro_2                         :32;
};
#define rx_hsrx_top_c0(val) ((rs_rx_hsrx_top_c0*)&(val))



#define RX_HSRX_TOP_C4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xC4)

#define RX_HSRX_TOP_C4_struct                                            rs_rx_hsrx_top_c4

typedef struct _rs_rx_hsrx_top_c4  rs_rx_hsrx_top_c4;
struct _rs_rx_hsrx_top_c4 {
    unsigned int regr_hsrx_mem_ro_3                         :32;
};
#define rx_hsrx_top_c4(val) ((rs_rx_hsrx_top_c4*)&(val))



#define RX_HSRX_TOP_C8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xC8)

#define RX_HSRX_TOP_C8_struct                                            rs_rx_hsrx_top_c8

typedef struct _rs_rx_hsrx_top_c8  rs_rx_hsrx_top_c8;
struct _rs_rx_hsrx_top_c8 {
    unsigned int regr_hsrx_mem_ro_4                         :32;
};
#define rx_hsrx_top_c8(val) ((rs_rx_hsrx_top_c8*)&(val))



#define RX_HSRX_TOP_CC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xCC)

#define RX_HSRX_TOP_CC_struct                                            rs_rx_hsrx_top_cc

typedef struct _rs_rx_hsrx_top_cc  rs_rx_hsrx_top_cc;
struct _rs_rx_hsrx_top_cc {
    unsigned int regr_hsrx_mem_ro_5                         :32;
};
#define rx_hsrx_top_cc(val) ((rs_rx_hsrx_top_cc*)&(val))



#define RX_HSRX_TOP_D0                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xD0)

#define RX_HSRX_TOP_D0_struct                                            rs_rx_hsrx_top_d0

typedef struct _rs_rx_hsrx_top_d0  rs_rx_hsrx_top_d0;
struct _rs_rx_hsrx_top_d0 {
    unsigned int regr_hsrx_mem_ro_6                         :32;
};
#define rx_hsrx_top_d0(val) ((rs_rx_hsrx_top_d0*)&(val))



#define RX_HSRX_TOP_D4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xD4)

#define RX_HSRX_TOP_D4_struct                                            rs_rx_hsrx_top_d4

typedef struct _rs_rx_hsrx_top_d4  rs_rx_hsrx_top_d4;
struct _rs_rx_hsrx_top_d4 {
    unsigned int regr_hsrx_mem_ro_7                         :32;
};
#define rx_hsrx_top_d4(val) ((rs_rx_hsrx_top_d4*)&(val))



#define RX_HSRX_TOP_D8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xD8)

#define RX_HSRX_TOP_D8_struct                                            rs_rx_hsrx_top_d8

typedef struct _rs_rx_hsrx_top_d8  rs_rx_hsrx_top_d8;
struct _rs_rx_hsrx_top_d8 {
    unsigned int regr_hsrx_mem_ro_8                         :32;
};
#define rx_hsrx_top_d8(val) ((rs_rx_hsrx_top_d8*)&(val))



#define RX_HSRX_TOP_DC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xDC)

#define RX_HSRX_TOP_DC_struct                                            rs_rx_hsrx_top_dc

typedef struct _rs_rx_hsrx_top_dc  rs_rx_hsrx_top_dc;
struct _rs_rx_hsrx_top_dc {
    unsigned int regr_hsrx_mem_ro_9                         :32;
};
#define rx_hsrx_top_dc(val) ((rs_rx_hsrx_top_dc*)&(val))



#define RX_HSRX_TOP_E0                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xE0)

#define RX_HSRX_TOP_E0_struct                                            rs_rx_hsrx_top_e0

typedef struct _rs_rx_hsrx_top_e0  rs_rx_hsrx_top_e0;
struct _rs_rx_hsrx_top_e0 {
    unsigned int regr_hsrx_mem_ro_10                        :32;
};
#define rx_hsrx_top_e0(val) ((rs_rx_hsrx_top_e0*)&(val))



#define RX_HSRX_TOP_E4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xE4)

#define RX_HSRX_TOP_E4_struct                                            rs_rx_hsrx_top_e4

typedef struct _rs_rx_hsrx_top_e4  rs_rx_hsrx_top_e4;
struct _rs_rx_hsrx_top_e4 {
    unsigned int regr_hsrx_mem_ro_11                        :32;
};
#define rx_hsrx_top_e4(val) ((rs_rx_hsrx_top_e4*)&(val))



#define RX_HSRX_TOP_E8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xE8)

#define RX_HSRX_TOP_E8_struct                                            rs_rx_hsrx_top_e8

typedef struct _rs_rx_hsrx_top_e8  rs_rx_hsrx_top_e8;
struct _rs_rx_hsrx_top_e8 {
    unsigned int regr_hsrx_mem_ro_12                        :32;
};
#define rx_hsrx_top_e8(val) ((rs_rx_hsrx_top_e8*)&(val))



#define RX_HSRX_TOP_EC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xEC)

#define RX_HSRX_TOP_EC_struct                                            rs_rx_hsrx_top_ec

typedef struct _rs_rx_hsrx_top_ec  rs_rx_hsrx_top_ec;
struct _rs_rx_hsrx_top_ec {
    unsigned int regr_hsrx_mem_ro_13                        :32;
};
#define rx_hsrx_top_ec(val) ((rs_rx_hsrx_top_ec*)&(val))



#define RX_HSRX_TOP_F0                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xF0)

#define RX_HSRX_TOP_F0_struct                                            rs_rx_hsrx_top_f0

typedef struct _rs_rx_hsrx_top_f0  rs_rx_hsrx_top_f0;
struct _rs_rx_hsrx_top_f0 {
    unsigned int regr_hsrx_mem_ro_14                        :32;
};
#define rx_hsrx_top_f0(val) ((rs_rx_hsrx_top_f0*)&(val))



#define RX_HSRX_TOP_F4                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xF4)

#define RX_HSRX_TOP_F4_struct                                            rs_rx_hsrx_top_f4

typedef struct _rs_rx_hsrx_top_f4  rs_rx_hsrx_top_f4;
struct _rs_rx_hsrx_top_f4 {
    unsigned int regr_hsrx_mem_ro_15                        :32;
};
#define rx_hsrx_top_f4(val) ((rs_rx_hsrx_top_f4*)&(val))



#define RX_HSRX_TOP_F8                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xF8)

#define RX_HSRX_TOP_F8_struct                                            rs_rx_hsrx_top_f8

typedef struct _rs_rx_hsrx_top_f8  rs_rx_hsrx_top_f8;
struct _rs_rx_hsrx_top_f8 {
    unsigned int regr_hsrx_mem_ro_16                        :32;
};
#define rx_hsrx_top_f8(val) ((rs_rx_hsrx_top_f8*)&(val))



#define RX_HSRX_TOP_FC                                                   (HV_HSRX_TOP_BASE_ADDRESS + 0xFC)

#define RX_HSRX_TOP_FC_struct                                            rs_rx_hsrx_top_fc

typedef struct _rs_rx_hsrx_top_fc  rs_rx_hsrx_top_fc;
struct _rs_rx_hsrx_top_fc {
    unsigned int regr_hsrx_mem_ro_all                       : 4;
    unsigned int reserved                                   :28;
};
#define rx_hsrx_top_fc(val) ((rs_rx_hsrx_top_fc*)&(val))



#endif