#ifndef _HV_PAGE_HT7315_KTX_POST_TOP_H_
#define _HV_PAGE_HT7315_KTX_POST_TOP_H_

#ifndef HV_KTX_POST_TOP_BASE_ADDRESS
    #define HV_KTX_POST_TOP_BASE_ADDRESS                                         0x1105E100
#endif


#define TX_KTX_POST_TOP_00                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x00)

#define TX_KTX_POST_TOP_00_struct                                        rs_tx_ktx_post_top_00

typedef struct _rs_tx_ktx_post_top_00  rs_tx_ktx_post_top_00;
struct _rs_tx_ktx_post_top_00 {
    unsigned int reg_ktx_port_num                           : 6;
    unsigned int reg_ktx_pair_num                           : 5;
    unsigned int reg_ktx_doublescan_en                      : 1;
    unsigned int reg_ktx_doublescan_mode                    : 1;
    unsigned int reg_ktx_mpp_hdet_auto_en                   : 1;
    unsigned int reg_ktx_in_timing_mode                     : 1;
    unsigned int reg_ktx_degen_use_in_vs                    : 1;
    unsigned int reg_ktx_degen_use_in_hs                    : 2;
    unsigned int reg_ktx_degen_use_in_pre_de                : 1;
    unsigned int reg_ktx_vx1_hsvs_mode                      : 1;
    unsigned int reg_ktx_degen_int_vcnt_mode                : 1;
    unsigned int reg_ktx_de_post_dummy_mode                 : 1;
    unsigned int reg_ktx_de_pre_dummy_mode                  : 1;
    unsigned int reg_mute_oe_black_en                       : 1;
    unsigned int reg_ktx_out_data_mode                      : 2;
    unsigned int reserved                                   : 1;
    unsigned int reg_ktx_post_dualgate_en                   : 1;
    unsigned int reg_ktx_post_trigate_en                    : 1;
    unsigned int reg_ktx_degen_use_in_timing                : 1;
    unsigned int reg_ktx_sram_ls                            : 1;
    unsigned int reg_ktx_degen_use_1st_line                 : 1;
};
#define tx_ktx_post_top_00(val) ((rs_tx_ktx_post_top_00*)&(val))



#define TX_KTX_POST_TOP_04                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x04)

#define TX_KTX_POST_TOP_04_struct                                        rs_tx_ktx_post_top_04

typedef struct _rs_tx_ktx_post_top_04  rs_tx_ktx_post_top_04;
struct _rs_tx_ktx_post_top_04 {
    unsigned int reg_ktx_de_pre_num                         : 5;
    unsigned int reg_ktx_dat_inv                            : 3;
    unsigned int reg_two_pair_mapping_mode                  : 1;
    unsigned int reg_ktx_fifo_flag_clear                    : 1;
    unsigned int reg_ktx_ctl_de_out_dly                     : 6;
    unsigned int reg_ktx_mpp_hbackporch                     : 8;
    unsigned int reg_ktx_ram_enable                         : 6;
    unsigned int reg_ktx_db_en                              : 1;
    unsigned int reg_ktx_db_seamless_en                     : 1;
};
#define tx_ktx_post_top_04(val) ((rs_tx_ktx_post_top_04*)&(val))



#define TX_KTX_POST_TOP_08                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x08)

#define TX_KTX_POST_TOP_08_struct                                        rs_tx_ktx_post_top_08

typedef struct _rs_tx_ktx_post_top_08  rs_tx_ktx_post_top_08;
struct _rs_tx_ktx_post_top_08 {
    unsigned int reg_ktx_mpp_hact                           :15;
    unsigned int reserved                                   : 1;
    unsigned int reg_ktx_mpp_vact                           :15;
    unsigned int reserved_1                                 : 1;
};
#define tx_ktx_post_top_08(val) ((rs_tx_ktx_post_top_08*)&(val))



#define TX_KTX_POST_TOP_0C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x0C)

#define TX_KTX_POST_TOP_0C_struct                                        rs_tx_ktx_post_top_0c

typedef struct _rs_tx_ktx_post_top_0c  rs_tx_ktx_post_top_0c;
struct _rs_tx_ktx_post_top_0c {
    unsigned int reg_ktx_wram_1st_start_addr                :13;
    unsigned int reg_ktx_de_post_dummy_num                  :13;
    unsigned int reg_ktx_de_pre_dummy_num                   : 4;
    unsigned int reg_ktx_black_insert_ctrl                  : 2;
};
#define tx_ktx_post_top_0c(val) ((rs_tx_ktx_post_top_0c*)&(val))



#define TX_KTX_POST_TOP_10                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x10)

#define TX_KTX_POST_TOP_10_struct                                        rs_tx_ktx_post_top_10

typedef struct _rs_tx_ktx_post_top_10  rs_tx_ktx_post_top_10;
struct _rs_tx_ktx_post_top_10 {
    unsigned int reg_ktx_wram_2nd_start_addr                :13;
    unsigned int reg_ktx_wram_3rd_start_addr                :13;
    unsigned int reg_ktx_dummy_htotal_mode                  : 1;
    unsigned int reg_ktx_dummy_region_mode                  : 1;
    unsigned int reg_ktx_afifo_clr_delay                    : 4;
};
#define tx_ktx_post_top_10(val) ((rs_tx_ktx_post_top_10*)&(val))



#define TX_KTX_POST_TOP_14                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x14)

#define TX_KTX_POST_TOP_14_struct                                        rs_tx_ktx_post_top_14

typedef struct _rs_tx_ktx_post_top_14  rs_tx_ktx_post_top_14;
struct _rs_tx_ktx_post_top_14 {
    unsigned int reg_ktx_vx1_hs_width                       : 8;
    unsigned int reg_ktx_vx1_vs_width                       : 4;
    unsigned int reg_ktx_vx1_vs_pos                         : 4;
    unsigned int reg_mute_oe_black_set                      :16;
};
#define tx_ktx_post_top_14(val) ((rs_tx_ktx_post_top_14*)&(val))



#define TX_KTX_POST_TOP_18                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x18)

#define TX_KTX_POST_TOP_18_struct                                        rs_tx_ktx_post_top_18

typedef struct _rs_tx_ktx_post_top_18  rs_tx_ktx_post_top_18;
struct _rs_tx_ktx_post_top_18 {
    unsigned int reg_ktx_black_dat                          : 3;
    unsigned int reg_ktx_wr_lb_edit_mode                    : 1;
    unsigned int reg_ktx_wr_lb_edit_patt_cycle              : 4;
    unsigned int reserved                                   :23;
    unsigned int reg_ktx_ds_map_en                          : 1;
};
#define tx_ktx_post_top_18(val) ((rs_tx_ktx_post_top_18*)&(val))



#define TX_KTX_POST_TOP_1C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x1C)

#define TX_KTX_POST_TOP_1C_struct                                        rs_tx_ktx_post_top_1c

typedef struct _rs_tx_ktx_post_top_1c  rs_tx_ktx_post_top_1c;
struct _rs_tx_ktx_post_top_1c {
    unsigned int reg_ktx_ds_map_0_sel                       : 3;
    unsigned int reg_ktx_ds_map_1_sel                       : 3;
    unsigned int reg_ktx_ds_map_2_sel                       : 3;
    unsigned int reg_ktx_ds_map_3_sel                       : 3;
    unsigned int reg_ktx_ds_map_4_sel                       : 3;
    unsigned int reg_ktx_ds_map_5_sel                       : 3;
    unsigned int reserved                                   :14;
};
#define tx_ktx_post_top_1c(val) ((rs_tx_ktx_post_top_1c*)&(val))



#define TX_KTX_POST_TOP_20                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x20)

#define TX_KTX_POST_TOP_20_struct                                        rs_tx_ktx_post_top_20

typedef struct _rs_tx_ktx_post_top_20  rs_tx_ktx_post_top_20;
struct _rs_tx_ktx_post_top_20 {
    unsigned int reg_ktx_lane00_index                       : 5;
    unsigned int reg_ktx_lane00_subpix_swap                 : 3;
    unsigned int reg_ktx_lane01_index                       : 5;
    unsigned int reg_ktx_lane01_subpix_swap                 : 3;
    unsigned int reg_ktx_lane02_index                       : 5;
    unsigned int reg_ktx_lane02_subpix_swap                 : 3;
    unsigned int reg_ktx_lane03_index                       : 5;
    unsigned int reg_ktx_lane03_subpix_swap                 : 3;
};
#define tx_ktx_post_top_20(val) ((rs_tx_ktx_post_top_20*)&(val))



#define TX_KTX_POST_TOP_24                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x24)

#define TX_KTX_POST_TOP_24_struct                                        rs_tx_ktx_post_top_24

typedef struct _rs_tx_ktx_post_top_24  rs_tx_ktx_post_top_24;
struct _rs_tx_ktx_post_top_24 {
    unsigned int reg_ktx_lane04_index                       : 5;
    unsigned int reg_ktx_lane04_subpix_swap                 : 3;
    unsigned int reg_ktx_lane05_index                       : 5;
    unsigned int reg_ktx_lane05_subpix_swap                 : 3;
    unsigned int reg_ktx_lane06_index                       : 5;
    unsigned int reg_ktx_lane06_subpix_swap                 : 3;
    unsigned int reg_ktx_lane07_index                       : 5;
    unsigned int reg_ktx_lane07_subpix_swap                 : 3;
};
#define tx_ktx_post_top_24(val) ((rs_tx_ktx_post_top_24*)&(val))



#define TX_KTX_POST_TOP_28                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x28)

#define TX_KTX_POST_TOP_28_struct                                        rs_tx_ktx_post_top_28

typedef struct _rs_tx_ktx_post_top_28  rs_tx_ktx_post_top_28;
struct _rs_tx_ktx_post_top_28 {
    unsigned int reg_ktx_lane08_index                       : 5;
    unsigned int reg_ktx_lane08_subpix_swap                 : 3;
    unsigned int reg_ktx_lane09_index                       : 5;
    unsigned int reg_ktx_lane09_subpix_swap                 : 3;
    unsigned int reg_ktx_lane10_index                       : 5;
    unsigned int reg_ktx_lane10_subpix_swap                 : 3;
    unsigned int reg_ktx_lane11_index                       : 5;
    unsigned int reg_ktx_lane11_subpix_swap                 : 3;
};
#define tx_ktx_post_top_28(val) ((rs_tx_ktx_post_top_28*)&(val))



#define TX_KTX_POST_TOP_2C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x2C)

#define TX_KTX_POST_TOP_2C_struct                                        rs_tx_ktx_post_top_2c

typedef struct _rs_tx_ktx_post_top_2c  rs_tx_ktx_post_top_2c;
struct _rs_tx_ktx_post_top_2c {
    unsigned int reg_ktx_lane12_index                       : 5;
    unsigned int reg_ktx_lane12_subpix_swap                 : 3;
    unsigned int reg_ktx_lane13_index                       : 5;
    unsigned int reg_ktx_lane13_subpix_swap                 : 3;
    unsigned int reg_ktx_lane14_index                       : 5;
    unsigned int reg_ktx_lane14_subpix_swap                 : 3;
    unsigned int reg_ktx_lane15_index                       : 5;
    unsigned int reg_ktx_lane15_subpix_swap                 : 3;
};
#define tx_ktx_post_top_2c(val) ((rs_tx_ktx_post_top_2c*)&(val))



#define TX_KTX_POST_TOP_30                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x30)

#define TX_KTX_POST_TOP_30_struct                                        rs_tx_ktx_post_top_30

typedef struct _rs_tx_ktx_post_top_30  rs_tx_ktx_post_top_30;
struct _rs_tx_ktx_post_top_30 {
    unsigned int reg_ktx_lane16_index                       : 5;
    unsigned int reg_ktx_lane16_subpix_swap                 : 3;
    unsigned int reg_ktx_lane17_index                       : 5;
    unsigned int reg_ktx_lane17_subpix_swap                 : 3;
    unsigned int reg_ktx_lane18_index                       : 5;
    unsigned int reg_ktx_lane18_subpix_swap                 : 3;
    unsigned int reg_ktx_lane19_index                       : 5;
    unsigned int reg_ktx_lane19_subpix_swap                 : 3;
};
#define tx_ktx_post_top_30(val) ((rs_tx_ktx_post_top_30*)&(val))



#define TX_KTX_POST_TOP_34                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x34)

#define TX_KTX_POST_TOP_34_struct                                        rs_tx_ktx_post_top_34

typedef struct _rs_tx_ktx_post_top_34  rs_tx_ktx_post_top_34;
struct _rs_tx_ktx_post_top_34 {
    unsigned int reg_ktx_lane20_index                       : 5;
    unsigned int reg_ktx_lane20_subpix_swap                 : 3;
    unsigned int reg_ktx_lane21_index                       : 5;
    unsigned int reg_ktx_lane21_subpix_swap                 : 3;
    unsigned int reg_ktx_lane22_index                       : 5;
    unsigned int reg_ktx_lane22_subpix_swap                 : 3;
    unsigned int reg_ktx_lane23_index                       : 5;
    unsigned int reg_ktx_lane23_subpix_swap                 : 3;
};
#define tx_ktx_post_top_34(val) ((rs_tx_ktx_post_top_34*)&(val))



#define TX_KTX_POST_TOP_38                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x38)

#define TX_KTX_POST_TOP_38_struct                                        rs_tx_ktx_post_top_38

typedef struct _rs_tx_ktx_post_top_38  rs_tx_ktx_post_top_38;
struct _rs_tx_ktx_post_top_38 {
    unsigned int reg_ktx_lane24_index                       : 5;
    unsigned int reg_ktx_lane24_subpix_swap                 : 3;
    unsigned int reg_ktx_lane25_index                       : 5;
    unsigned int reg_ktx_lane25_subpix_swap                 : 3;
    unsigned int reg_ktx_lane26_index                       : 5;
    unsigned int reg_ktx_lane26_subpix_swap                 : 3;
    unsigned int reg_ktx_lane27_index                       : 5;
    unsigned int reg_ktx_lane27_subpix_swap                 : 3;
};
#define tx_ktx_post_top_38(val) ((rs_tx_ktx_post_top_38*)&(val))



#define TX_KTX_POST_TOP_3C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x3C)

#define TX_KTX_POST_TOP_3C_struct                                        rs_tx_ktx_post_top_3c

typedef struct _rs_tx_ktx_post_top_3c  rs_tx_ktx_post_top_3c;
struct _rs_tx_ktx_post_top_3c {
    unsigned int reg_ktx_lane28_index                       : 5;
    unsigned int reg_ktx_lane28_subpix_swap                 : 3;
    unsigned int reg_ktx_lane29_index                       : 5;
    unsigned int reg_ktx_lane29_subpix_swap                 : 3;
    unsigned int reg_ktx_lane30_index                       : 5;
    unsigned int reg_ktx_lane30_subpix_swap                 : 3;
    unsigned int reg_ktx_lane31_index                       : 5;
    unsigned int reg_ktx_lane31_subpix_swap                 : 3;
};
#define tx_ktx_post_top_3c(val) ((rs_tx_ktx_post_top_3c*)&(val))



#define TX_KTX_POST_TOP_40                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x40)

#define TX_KTX_POST_TOP_40_struct                                        rs_tx_ktx_post_top_40

typedef struct _rs_tx_ktx_post_top_40  rs_tx_ktx_post_top_40;
struct _rs_tx_ktx_post_top_40 {
    unsigned int reg_ktx_rram_p00_addr_shift                :13;
    unsigned int reg_ktx_rram_p01_addr_shift                :13;
    unsigned int reg_ktx_rram_p00_reverse                   : 1;
    unsigned int reg_ktx_rram_p01_reverse                   : 1;
    unsigned int reg_ktx_rram_p02_reverse                   : 1;
    unsigned int reg_ktx_rram_p03_reverse                   : 1;
    unsigned int reg_ktx_rram_p04_reverse                   : 1;
    unsigned int reg_ktx_rram_p05_reverse                   : 1;
};
#define tx_ktx_post_top_40(val) ((rs_tx_ktx_post_top_40*)&(val))



#define TX_KTX_POST_TOP_44                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x44)

#define TX_KTX_POST_TOP_44_struct                                        rs_tx_ktx_post_top_44

typedef struct _rs_tx_ktx_post_top_44  rs_tx_ktx_post_top_44;
struct _rs_tx_ktx_post_top_44 {
    unsigned int reg_ktx_rram_p02_addr_shift                :13;
    unsigned int reg_ktx_rram_p03_addr_shift                :13;
    unsigned int reg_ktx_rram_p06_reverse                   : 1;
    unsigned int reg_ktx_rram_p07_reverse                   : 1;
    unsigned int reg_ktx_rram_p08_reverse                   : 1;
    unsigned int reg_ktx_rram_p09_reverse                   : 1;
    unsigned int reg_ktx_rram_p10_reverse                   : 1;
    unsigned int reg_ktx_rram_p11_reverse                   : 1;
};
#define tx_ktx_post_top_44(val) ((rs_tx_ktx_post_top_44*)&(val))



#define TX_KTX_POST_TOP_48                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x48)

#define TX_KTX_POST_TOP_48_struct                                        rs_tx_ktx_post_top_48

typedef struct _rs_tx_ktx_post_top_48  rs_tx_ktx_post_top_48;
struct _rs_tx_ktx_post_top_48 {
    unsigned int reg_ktx_rram_p04_addr_shift                :13;
    unsigned int reg_ktx_rram_p05_addr_shift                :13;
    unsigned int reg_ktx_rram_p12_reverse                   : 1;
    unsigned int reg_ktx_rram_p13_reverse                   : 1;
    unsigned int reg_ktx_rram_p14_reverse                   : 1;
    unsigned int reg_ktx_rram_p15_reverse                   : 1;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_48(val) ((rs_tx_ktx_post_top_48*)&(val))



#define TX_KTX_POST_TOP_4C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x4C)

#define TX_KTX_POST_TOP_4C_struct                                        rs_tx_ktx_post_top_4c

typedef struct _rs_tx_ktx_post_top_4c  rs_tx_ktx_post_top_4c;
struct _rs_tx_ktx_post_top_4c {
    unsigned int reg_ktx_rram_p06_addr_shift                :13;
    unsigned int reg_ktx_rram_p07_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_4c(val) ((rs_tx_ktx_post_top_4c*)&(val))



#define TX_KTX_POST_TOP_50                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x50)

#define TX_KTX_POST_TOP_50_struct                                        rs_tx_ktx_post_top_50

typedef struct _rs_tx_ktx_post_top_50  rs_tx_ktx_post_top_50;
struct _rs_tx_ktx_post_top_50 {
    unsigned int reg_ktx_rram_p08_addr_shift                :13;
    unsigned int reg_ktx_rram_p09_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_50(val) ((rs_tx_ktx_post_top_50*)&(val))



#define TX_KTX_POST_TOP_54                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x54)

#define TX_KTX_POST_TOP_54_struct                                        rs_tx_ktx_post_top_54

typedef struct _rs_tx_ktx_post_top_54  rs_tx_ktx_post_top_54;
struct _rs_tx_ktx_post_top_54 {
    unsigned int reg_ktx_rram_p10_addr_shift                :13;
    unsigned int reg_ktx_rram_p11_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_54(val) ((rs_tx_ktx_post_top_54*)&(val))



#define TX_KTX_POST_TOP_58                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x58)

#define TX_KTX_POST_TOP_58_struct                                        rs_tx_ktx_post_top_58

typedef struct _rs_tx_ktx_post_top_58  rs_tx_ktx_post_top_58;
struct _rs_tx_ktx_post_top_58 {
    unsigned int reg_ktx_rram_p12_addr_shift                :13;
    unsigned int reg_ktx_rram_p13_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_58(val) ((rs_tx_ktx_post_top_58*)&(val))



#define TX_KTX_POST_TOP_5C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x5C)

#define TX_KTX_POST_TOP_5C_struct                                        rs_tx_ktx_post_top_5c

typedef struct _rs_tx_ktx_post_top_5c  rs_tx_ktx_post_top_5c;
struct _rs_tx_ktx_post_top_5c {
    unsigned int reg_ktx_rram_p14_addr_shift                :13;
    unsigned int reg_ktx_rram_p15_addr_shift                :13;
    unsigned int reg_ktx_repeat_read_first_line_num         : 3;
    unsigned int reg_ktx_repeat_read_last_line_num          : 3;
};
#define tx_ktx_post_top_5c(val) ((rs_tx_ktx_post_top_5c*)&(val))



#define TX_KTX_POST_TOP_60                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x60)

#define TX_KTX_POST_TOP_60_struct                                        rs_tx_ktx_post_top_60

typedef struct _rs_tx_ktx_post_top_60  rs_tx_ktx_post_top_60;
struct _rs_tx_ktx_post_top_60 {
    unsigned int reg_ktx_ln_pixel_swap                      :32;
};
#define tx_ktx_post_top_60(val) ((rs_tx_ktx_post_top_60*)&(val))



#define TX_KTX_POST_TOP_64                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x64)

#define TX_KTX_POST_TOP_64_struct                                        rs_tx_ktx_post_top_64

typedef struct _rs_tx_ktx_post_top_64  rs_tx_ktx_post_top_64;
struct _rs_tx_ktx_post_top_64 {
    unsigned int reg_ktx_out_bit_swap                       :32;
};
#define tx_ktx_post_top_64(val) ((rs_tx_ktx_post_top_64*)&(val))



#define TX_KTX_POST_TOP_68                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x68)

#define TX_KTX_POST_TOP_68_struct                                        rs_tx_ktx_post_top_68

typedef struct _rs_tx_ktx_post_top_68  rs_tx_ktx_post_top_68;
struct _rs_tx_ktx_post_top_68 {
    unsigned int reg_ktx_data_hs_dly                        :11;
    unsigned int reg_ktx_cursor_port_sel                    : 5;
    unsigned int reg_ktx_pfifo_rden_patt_sel                : 1;
    unsigned int reg_ktx_dummy_htotal                       :15;
};
#define tx_ktx_post_top_68(val) ((rs_tx_ktx_post_top_68*)&(val))



#define TX_KTX_POST_TOP_6C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x6C)

#define TX_KTX_POST_TOP_6C_struct                                        rs_tx_ktx_post_top_6c

typedef struct _rs_tx_ktx_post_top_6c  rs_tx_ktx_post_top_6c;
struct _rs_tx_ktx_post_top_6c {
    unsigned int reg_ktx_pfifo_rden_patt                    :32;
};
#define tx_ktx_post_top_6c(val) ((rs_tx_ktx_post_top_6c*)&(val))



#define TX_KTX_POST_TOP_70                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x70)

#define TX_KTX_POST_TOP_70_struct                                        rs_tx_ktx_post_top_70

typedef struct _rs_tx_ktx_post_top_70  rs_tx_ktx_post_top_70;
struct _rs_tx_ktx_post_top_70 {
    unsigned int reg_ktx_rram_p16_addr_shift                :13;
    unsigned int reg_ktx_rram_p17_addr_shift                :13;
    unsigned int reg_ktx_rram_p16_reverse                   : 1;
    unsigned int reg_ktx_rram_p17_reverse                   : 1;
    unsigned int reg_ktx_rram_p18_reverse                   : 1;
    unsigned int reg_ktx_rram_p19_reverse                   : 1;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_70(val) ((rs_tx_ktx_post_top_70*)&(val))



#define TX_KTX_POST_TOP_74                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x74)

#define TX_KTX_POST_TOP_74_struct                                        rs_tx_ktx_post_top_74

typedef struct _rs_tx_ktx_post_top_74  rs_tx_ktx_post_top_74;
struct _rs_tx_ktx_post_top_74 {
    unsigned int reg_ktx_rram_p18_addr_shift                :13;
    unsigned int reg_ktx_rram_p19_addr_shift                :13;
    unsigned int reg_ktx_rram_p20_reverse                   : 1;
    unsigned int reg_ktx_rram_p21_reverse                   : 1;
    unsigned int reg_ktx_rram_p22_reverse                   : 1;
    unsigned int reg_ktx_rram_p23_reverse                   : 1;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_74(val) ((rs_tx_ktx_post_top_74*)&(val))



#define TX_KTX_POST_TOP_78                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x78)

#define TX_KTX_POST_TOP_78_struct                                        rs_tx_ktx_post_top_78

typedef struct _rs_tx_ktx_post_top_78  rs_tx_ktx_post_top_78;
struct _rs_tx_ktx_post_top_78 {
    unsigned int reg_ktx_rram_p20_addr_shift                :13;
    unsigned int reg_ktx_rram_p21_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_78(val) ((rs_tx_ktx_post_top_78*)&(val))



#define TX_KTX_POST_TOP_7C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x7C)

#define TX_KTX_POST_TOP_7C_struct                                        rs_tx_ktx_post_top_7c

typedef struct _rs_tx_ktx_post_top_7c  rs_tx_ktx_post_top_7c;
struct _rs_tx_ktx_post_top_7c {
    unsigned int reg_ktx_rram_p22_addr_shift                :13;
    unsigned int reg_ktx_rram_p23_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_7c(val) ((rs_tx_ktx_post_top_7c*)&(val))



#define TX_KTX_POST_TOP_80                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x80)

#define TX_KTX_POST_TOP_80_struct                                        rs_tx_ktx_post_top_80

typedef struct _rs_tx_ktx_post_top_80  rs_tx_ktx_post_top_80;
struct _rs_tx_ktx_post_top_80 {
    unsigned int reg_ktx_in_vact                            :15;
    unsigned int reg_ktx_hs_filter                          :15;
    unsigned int reg_ktx_hs_filter_mode                     : 1;
    unsigned int reserved                                   : 1;
};
#define tx_ktx_post_top_80(val) ((rs_tx_ktx_post_top_80*)&(val))



#define TX_KTX_POST_TOP_84                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x84)

#define TX_KTX_POST_TOP_84_struct                                        rs_tx_ktx_post_top_84

typedef struct _rs_tx_ktx_post_top_84  rs_tx_ktx_post_top_84;
struct _rs_tx_ktx_post_top_84 {
    unsigned int reg_ktx_cursor_h                           :13;
    unsigned int reg_ktx_cursor_v                           :15;
    unsigned int reg_ktx_cursor_en                          : 1;
    unsigned int reg_ktx_cursor_show                        : 3;
};
#define tx_ktx_post_top_84(val) ((rs_tx_ktx_post_top_84*)&(val))



#define TX_KTX_POST_TOP_88                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x88)

#define TX_KTX_POST_TOP_88_struct                                        rs_tx_ktx_post_top_88

typedef struct _rs_tx_ktx_post_top_88  rs_tx_ktx_post_top_88;
struct _rs_tx_ktx_post_top_88 {
    unsigned int reg_ktx_cursor_color_r                     :10;
    unsigned int reg_ktx_cursor_color_g                     :10;
    unsigned int reg_ktx_cursor_color_b                     :10;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_88(val) ((rs_tx_ktx_post_top_88*)&(val))



#define TX_KTX_POST_TOP_8C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x8C)

#define TX_KTX_POST_TOP_8C_struct                                        rs_tx_ktx_post_top_8c

typedef struct _rs_tx_ktx_post_top_8c  rs_tx_ktx_post_top_8c;
struct _rs_tx_ktx_post_top_8c {
    unsigned int reg_ktx_fdummy_color_r                     :10;
    unsigned int reg_ktx_fdummy_color_g                     :10;
    unsigned int reg_ktx_fdummy_color_b                     :10;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_8c(val) ((rs_tx_ktx_post_top_8c*)&(val))



#define TX_KTX_POST_TOP_90                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x90)

#define TX_KTX_POST_TOP_90_struct                                        rs_tx_ktx_post_top_90

typedef struct _rs_tx_ktx_post_top_90  rs_tx_ktx_post_top_90;
struct _rs_tx_ktx_post_top_90 {
    unsigned int reg_ktx_bdummy_color_r                     :10;
    unsigned int reg_ktx_bdummy_color_g                     :10;
    unsigned int reg_ktx_bdummy_color_b                     :10;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_90(val) ((rs_tx_ktx_post_top_90*)&(val))



#define TX_KTX_POST_TOP_94                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x94)

#define TX_KTX_POST_TOP_94_struct                                        rs_tx_ktx_post_top_94

typedef struct _rs_tx_ktx_post_top_94  rs_tx_ktx_post_top_94;
struct _rs_tx_ktx_post_top_94 {
    unsigned int reg_ktx_wr_lb_edit_patt_0                  :32;
};
#define tx_ktx_post_top_94(val) ((rs_tx_ktx_post_top_94*)&(val))



#define TX_KTX_POST_TOP_98                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x98)

#define TX_KTX_POST_TOP_98_struct                                        rs_tx_ktx_post_top_98

typedef struct _rs_tx_ktx_post_top_98  rs_tx_ktx_post_top_98;
struct _rs_tx_ktx_post_top_98 {
    unsigned int reg_ktx_wr_lb_edit_patt_1                  :16;
    unsigned int reserved                                   :16;
};
#define tx_ktx_post_top_98(val) ((rs_tx_ktx_post_top_98*)&(val))



#define TX_KTX_POST_TOP_9C                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0x9C)

#define TX_KTX_POST_TOP_9C_struct                                        rs_tx_ktx_post_top_9c

typedef struct _rs_tx_ktx_post_top_9c  rs_tx_ktx_post_top_9c;
struct _rs_tx_ktx_post_top_9c {
    unsigned int reg_ktx_rram_p24_addr_shift                :13;
    unsigned int reg_ktx_rram_p25_addr_shift                :13;
    unsigned int reg_ktx_rram_p24_reverse                   : 1;
    unsigned int reg_ktx_rram_p25_reverse                   : 1;
    unsigned int reg_ktx_rram_p26_reverse                   : 1;
    unsigned int reg_ktx_rram_p27_reverse                   : 1;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_9c(val) ((rs_tx_ktx_post_top_9c*)&(val))



#define TX_KTX_POST_TOP_A0                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xA0)

#define TX_KTX_POST_TOP_A0_struct                                        rs_tx_ktx_post_top_a0

typedef struct _rs_tx_ktx_post_top_a0  rs_tx_ktx_post_top_a0;
struct _rs_tx_ktx_post_top_a0 {
    unsigned int reg_ktx_rram_p26_addr_shift                :13;
    unsigned int reg_ktx_rram_p27_addr_shift                :13;
    unsigned int reg_ktx_rram_p28_reverse                   : 1;
    unsigned int reg_ktx_rram_p29_reverse                   : 1;
    unsigned int reg_ktx_rram_p30_reverse                   : 1;
    unsigned int reg_ktx_rram_p31_reverse                   : 1;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_a0(val) ((rs_tx_ktx_post_top_a0*)&(val))



#define TX_KTX_POST_TOP_A4                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xA4)

#define TX_KTX_POST_TOP_A4_struct                                        rs_tx_ktx_post_top_a4

typedef struct _rs_tx_ktx_post_top_a4  rs_tx_ktx_post_top_a4;
struct _rs_tx_ktx_post_top_a4 {
    unsigned int reg_ktx_rram_p28_addr_shift                :13;
    unsigned int reg_ktx_rram_p29_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_a4(val) ((rs_tx_ktx_post_top_a4*)&(val))



#define TX_KTX_POST_TOP_A8                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xA8)

#define TX_KTX_POST_TOP_A8_struct                                        rs_tx_ktx_post_top_a8

typedef struct _rs_tx_ktx_post_top_a8  rs_tx_ktx_post_top_a8;
struct _rs_tx_ktx_post_top_a8 {
    unsigned int reg_ktx_rram_p30_addr_shift                :13;
    unsigned int reg_ktx_rram_p31_addr_shift                :13;
    unsigned int reserved                                   : 6;
};
#define tx_ktx_post_top_a8(val) ((rs_tx_ktx_post_top_a8*)&(val))



#define TX_KTX_POST_TOP_DC                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xDC)

#define TX_KTX_POST_TOP_DC_struct                                        rs_tx_ktx_post_top_dc

typedef struct _rs_tx_ktx_post_top_dc  rs_tx_ktx_post_top_dc;
struct _rs_tx_ktx_post_top_dc {
    unsigned int regr_rd_fifo_patt                          :32;
};
#define tx_ktx_post_top_dc(val) ((rs_tx_ktx_post_top_dc*)&(val))



#define TX_KTX_POST_TOP_E0                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xE0)

#define TX_KTX_POST_TOP_E0_struct                                        rs_tx_ktx_post_top_e0

typedef struct _rs_tx_ktx_post_top_e0  rs_tx_ktx_post_top_e0;
struct _rs_tx_ktx_post_top_e0 {
    unsigned int regr_ktx_fifo_underflow                    :32;
};
#define tx_ktx_post_top_e0(val) ((rs_tx_ktx_post_top_e0*)&(val))



#define TX_KTX_POST_TOP_E4                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xE4)

#define TX_KTX_POST_TOP_E4_struct                                        rs_tx_ktx_post_top_e4

typedef struct _rs_tx_ktx_post_top_e4  rs_tx_ktx_post_top_e4;
struct _rs_tx_ktx_post_top_e4 {
    unsigned int regr_ktx_fifo_overflow                     :32;
};
#define tx_ktx_post_top_e4(val) ((rs_tx_ktx_post_top_e4*)&(val))



#define TX_KTX_POST_TOP_E8                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xE8)

#define TX_KTX_POST_TOP_E8_struct                                        rs_tx_ktx_post_top_e8

typedef struct _rs_tx_ktx_post_top_e8  rs_tx_ktx_post_top_e8;
struct _rs_tx_ktx_post_top_e8 {
    unsigned int regr_ktx_out_de_valid_match                : 1;
    unsigned int regr_ktx_out_vshs_rp_match                 : 1;
    unsigned int regr_ktx_in_pre_de_num                     : 4;
    unsigned int regr_ktx_out_dh_1st_total                  :15;
    unsigned int reserved                                   :11;
};
#define tx_ktx_post_top_e8(val) ((rs_tx_ktx_post_top_e8*)&(val))



#define TX_KTX_POST_TOP_EC                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xEC)

#define TX_KTX_POST_TOP_EC_struct                                        rs_tx_ktx_post_top_ec

typedef struct _rs_tx_ktx_post_top_ec  rs_tx_ktx_post_top_ec;
struct _rs_tx_ktx_post_top_ec {
    unsigned int regr_ktx_out_dh_2nd_total                  :15;
    unsigned int regr_ktx_out_dh_3rd_total                  :15;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_ec(val) ((rs_tx_ktx_post_top_ec*)&(val))



#define TX_KTX_POST_TOP_F0                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xF0)

#define TX_KTX_POST_TOP_F0_struct                                        rs_tx_ktx_post_top_f0

typedef struct _rs_tx_ktx_post_top_f0  rs_tx_ktx_post_top_f0;
struct _rs_tx_ktx_post_top_f0 {
    unsigned int regr_ktx_out_dh_den_sta                    :15;
    unsigned int regr_ktx_out_dv_den_sta                    :15;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_f0(val) ((rs_tx_ktx_post_top_f0*)&(val))



#define TX_KTX_POST_TOP_F4                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xF4)

#define TX_KTX_POST_TOP_F4_struct                                        rs_tx_ktx_post_top_f4

typedef struct _rs_tx_ktx_post_top_f4  rs_tx_ktx_post_top_f4;
struct _rs_tx_ktx_post_top_f4 {
    unsigned int regr_ktx_cursor_r                          :10;
    unsigned int regr_ktx_cursor_g                          :10;
    unsigned int regr_ktx_cursor_b                          :10;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_f4(val) ((rs_tx_ktx_post_top_f4*)&(val))



#define TX_KTX_POST_TOP_F8                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xF8)

#define TX_KTX_POST_TOP_F8_struct                                        rs_tx_ktx_post_top_f8

typedef struct _rs_tx_ktx_post_top_f8  rs_tx_ktx_post_top_f8;
struct _rs_tx_ktx_post_top_f8 {
    unsigned int regr_ktx_dv_org_prede_sta                  :10;
    unsigned int regr_ktx_dv_org_de_sta                     :10;
    unsigned int regr_ktx_dv_cur_de_sta                     :10;
    unsigned int regr_ktx_vshs_rp_match                     : 1;
    unsigned int reserved                                   : 1;
};
#define tx_ktx_post_top_f8(val) ((rs_tx_ktx_post_top_f8*)&(val))



#define TX_KTX_POST_TOP_FC                                               (HV_KTX_POST_TOP_BASE_ADDRESS + 0xFC)

#define TX_KTX_POST_TOP_FC_struct                                        rs_tx_ktx_post_top_fc

typedef struct _rs_tx_ktx_post_top_fc  rs_tx_ktx_post_top_fc;
struct _rs_tx_ktx_post_top_fc {
    unsigned int regr_ktx_dh_org_prede_sta                  :10;
    unsigned int regr_ktx_dh_org_de_sta                     :10;
    unsigned int regr_ktx_dh_cur_de_sta                     :10;
    unsigned int reserved                                   : 2;
};
#define tx_ktx_post_top_fc(val) ((rs_tx_ktx_post_top_fc*)&(val))



#endif