#ifndef _HV_PAGE_HT7315_ODTC_PAGE1_H_
#define _HV_PAGE_HT7315_ODTC_PAGE1_H_

#ifndef HV_ODTC_PAGE1_BASE_ADDRESS
    #define HV_ODTC_PAGE1_BASE_ADDRESS                                         0x11053000
#endif


#define TX_ODTC_PAGE1_ODTC_0                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x00)

#define TX_ODTC_PAGE1_ODTC_0_struct                                      rs_tx_odtc_page1_odtc_0

typedef struct _rs_tx_odtc_page1_odtc_0  rs_tx_odtc_page1_odtc_0;
struct _rs_tx_odtc_page1_odtc_0 {
    unsigned int hsize                                      :14;
    unsigned int reserved                                   : 2;
    unsigned int vsize                                      :13;
    unsigned int odtc_irq_mask                              : 1;
    unsigned int odtc_irq_clear                             : 1;
    unsigned int co_dtc_frame_period                        : 1;
};
#define tx_odtc_page1_odtc_0(val) ((rs_tx_odtc_page1_odtc_0*)&(val))



#define TX_ODTC_PAGE1_ODTC_1                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x04)

#define TX_ODTC_PAGE1_ODTC_1_struct                                      rs_tx_odtc_page1_odtc_1

typedef struct _rs_tx_odtc_page1_odtc_1  rs_tx_odtc_page1_odtc_1;
struct _rs_tx_odtc_page1_odtc_1 {
    unsigned int co_dtc_auto_adr_inc                        : 1;
    unsigned int reserved                                   : 3;
    unsigned int soft_reset                                 : 1;
    unsigned int reserved_1                                 : 3;
    unsigned int co_dtc_down_scale_slct                     : 1;
    unsigned int reserved_2                                 : 7;
    unsigned int co_dtc_proc_en                             : 1;
    unsigned int reserved_3                                 : 7;
    unsigned int co_dtc_sclt_mode                           : 1;
    unsigned int reserved_4                                 : 3;
    unsigned int ct_regload_disable                         : 1;
    unsigned int reserved_5                                 : 1;
    unsigned int co_dtc_adr_mode                            : 1;
    unsigned int co_dtc_pixs_ctl                            : 1;
};
#define tx_odtc_page1_odtc_1(val) ((rs_tx_odtc_page1_odtc_1*)&(val))



#define TX_ODTC_PAGE1_ODTC_2                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x08)

#define TX_ODTC_PAGE1_ODTC_2_struct                                      rs_tx_odtc_page1_odtc_2

typedef struct _rs_tx_odtc_page1_odtc_2  rs_tx_odtc_page1_odtc_2;
struct _rs_tx_odtc_page1_odtc_2 {
    unsigned int co_dtc_average_pix_v                       : 3;
    unsigned int reserved                                   :13;
    unsigned int co_dtc_average_pix_h                       : 3;
    unsigned int reserved_1                                 :13;
};
#define tx_odtc_page1_odtc_2(val) ((rs_tx_odtc_page1_odtc_2*)&(val))



#define TX_ODTC_PAGE1_ODTC_3                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x0C)

#define TX_ODTC_PAGE1_ODTC_3_struct                                      rs_tx_odtc_page1_odtc_3

typedef struct _rs_tx_odtc_page1_odtc_3  rs_tx_odtc_page1_odtc_3;
struct _rs_tx_odtc_page1_odtc_3 {
    unsigned int co_dtc_rd_start_adr_v                      :13;
    unsigned int reserved                                   : 3;
    unsigned int co_dtc_rd_start_adr_h                      :13;
    unsigned int reserved_1                                 : 3;
};
#define tx_odtc_page1_odtc_3(val) ((rs_tx_odtc_page1_odtc_3*)&(val))



#define TX_ODTC_PAGE1_ODTC_4                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x10)

#define TX_ODTC_PAGE1_ODTC_4_struct                                      rs_tx_odtc_page1_odtc_4

typedef struct _rs_tx_odtc_page1_odtc_4  rs_tx_odtc_page1_odtc_4;
struct _rs_tx_odtc_page1_odtc_4 {
    unsigned int co_dtc_rd_packet_no                        : 3;
    unsigned int reserved                                   :27;
    unsigned int co_dtc_rd_done_mode                        : 1;
    unsigned int co_dtc_rd_done                             : 1;
};
#define tx_odtc_page1_odtc_4(val) ((rs_tx_odtc_page1_odtc_4*)&(val))



#define TX_ODTC_PAGE1_ODTC_5                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x14)

#define TX_ODTC_PAGE1_ODTC_5_struct                                      rs_tx_odtc_page1_odtc_5

typedef struct _rs_tx_odtc_page1_odtc_5  rs_tx_odtc_page1_odtc_5;
struct _rs_tx_odtc_page1_odtc_5 {
    unsigned int reserved                                   :16;
    unsigned int co_dtc_pixs_per_frame                      :10;
    unsigned int reserved_1                                 : 6;
};
#define tx_odtc_page1_odtc_5(val) ((rs_tx_odtc_page1_odtc_5*)&(val))



#define TX_ODTC_PAGE1_ODTC_6                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x18)

#define TX_ODTC_PAGE1_ODTC_6_struct                                      rs_tx_odtc_page1_odtc_6

typedef struct _rs_tx_odtc_page1_odtc_6  rs_tx_odtc_page1_odtc_6;
struct _rs_tx_odtc_page1_odtc_6 {
    unsigned int co_dtc_nlnr_tbl_r4                         : 8;
    unsigned int co_dtc_nlnr_tbl_r3                         : 8;
    unsigned int co_dtc_nlnr_tbl_r2                         : 8;
    unsigned int co_dtc_nlnr_tbl_r1                         : 8;
};
#define tx_odtc_page1_odtc_6(val) ((rs_tx_odtc_page1_odtc_6*)&(val))



#define TX_ODTC_PAGE1_ODTC_7                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x1C)

#define TX_ODTC_PAGE1_ODTC_7_struct                                      rs_tx_odtc_page1_odtc_7

typedef struct _rs_tx_odtc_page1_odtc_7  rs_tx_odtc_page1_odtc_7;
struct _rs_tx_odtc_page1_odtc_7 {
    unsigned int co_dtc_nlnr_tbl_r8                         : 8;
    unsigned int co_dtc_nlnr_tbl_r7                         : 8;
    unsigned int co_dtc_nlnr_tbl_r6                         : 8;
    unsigned int co_dtc_nlnr_tbl_r5                         : 8;
};
#define tx_odtc_page1_odtc_7(val) ((rs_tx_odtc_page1_odtc_7*)&(val))



#define TX_ODTC_PAGE1_ODTC_8                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x20)

#define TX_ODTC_PAGE1_ODTC_8_struct                                      rs_tx_odtc_page1_odtc_8

typedef struct _rs_tx_odtc_page1_odtc_8  rs_tx_odtc_page1_odtc_8;
struct _rs_tx_odtc_page1_odtc_8 {
    unsigned int co_dtc_nlnr_tbl_g4                         : 8;
    unsigned int co_dtc_nlnr_tbl_g3                         : 8;
    unsigned int co_dtc_nlnr_tbl_g2                         : 8;
    unsigned int co_dtc_nlnr_tbl_g1                         : 8;
};
#define tx_odtc_page1_odtc_8(val) ((rs_tx_odtc_page1_odtc_8*)&(val))



#define TX_ODTC_PAGE1_ODTC_9                                             (HV_ODTC_PAGE1_BASE_ADDRESS + 0x24)

#define TX_ODTC_PAGE1_ODTC_9_struct                                      rs_tx_odtc_page1_odtc_9

typedef struct _rs_tx_odtc_page1_odtc_9  rs_tx_odtc_page1_odtc_9;
struct _rs_tx_odtc_page1_odtc_9 {
    unsigned int co_dtc_nlnr_tbl_g8                         : 8;
    unsigned int co_dtc_nlnr_tbl_g7                         : 8;
    unsigned int co_dtc_nlnr_tbl_g6                         : 8;
    unsigned int co_dtc_nlnr_tbl_g5                         : 8;
};
#define tx_odtc_page1_odtc_9(val) ((rs_tx_odtc_page1_odtc_9*)&(val))



#define TX_ODTC_PAGE1_ODTC_10                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x28)

#define TX_ODTC_PAGE1_ODTC_10_struct                                     rs_tx_odtc_page1_odtc_10

typedef struct _rs_tx_odtc_page1_odtc_10  rs_tx_odtc_page1_odtc_10;
struct _rs_tx_odtc_page1_odtc_10 {
    unsigned int co_dtc_nlnr_tbl_b4                         : 8;
    unsigned int co_dtc_nlnr_tbl_b3                         : 8;
    unsigned int co_dtc_nlnr_tbl_b2                         : 8;
    unsigned int co_dtc_nlnr_tbl_b1                         : 8;
};
#define tx_odtc_page1_odtc_10(val) ((rs_tx_odtc_page1_odtc_10*)&(val))



#define TX_ODTC_PAGE1_ODTC_11                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x2C)

#define TX_ODTC_PAGE1_ODTC_11_struct                                     rs_tx_odtc_page1_odtc_11

typedef struct _rs_tx_odtc_page1_odtc_11  rs_tx_odtc_page1_odtc_11;
struct _rs_tx_odtc_page1_odtc_11 {
    unsigned int co_dtc_nlnr_tbl_b8                         : 8;
    unsigned int co_dtc_nlnr_tbl_b7                         : 8;
    unsigned int co_dtc_nlnr_tbl_b6                         : 8;
    unsigned int co_dtc_nlnr_tbl_b5                         : 8;
};
#define tx_odtc_page1_odtc_11(val) ((rs_tx_odtc_page1_odtc_11*)&(val))



#define TX_ODTC_PAGE1_ODTC_12                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x30)

#define TX_ODTC_PAGE1_ODTC_12_struct                                     rs_tx_odtc_page1_odtc_12

typedef struct _rs_tx_odtc_page1_odtc_12  rs_tx_odtc_page1_odtc_12;
struct _rs_tx_odtc_page1_odtc_12 {
    unsigned int co_dtc_regout1                             :32;
};
#define tx_odtc_page1_odtc_12(val) ((rs_tx_odtc_page1_odtc_12*)&(val))



#define TX_ODTC_PAGE1_ODTC_13                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x34)

#define TX_ODTC_PAGE1_ODTC_13_struct                                     rs_tx_odtc_page1_odtc_13

typedef struct _rs_tx_odtc_page1_odtc_13  rs_tx_odtc_page1_odtc_13;
struct _rs_tx_odtc_page1_odtc_13 {
    unsigned int co_dtc_regout2                             :32;
};
#define tx_odtc_page1_odtc_13(val) ((rs_tx_odtc_page1_odtc_13*)&(val))



#define TX_ODTC_PAGE1_ODTC_14                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x38)

#define TX_ODTC_PAGE1_ODTC_14_struct                                     rs_tx_odtc_page1_odtc_14

typedef struct _rs_tx_odtc_page1_odtc_14  rs_tx_odtc_page1_odtc_14;
struct _rs_tx_odtc_page1_odtc_14 {
    unsigned int co_dtc_regout3                             :32;
};
#define tx_odtc_page1_odtc_14(val) ((rs_tx_odtc_page1_odtc_14*)&(val))



#define TX_ODTC_PAGE1_ODTC_15                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x3C)

#define TX_ODTC_PAGE1_ODTC_15_struct                                     rs_tx_odtc_page1_odtc_15

typedef struct _rs_tx_odtc_page1_odtc_15  rs_tx_odtc_page1_odtc_15;
struct _rs_tx_odtc_page1_odtc_15 {
    unsigned int co_dtc_regout4                             :32;
};
#define tx_odtc_page1_odtc_15(val) ((rs_tx_odtc_page1_odtc_15*)&(val))



#define TX_ODTC_PAGE1_ODTC_16                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x40)

#define TX_ODTC_PAGE1_ODTC_16_struct                                     rs_tx_odtc_page1_odtc_16

typedef struct _rs_tx_odtc_page1_odtc_16  rs_tx_odtc_page1_odtc_16;
struct _rs_tx_odtc_page1_odtc_16 {
    unsigned int co_dtc_regout5                             :32;
};
#define tx_odtc_page1_odtc_16(val) ((rs_tx_odtc_page1_odtc_16*)&(val))



#define TX_ODTC_PAGE1_ODTC_17                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x44)

#define TX_ODTC_PAGE1_ODTC_17_struct                                     rs_tx_odtc_page1_odtc_17

typedef struct _rs_tx_odtc_page1_odtc_17  rs_tx_odtc_page1_odtc_17;
struct _rs_tx_odtc_page1_odtc_17 {
    unsigned int co_dtc_regout6                             :32;
};
#define tx_odtc_page1_odtc_17(val) ((rs_tx_odtc_page1_odtc_17*)&(val))



#define TX_ODTC_PAGE1_ODTC_18                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x48)

#define TX_ODTC_PAGE1_ODTC_18_struct                                     rs_tx_odtc_page1_odtc_18

typedef struct _rs_tx_odtc_page1_odtc_18  rs_tx_odtc_page1_odtc_18;
struct _rs_tx_odtc_page1_odtc_18 {
    unsigned int co_dtc_regout7                             :32;
};
#define tx_odtc_page1_odtc_18(val) ((rs_tx_odtc_page1_odtc_18*)&(val))



#define TX_ODTC_PAGE1_ODTC_19                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x4C)

#define TX_ODTC_PAGE1_ODTC_19_struct                                     rs_tx_odtc_page1_odtc_19

typedef struct _rs_tx_odtc_page1_odtc_19  rs_tx_odtc_page1_odtc_19;
struct _rs_tx_odtc_page1_odtc_19 {
    unsigned int co_dtc_regout8                             :32;
};
#define tx_odtc_page1_odtc_19(val) ((rs_tx_odtc_page1_odtc_19*)&(val))



#define TX_ODTC_PAGE1_ODTC_20                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x50)

#define TX_ODTC_PAGE1_ODTC_20_struct                                     rs_tx_odtc_page1_odtc_20

typedef struct _rs_tx_odtc_page1_odtc_20  rs_tx_odtc_page1_odtc_20;
struct _rs_tx_odtc_page1_odtc_20 {
    unsigned int co_dtc_regout9                             :32;
};
#define tx_odtc_page1_odtc_20(val) ((rs_tx_odtc_page1_odtc_20*)&(val))



#define TX_ODTC_PAGE1_ODTC_21                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x54)

#define TX_ODTC_PAGE1_ODTC_21_struct                                     rs_tx_odtc_page1_odtc_21

typedef struct _rs_tx_odtc_page1_odtc_21  rs_tx_odtc_page1_odtc_21;
struct _rs_tx_odtc_page1_odtc_21 {
    unsigned int co_dtc_regout10                            :32;
};
#define tx_odtc_page1_odtc_21(val) ((rs_tx_odtc_page1_odtc_21*)&(val))



#define TX_ODTC_PAGE1_ODTC_22                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x58)

#define TX_ODTC_PAGE1_ODTC_22_struct                                     rs_tx_odtc_page1_odtc_22

typedef struct _rs_tx_odtc_page1_odtc_22  rs_tx_odtc_page1_odtc_22;
struct _rs_tx_odtc_page1_odtc_22 {
    unsigned int co_dtc_regout11                            :32;
};
#define tx_odtc_page1_odtc_22(val) ((rs_tx_odtc_page1_odtc_22*)&(val))



#define TX_ODTC_PAGE1_ODTC_23                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x5C)

#define TX_ODTC_PAGE1_ODTC_23_struct                                     rs_tx_odtc_page1_odtc_23

typedef struct _rs_tx_odtc_page1_odtc_23  rs_tx_odtc_page1_odtc_23;
struct _rs_tx_odtc_page1_odtc_23 {
    unsigned int co_dtc_regout12                            :32;
};
#define tx_odtc_page1_odtc_23(val) ((rs_tx_odtc_page1_odtc_23*)&(val))



#define TX_ODTC_PAGE1_ODTC_24                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x60)

#define TX_ODTC_PAGE1_ODTC_24_struct                                     rs_tx_odtc_page1_odtc_24

typedef struct _rs_tx_odtc_page1_odtc_24  rs_tx_odtc_page1_odtc_24;
struct _rs_tx_odtc_page1_odtc_24 {
    unsigned int co_dtc_regout13                            :32;
};
#define tx_odtc_page1_odtc_24(val) ((rs_tx_odtc_page1_odtc_24*)&(val))



#define TX_ODTC_PAGE1_ODTC_25                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x64)

#define TX_ODTC_PAGE1_ODTC_25_struct                                     rs_tx_odtc_page1_odtc_25

typedef struct _rs_tx_odtc_page1_odtc_25  rs_tx_odtc_page1_odtc_25;
struct _rs_tx_odtc_page1_odtc_25 {
    unsigned int co_dtc_regout14                            :32;
};
#define tx_odtc_page1_odtc_25(val) ((rs_tx_odtc_page1_odtc_25*)&(val))



#define TX_ODTC_PAGE1_ODTC_26                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x68)

#define TX_ODTC_PAGE1_ODTC_26_struct                                     rs_tx_odtc_page1_odtc_26

typedef struct _rs_tx_odtc_page1_odtc_26  rs_tx_odtc_page1_odtc_26;
struct _rs_tx_odtc_page1_odtc_26 {
    unsigned int co_dtc_regout15                            :32;
};
#define tx_odtc_page1_odtc_26(val) ((rs_tx_odtc_page1_odtc_26*)&(val))



#define TX_ODTC_PAGE1_ODTC_27                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x6C)

#define TX_ODTC_PAGE1_ODTC_27_struct                                     rs_tx_odtc_page1_odtc_27

typedef struct _rs_tx_odtc_page1_odtc_27  rs_tx_odtc_page1_odtc_27;
struct _rs_tx_odtc_page1_odtc_27 {
    unsigned int co_dtc_regout16                            :32;
};
#define tx_odtc_page1_odtc_27(val) ((rs_tx_odtc_page1_odtc_27*)&(val))



#define TX_ODTC_PAGE1_ODTC_28                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x70)

#define TX_ODTC_PAGE1_ODTC_28_struct                                     rs_tx_odtc_page1_odtc_28

typedef struct _rs_tx_odtc_page1_odtc_28  rs_tx_odtc_page1_odtc_28;
struct _rs_tx_odtc_page1_odtc_28 {
    unsigned int co_dtc_regout17                            :32;
};
#define tx_odtc_page1_odtc_28(val) ((rs_tx_odtc_page1_odtc_28*)&(val))



#define TX_ODTC_PAGE1_ODTC_29                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x74)

#define TX_ODTC_PAGE1_ODTC_29_struct                                     rs_tx_odtc_page1_odtc_29

typedef struct _rs_tx_odtc_page1_odtc_29  rs_tx_odtc_page1_odtc_29;
struct _rs_tx_odtc_page1_odtc_29 {
    unsigned int co_dtc_regout18                            :32;
};
#define tx_odtc_page1_odtc_29(val) ((rs_tx_odtc_page1_odtc_29*)&(val))



#define TX_ODTC_PAGE1_ODTC_30                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x78)

#define TX_ODTC_PAGE1_ODTC_30_struct                                     rs_tx_odtc_page1_odtc_30

typedef struct _rs_tx_odtc_page1_odtc_30  rs_tx_odtc_page1_odtc_30;
struct _rs_tx_odtc_page1_odtc_30 {
    unsigned int co_dtc_regout19                            :32;
};
#define tx_odtc_page1_odtc_30(val) ((rs_tx_odtc_page1_odtc_30*)&(val))



#define TX_ODTC_PAGE1_ODTC_31                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x7C)

#define TX_ODTC_PAGE1_ODTC_31_struct                                     rs_tx_odtc_page1_odtc_31

typedef struct _rs_tx_odtc_page1_odtc_31  rs_tx_odtc_page1_odtc_31;
struct _rs_tx_odtc_page1_odtc_31 {
    unsigned int co_dtc_regout20                            :32;
};
#define tx_odtc_page1_odtc_31(val) ((rs_tx_odtc_page1_odtc_31*)&(val))



#define TX_ODTC_PAGE1_ODTC_32                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x80)

#define TX_ODTC_PAGE1_ODTC_32_struct                                     rs_tx_odtc_page1_odtc_32

typedef struct _rs_tx_odtc_page1_odtc_32  rs_tx_odtc_page1_odtc_32;
struct _rs_tx_odtc_page1_odtc_32 {
    unsigned int co_dtc_regout21                            :32;
};
#define tx_odtc_page1_odtc_32(val) ((rs_tx_odtc_page1_odtc_32*)&(val))



#define TX_ODTC_PAGE1_ODTC_33                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x84)

#define TX_ODTC_PAGE1_ODTC_33_struct                                     rs_tx_odtc_page1_odtc_33

typedef struct _rs_tx_odtc_page1_odtc_33  rs_tx_odtc_page1_odtc_33;
struct _rs_tx_odtc_page1_odtc_33 {
    unsigned int co_dtc_regout22                            :32;
};
#define tx_odtc_page1_odtc_33(val) ((rs_tx_odtc_page1_odtc_33*)&(val))



#define TX_ODTC_PAGE1_ODTC_34                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x88)

#define TX_ODTC_PAGE1_ODTC_34_struct                                     rs_tx_odtc_page1_odtc_34

typedef struct _rs_tx_odtc_page1_odtc_34  rs_tx_odtc_page1_odtc_34;
struct _rs_tx_odtc_page1_odtc_34 {
    unsigned int co_dtc_regout23                            :32;
};
#define tx_odtc_page1_odtc_34(val) ((rs_tx_odtc_page1_odtc_34*)&(val))



#define TX_ODTC_PAGE1_ODTC_35                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x8C)

#define TX_ODTC_PAGE1_ODTC_35_struct                                     rs_tx_odtc_page1_odtc_35

typedef struct _rs_tx_odtc_page1_odtc_35  rs_tx_odtc_page1_odtc_35;
struct _rs_tx_odtc_page1_odtc_35 {
    unsigned int co_dtc_regout24                            :32;
};
#define tx_odtc_page1_odtc_35(val) ((rs_tx_odtc_page1_odtc_35*)&(val))



#define TX_ODTC_PAGE1_ODTC_36                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x90)

#define TX_ODTC_PAGE1_ODTC_36_struct                                     rs_tx_odtc_page1_odtc_36

typedef struct _rs_tx_odtc_page1_odtc_36  rs_tx_odtc_page1_odtc_36;
struct _rs_tx_odtc_page1_odtc_36 {
    unsigned int co_dtc_regout25                            :32;
};
#define tx_odtc_page1_odtc_36(val) ((rs_tx_odtc_page1_odtc_36*)&(val))



#define TX_ODTC_PAGE1_ODTC_37                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x94)

#define TX_ODTC_PAGE1_ODTC_37_struct                                     rs_tx_odtc_page1_odtc_37

typedef struct _rs_tx_odtc_page1_odtc_37  rs_tx_odtc_page1_odtc_37;
struct _rs_tx_odtc_page1_odtc_37 {
    unsigned int co_dtc_regout26                            :32;
};
#define tx_odtc_page1_odtc_37(val) ((rs_tx_odtc_page1_odtc_37*)&(val))



#define TX_ODTC_PAGE1_ODTC_38                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x98)

#define TX_ODTC_PAGE1_ODTC_38_struct                                     rs_tx_odtc_page1_odtc_38

typedef struct _rs_tx_odtc_page1_odtc_38  rs_tx_odtc_page1_odtc_38;
struct _rs_tx_odtc_page1_odtc_38 {
    unsigned int co_dtc_regout27                            :32;
};
#define tx_odtc_page1_odtc_38(val) ((rs_tx_odtc_page1_odtc_38*)&(val))



#define TX_ODTC_PAGE1_ODTC_39                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0x9C)

#define TX_ODTC_PAGE1_ODTC_39_struct                                     rs_tx_odtc_page1_odtc_39

typedef struct _rs_tx_odtc_page1_odtc_39  rs_tx_odtc_page1_odtc_39;
struct _rs_tx_odtc_page1_odtc_39 {
    unsigned int co_dtc_regout28                            :32;
};
#define tx_odtc_page1_odtc_39(val) ((rs_tx_odtc_page1_odtc_39*)&(val))



#define TX_ODTC_PAGE1_ODTC_40                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xA0)

#define TX_ODTC_PAGE1_ODTC_40_struct                                     rs_tx_odtc_page1_odtc_40

typedef struct _rs_tx_odtc_page1_odtc_40  rs_tx_odtc_page1_odtc_40;
struct _rs_tx_odtc_page1_odtc_40 {
    unsigned int co_dtc_regout29                            :32;
};
#define tx_odtc_page1_odtc_40(val) ((rs_tx_odtc_page1_odtc_40*)&(val))



#define TX_ODTC_PAGE1_ODTC_41                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xA4)

#define TX_ODTC_PAGE1_ODTC_41_struct                                     rs_tx_odtc_page1_odtc_41

typedef struct _rs_tx_odtc_page1_odtc_41  rs_tx_odtc_page1_odtc_41;
struct _rs_tx_odtc_page1_odtc_41 {
    unsigned int co_dtc_regout30                            :32;
};
#define tx_odtc_page1_odtc_41(val) ((rs_tx_odtc_page1_odtc_41*)&(val))



#define TX_ODTC_PAGE1_ODTC_42                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xA8)

#define TX_ODTC_PAGE1_ODTC_42_struct                                     rs_tx_odtc_page1_odtc_42

typedef struct _rs_tx_odtc_page1_odtc_42  rs_tx_odtc_page1_odtc_42;
struct _rs_tx_odtc_page1_odtc_42 {
    unsigned int co_dtc_regout31                            :32;
};
#define tx_odtc_page1_odtc_42(val) ((rs_tx_odtc_page1_odtc_42*)&(val))



#define TX_ODTC_PAGE1_ODTC_43                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xAC)

#define TX_ODTC_PAGE1_ODTC_43_struct                                     rs_tx_odtc_page1_odtc_43

typedef struct _rs_tx_odtc_page1_odtc_43  rs_tx_odtc_page1_odtc_43;
struct _rs_tx_odtc_page1_odtc_43 {
    unsigned int co_dtc_regout32                            :32;
};
#define tx_odtc_page1_odtc_43(val) ((rs_tx_odtc_page1_odtc_43*)&(val))



#define TX_ODTC_PAGE1_ODTC_44                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xB0)

#define TX_ODTC_PAGE1_ODTC_44_struct                                     rs_tx_odtc_page1_odtc_44

typedef struct _rs_tx_odtc_page1_odtc_44  rs_tx_odtc_page1_odtc_44;
struct _rs_tx_odtc_page1_odtc_44 {
    unsigned int co_dtc_regout33                            :32;
};
#define tx_odtc_page1_odtc_44(val) ((rs_tx_odtc_page1_odtc_44*)&(val))



#define TX_ODTC_PAGE1_ODTC_45                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xB4)

#define TX_ODTC_PAGE1_ODTC_45_struct                                     rs_tx_odtc_page1_odtc_45

typedef struct _rs_tx_odtc_page1_odtc_45  rs_tx_odtc_page1_odtc_45;
struct _rs_tx_odtc_page1_odtc_45 {
    unsigned int co_dtc_regout34                            :32;
};
#define tx_odtc_page1_odtc_45(val) ((rs_tx_odtc_page1_odtc_45*)&(val))



#define TX_ODTC_PAGE1_ODTC_46                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xB8)

#define TX_ODTC_PAGE1_ODTC_46_struct                                     rs_tx_odtc_page1_odtc_46

typedef struct _rs_tx_odtc_page1_odtc_46  rs_tx_odtc_page1_odtc_46;
struct _rs_tx_odtc_page1_odtc_46 {
    unsigned int co_dtc_regout35                            :32;
};
#define tx_odtc_page1_odtc_46(val) ((rs_tx_odtc_page1_odtc_46*)&(val))



#define TX_ODTC_PAGE1_ODTC_47                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xBC)

#define TX_ODTC_PAGE1_ODTC_47_struct                                     rs_tx_odtc_page1_odtc_47

typedef struct _rs_tx_odtc_page1_odtc_47  rs_tx_odtc_page1_odtc_47;
struct _rs_tx_odtc_page1_odtc_47 {
    unsigned int co_dtc_regout36                            :32;
};
#define tx_odtc_page1_odtc_47(val) ((rs_tx_odtc_page1_odtc_47*)&(val))



#define TX_ODTC_PAGE1_ODTC_48                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xC0)

#define TX_ODTC_PAGE1_ODTC_48_struct                                     rs_tx_odtc_page1_odtc_48

typedef struct _rs_tx_odtc_page1_odtc_48  rs_tx_odtc_page1_odtc_48;
struct _rs_tx_odtc_page1_odtc_48 {
    unsigned int co_dtc_regout37                            :32;
};
#define tx_odtc_page1_odtc_48(val) ((rs_tx_odtc_page1_odtc_48*)&(val))



#define TX_ODTC_PAGE1_ODTC_49                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xC4)

#define TX_ODTC_PAGE1_ODTC_49_struct                                     rs_tx_odtc_page1_odtc_49

typedef struct _rs_tx_odtc_page1_odtc_49  rs_tx_odtc_page1_odtc_49;
struct _rs_tx_odtc_page1_odtc_49 {
    unsigned int co_dtc_regout38                            :32;
};
#define tx_odtc_page1_odtc_49(val) ((rs_tx_odtc_page1_odtc_49*)&(val))



#define TX_ODTC_PAGE1_ODTC_50                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xC8)

#define TX_ODTC_PAGE1_ODTC_50_struct                                     rs_tx_odtc_page1_odtc_50

typedef struct _rs_tx_odtc_page1_odtc_50  rs_tx_odtc_page1_odtc_50;
struct _rs_tx_odtc_page1_odtc_50 {
    unsigned int co_dtc_regout39                            :32;
};
#define tx_odtc_page1_odtc_50(val) ((rs_tx_odtc_page1_odtc_50*)&(val))



#define TX_ODTC_PAGE1_ODTC_51                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xCC)

#define TX_ODTC_PAGE1_ODTC_51_struct                                     rs_tx_odtc_page1_odtc_51

typedef struct _rs_tx_odtc_page1_odtc_51  rs_tx_odtc_page1_odtc_51;
struct _rs_tx_odtc_page1_odtc_51 {
    unsigned int co_dtc_regout40                            :32;
};
#define tx_odtc_page1_odtc_51(val) ((rs_tx_odtc_page1_odtc_51*)&(val))



#define TX_ODTC_PAGE1_ODTC_52                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xD0)

#define TX_ODTC_PAGE1_ODTC_52_struct                                     rs_tx_odtc_page1_odtc_52

typedef struct _rs_tx_odtc_page1_odtc_52  rs_tx_odtc_page1_odtc_52;
struct _rs_tx_odtc_page1_odtc_52 {
    unsigned int co_dtc_regout41                            :32;
};
#define tx_odtc_page1_odtc_52(val) ((rs_tx_odtc_page1_odtc_52*)&(val))



#define TX_ODTC_PAGE1_ODTC_53                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xD4)

#define TX_ODTC_PAGE1_ODTC_53_struct                                     rs_tx_odtc_page1_odtc_53

typedef struct _rs_tx_odtc_page1_odtc_53  rs_tx_odtc_page1_odtc_53;
struct _rs_tx_odtc_page1_odtc_53 {
    unsigned int co_dtc_regout42                            :32;
};
#define tx_odtc_page1_odtc_53(val) ((rs_tx_odtc_page1_odtc_53*)&(val))



#define TX_ODTC_PAGE1_ODTC_54                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xD8)

#define TX_ODTC_PAGE1_ODTC_54_struct                                     rs_tx_odtc_page1_odtc_54

typedef struct _rs_tx_odtc_page1_odtc_54  rs_tx_odtc_page1_odtc_54;
struct _rs_tx_odtc_page1_odtc_54 {
    unsigned int co_dtc_regout43                            :32;
};
#define tx_odtc_page1_odtc_54(val) ((rs_tx_odtc_page1_odtc_54*)&(val))



#define TX_ODTC_PAGE1_ODTC_55                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xDC)

#define TX_ODTC_PAGE1_ODTC_55_struct                                     rs_tx_odtc_page1_odtc_55

typedef struct _rs_tx_odtc_page1_odtc_55  rs_tx_odtc_page1_odtc_55;
struct _rs_tx_odtc_page1_odtc_55 {
    unsigned int co_dtc_regout44                            :32;
};
#define tx_odtc_page1_odtc_55(val) ((rs_tx_odtc_page1_odtc_55*)&(val))



#define TX_ODTC_PAGE1_ODTC_56                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xE0)

#define TX_ODTC_PAGE1_ODTC_56_struct                                     rs_tx_odtc_page1_odtc_56

typedef struct _rs_tx_odtc_page1_odtc_56  rs_tx_odtc_page1_odtc_56;
struct _rs_tx_odtc_page1_odtc_56 {
    unsigned int co_dtc_regout45                            :32;
};
#define tx_odtc_page1_odtc_56(val) ((rs_tx_odtc_page1_odtc_56*)&(val))



#define TX_ODTC_PAGE1_ODTC_57                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xE4)

#define TX_ODTC_PAGE1_ODTC_57_struct                                     rs_tx_odtc_page1_odtc_57

typedef struct _rs_tx_odtc_page1_odtc_57  rs_tx_odtc_page1_odtc_57;
struct _rs_tx_odtc_page1_odtc_57 {
    unsigned int co_dtc_regout46                            :32;
};
#define tx_odtc_page1_odtc_57(val) ((rs_tx_odtc_page1_odtc_57*)&(val))



#define TX_ODTC_PAGE1_ODTC_58                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xE8)

#define TX_ODTC_PAGE1_ODTC_58_struct                                     rs_tx_odtc_page1_odtc_58

typedef struct _rs_tx_odtc_page1_odtc_58  rs_tx_odtc_page1_odtc_58;
struct _rs_tx_odtc_page1_odtc_58 {
    unsigned int co_dtc_regout47                            :32;
};
#define tx_odtc_page1_odtc_58(val) ((rs_tx_odtc_page1_odtc_58*)&(val))



#define TX_ODTC_PAGE1_ODTC_59                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xEC)

#define TX_ODTC_PAGE1_ODTC_59_struct                                     rs_tx_odtc_page1_odtc_59

typedef struct _rs_tx_odtc_page1_odtc_59  rs_tx_odtc_page1_odtc_59;
struct _rs_tx_odtc_page1_odtc_59 {
    unsigned int co_dtc_regout48                            :32;
};
#define tx_odtc_page1_odtc_59(val) ((rs_tx_odtc_page1_odtc_59*)&(val))



#define TX_ODTC_PAGE1_ODTC_60                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xF0)

#define TX_ODTC_PAGE1_ODTC_60_struct                                     rs_tx_odtc_page1_odtc_60

typedef struct _rs_tx_odtc_page1_odtc_60  rs_tx_odtc_page1_odtc_60;
struct _rs_tx_odtc_page1_odtc_60 {
    unsigned int co_dtc_regout49                            :32;
};
#define tx_odtc_page1_odtc_60(val) ((rs_tx_odtc_page1_odtc_60*)&(val))



#define TX_ODTC_PAGE1_ODTC_61                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xF4)

#define TX_ODTC_PAGE1_ODTC_61_struct                                     rs_tx_odtc_page1_odtc_61

typedef struct _rs_tx_odtc_page1_odtc_61  rs_tx_odtc_page1_odtc_61;
struct _rs_tx_odtc_page1_odtc_61 {
    unsigned int co_dtc_regout50                            :32;
};
#define tx_odtc_page1_odtc_61(val) ((rs_tx_odtc_page1_odtc_61*)&(val))



#define TX_ODTC_PAGE1_ODTC_62                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xF8)

#define TX_ODTC_PAGE1_ODTC_62_struct                                     rs_tx_odtc_page1_odtc_62

typedef struct _rs_tx_odtc_page1_odtc_62  rs_tx_odtc_page1_odtc_62;
struct _rs_tx_odtc_page1_odtc_62 {
    unsigned int co_dtc_regout51                            :32;
};
#define tx_odtc_page1_odtc_62(val) ((rs_tx_odtc_page1_odtc_62*)&(val))



#define TX_ODTC_PAGE1_ODTC_63                                            (HV_ODTC_PAGE1_BASE_ADDRESS + 0xFC)

#define TX_ODTC_PAGE1_ODTC_63_struct                                     rs_tx_odtc_page1_odtc_63

typedef struct _rs_tx_odtc_page1_odtc_63  rs_tx_odtc_page1_odtc_63;
struct _rs_tx_odtc_page1_odtc_63 {
    unsigned int co_dtc_regout52                            :32;
};
#define tx_odtc_page1_odtc_63(val) ((rs_tx_odtc_page1_odtc_63*)&(val))



#endif