#ifndef _HV_PAGE_HT7315_RX_PHY_H_
#define _HV_PAGE_HT7315_RX_PHY_H_

#ifndef HV_RX_PHY_BASE_ADDRESS
    #define HV_RX_PHY_BASE_ADDRESS                                         0x11046F00
#endif


#define RX_RX_PHY_00                                                     (HV_RX_PHY_BASE_ADDRESS + 0x00)

#define RX_RX_PHY_00_struct                                              rs_rx_rx_phy_00

typedef struct _rs_rx_rx_phy_00  rs_rx_rx_phy_00;
struct _rs_rx_rx_phy_00 {
    unsigned int reg_rx_phy_lane_vld                        :32;
};
#define rx_rx_phy_00(val) ((rs_rx_rx_phy_00*)&(val))



#define RX_RX_PHY_04                                                     (HV_RX_PHY_BASE_ADDRESS + 0x04)

#define RX_RX_PHY_04_struct                                              rs_rx_rx_phy_04

typedef struct _rs_rx_rx_phy_04  rs_rx_rx_phy_04;
struct _rs_rx_rx_phy_04 {
    unsigned int reg_phy_ref_clk_sel                        :32;
};
#define rx_rx_phy_04(val) ((rs_rx_rx_phy_04*)&(val))



#define RX_RX_PHY_08                                                     (HV_RX_PHY_BASE_ADDRESS + 0x08)

#define RX_RX_PHY_08_struct                                              rs_rx_rx_phy_08

typedef struct _rs_rx_rx_phy_08  rs_rx_rx_phy_08;
struct _rs_rx_rx_phy_08 {
    unsigned int reg_lane_clk_pll_src_sel                   :32;
};
#define rx_rx_phy_08(val) ((rs_rx_rx_phy_08*)&(val))



#define RX_RX_PHY_0C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x0C)

#define RX_RX_PHY_0C_struct                                              rs_rx_rx_phy_0c

typedef struct _rs_rx_rx_phy_0c  rs_rx_rx_phy_0c;
struct _rs_rx_rx_phy_0c {
    unsigned int reg_phy_sw_rstn                            :16;
    unsigned int reg_ana_scan_setting_en                    : 1;
    unsigned int reserved                                   :15;
};
#define rx_rx_phy_0c(val) ((rs_rx_rx_phy_0c*)&(val))



#define RX_RX_PHY_10                                                     (HV_RX_PHY_BASE_ADDRESS + 0x10)

#define RX_RX_PHY_10_struct                                              rs_rx_rx_phy_10

typedef struct _rs_rx_rx_phy_10  rs_rx_rx_phy_10;
struct _rs_rx_rx_phy_10 {
    unsigned int reg_lane_clk_1x_inv_en                     :32;
};
#define rx_rx_phy_10(val) ((rs_rx_rx_phy_10*)&(val))



#define RX_RX_PHY_14                                                     (HV_RX_PHY_BASE_ADDRESS + 0x14)

#define RX_RX_PHY_14_struct                                              rs_rx_rx_phy_14

typedef struct _rs_rx_rx_phy_14  rs_rx_rx_phy_14;
struct _rs_rx_rx_phy_14 {
    unsigned int reg_lane_clk_1x_eq_en                      :32;
};
#define rx_rx_phy_14(val) ((rs_rx_rx_phy_14*)&(val))



#define RX_RX_PHY_18                                                     (HV_RX_PHY_BASE_ADDRESS + 0x18)

#define RX_RX_PHY_18_struct                                              rs_rx_rx_phy_18

typedef struct _rs_rx_rx_phy_18  rs_rx_rx_phy_18;
struct _rs_rx_rx_phy_18 {
    unsigned int reg_lane_clk_1x_phy_en                     :32;
};
#define rx_rx_phy_18(val) ((rs_rx_rx_phy_18*)&(val))



#define RX_RX_PHY_1C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x1C)

#define RX_RX_PHY_1C_struct                                              rs_rx_rx_phy_1c

typedef struct _rs_rx_rx_phy_1c  rs_rx_rx_phy_1c;
struct _rs_rx_rx_phy_1c {
    unsigned int reg_lane_clk_mac_src_sel                   :32;
};
#define rx_rx_phy_1c(val) ((rs_rx_rx_phy_1c*)&(val))



#define RX_RX_PHY_20                                                     (HV_RX_PHY_BASE_ADDRESS + 0x20)

#define RX_RX_PHY_20_struct                                              rs_rx_rx_phy_20

typedef struct _rs_rx_rx_phy_20  rs_rx_rx_phy_20;
struct _rs_rx_rx_phy_20 {
    unsigned int reg_lane_clk_1x_mac_en                     :16;
    unsigned int reg_lane_clk_1x_mac_div_en                 :16;
};
#define rx_rx_phy_20(val) ((rs_rx_rx_phy_20*)&(val))



#define RX_RX_PHY_24                                                     (HV_RX_PHY_BASE_ADDRESS + 0x24)

#define RX_RX_PHY_24_struct                                              rs_rx_rx_phy_24

typedef struct _rs_rx_rx_phy_24  rs_rx_rx_phy_24;
struct _rs_rx_rx_phy_24 {
    unsigned int reg_lane_clk_1x_mac_div_num                :32;
};
#define rx_rx_phy_24(val) ((rs_rx_rx_phy_24*)&(val))



#define RX_RX_PHY_28                                                     (HV_RX_PHY_BASE_ADDRESS + 0x28)

#define RX_RX_PHY_28_struct                                              rs_rx_rx_phy_28

typedef struct _rs_rx_rx_phy_28  rs_rx_rx_phy_28;
struct _rs_rx_rx_phy_28 {
    unsigned int reg_lane_clk_mon_src_sel                   : 8;
    unsigned int reg_lane_clk_mon_src_ref_sel               : 2;
    unsigned int reg_lane_clk_1x_mon_en                     : 1;
    unsigned int reg_lane_clk_hdcp_en                       : 8;
    unsigned int reserved                                   : 1;
    unsigned int reg_lane_clk_1x_mac_frl_en                 : 4;
    unsigned int reg_lane_clk_1x_mac_tmds_en                : 4;
    unsigned int reserved_1                                 : 4;
};
#define rx_rx_phy_28(val) ((rs_rx_rx_phy_28*)&(val))



#define RX_RX_PHY_2C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x2C)

#define RX_RX_PHY_2C_struct                                              rs_rx_rx_phy_2c

typedef struct _rs_rx_rx_phy_2c  rs_rx_rx_phy_2c;
struct _rs_rx_rx_phy_2c {
    unsigned int reg_lane_clk_hdcp_sel                      :16;
    unsigned int reg_lane_clk_src_aud_sel                   :16;
};
#define rx_rx_phy_2c(val) ((rs_rx_rx_phy_2c*)&(val))



#define RX_RX_PHY_30                                                     (HV_RX_PHY_BASE_ADDRESS + 0x30)

#define RX_RX_PHY_30_struct                                              rs_rx_rx_phy_30

typedef struct _rs_rx_rx_phy_30  rs_rx_rx_phy_30;
struct _rs_rx_rx_phy_30 {
    unsigned int reg_rx_dpll_sw_rstn                        :16;
    unsigned int reg_rx_dpll_ref_sel                        :16;
};
#define rx_rx_phy_30(val) ((rs_rx_rx_phy_30*)&(val))



#define RX_RX_PHY_34                                                     (HV_RX_PHY_BASE_ADDRESS + 0x34)

#define RX_RX_PHY_34_struct                                              rs_rx_rx_phy_34

typedef struct _rs_rx_rx_phy_34  rs_rx_rx_phy_34;
struct _rs_rx_rx_phy_34 {
    unsigned int reg_rx_dpll_clk_mac_sel                    :32;
};
#define rx_rx_phy_34(val) ((rs_rx_rx_phy_34*)&(val))



#define RX_RX_PHY_38                                                     (HV_RX_PHY_BASE_ADDRESS + 0x38)

#define RX_RX_PHY_38_struct                                              rs_rx_rx_phy_38

typedef struct _rs_rx_rx_phy_38  rs_rx_rx_phy_38;
struct _rs_rx_rx_phy_38 {
    unsigned int reg_rx_dpll_clk_mac_en                     :16;
    unsigned int reserved                                   :16;
};
#define rx_rx_phy_38(val) ((rs_rx_rx_phy_38*)&(val))



#define RX_RX_PHY_40                                                     (HV_RX_PHY_BASE_ADDRESS + 0x40)

#define RX_RX_PHY_40_struct                                              rs_rx_rx_phy_40

typedef struct _rs_rx_rx_phy_40  rs_rx_rx_phy_40;
struct _rs_rx_rx_phy_40 {
    unsigned int reg_rx_dpll_clk_mac_div_num                :32;
};
#define rx_rx_phy_40(val) ((rs_rx_rx_phy_40*)&(val))



#define RX_RX_PHY_50                                                     (HV_RX_PHY_BASE_ADDRESS + 0x50)

#define RX_RX_PHY_50_struct                                              rs_rx_rx_phy_50

typedef struct _rs_rx_rx_phy_50  rs_rx_rx_phy_50;
struct _rs_rx_rx_phy_50 {
    unsigned int reg_rx_mac_clkdet_en                       :32;
};
#define rx_rx_phy_50(val) ((rs_rx_rx_phy_50*)&(val))



#define RX_RX_PHY_54                                                     (HV_RX_PHY_BASE_ADDRESS + 0x54)

#define RX_RX_PHY_54_struct                                              rs_rx_rx_phy_54

typedef struct _rs_rx_rx_phy_54  rs_rx_rx_phy_54;
struct _rs_rx_rx_phy_54 {
    unsigned int reg_rx_mac_clkdet_lane_sel                 : 8;
    unsigned int reg_rx_mac_clkdet_abn_mode                 : 4;
    unsigned int reg_rx_dpll_ip_clk_sel                     :16;
    unsigned int reserved                                   : 4;
};
#define rx_rx_phy_54(val) ((rs_rx_rx_phy_54*)&(val))



#define RX_RX_PHY_58                                                     (HV_RX_PHY_BASE_ADDRESS + 0x58)

#define RX_RX_PHY_58_struct                                              rs_rx_rx_phy_58

typedef struct _rs_rx_rx_phy_58  rs_rx_rx_phy_58;
struct _rs_rx_rx_phy_58 {
    unsigned int reg_rx_mac_clkdet_window_size              :16;
    unsigned int reg_rx_mac_clkdet_stable_th                : 8;
    unsigned int reserved                                   : 8;
};
#define rx_rx_phy_58(val) ((rs_rx_rx_phy_58*)&(val))



#define RX_RX_PHY_5C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x5C)

#define RX_RX_PHY_5C_struct                                              rs_rx_rx_phy_5c

typedef struct _rs_rx_rx_phy_5c  rs_rx_rx_phy_5c;
struct _rs_rx_rx_phy_5c {
    unsigned int reg_rx_mac_clkdet_low_th                   :16;
    unsigned int reg_rx_mac_clkdet_high_th                  :16;
};
#define rx_rx_phy_5c(val) ((rs_rx_rx_phy_5c*)&(val))



#define RX_RX_PHY_60                                                     (HV_RX_PHY_BASE_ADDRESS + 0x60)

#define RX_RX_PHY_60_struct                                              rs_rx_rx_phy_60

typedef struct _rs_rx_rx_phy_60  rs_rx_rx_phy_60;
struct _rs_rx_rx_phy_60 {
    unsigned int regr_rx_mac_clkdet_freq_cnt                :32;
};
#define rx_rx_phy_60(val) ((rs_rx_rx_phy_60*)&(val))



#define RX_RX_PHY_64                                                     (HV_RX_PHY_BASE_ADDRESS + 0x64)

#define RX_RX_PHY_64_struct                                              rs_rx_rx_phy_64

typedef struct _rs_rx_rx_phy_64  rs_rx_rx_phy_64;
struct _rs_rx_rx_phy_64 {
    unsigned int regr_rx_mac_clkdet_abn_nck                 :32;
};
#define rx_rx_phy_64(val) ((rs_rx_rx_phy_64*)&(val))



#define RX_RX_PHY_68                                                     (HV_RX_PHY_BASE_ADDRESS + 0x68)

#define RX_RX_PHY_68_struct                                              rs_rx_rx_phy_68

typedef struct _rs_rx_rx_phy_68  rs_rx_rx_phy_68;
struct _rs_rx_rx_phy_68 {
    unsigned int regr_rx_mac_clkdet_abn_low                 :32;
};
#define rx_rx_phy_68(val) ((rs_rx_rx_phy_68*)&(val))



#define RX_RX_PHY_6C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x6C)

#define RX_RX_PHY_6C_struct                                              rs_rx_rx_phy_6c

typedef struct _rs_rx_rx_phy_6c  rs_rx_rx_phy_6c;
struct _rs_rx_rx_phy_6c {
    unsigned int regr_rx_mac_clkdet_abn_high                :32;
};
#define rx_rx_phy_6c(val) ((rs_rx_rx_phy_6c*)&(val))



#define RX_RX_PHY_70                                                     (HV_RX_PHY_BASE_ADDRESS + 0x70)

#define RX_RX_PHY_70_struct                                              rs_rx_rx_phy_70

typedef struct _rs_rx_rx_phy_70  rs_rx_rx_phy_70;
struct _rs_rx_rx_phy_70 {
    unsigned int regr_rx_mac_clkdet_abn_nstb                :32;
};
#define rx_rx_phy_70(val) ((rs_rx_rx_phy_70*)&(val))



#define RX_RX_PHY_7C                                                     (HV_RX_PHY_BASE_ADDRESS + 0x7C)

#define RX_RX_PHY_7C_struct                                              rs_rx_rx_phy_7c

typedef struct _rs_rx_rx_phy_7c  rs_rx_rx_phy_7c;
struct _rs_rx_rx_phy_7c {
    unsigned int reg_rx_phy_mon_en                          :16;
    unsigned int reg_rx_phy_mon_sel                         : 8;
    unsigned int reserved                                   : 8;
};
#define rx_rx_phy_7c(val) ((rs_rx_rx_phy_7c*)&(val))



#define RX_RX_PHY_80                                                     (HV_RX_PHY_BASE_ADDRESS + 0x80)

#define RX_RX_PHY_80_struct                                              rs_rx_rx_phy_80

typedef struct _rs_rx_rx_phy_80  rs_rx_rx_phy_80;
struct _rs_rx_rx_phy_80 {
    unsigned int reg_rx_lane_mon_mode                       : 1;
    unsigned int reg_rx_lane_mon_bitwth                     : 1;
    unsigned int reserved                                   :14;
    unsigned int reg_rx_lane_mon_init                       : 1;
    unsigned int reserved_1                                 : 5;
    unsigned int reg_rx_lane_mon_addr                       :10;
};
#define rx_rx_phy_80(val) ((rs_rx_rx_phy_80*)&(val))



#define RX_RX_PHY_84                                                     (HV_RX_PHY_BASE_ADDRESS + 0x84)

#define RX_RX_PHY_84_struct                                              rs_rx_rx_phy_84

typedef struct _rs_rx_rx_phy_84  rs_rx_rx_phy_84;
struct _rs_rx_rx_phy_84 {
    unsigned int reg_rx_lane_mon_depth                      :32;
};
#define rx_rx_phy_84(val) ((rs_rx_rx_phy_84*)&(val))



#define RX_RX_PHY_88                                                     (HV_RX_PHY_BASE_ADDRESS + 0x88)

#define RX_RX_PHY_88_struct                                              rs_rx_rx_phy_88

typedef struct _rs_rx_rx_phy_88  rs_rx_rx_phy_88;
struct _rs_rx_rx_phy_88 {
    unsigned int reg_rx_lane_mon_patt                       :20;
    unsigned int reserved                                   :12;
};
#define rx_rx_phy_88(val) ((rs_rx_rx_phy_88*)&(val))



#define RX_RX_PHY_C8                                                     (HV_RX_PHY_BASE_ADDRESS + 0xC8)

#define RX_RX_PHY_C8_struct                                              rs_rx_rx_phy_c8

typedef struct _rs_rx_rx_phy_c8  rs_rx_rx_phy_c8;
struct _rs_rx_rx_phy_c8 {
    unsigned int regr_rx_lane_mon_ready                     : 1;
    unsigned int reserved                                   :31;
};
#define rx_rx_phy_c8(val) ((rs_rx_rx_phy_c8*)&(val))



#define RX_RX_PHY_CC                                                     (HV_RX_PHY_BASE_ADDRESS + 0xCC)

#define RX_RX_PHY_CC_struct                                              rs_rx_rx_phy_cc

typedef struct _rs_rx_rx_phy_cc  rs_rx_rx_phy_cc;
struct _rs_rx_rx_phy_cc {
    unsigned int regr_rx_lane_mon_data0                     :32;
};
#define rx_rx_phy_cc(val) ((rs_rx_rx_phy_cc*)&(val))



#define RX_RX_PHY_D0                                                     (HV_RX_PHY_BASE_ADDRESS + 0xD0)

#define RX_RX_PHY_D0_struct                                              rs_rx_rx_phy_d0

typedef struct _rs_rx_rx_phy_d0  rs_rx_rx_phy_d0;
struct _rs_rx_rx_phy_d0 {
    unsigned int regr_rx_lane_mon_data1                     :32;
};
#define rx_rx_phy_d0(val) ((rs_rx_rx_phy_d0*)&(val))



#define RX_RX_PHY_D4                                                     (HV_RX_PHY_BASE_ADDRESS + 0xD4)

#define RX_RX_PHY_D4_struct                                              rs_rx_rx_phy_d4

typedef struct _rs_rx_rx_phy_d4  rs_rx_rx_phy_d4;
struct _rs_rx_rx_phy_d4 {
    unsigned int regr_rx_lane_mon_data2                     :32;
};
#define rx_rx_phy_d4(val) ((rs_rx_rx_phy_d4*)&(val))



#define RX_RX_PHY_D8                                                     (HV_RX_PHY_BASE_ADDRESS + 0xD8)

#define RX_RX_PHY_D8_struct                                              rs_rx_rx_phy_d8

typedef struct _rs_rx_rx_phy_d8  rs_rx_rx_phy_d8;
struct _rs_rx_rx_phy_d8 {
    unsigned int regr_rx_lane_mon_data3                     :32;
};
#define rx_rx_phy_d8(val) ((rs_rx_rx_phy_d8*)&(val))



#define RX_RX_PHY_DC                                                     (HV_RX_PHY_BASE_ADDRESS + 0xDC)

#define RX_RX_PHY_DC_struct                                              rs_rx_rx_phy_dc

typedef struct _rs_rx_rx_phy_dc  rs_rx_rx_phy_dc;
struct _rs_rx_rx_phy_dc {
    unsigned int regr_rx_lane_mon_data4                     :32;
};
#define rx_rx_phy_dc(val) ((rs_rx_rx_phy_dc*)&(val))



#endif