#ifndef _HV_PAGE_HT7315_SH06_TOP_H_
#define _HV_PAGE_HT7315_SH06_TOP_H_

#ifndef HV_SH06_TOP_BASE_ADDRESS
    #define HV_SH06_TOP_BASE_ADDRESS                                         0x11011000
#endif


#define SYS_SH06_TOP_00                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x00)

#define SYS_SH06_TOP_00_struct                                           rs_sys_sh06_top_00

typedef struct _rs_sys_sh06_top_00  rs_sys_sh06_top_00;
struct _rs_sys_sh06_top_00 {
    unsigned int reg_mcs_phy_clk_en                         : 1;
    unsigned int reg_src_clk_en                             : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_blk2_arb_aclk_en                       : 1;
    unsigned int reg_blk2_npu_aclk_en                       : 1;
    unsigned int reg_blk2_osc_clk_en                        : 1;
    unsigned int reg_blk2_sh1_aclk_en                       : 1;
    unsigned int reserved_1                                 :23;
};
#define sys_sh06_top_00(val) ((rs_sys_sh06_top_00*)&(val))



#define SYS_SH06_TOP_04                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x04)

#define SYS_SH06_TOP_04_struct                                           rs_sys_sh06_top_04

typedef struct _rs_sys_sh06_top_04  rs_sys_sh06_top_04;
struct _rs_sys_sh06_top_04 {
    unsigned int reg_ip_rst_n                               : 2;
    unsigned int reg_cpu_rst_n                              : 1;
    unsigned int reg_axi_rst_n                              : 1;
    unsigned int reg_pif_0_rst_n                            : 1;
    unsigned int reg_pif_1_rst_n                            : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_rx_vbo_rst_n                           : 1;
    unsigned int reg_rx_deslice_rst_n                       : 1;
    unsigned int reg_rx_hdmi21_0_rst_n                      : 1;
    unsigned int reg_rx_hdmi21_1_rst_n                      : 1;
    unsigned int reg_rx_dp0_rst_n                           : 1;
    unsigned int reg_rx_hdcp0_rst_n                         : 1;
    unsigned int reg_rx_earc_rst_n                          : 1;
    unsigned int reg_audio_rst_n                            : 1;
    unsigned int reg_sh5_axi_rst_n                          : 1;
    unsigned int reg_sw_rst_n                               : 1;
    unsigned int reg_dpll_rst_n                             : 1;
    unsigned int reg_syspll_rst_n                           : 1;
    unsigned int reg_usb_axi_rst_n                          : 1;
    unsigned int reg_sh1_axi_rst_n                          : 1;
    unsigned int reg_audio_axi_rst_n                        : 1;
    unsigned int reg_hdrx_axi_rst_n                         : 1;
    unsigned int reg_dpu_axi_rst_n                          : 1;
    unsigned int reg_sh6_sscg_rst_n                         : 1;
    unsigned int reg_txpll_sscg_rst_n                       : 1;
    unsigned int reg_txpll_rst_n                            : 1;
    unsigned int reg_rx_hdcp1_rst_n                         : 1;
    unsigned int reserved_1                                 : 4;
};
#define sys_sh06_top_04(val) ((rs_sys_sh06_top_04*)&(val))



#define SYS_SH06_TOP_08                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x08)

#define SYS_SH06_TOP_08_struct                                           rs_sys_sh06_top_08

typedef struct _rs_sys_sh06_top_08  rs_sys_sh06_top_08;
struct _rs_sys_sh06_top_08 {
    unsigned int reg_disp_osd_rst_n                         : 1;
    unsigned int reg_disp_cap_rst_n                         : 1;
    unsigned int reg_disp_srp_rst_n                         : 1;
    unsigned int reg_disp_srp_div2_rst_n                    : 1;
    unsigned int reg_disp_ldg_rst_n                         : 1;
    unsigned int reg_disp_ldg_div2_rst_n                    : 1;
    unsigned int reg_disp_spi_rst_n                         : 1;
    unsigned int reg_disp_ctrl_rst_n                        : 1;
    unsigned int reg_disp_ctrl_kcpr_rst_n                   : 1;
    unsigned int reg_disp_ctrl_kod_rst_n                    : 1;
    unsigned int reg_disp_ctrl_axi_rst_n                    : 1;
    unsigned int reg_dimmer_rst_n                           : 1;
    unsigned int reg_efuse_rst_n                            : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_txpll_1_sscg_rst_n                     : 1;
    unsigned int reg_mute_rst_n                             : 2;
    unsigned int reg_usb_pon_rst_n                          : 1;
    unsigned int reg_usb_rst_n                              : 1;
    unsigned int reg_typc_rst_n                             : 1;
    unsigned int reg_pif_edp_rst_n                          : 2;
    unsigned int reg_pif_hdtx_rst_n                         : 1;
    unsigned int reg_pif_ext_rst_n                          : 1;
    unsigned int reg_rx_dp1_rst_n                           : 1;
    unsigned int reg_rx_phy_rst_n                           : 5;
};
#define sys_sh06_top_08(val) ((rs_sys_sh06_top_08*)&(val))



#define SYS_SH06_TOP_0C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x0C)

#define SYS_SH06_TOP_0C_struct                                           rs_sys_sh06_top_0c

typedef struct _rs_sys_sh06_top_0c  rs_sys_sh06_top_0c;
struct _rs_sys_sh06_top_0c {
    unsigned int reg_apb_clk_sel                            : 1;
    unsigned int reg_apb_clk_div_num                        : 2;
    unsigned int reg_axi_clk_sel                            : 1;
    unsigned int reg_cpu_clk_sel                            : 1;
    unsigned int reg_cpu_src_sel                            : 2;
    unsigned int reg_osd_src_sel                            : 2;
    unsigned int reg_disp_spi_src_sel                       : 2;
    unsigned int reg_disp_spi_div_num                       : 3;
    unsigned int reg_disp_ip_clk_en                         : 1;
    unsigned int reg_disp_axi_clk_en                        : 1;
    unsigned int reg_disp_spi_clk_en                        : 1;
    unsigned int reg_disp_pix_clk_en                        : 1;
    unsigned int reg_disp_pix_clk_div_en                    : 1;
    unsigned int reg_disp_pix_div_num                       : 3;
    unsigned int reg_stby_mcu_src_sel                       : 2;
    unsigned int reg_stby_mcu_div_num                       : 3;
    unsigned int reg_efuse_clk_en                           : 1;
    unsigned int reg_dimmer_clk_en                          : 1;
    unsigned int reg_freerun_enable                         : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_ana_scan_setting_en                    : 1;
};
#define sys_sh06_top_0c(val) ((rs_sys_sh06_top_0c*)&(val))



#define SYS_SH06_TOP_10                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x10)

#define SYS_SH06_TOP_10_struct                                           rs_sys_sh06_top_10

typedef struct _rs_sys_sh06_top_10  rs_sys_sh06_top_10;
struct _rs_sys_sh06_top_10 {
    unsigned int reg_agpiomux_0_oe                          : 1;
    unsigned int reg_agpiomux_0_ie                          : 1;
    unsigned int reg_agpiomux_0_sel                         : 3;
    unsigned int reserved                                   :11;
    unsigned int reg_misc_clk_div_num                       : 3;
    unsigned int reserved_1                                 : 5;
    unsigned int reg_ip0_clk_src_sel                        : 2;
    unsigned int reg_ip1_clk_src_sel                        : 2;
    unsigned int reserved_2                                 : 4;
};
#define sys_sh06_top_10(val) ((rs_sys_sh06_top_10*)&(val))



#define SYS_SH06_TOP_14                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x14)

#define SYS_SH06_TOP_14_struct                                           rs_sys_sh06_top_14

typedef struct _rs_sys_sh06_top_14  rs_sys_sh06_top_14;
struct _rs_sys_sh06_top_14 {
    unsigned int reg_b3_oscclk_window_length                :12;
    unsigned int reg_b3_prc_det_mode                        : 3;
    unsigned int reg_b3_prc_det_clkgate_en                  : 1;
    unsigned int reserved                                   :16;
};
#define sys_sh06_top_14(val) ((rs_sys_sh06_top_14*)&(val))



#define SYS_SH06_TOP_18                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x18)

#define SYS_SH06_TOP_18_struct                                           rs_sys_sh06_top_18

typedef struct _rs_sys_sh06_top_18  rs_sys_sh06_top_18;
struct _rs_sys_sh06_top_18 {
    unsigned int reg_rstn_dly_sys                           :24;
    unsigned int reserved                                   : 8;
};
#define sys_sh06_top_18(val) ((rs_sys_sh06_top_18*)&(val))



#define SYS_SH06_TOP_1C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x1C)

#define SYS_SH06_TOP_1C_struct                                           rs_sys_sh06_top_1c

typedef struct _rs_sys_sh06_top_1c  rs_sys_sh06_top_1c;
struct _rs_sys_sh06_top_1c {
    unsigned int reg_rstn_dly_peri                          :24;
    unsigned int reserved                                   : 8;
};
#define sys_sh06_top_1c(val) ((rs_sys_sh06_top_1c*)&(val))



#define SYS_SH06_TOP_20                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x20)

#define SYS_SH06_TOP_20_struct                                           rs_sys_sh06_top_20

typedef struct _rs_sys_sh06_top_20  rs_sys_sh06_top_20;
struct _rs_sys_sh06_top_20 {
    unsigned int reg_rstn_dly_cpu                           :24;
    unsigned int reserved                                   : 8;
};
#define sys_sh06_top_20(val) ((rs_sys_sh06_top_20*)&(val))



#define SYS_SH06_TOP_24                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x24)

#define SYS_SH06_TOP_24_struct                                           rs_sys_sh06_top_24

typedef struct _rs_sys_sh06_top_24  rs_sys_sh06_top_24;
struct _rs_sys_sh06_top_24 {
    unsigned int reg_pwrdect_en                             : 1;
    unsigned int reg_pwrdect18_adj                          : 4;
    unsigned int reg_pwrdect33_adj                          : 4;
    unsigned int reg_pwrdet_vref_1p8_adj                    : 2;
    unsigned int reg_pwrdet_vref_3p3_adj                    : 2;
    unsigned int reg_pwrdet_keep                            : 4;
    unsigned int reserved                                   : 9;
    unsigned int reg_pwrdect18_use_sel                      : 2;
    unsigned int reg_pwrdect33_use_sel                      : 2;
    unsigned int reserved_1                                 : 2;
};
#define sys_sh06_top_24(val) ((rs_sys_sh06_top_24*)&(val))



#define SYS_SH06_TOP_28                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x28)

#define SYS_SH06_TOP_28_struct                                           rs_sys_sh06_top_28

typedef struct _rs_sys_sh06_top_28  rs_sys_sh06_top_28;
struct _rs_sys_sh06_top_28 {
    unsigned int reg_syspll_en                              : 1;
    unsigned int reg_syspll_stb_en                          : 1;
    unsigned int reg_syspll_rstn                            : 1;
    unsigned int reg_syspll_div_mode                        : 1;
    unsigned int reg_syspll_ib5u_sel                        : 1;
    unsigned int reg_syspll_test_mode                       : 1;
    unsigned int reg_syspll_free_run                        : 1;
    unsigned int reg_syspll_overflow_rst_en                 : 1;
    unsigned int reg_syspll_lock_force                      : 1;
    unsigned int reg_syspll_lock_cnt_sel                    : 1;
    unsigned int reg_syspll_lock_wd_sel                     : 2;
    unsigned int reg_syspll_ana_test_sel                    : 4;
    unsigned int reg_syspll_dummy                           : 8;
    unsigned int reg_syspll_rnd_mode                        : 1;
    unsigned int reg_syspll_dac_en                          : 1;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top_28(val) ((rs_sys_sh06_top_28*)&(val))



#define SYS_SH06_TOP_2C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x2C)

#define SYS_SH06_TOP_2C_struct                                           rs_sys_sh06_top_2c

typedef struct _rs_sys_sh06_top_2c  rs_sys_sh06_top_2c;
struct _rs_sys_sh06_top_2c {
    unsigned int reg_syspll_dly_ctrl                        : 3;
    unsigned int reg_syspll_icp_bias_tune                   : 3;
    unsigned int reg_syspll_icp_ctrl1                       : 4;
    unsigned int reg_syspll_icp_ctrl2                       : 3;
    unsigned int reg_syspll_lpf_ctrl                        : 4;
    unsigned int reg_syspll_kvco_ctrl                       : 6;
    unsigned int reg_syspll_ckref_sel                       : 2;
    unsigned int reg_syspll_prediv                          : 6;
    unsigned int reserved                                   : 1;
};
#define sys_sh06_top_2c(val) ((rs_sys_sh06_top_2c*)&(val))



#define SYS_SH06_TOP_30                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x30)

#define SYS_SH06_TOP_30_struct                                           rs_sys_sh06_top_30

typedef struct _rs_sys_sh06_top_30  rs_sys_sh06_top_30;
struct _rs_sys_sh06_top_30 {
    unsigned int reg_syspll_fbdiv_int                       :10;
    unsigned int reserved                                   : 6;
    unsigned int reg_syspll_fbdiv_frac                      :16;
};
#define sys_sh06_top_30(val) ((rs_sys_sh06_top_30*)&(val))



#define SYS_SH06_TOP_34                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x34)

#define SYS_SH06_TOP_34_struct                                           rs_sys_sh06_top_34

typedef struct _rs_sys_sh06_top_34  rs_sys_sh06_top_34;
struct _rs_sys_sh06_top_34 {
    unsigned int reg_syspll_postdiv0                        :10;
    unsigned int reg_syspll_postdiv1                        :10;
    unsigned int reg_syspll_postdiv2                        :10;
    unsigned int reserved                                   : 2;
};
#define sys_sh06_top_34(val) ((rs_sys_sh06_top_34*)&(val))



#define SYS_SH06_TOP_38                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x38)

#define SYS_SH06_TOP_38_struct                                           rs_sys_sh06_top_38

typedef struct _rs_sys_sh06_top_38  rs_sys_sh06_top_38;
struct _rs_sys_sh06_top_38 {
    unsigned int reg_syspll_postdiv0_div2                   : 1;
    unsigned int reg_syspll_postdiv0_0                      : 6;
    unsigned int reg_syspll_postdiv0_1                      : 6;
    unsigned int reg_syspll_postdiv_lvds                    : 2;
    unsigned int reg_syspll_cklvds_al_skew                  : 4;
    unsigned int reg_syspll_cklvds_ar_skew                  : 4;
    unsigned int reg_syspll_cklvds_en                       : 1;
    unsigned int reg_syspll_cklvds_lr_sel                   : 2;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top_38(val) ((rs_sys_sh06_top_38*)&(val))



#define SYS_SH06_TOP_3C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x3C)

#define SYS_SH06_TOP_3C_struct                                           rs_sys_sh06_top_3c

typedef struct _rs_sys_sh06_top_3c  rs_sys_sh06_top_3c;
struct _rs_sys_sh06_top_3c {
    unsigned int reg_ptcdpll_en                             : 1;
    unsigned int reg_ptcdpll_stb_en                         : 1;
    unsigned int reg_ptcdpll_rstn                           : 1;
    unsigned int reg_ptcdpll_div_mode                       : 1;
    unsigned int reg_ptcdpll_ib5u_sel                       : 1;
    unsigned int reg_ptcdpll_test_mode                      : 1;
    unsigned int reg_ptcdpll_free_run                       : 1;
    unsigned int reg_ptcdpll_overflow_rst_en                : 1;
    unsigned int reg_ptcdpll_lock_force                     : 1;
    unsigned int reg_ptcdpll_lock_cnt_sel                   : 1;
    unsigned int reg_ptcdpll_lock_wd_sel                    : 2;
    unsigned int reg_ptcdpll_ana_test_sel                   : 4;
    unsigned int reg_ptcdpll_dummy                          : 8;
    unsigned int reg_ptcdpll_rnd_mode                       : 1;
    unsigned int reg_ptcdpll_dac_en                         : 1;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top_3c(val) ((rs_sys_sh06_top_3c*)&(val))



#define SYS_SH06_TOP_40                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x40)

#define SYS_SH06_TOP_40_struct                                           rs_sys_sh06_top_40

typedef struct _rs_sys_sh06_top_40  rs_sys_sh06_top_40;
struct _rs_sys_sh06_top_40 {
    unsigned int reg_ptcdpll_dly_ctrl                       : 3;
    unsigned int reg_ptcdpll_icp_bias_tune                  : 3;
    unsigned int reg_ptcdpll_icp_ctrl1                      : 4;
    unsigned int reg_ptcdpll_icp_ctrl2                      : 3;
    unsigned int reg_ptcdpll_lpf_ctrl                       : 4;
    unsigned int reg_ptcdpll_kvco_ctrl                      : 6;
    unsigned int reg_ptcdpll_ckref_sel                      : 2;
    unsigned int reg_ptcdpll_prediv                         : 6;
    unsigned int reserved                                   : 1;
};
#define sys_sh06_top_40(val) ((rs_sys_sh06_top_40*)&(val))



#define SYS_SH06_TOP_48                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x48)

#define SYS_SH06_TOP_48_struct                                           rs_sys_sh06_top_48

typedef struct _rs_sys_sh06_top_48  rs_sys_sh06_top_48;
struct _rs_sys_sh06_top_48 {
    unsigned int reg_ptcdpll_postdiv0                       :10;
    unsigned int reg_ptcdpll_postdiv1                       :10;
    unsigned int reg_ptcdpll_postdiv2                       :10;
    unsigned int reserved                                   : 2;
};
#define sys_sh06_top_48(val) ((rs_sys_sh06_top_48*)&(val))



#define SYS_SH06_TOP_4C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x4C)

#define SYS_SH06_TOP_4C_struct                                           rs_sys_sh06_top_4c

typedef struct _rs_sys_sh06_top_4c  rs_sys_sh06_top_4c;
struct _rs_sys_sh06_top_4c {
    unsigned int reg_ptcdpll_postdiv0_div2                  : 1;
    unsigned int reg_ptcdpll_postdiv0_0                     : 6;
    unsigned int reg_ptcdpll_postdiv0_1                     : 6;
    unsigned int reg_ptcdpll_postdiv_lvds                   : 2;
    unsigned int reg_ptcdpll_cklvds_al_skew                 : 4;
    unsigned int reg_ptcdpll_cklvds_ar_skew                 : 4;
    unsigned int reg_ptcdpll_cklvds_en                      : 1;
    unsigned int reg_ptcdpll_cklvds_lr_sel                  : 2;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top_4c(val) ((rs_sys_sh06_top_4c*)&(val))



#define SYS_SH06_TOP_50                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x50)

#define SYS_SH06_TOP_50_struct                                           rs_sys_sh06_top_50

typedef struct _rs_sys_sh06_top_50  rs_sys_sh06_top_50;
struct _rs_sys_sh06_top_50 {
    unsigned int reg_temps_pd_ts                            : 1;
    unsigned int reg_temps_ts_slope                         : 2;
    unsigned int reg_temps_sel_clk                          : 2;
    unsigned int reg_temps_sel_mode_ts                      : 1;
    unsigned int reg_temps_cali_ts                          : 1;
    unsigned int reg_temps_dctest_en                        : 1;
    unsigned int reg_temps_dctest                           : 3;
    unsigned int reg_temps_rb_ts                            : 1;
    unsigned int reg_temps_asel_ts                          : 3;
    unsigned int reserved                                   :17;
};
#define sys_sh06_top_50(val) ((rs_sys_sh06_top_50*)&(val))



#define SYS_SH06_TOP_5C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x5C)

#define SYS_SH06_TOP_5C_struct                                           rs_sys_sh06_top_5c

typedef struct _rs_sys_sh06_top_5c  rs_sys_sh06_top_5c;
struct _rs_sys_sh06_top_5c {
    unsigned int reg_ptcdpll_dynamic_en                     : 1;
    unsigned int reserved                                   : 9;
    unsigned int reg_ptcdpll_ssc_en                         : 1;
    unsigned int reg_ptcdpll_ssc_sync_en                    : 1;
    unsigned int reg_ptcdpll_ssc_patt_num                   : 4;
    unsigned int reg_ptcdpll_ssc_patt_set                   :16;
};
#define sys_sh06_top_5c(val) ((rs_sys_sh06_top_5c*)&(val))



#define SYS_SH06_TOP_60                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x60)

#define SYS_SH06_TOP_60_struct                                           rs_sys_sh06_top_60

typedef struct _rs_sys_sh06_top_60  rs_sys_sh06_top_60;
struct _rs_sys_sh06_top_60 {
    unsigned int reg_ptcdpll_ssc_step                       :16;
    unsigned int reg_ptcdpll_ssc_period                     :16;
};
#define sys_sh06_top_60(val) ((rs_sys_sh06_top_60*)&(val))



#define SYS_SH06_TOP_64                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x64)

#define SYS_SH06_TOP_64_struct                                           rs_sys_sh06_top_64

typedef struct _rs_sys_sh06_top_64  rs_sys_sh06_top_64;
struct _rs_sys_sh06_top_64 {
    unsigned int reg_ptcdpll_ssc_plln_int                   :10;
    unsigned int reg_ptcdpll_ssc_plln_frac                  :16;
    unsigned int reserved                                   : 5;
    unsigned int reg_ptcdpll_ssc_plln_updt                  : 1;
};
#define sys_sh06_top_64(val) ((rs_sys_sh06_top_64*)&(val))



#define SYS_SH06_TOP_68                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x68)

#define SYS_SH06_TOP_68_struct                                           rs_sys_sh06_top_68

typedef struct _rs_sys_sh06_top_68  rs_sys_sh06_top_68;
struct _rs_sys_sh06_top_68 {
    unsigned int reg_syspll_lockdet_lock_fw_mode            : 1;
    unsigned int reg_syspll_lockdet_lock_fw_value           : 1;
    unsigned int reg_syspll_lockdet_det_win                 : 3;
    unsigned int reg_syspll_lockdet_locked_num              : 4;
    unsigned int reg_syspll_lockdet_unlocked_num            : 4;
    unsigned int reg_syspll_lockdet_lock_err_range          : 8;
    unsigned int reg_syspll_lockdet_fast_err_range          : 8;
    unsigned int reserved                                   : 3;
};
#define sys_sh06_top_68(val) ((rs_sys_sh06_top_68*)&(val))



#define SYS_SH06_TOP_6C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x6C)

#define SYS_SH06_TOP_6C_struct                                           rs_sys_sh06_top_6c

typedef struct _rs_sys_sh06_top_6c  rs_sys_sh06_top_6c;
struct _rs_sys_sh06_top_6c {
    unsigned int reg_syspll_lockdet_no_clk_th               : 8;
    unsigned int reserved                                   :24;
};
#define sys_sh06_top_6c(val) ((rs_sys_sh06_top_6c*)&(val))



#define SYS_SH06_TOP_70                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x70)

#define SYS_SH06_TOP_70_struct                                           rs_sys_sh06_top_70

typedef struct _rs_sys_sh06_top_70  rs_sys_sh06_top_70;
struct _rs_sys_sh06_top_70 {
    unsigned int reg_ptcdpll_lock_det_lock_fw_mode          : 1;
    unsigned int reg_ptcdpll_lock_det_lock_fw_value         : 1;
    unsigned int reg_ptcdpll_lock_det_det_win               : 3;
    unsigned int reg_ptcdpll_lock_det_locked_num            : 4;
    unsigned int reg_ptcdpll_lock_det_unlocked_num          : 4;
    unsigned int reg_ptcdpll_lock_det_lock_err_range        : 8;
    unsigned int reg_ptcdpll_lock_det_fast_err_range        : 8;
    unsigned int reserved                                   : 3;
};
#define sys_sh06_top_70(val) ((rs_sys_sh06_top_70*)&(val))



#define SYS_SH06_TOP_74                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x74)

#define SYS_SH06_TOP_74_struct                                           rs_sys_sh06_top_74

typedef struct _rs_sys_sh06_top_74  rs_sys_sh06_top_74;
struct _rs_sys_sh06_top_74 {
    unsigned int reg_ptcdpll_lock_det_no_clk_th             : 8;
    unsigned int reserved                                   :24;
};
#define sys_sh06_top_74(val) ((rs_sys_sh06_top_74*)&(val))



#define SYS_SH06_TOP_78                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x78)

#define SYS_SH06_TOP_78_struct                                           rs_sys_sh06_top_78

typedef struct _rs_sys_sh06_top_78  rs_sys_sh06_top_78;
struct _rs_sys_sh06_top_78 {
    unsigned int reg_pix_clk_src_sel                        : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_mcs_phy_mode                           : 1;
    unsigned int reg_mcs_phy_rx_inv_en                      : 1;
    unsigned int reg_mcs_phy_tx_inv_en                      : 1;
    unsigned int reserved_1                                 :25;
};
#define sys_sh06_top_78(val) ((rs_sys_sh06_top_78*)&(val))



#define SYS_SH06_TOP_7C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x7C)

#define SYS_SH06_TOP_7C_struct                                           rs_sys_sh06_top_7c

typedef struct _rs_sys_sh06_top_7c  rs_sys_sh06_top_7c;
struct _rs_sys_sh06_top_7c {
    unsigned int reg_crt_debug_div_num                      : 3;
    unsigned int reg_crt_debug_sel                          : 7;
    unsigned int reserved                                   : 5;
    unsigned int reg_osc_div_clk_num                        : 5;
    unsigned int reserved_1                                 : 9;
    unsigned int reg_pll_ate_test_sel                       : 3;
};
#define sys_sh06_top_7c(val) ((rs_sys_sh06_top_7c*)&(val))



#define SYS_SH06_TOP_80                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x80)

#define SYS_SH06_TOP_80_struct                                           rs_sys_sh06_top_80

typedef struct _rs_sys_sh06_top_80  rs_sys_sh06_top_80;
struct _rs_sys_sh06_top_80 {
    unsigned int reg_pwrdect18_filter                       :16;
    unsigned int reg_pwrdect33_filter                       :16;
};
#define sys_sh06_top_80(val) ((rs_sys_sh06_top_80*)&(val))



#define SYS_SH06_TOP_88                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x88)

#define SYS_SH06_TOP_88_struct                                           rs_sys_sh06_top_88

typedef struct _rs_sys_sh06_top_88  rs_sys_sh06_top_88;
struct _rs_sys_sh06_top_88 {
    unsigned int reg_ldo18_100ma_pd                         : 1;
    unsigned int reg_ldo18_100ma_ref_adj                    : 3;
    unsigned int reg_ldo18_100ma_pulldn_enb                 : 1;
    unsigned int reg_ldo18_100ma_soft_start_enb             : 1;
    unsigned int reg_ldo18_100ma_eng                        : 5;
    unsigned int reserved                                   :21;
};
#define sys_sh06_top_88(val) ((rs_sys_sh06_top_88*)&(val))



#define SYS_SH06_TOP_90                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x90)

#define SYS_SH06_TOP_90_struct                                           rs_sys_sh06_top_90

typedef struct _rs_sys_sh06_top_90  rs_sys_sh06_top_90;
struct _rs_sys_sh06_top_90 {
    unsigned int reg_sh06_clkdet_win                        :32;
};
#define sys_sh06_top_90(val) ((rs_sys_sh06_top_90*)&(val))



#define SYS_SH06_TOP_94                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x94)

#define SYS_SH06_TOP_94_struct                                           rs_sys_sh06_top_94

typedef struct _rs_sys_sh06_top_94  rs_sys_sh06_top_94;
struct _rs_sys_sh06_top_94 {
    unsigned int reg_sh06_clkdet_low                        :32;
};
#define sys_sh06_top_94(val) ((rs_sys_sh06_top_94*)&(val))



#define SYS_SH06_TOP_98                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x98)

#define SYS_SH06_TOP_98_struct                                           rs_sys_sh06_top_98

typedef struct _rs_sys_sh06_top_98  rs_sys_sh06_top_98;
struct _rs_sys_sh06_top_98 {
    unsigned int reg_sh06_clkdet_high                       :32;
};
#define sys_sh06_top_98(val) ((rs_sys_sh06_top_98*)&(val))



#define SYS_SH06_TOP_9C                                                  (HV_SH06_TOP_BASE_ADDRESS + 0x9C)

#define SYS_SH06_TOP_9C_struct                                           rs_sys_sh06_top_9c

typedef struct _rs_sys_sh06_top_9c  rs_sys_sh06_top_9c;
struct _rs_sys_sh06_top_9c {
    unsigned int reg_sh06_clkdet_delta                      :32;
};
#define sys_sh06_top_9c(val) ((rs_sys_sh06_top_9c*)&(val))



#define SYS_SH06_TOP_C0                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xC0)

#define SYS_SH06_TOP_C0_struct                                           rs_sys_sh06_top_c0

typedef struct _rs_sys_sh06_top_c0  rs_sys_sh06_top_c0;
struct _rs_sys_sh06_top_c0 {
    unsigned int regr_sh06_clkdet_freq_cnt                  :32;
};
#define sys_sh06_top_c0(val) ((rs_sys_sh06_top_c0*)&(val))



#define SYS_SH06_TOP_C4                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xC4)

#define SYS_SH06_TOP_C4_struct                                           rs_sys_sh06_top_c4

typedef struct _rs_sys_sh06_top_c4  rs_sys_sh06_top_c4;
struct _rs_sys_sh06_top_c4 {
    unsigned int regr_sh06_clkdet_abn_nck                   : 1;
    unsigned int regr_sh06_clkdet_abn_low                   : 1;
    unsigned int regr_sh06_clkdet_abn_high                  : 1;
    unsigned int regr_sh06_clkdet_abn_nstb                  : 1;
    unsigned int reserved                                   :28;
};
#define sys_sh06_top_c4(val) ((rs_sys_sh06_top_c4*)&(val))



#define SYS_SH06_TOP_C8                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xC8)

#define SYS_SH06_TOP_C8_struct                                           rs_sys_sh06_top_c8

typedef struct _rs_sys_sh06_top_c8  rs_sys_sh06_top_c8;
struct _rs_sys_sh06_top_c8 {
    unsigned int regr_ptcdpll_ssc_triwave_0                 :32;
};
#define sys_sh06_top_c8(val) ((rs_sys_sh06_top_c8*)&(val))



#define SYS_SH06_TOP_CC                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xCC)

#define SYS_SH06_TOP_CC_struct                                           rs_sys_sh06_top_cc

typedef struct _rs_sys_sh06_top_cc  rs_sys_sh06_top_cc;
struct _rs_sys_sh06_top_cc {
    unsigned int regr_ptcdpll_ssc_triwave_1                 :12;
    unsigned int regr_ptcdpll_ssc_phase                     : 4;
    unsigned int regr_ptcdpll_ssc_updt_cnt                  :16;
};
#define sys_sh06_top_cc(val) ((rs_sys_sh06_top_cc*)&(val))



#define SYS_SH06_TOP_D0                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xD0)

#define SYS_SH06_TOP_D0_struct                                           rs_sys_sh06_top_d0

typedef struct _rs_sys_sh06_top_d0  rs_sys_sh06_top_d0;
struct _rs_sys_sh06_top_d0 {
    unsigned int regr_ptcdpll_ssc_plln_int                  :10;
    unsigned int regr_ptcdpll_ssc_plln_frac                 :16;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top_d0(val) ((rs_sys_sh06_top_d0*)&(val))



#define SYS_SH06_TOP_D4                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xD4)

#define SYS_SH06_TOP_D4_struct                                           rs_sys_sh06_top_d4

typedef struct _rs_sys_sh06_top_d4  rs_sys_sh06_top_d4;
struct _rs_sys_sh06_top_d4 {
    unsigned int regr_b3_mclk_window_length_0               :16;
    unsigned int regr_b3_mclk_window_length_1               :16;
};
#define sys_sh06_top_d4(val) ((rs_sys_sh06_top_d4*)&(val))



#define SYS_SH06_TOP_D8                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xD8)

#define SYS_SH06_TOP_D8_struct                                           rs_sys_sh06_top_d8

typedef struct _rs_sys_sh06_top_d8  rs_sys_sh06_top_d8;
struct _rs_sys_sh06_top_d8 {
    unsigned int regr_dummy_e8                              : 1;
    unsigned int reserved                                   : 9;
    unsigned int regr_syspll_dout_test                      :10;
    unsigned int regr_syspll_dout_lock_cnt_en               : 1;
    unsigned int regr_syspll_dout_lock_flag                 : 1;
    unsigned int regr_syspll_dout_overflow_flag             : 1;
    unsigned int regr_syspll_dout_phase_error_flag          : 1;
    unsigned int reserved_1                                 : 8;
};
#define sys_sh06_top_d8(val) ((rs_sys_sh06_top_d8*)&(val))



#define SYS_SH06_TOP_DC                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xDC)

#define SYS_SH06_TOP_DC_struct                                           rs_sys_sh06_top_dc

typedef struct _rs_sys_sh06_top_dc  rs_sys_sh06_top_dc;
struct _rs_sys_sh06_top_dc {
    unsigned int regr_ptcdpll_dout_test                     :10;
    unsigned int regr_ptcdpll_dout_lock_cnt_en              : 1;
    unsigned int regr_ptcdpll_dout_lock_flag                : 1;
    unsigned int regr_ptcdpll_dout_overflow_flag            : 1;
    unsigned int regr_ptcdpll_dout_phase_error_flag         : 1;
    unsigned int reserved                                   :18;
};
#define sys_sh06_top_dc(val) ((rs_sys_sh06_top_dc*)&(val))



#define SYS_SH06_TOP_E0                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xE0)

#define SYS_SH06_TOP_E0_struct                                           rs_sys_sh06_top_e0

typedef struct _rs_sys_sh06_top_e0  rs_sys_sh06_top_e0;
struct _rs_sys_sh06_top_e0 {
    unsigned int regr_syspll_lockdet_ref_int_value          :16;
    unsigned int regr_syspll_lockdet_vco_int_value          :16;
};
#define sys_sh06_top_e0(val) ((rs_sys_sh06_top_e0*)&(val))



#define SYS_SH06_TOP_E4                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xE4)

#define SYS_SH06_TOP_E4_struct                                           rs_sys_sh06_top_e4

typedef struct _rs_sys_sh06_top_e4  rs_sys_sh06_top_e4;
struct _rs_sys_sh06_top_e4 {
    unsigned int regr_syspll_lockdet_ref_clk_fast           : 1;
    unsigned int regr_syspll_lockdet_vco_clk_fast           : 1;
    unsigned int regr_syspll_lockdet_ref_no_clk             : 1;
    unsigned int regr_syspll_lockdet_vco_no_clk             : 1;
    unsigned int regr_syspll_lockdet_pll_lock               : 1;
    unsigned int regr_pwrdect18_rlt                         : 1;
    unsigned int regr_pwrdect33_rlt                         : 1;
    unsigned int regr_pwrdect18_rlt_filter                  : 1;
    unsigned int regr_pwrdect33_rlt_filter                  : 1;
    unsigned int reserved                                   : 7;
    unsigned int regr_temps_dout                            :12;
    unsigned int reserved_1                                 : 3;
    unsigned int regr_ldo18_100ma_rdy                       : 1;
};
#define sys_sh06_top_e4(val) ((rs_sys_sh06_top_e4*)&(val))



#define SYS_SH06_TOP_E8                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xE8)

#define SYS_SH06_TOP_E8_struct                                           rs_sys_sh06_top_e8

typedef struct _rs_sys_sh06_top_e8  rs_sys_sh06_top_e8;
struct _rs_sys_sh06_top_e8 {
    unsigned int regr_ptcdpll_lock_det_ref_int_value        :16;
    unsigned int regr_ptcdpll_lock_det_vco_int_value        :16;
};
#define sys_sh06_top_e8(val) ((rs_sys_sh06_top_e8*)&(val))



#define SYS_SH06_TOP_EC                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xEC)

#define SYS_SH06_TOP_EC_struct                                           rs_sys_sh06_top_ec

typedef struct _rs_sys_sh06_top_ec  rs_sys_sh06_top_ec;
struct _rs_sys_sh06_top_ec {
    unsigned int regr_ptcdpll_lock_det_ref_clk_fast         : 1;
    unsigned int regr_ptcdpll_lock_det_vco_clk_fast         : 1;
    unsigned int regr_ptcdpll_lock_det_ref_no_clk           : 1;
    unsigned int regr_ptcdpll_lock_det_vco_no_clk           : 1;
    unsigned int regr_ptcdpll_lock_det_pll_lock             : 1;
    unsigned int reserved                                   :27;
};
#define sys_sh06_top_ec(val) ((rs_sys_sh06_top_ec*)&(val))



#define SYS_SH06_TOP_F8                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xF8)

#define SYS_SH06_TOP_F8_struct                                           rs_sys_sh06_top_f8

typedef struct _rs_sys_sh06_top_f8  rs_sys_sh06_top_f8;
struct _rs_sys_sh06_top_f8 {
    unsigned int regr_chip_id_tie                           :16;
    unsigned int reserved                                   :16;
};
#define sys_sh06_top_f8(val) ((rs_sys_sh06_top_f8*)&(val))



#define SYS_SH06_TOP_FC                                                  (HV_SH06_TOP_BASE_ADDRESS + 0xFC)

#define SYS_SH06_TOP_FC_struct                                           rs_sys_sh06_top_fc

typedef struct _rs_sys_sh06_top_fc  rs_sys_sh06_top_fc;
struct _rs_sys_sh06_top_fc {
    unsigned int regr_chip_id                               :32;
};
#define sys_sh06_top_fc(val) ((rs_sys_sh06_top_fc*)&(val))



#endif