#ifndef _HV_PAGE_HT7315_SH06_TOP1_H_
#define _HV_PAGE_HT7315_SH06_TOP1_H_

#ifndef HV_SH06_TOP1_BASE_ADDRESS
    #define HV_SH06_TOP1_BASE_ADDRESS                                         0x11010F00
#endif


#define SYS_SH06_TOP1_W0                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x00)

#define SYS_SH06_TOP1_W0_struct                                          rs_sys_sh06_top1_w0

typedef struct _rs_sys_sh06_top1_w0  rs_sys_sh06_top1_w0;
struct _rs_sys_sh06_top1_w0 {
    unsigned int reg_plln_clk_det_en                        : 1;
    unsigned int reg_plln_clk_det_win                       : 8;
    unsigned int reg_sscg_en                                : 1;
    unsigned int reg_sscg_mode                              : 2;
    unsigned int reg_sscg_step                              :16;
    unsigned int reserved                                   : 4;
};
#define sys_sh06_top1_w0(val) ((rs_sys_sh06_top1_w0*)&(val))



#define SYS_SH06_TOP1_W1                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x04)

#define SYS_SH06_TOP1_W1_struct                                          rs_sys_sh06_top1_w1

typedef struct _rs_sys_sh06_top1_w1  rs_sys_sh06_top1_w1;
struct _rs_sys_sh06_top1_w1 {
    unsigned int reg_sscg_period0                           :12;
    unsigned int reg_sscg_period1                           :12;
    unsigned int reserved                                   : 8;
};
#define sys_sh06_top1_w1(val) ((rs_sys_sh06_top1_w1*)&(val))



#define SYS_SH06_TOP1_W2                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x08)

#define SYS_SH06_TOP1_W2_struct                                          rs_sys_sh06_top1_w2

typedef struct _rs_sys_sh06_top1_w2  rs_sys_sh06_top1_w2;
struct _rs_sys_sh06_top1_w2 {
    unsigned int reg_plln_clknum_iir_alp                    : 6;
    unsigned int reserved                                   :26;
};
#define sys_sh06_top1_w2(val) ((rs_sys_sh06_top1_w2*)&(val))



#define SYS_SH06_TOP1_W3                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x0C)

#define SYS_SH06_TOP1_W3_struct                                          rs_sys_sh06_top1_w3

typedef struct _rs_sys_sh06_top1_w3  rs_sys_sh06_top1_w3;
struct _rs_sys_sh06_top1_w3 {
    unsigned int reg_plln_ref0_clknum_gain                  :16;
    unsigned int reg_plln_ref1_clknum_gain                  :16;
};
#define sys_sh06_top1_w3(val) ((rs_sys_sh06_top1_w3*)&(val))



#define SYS_SH06_TOP1_W4                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x10)

#define SYS_SH06_TOP1_W4_struct                                          rs_sys_sh06_top1_w4

typedef struct _rs_sys_sh06_top1_w4  rs_sys_sh06_top1_w4;
struct _rs_sys_sh06_top1_w4 {
    unsigned int reg_plln_clkdiff_adj_en                    : 1;
    unsigned int reg_plln_int                               :10;
    unsigned int reg_plln_frac                              :16;
    unsigned int reserved                                   : 5;
};
#define sys_sh06_top1_w4(val) ((rs_sys_sh06_top1_w4*)&(val))



#define SYS_SH06_TOP1_W5                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x14)

#define SYS_SH06_TOP1_W5_struct                                          rs_sys_sh06_top1_w5

typedef struct _rs_sys_sh06_top1_w5  rs_sys_sh06_top1_w5;
struct _rs_sys_sh06_top1_w5 {
    unsigned int reg_plln_clknum_diff_thr0                  :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w5(val) ((rs_sys_sh06_top1_w5*)&(val))



#define SYS_SH06_TOP1_W6                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x18)

#define SYS_SH06_TOP1_W6_struct                                          rs_sys_sh06_top1_w6

typedef struct _rs_sys_sh06_top1_w6  rs_sys_sh06_top1_w6;
struct _rs_sys_sh06_top1_w6 {
    unsigned int reg_plln_clknum_diff_thr1                  :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w6(val) ((rs_sys_sh06_top1_w6*)&(val))



#define SYS_SH06_TOP1_W7                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x1C)

#define SYS_SH06_TOP1_W7_struct                                          rs_sys_sh06_top1_w7

typedef struct _rs_sys_sh06_top1_w7  rs_sys_sh06_top1_w7;
struct _rs_sys_sh06_top1_w7 {
    unsigned int reg_plln_clknum_diff_thr2                  :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w7(val) ((rs_sys_sh06_top1_w7*)&(val))



#define SYS_SH06_TOP1_W8                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x20)

#define SYS_SH06_TOP1_W8_struct                                          rs_sys_sh06_top1_w8

typedef struct _rs_sys_sh06_top1_w8  rs_sys_sh06_top1_w8;
struct _rs_sys_sh06_top1_w8 {
    unsigned int reg_plln_clknum_diff_thr3                  :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w8(val) ((rs_sys_sh06_top1_w8*)&(val))



#define SYS_SH06_TOP1_W9                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0x24)

#define SYS_SH06_TOP1_W9_struct                                          rs_sys_sh06_top1_w9

typedef struct _rs_sys_sh06_top1_w9  rs_sys_sh06_top1_w9;
struct _rs_sys_sh06_top1_w9 {
    unsigned int reg_plln_clknum_diff_thr4                  :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w9(val) ((rs_sys_sh06_top1_w9*)&(val))



#define SYS_SH06_TOP1_W10                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x28)

#define SYS_SH06_TOP1_W10_struct                                         rs_sys_sh06_top1_w10

typedef struct _rs_sys_sh06_top1_w10  rs_sys_sh06_top1_w10;
struct _rs_sys_sh06_top1_w10 {
    unsigned int reg_plln_adj_frac_step0                    :16;
    unsigned int reg_plln_adj_frac_step1                    :16;
};
#define sys_sh06_top1_w10(val) ((rs_sys_sh06_top1_w10*)&(val))



#define SYS_SH06_TOP1_W11                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x2C)

#define SYS_SH06_TOP1_W11_struct                                         rs_sys_sh06_top1_w11

typedef struct _rs_sys_sh06_top1_w11  rs_sys_sh06_top1_w11;
struct _rs_sys_sh06_top1_w11 {
    unsigned int reg_plln_adj_frac_step2                    :16;
    unsigned int reg_plln_adj_frac_step3                    :16;
};
#define sys_sh06_top1_w11(val) ((rs_sys_sh06_top1_w11*)&(val))



#define SYS_SH06_TOP1_W12                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x30)

#define SYS_SH06_TOP1_W12_struct                                         rs_sys_sh06_top1_w12

typedef struct _rs_sys_sh06_top1_w12  rs_sys_sh06_top1_w12;
struct _rs_sys_sh06_top1_w12 {
    unsigned int reg_plln_adj_frac_step4                    :16;
    unsigned int reg_plln_waterlvl_adj_en                   : 1;
    unsigned int reserved                                   :15;
};
#define sys_sh06_top1_w12(val) ((rs_sys_sh06_top1_w12*)&(val))



#define SYS_SH06_TOP1_W13                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x34)

#define SYS_SH06_TOP1_W13_struct                                         rs_sys_sh06_top1_w13

typedef struct _rs_sys_sh06_top1_w13  rs_sys_sh06_top1_w13;
struct _rs_sys_sh06_top1_w13 {
    unsigned int reg_plln_adj_mode                          : 1;
    unsigned int reg_line_plln_adj_en                       : 1;
    unsigned int reg_line_adj_period_lnnum                  :12;
    unsigned int reg_line_adj_win_start                     :12;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w13(val) ((rs_sys_sh06_top1_w13*)&(val))



#define SYS_SH06_TOP1_W14                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x38)

#define SYS_SH06_TOP1_W14_struct                                         rs_sys_sh06_top1_w14

typedef struct _rs_sys_sh06_top1_w14  rs_sys_sh06_top1_w14;
struct _rs_sys_sh06_top1_w14 {
    unsigned int reg_line_adj_win_length                    :12;
    unsigned int reg_disp_out_htotal                        :14;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_w14(val) ((rs_sys_sh06_top1_w14*)&(val))



#define SYS_SH06_TOP1_W15                                                (HV_SH06_TOP1_BASE_ADDRESS + 0x3C)

#define SYS_SH06_TOP1_W15_struct                                         rs_sys_sh06_top1_w15

typedef struct _rs_sys_sh06_top1_w15  rs_sys_sh06_top1_w15;
struct _rs_sys_sh06_top1_w15 {
    unsigned int reg_line_adj_period_gain                   :16;
    unsigned int reserved                                   :16;
};
#define sys_sh06_top1_w15(val) ((rs_sys_sh06_top1_w15*)&(val))



#define SYS_SH06_TOP1_R9                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xD4)

#define SYS_SH06_TOP1_R9_struct                                          rs_sys_sh06_top1_r9

typedef struct _rs_sys_sh06_top1_r9  rs_sys_sh06_top1_r9;
struct _rs_sys_sh06_top1_r9 {
    unsigned int regr_plln_cur_ln_adj_int                   :10;
    unsigned int regr_plln_cur_ln_adj_frac                  :16;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r9(val) ((rs_sys_sh06_top1_r9*)&(val))



#define SYS_SH06_TOP1_R8                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xD8)

#define SYS_SH06_TOP1_R8_struct                                          rs_sys_sh06_top1_r8

typedef struct _rs_sys_sh06_top1_r8  rs_sys_sh06_top1_r8;
struct _rs_sys_sh06_top1_r8 {
    unsigned int regr_plln_ln_adj_total                     :27;
    unsigned int reserved                                   : 5;
};
#define sys_sh06_top1_r8(val) ((rs_sys_sh06_top1_r8*)&(val))



#define SYS_SH06_TOP1_R7                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xDC)

#define SYS_SH06_TOP1_R7_struct                                          rs_sys_sh06_top1_r7

typedef struct _rs_sys_sh06_top1_r7  rs_sys_sh06_top1_r7;
struct _rs_sys_sh06_top1_r7 {
    unsigned int regr_plln_clk0_gain_num                    :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r7(val) ((rs_sys_sh06_top1_r7*)&(val))



#define SYS_SH06_TOP1_R6                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xE0)

#define SYS_SH06_TOP1_R6_struct                                          rs_sys_sh06_top1_r6

typedef struct _rs_sys_sh06_top1_r6  rs_sys_sh06_top1_r6;
struct _rs_sys_sh06_top1_r6 {
    unsigned int regr_plln_clk1_gain_num                    :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r6(val) ((rs_sys_sh06_top1_r6*)&(val))



#define SYS_SH06_TOP1_R5                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xE4)

#define SYS_SH06_TOP1_R5_struct                                          rs_sys_sh06_top1_r5

typedef struct _rs_sys_sh06_top1_r5  rs_sys_sh06_top1_r5;
struct _rs_sys_sh06_top1_r5 {
    unsigned int regr_plln_final_plln_int                   :10;
    unsigned int regr_plln_final_plln_frac                  :16;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r5(val) ((rs_sys_sh06_top1_r5*)&(val))



#define SYS_SH06_TOP1_R4                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xE8)

#define SYS_SH06_TOP1_R4_struct                                          rs_sys_sh06_top1_r4

typedef struct _rs_sys_sh06_top1_r4  rs_sys_sh06_top1_r4;
struct _rs_sys_sh06_top1_r4 {
    unsigned int regr_plln_cur_plln_int                     :10;
    unsigned int regr_plln_cur_plln_frac                    :16;
    unsigned int regr_plln_clk0_no_clk                      : 1;
    unsigned int reserved                                   : 5;
};
#define sys_sh06_top1_r4(val) ((rs_sys_sh06_top1_r4*)&(val))



#define SYS_SH06_TOP1_R3                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xEC)

#define SYS_SH06_TOP1_R3_struct                                          rs_sys_sh06_top1_r3

typedef struct _rs_sys_sh06_top1_r3  rs_sys_sh06_top1_r3;
struct _rs_sys_sh06_top1_r3 {
    unsigned int regr_plln_clk0_win_num                     :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r3(val) ((rs_sys_sh06_top1_r3*)&(val))



#define SYS_SH06_TOP1_R2                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xF0)

#define SYS_SH06_TOP1_R2_struct                                          rs_sys_sh06_top1_r2

typedef struct _rs_sys_sh06_top1_r2  rs_sys_sh06_top1_r2;
struct _rs_sys_sh06_top1_r2 {
    unsigned int regr_plln_clk0_iir_num                     :26;
    unsigned int regr_plln_clk1_no_clk                      : 1;
    unsigned int reserved                                   : 5;
};
#define sys_sh06_top1_r2(val) ((rs_sys_sh06_top1_r2*)&(val))



#define SYS_SH06_TOP1_R1                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xF4)

#define SYS_SH06_TOP1_R1_struct                                          rs_sys_sh06_top1_r1

typedef struct _rs_sys_sh06_top1_r1  rs_sys_sh06_top1_r1;
struct _rs_sys_sh06_top1_r1 {
    unsigned int regr_plln_clk1_win_num                     :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r1(val) ((rs_sys_sh06_top1_r1*)&(val))



#define SYS_SH06_TOP1_R0                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xF8)

#define SYS_SH06_TOP1_R0_struct                                          rs_sys_sh06_top1_r0

typedef struct _rs_sys_sh06_top1_r0  rs_sys_sh06_top1_r0;
struct _rs_sys_sh06_top1_r0 {
    unsigned int regr_plln_clk1_iir_num                     :26;
    unsigned int reserved                                   : 6;
};
#define sys_sh06_top1_r0(val) ((rs_sys_sh06_top1_r0*)&(val))



#define SYS_SH06_TOP1_FC                                                 (HV_SH06_TOP1_BASE_ADDRESS + 0xFC)

#define SYS_SH06_TOP1_FC_struct                                          rs_sys_sh06_top1_fc

typedef struct _rs_sys_sh06_top1_fc  rs_sys_sh06_top1_fc;
struct _rs_sys_sh06_top1_fc {
    unsigned int regr_sscg_triwave                          :32;
};
#define sys_sh06_top1_fc(val) ((rs_sys_sh06_top1_fc*)&(val))



#endif