#ifndef _HV_PAGE_HT7315_SRP_CPS_H_
#define _HV_PAGE_HT7315_SRP_CPS_H_

#ifndef HV_SRP_CPS_BASE_ADDRESS
    #define HV_SRP_CPS_BASE_ADDRESS                                         0x11025200
#endif


#define DISP_TOP_SRP_CPS_00                                              (HV_SRP_CPS_BASE_ADDRESS + 0x00)

#define DISP_TOP_SRP_CPS_00_struct                                       rs_disp_top_srp_cps_00

typedef struct _rs_disp_top_srp_cps_00  rs_disp_top_srp_cps_00;
struct _rs_disp_top_srp_cps_00 {
    unsigned int reg_en                                     : 1;
    unsigned int reg_en_no_latch                            : 1;
    unsigned int reserved                                   :30;
};
#define disp_top_srp_cps_00(val) ((rs_disp_top_srp_cps_00*)&(val))



#define DISP_TOP_SRP_CPS_04                                              (HV_SRP_CPS_BASE_ADDRESS + 0x04)

#define DISP_TOP_SRP_CPS_04_struct                                       rs_disp_top_srp_cps_04

typedef struct _rs_disp_top_srp_cps_04  rs_disp_top_srp_cps_04;
struct _rs_disp_top_srp_cps_04 {
    unsigned int reserved                                   : 4;
    unsigned int reg_sr_cb_gc_on                            : 1;
    unsigned int reserved_1                                 : 1;
    unsigned int reg_sr_cb_dm_on                            : 1;
    unsigned int reserved_2                                 : 2;
    unsigned int reg_sr_cb_mtx_on                           : 1;
    unsigned int reserved_3                                 :22;
};
#define disp_top_srp_cps_04(val) ((rs_disp_top_srp_cps_04*)&(val))



#define DISP_TOP_SRP_CPS_08                                              (HV_SRP_CPS_BASE_ADDRESS + 0x08)

#define DISP_TOP_SRP_CPS_08_struct                                       rs_disp_top_srp_cps_08

typedef struct _rs_disp_top_srp_cps_08  rs_disp_top_srp_cps_08;
struct _rs_disp_top_srp_cps_08 {
    unsigned int cp_htabi_L_A                               : 8;
    unsigned int cp_htabi_R_A                               : 8;
    unsigned int cp_htabi_L_B                               : 8;
    unsigned int cp_htabi_R_B                               : 8;
};
#define disp_top_srp_cps_08(val) ((rs_disp_top_srp_cps_08*)&(val))



#define DISP_TOP_SRP_CPS_10                                              (HV_SRP_CPS_BASE_ADDRESS + 0x10)

#define DISP_TOP_SRP_CPS_10_struct                                       rs_disp_top_srp_cps_10

typedef struct _rs_disp_top_srp_cps_10  rs_disp_top_srp_cps_10;
struct _rs_disp_top_srp_cps_10 {
    unsigned int reg_cp_hsize                               :13;
    unsigned int reserved                                   : 3;
    unsigned int reg_cp_vsize                               :13;
    unsigned int reserved_1                                 : 3;
};
#define disp_top_srp_cps_10(val) ((rs_disp_top_srp_cps_10*)&(val))



#define DISP_TOP_SRP_CPS_14                                              (HV_SRP_CPS_BASE_ADDRESS + 0x14)

#define DISP_TOP_SRP_CPS_14_struct                                       rs_disp_top_srp_cps_14

typedef struct _rs_disp_top_srp_cps_14  rs_disp_top_srp_cps_14;
struct _rs_disp_top_srp_cps_14 {
    unsigned int reg_sr_dm_enable                           : 1;
    unsigned int reg_sr_dm_outbit_number                    : 1;
    unsigned int reg_sr_dm_frc_nop                          : 1;
    unsigned int reserved                                   : 1;
    unsigned int reg_sr_dm_bit_comp                         : 2;
    unsigned int reserved_1                                 : 2;
    unsigned int reg_sr_dm_frame_number                     : 4;
    unsigned int reserved_2                                 :20;
};
#define disp_top_srp_cps_14(val) ((rs_disp_top_srp_cps_14*)&(val))



#define DISP_TOP_SRP_CPS_18                                              (HV_SRP_CPS_BASE_ADDRESS + 0x18)

#define DISP_TOP_SRP_CPS_18_struct                                       rs_disp_top_srp_cps_18

typedef struct _rs_disp_top_srp_cps_18  rs_disp_top_srp_cps_18;
struct _rs_disp_top_srp_cps_18 {
    unsigned int reg_mtx_ct_en_usrmx_through                : 1;
    unsigned int reg_mtx_en_umx_demo_en                     : 1;
    unsigned int reg_mtx_hsize                              :13;
    unsigned int reg_mtx_vsize                              :13;
    unsigned int reg_mtx_de_mode_en                         : 1;
    unsigned int reserved                                   : 3;
};
#define disp_top_srp_cps_18(val) ((rs_disp_top_srp_cps_18*)&(val))



#define DISP_TOP_SRP_CPS_1C                                              (HV_SRP_CPS_BASE_ADDRESS + 0x1C)

#define DISP_TOP_SRP_CPS_1C_struct                                       rs_disp_top_srp_cps_1c

typedef struct _rs_disp_top_srp_cps_1c  rs_disp_top_srp_cps_1c;
struct _rs_disp_top_srp_cps_1c {
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_r               :14;
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_g               :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_srp_cps_1c(val) ((rs_disp_top_srp_cps_1c*)&(val))



#define DISP_TOP_SRP_CPS_20                                              (HV_SRP_CPS_BASE_ADDRESS + 0x20)

#define DISP_TOP_SRP_CPS_20_struct                                       rs_disp_top_srp_cps_20

typedef struct _rs_disp_top_srp_cps_20  rs_disp_top_srp_cps_20;
struct _rs_disp_top_srp_cps_20 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_in_b               :14;
    unsigned int reg_mtx_ct_en_usrmx_r_r                    :16;
    unsigned int reserved                                   : 2;
};
#define disp_top_srp_cps_20(val) ((rs_disp_top_srp_cps_20*)&(val))



#define DISP_TOP_SRP_CPS_24                                              (HV_SRP_CPS_BASE_ADDRESS + 0x24)

#define DISP_TOP_SRP_CPS_24_struct                                       rs_disp_top_srp_cps_24

typedef struct _rs_disp_top_srp_cps_24  rs_disp_top_srp_cps_24;
struct _rs_disp_top_srp_cps_24 {
    unsigned int reg_mtx_ct_en_usrmx_g_r                    :16;
    unsigned int reg_mtx_ct_en_usrmx_b_r                    :16;
};
#define disp_top_srp_cps_24(val) ((rs_disp_top_srp_cps_24*)&(val))



#define DISP_TOP_SRP_CPS_28                                              (HV_SRP_CPS_BASE_ADDRESS + 0x28)

#define DISP_TOP_SRP_CPS_28_struct                                       rs_disp_top_srp_cps_28

typedef struct _rs_disp_top_srp_cps_28  rs_disp_top_srp_cps_28;
struct _rs_disp_top_srp_cps_28 {
    unsigned int reg_mtx_ct_en_usrmx_r_g                    :16;
    unsigned int reg_mtx_ct_en_usrmx_g_g                    :16;
};
#define disp_top_srp_cps_28(val) ((rs_disp_top_srp_cps_28*)&(val))



#define DISP_TOP_SRP_CPS_2C                                              (HV_SRP_CPS_BASE_ADDRESS + 0x2C)

#define DISP_TOP_SRP_CPS_2C_struct                                       rs_disp_top_srp_cps_2c

typedef struct _rs_disp_top_srp_cps_2c  rs_disp_top_srp_cps_2c;
struct _rs_disp_top_srp_cps_2c {
    unsigned int reg_mtx_ct_en_usrmx_b_g                    :16;
    unsigned int reg_mtx_ct_en_usrmx_r_b                    :16;
};
#define disp_top_srp_cps_2c(val) ((rs_disp_top_srp_cps_2c*)&(val))



#define DISP_TOP_SRP_CPS_30                                              (HV_SRP_CPS_BASE_ADDRESS + 0x30)

#define DISP_TOP_SRP_CPS_30_struct                                       rs_disp_top_srp_cps_30

typedef struct _rs_disp_top_srp_cps_30  rs_disp_top_srp_cps_30;
struct _rs_disp_top_srp_cps_30 {
    unsigned int reg_mtx_ct_en_usrmx_g_b                    :16;
    unsigned int reg_mtx_ct_en_usrmx_b_b                    :16;
};
#define disp_top_srp_cps_30(val) ((rs_disp_top_srp_cps_30*)&(val))



#define DISP_TOP_SRP_CPS_34                                              (HV_SRP_CPS_BASE_ADDRESS + 0x34)

#define DISP_TOP_SRP_CPS_34_struct                                       rs_disp_top_srp_cps_34

typedef struct _rs_disp_top_srp_cps_34  rs_disp_top_srp_cps_34;
struct _rs_disp_top_srp_cps_34 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_r              :14;
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_g              :14;
    unsigned int reserved                                   : 4;
};
#define disp_top_srp_cps_34(val) ((rs_disp_top_srp_cps_34*)&(val))



#define DISP_TOP_SRP_CPS_38                                              (HV_SRP_CPS_BASE_ADDRESS + 0x38)

#define DISP_TOP_SRP_CPS_38_struct                                       rs_disp_top_srp_cps_38

typedef struct _rs_disp_top_srp_cps_38  rs_disp_top_srp_cps_38;
struct _rs_disp_top_srp_cps_38 {
    unsigned int reg_mtx_ct_en_usrmx_ofs_out_b              :14;
    unsigned int reserved                                   :18;
};
#define disp_top_srp_cps_38(val) ((rs_disp_top_srp_cps_38*)&(val))



#define DISP_TOP_SRP_CPS_40                                              (HV_SRP_CPS_BASE_ADDRESS + 0x40)

#define DISP_TOP_SRP_CPS_40_struct                                       rs_disp_top_srp_cps_40

typedef struct _rs_disp_top_srp_cps_40  rs_disp_top_srp_cps_40;
struct _rs_disp_top_srp_cps_40 {
    unsigned int reg_clk_en_gc                              : 1;
    unsigned int reg_clk_en_dm                              : 1;
    unsigned int reg_clk_en_mtx                             : 1;
    unsigned int reserved                                   :29;
};
#define disp_top_srp_cps_40(val) ((rs_disp_top_srp_cps_40*)&(val))



#endif