#ifndef _HV_PAGE_HT7315_STANDBY_MCU_REG_H_
#define _HV_PAGE_HT7315_STANDBY_MCU_REG_H_

#ifndef HV_STANDBY_MCU_REG_BASE_ADDRESS
    #define HV_STANDBY_MCU_REG_BASE_ADDRESS                                         0x11008000
#endif


#define STANDBY_STANDBY_MCU_REG_STBY_MCU0                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x00)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU0_struct                         rs_standby_standby_mcu_reg_stby_mcu0

typedef struct _rs_standby_standby_mcu_reg_stby_mcu0  rs_standby_standby_mcu_reg_stby_mcu0;
struct _rs_standby_standby_mcu_reg_stby_mcu0 {
    unsigned int reg_dma_xdata_addr_15_0                    :16;
    unsigned int reg_length_cnt_15_0                        :16;
};
#define standby_standby_mcu_reg_stby_mcu0(val) ((rs_standby_standby_mcu_reg_stby_mcu0*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU1                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x04)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU1_struct                         rs_standby_standby_mcu_reg_stby_mcu1

typedef struct _rs_standby_standby_mcu_reg_stby_mcu1  rs_standby_standby_mcu_reg_stby_mcu1;
struct _rs_standby_standby_mcu_reg_stby_mcu1 {
    unsigned int reg_length_cnt_22_16                       : 7;
    unsigned int reg_length_cnt_flag                        : 1;
    unsigned int reg_code_spi_addr                          :24;
};
#define standby_standby_mcu_reg_stby_mcu1(val) ((rs_standby_standby_mcu_reg_stby_mcu1*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU2                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x08)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU2_struct                         rs_standby_standby_mcu_reg_stby_mcu2

typedef struct _rs_standby_standby_mcu_reg_stby_mcu2  rs_standby_standby_mcu_reg_stby_mcu2;
struct _rs_standby_standby_mcu_reg_stby_mcu2 {
    unsigned int reg_dma_xdata_addr_19_16                   : 4;
    unsigned int reserved                                   :28;
};
#define standby_standby_mcu_reg_stby_mcu2(val) ((rs_standby_standby_mcu_reg_stby_mcu2*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU3                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x10)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU3_struct                         rs_standby_standby_mcu_reg_stby_mcu3

typedef struct _rs_standby_standby_mcu_reg_stby_mcu3  rs_standby_standby_mcu_reg_stby_mcu3;
struct _rs_standby_standby_mcu_reg_stby_mcu3 {
    unsigned int reg_stb_sw_rst_n                           : 1;
    unsigned int reg_stby_iso                               : 1;
    unsigned int reg_power_on                               : 1;
    unsigned int reg_mcu_spi_dis                            : 1;
    unsigned int reg_apb_clk_sel                            : 1;
    unsigned int reg_cpu_rom_addr                           :16;
    unsigned int reg_spi_cpol                               : 1;
    unsigned int reg_spi_cpha                               : 1;
    unsigned int reg_spi_speed                              : 3;
    unsigned int reserved                                   : 6;
};
#define standby_standby_mcu_reg_stby_mcu3(val) ((rs_standby_standby_mcu_reg_stby_mcu3*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU4                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x14)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU4_struct                         rs_standby_standby_mcu_reg_stby_mcu4

typedef struct _rs_standby_standby_mcu_reg_stby_mcu4  rs_standby_standby_mcu_reg_stby_mcu4;
struct _rs_standby_standby_mcu_reg_stby_mcu4 {
    unsigned int reg_xram_mem_reg                           : 8;
    unsigned int reg_xram_mem_ema                           :16;
    unsigned int reg_xram_mem_ls                            : 1;
    unsigned int regr_xram_mem_ro                           : 4;
    unsigned int reg_xram_mem_sleep_en                      : 1;
    unsigned int reg_xram_mem_cs                            : 1;
    unsigned int reg_xram_mem_mbist                         : 1;
};
#define standby_standby_mcu_reg_stby_mcu4(val) ((rs_standby_standby_mcu_reg_stby_mcu4*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU5                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x18)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU5_struct                         rs_standby_standby_mcu_reg_stby_mcu5

typedef struct _rs_standby_standby_mcu_reg_stby_mcu5  rs_standby_standby_mcu_reg_stby_mcu5;
struct _rs_standby_standby_mcu_reg_stby_mcu5 {
    unsigned int reg_host_scl_filter                        : 8;
    unsigned int reg_host_sda_filter                        : 8;
    unsigned int reserved                                   :16;
};
#define standby_standby_mcu_reg_stby_mcu5(val) ((rs_standby_standby_mcu_reg_stby_mcu5*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU6                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x1C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU6_struct                         rs_standby_standby_mcu_reg_stby_mcu6

typedef struct _rs_standby_standby_mcu_reg_stby_mcu6  rs_standby_standby_mcu_reg_stby_mcu6;
struct _rs_standby_standby_mcu_reg_stby_mcu6 {
    unsigned int reg_stby_reg0                              :32;
};
#define standby_standby_mcu_reg_stby_mcu6(val) ((rs_standby_standby_mcu_reg_stby_mcu6*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU7                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x20)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU7_struct                         rs_standby_standby_mcu_reg_stby_mcu7

typedef struct _rs_standby_standby_mcu_reg_stby_mcu7  rs_standby_standby_mcu_reg_stby_mcu7;
struct _rs_standby_standby_mcu_reg_stby_mcu7 {
    unsigned int reg_stby_reg1                              :32;
};
#define standby_standby_mcu_reg_stby_mcu7(val) ((rs_standby_standby_mcu_reg_stby_mcu7*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU8                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x24)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU8_struct                         rs_standby_standby_mcu_reg_stby_mcu8

typedef struct _rs_standby_standby_mcu_reg_stby_mcu8  rs_standby_standby_mcu_reg_stby_mcu8;
struct _rs_standby_standby_mcu_reg_stby_mcu8 {
    unsigned int reg_stby_reg2                              :32;
};
#define standby_standby_mcu_reg_stby_mcu8(val) ((rs_standby_standby_mcu_reg_stby_mcu8*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU9                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x28)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU9_struct                         rs_standby_standby_mcu_reg_stby_mcu9

typedef struct _rs_standby_standby_mcu_reg_stby_mcu9  rs_standby_standby_mcu_reg_stby_mcu9;
struct _rs_standby_standby_mcu_reg_stby_mcu9 {
    unsigned int reg_stby_reg3                              :32;
};
#define standby_standby_mcu_reg_stby_mcu9(val) ((rs_standby_standby_mcu_reg_stby_mcu9*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU10                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x2C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU10_struct                        rs_standby_standby_mcu_reg_stby_mcu10

typedef struct _rs_standby_standby_mcu_reg_stby_mcu10  rs_standby_standby_mcu_reg_stby_mcu10;
struct _rs_standby_standby_mcu_reg_stby_mcu10 {
    unsigned int reg_stby_reg4                              :32;
};
#define standby_standby_mcu_reg_stby_mcu10(val) ((rs_standby_standby_mcu_reg_stby_mcu10*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU11                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x30)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU11_struct                        rs_standby_standby_mcu_reg_stby_mcu11

typedef struct _rs_standby_standby_mcu_reg_stby_mcu11  rs_standby_standby_mcu_reg_stby_mcu11;
struct _rs_standby_standby_mcu_reg_stby_mcu11 {
    unsigned int reg_stby_reg5                              :32;
};
#define standby_standby_mcu_reg_stby_mcu11(val) ((rs_standby_standby_mcu_reg_stby_mcu11*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU12                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x34)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU12_struct                        rs_standby_standby_mcu_reg_stby_mcu12

typedef struct _rs_standby_standby_mcu_reg_stby_mcu12  rs_standby_standby_mcu_reg_stby_mcu12;
struct _rs_standby_standby_mcu_reg_stby_mcu12 {
    unsigned int reg_stby_reg6                              :32;
};
#define standby_standby_mcu_reg_stby_mcu12(val) ((rs_standby_standby_mcu_reg_stby_mcu12*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU13                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x38)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU13_struct                        rs_standby_standby_mcu_reg_stby_mcu13

typedef struct _rs_standby_standby_mcu_reg_stby_mcu13  rs_standby_standby_mcu_reg_stby_mcu13;
struct _rs_standby_standby_mcu_reg_stby_mcu13 {
    unsigned int reg_stby_reg7                              :32;
};
#define standby_standby_mcu_reg_stby_mcu13(val) ((rs_standby_standby_mcu_reg_stby_mcu13*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU14                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x3C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU14_struct                        rs_standby_standby_mcu_reg_stby_mcu14

typedef struct _rs_standby_standby_mcu_reg_stby_mcu14  rs_standby_standby_mcu_reg_stby_mcu14;
struct _rs_standby_standby_mcu_reg_stby_mcu14 {
    unsigned int reg_off_int_clr                            : 1;
    unsigned int reg_off_int_en                             : 1;
    unsigned int reg_off_int_level_p                        : 1;
    unsigned int reg_off_int_level_n                        : 1;
    unsigned int reg_off_int_edge_p                         : 1;
    unsigned int reg_off_int_edge_n                         : 1;
    unsigned int regr_off_int_stat                          : 1;
    unsigned int reg_stby_int_clr                           : 1;
    unsigned int reg_stby_int_en                            : 1;
    unsigned int reg_stby_int_level_p                       : 1;
    unsigned int reg_stby_int_level_n                       : 1;
    unsigned int reg_stby_int_edge_p                        : 1;
    unsigned int reg_stby_int_edge_n                        : 1;
    unsigned int regr_stby_int_stat                         : 1;
    unsigned int reserved                                   :18;
};
#define standby_standby_mcu_reg_stby_mcu14(val) ((rs_standby_standby_mcu_reg_stby_mcu14*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU15                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x40)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU15_struct                        rs_standby_standby_mcu_reg_stby_mcu15

typedef struct _rs_standby_standby_mcu_reg_stby_mcu15  rs_standby_standby_mcu_reg_stby_mcu15;
struct _rs_standby_standby_mcu_reg_stby_mcu15 {
    unsigned int reg_act_to_stby                            : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_mcu_reg_stby_mcu15(val) ((rs_standby_standby_mcu_reg_stby_mcu15*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU16                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x44)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU16_struct                        rs_standby_standby_mcu_reg_stby_mcu16

typedef struct _rs_standby_standby_mcu_reg_stby_mcu16  rs_standby_standby_mcu_reg_stby_mcu16;
struct _rs_standby_standby_mcu_reg_stby_mcu16 {
    unsigned int reg_dp_filter_num                          :24;
    unsigned int reg_dp_pol                                 : 1;
    unsigned int reserved                                   : 7;
};
#define standby_standby_mcu_reg_stby_mcu16(val) ((rs_standby_standby_mcu_reg_stby_mcu16*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU17                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x48)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU17_struct                        rs_standby_standby_mcu_reg_stby_mcu17

typedef struct _rs_standby_standby_mcu_reg_stby_mcu17  rs_standby_standby_mcu_reg_stby_mcu17;
struct _rs_standby_standby_mcu_reg_stby_mcu17 {
    unsigned int reg_apb_clk_div_num                        : 2;
    unsigned int reg_apb_clk_en                             : 1;
    unsigned int reg_aux0_rst_n                             : 1;
    unsigned int reg_i2c_rst_n                              : 1;
    unsigned int reg_gpio_rst_n                             : 1;
    unsigned int reg_i2c_spi_mcu_rst_n                      : 1;
    unsigned int reg_mcu_sw_rst_n_delay                     :16;
    unsigned int reg_src_clk_en                             : 1;
    unsigned int reg_osc_0_div_num                          : 3;
    unsigned int reg_mcu_clk_div_num                        : 2;
    unsigned int reg_mcu_clk_sel                            : 1;
    unsigned int reg_mcu_clk_en                             : 1;
    unsigned int reg_aux1_rst_n                             : 1;
};
#define standby_standby_mcu_reg_stby_mcu17(val) ((rs_standby_standby_mcu_reg_stby_mcu17*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU18                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x4C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU18_struct                        rs_standby_standby_mcu_reg_stby_mcu18

typedef struct _rs_standby_standby_mcu_reg_stby_mcu18  rs_standby_standby_mcu_reg_stby_mcu18;
struct _rs_standby_standby_mcu_reg_stby_mcu18 {
    unsigned int reg_mcu_sw_rst                             : 1;
    unsigned int reserved                                   :31;
};
#define standby_standby_mcu_reg_stby_mcu18(val) ((rs_standby_standby_mcu_reg_stby_mcu18*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU19                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x50)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU19_struct                        rs_standby_standby_mcu_reg_stby_mcu19

typedef struct _rs_standby_standby_mcu_reg_stby_mcu19  rs_standby_standby_mcu_reg_stby_mcu19;
struct _rs_standby_standby_mcu_reg_stby_mcu19 {
    unsigned int regr_stb_sw_rst_n                          : 1;
    unsigned int regr_stby_iso                              : 1;
    unsigned int regr_power_on                              : 1;
    unsigned int reg_power_on_cnt                           : 8;
    unsigned int reg_stby_iso_cnt                           : 8;
    unsigned int reg_stb_rst_n_cnt                          : 8;
    unsigned int regr_stb_pwr_on                            : 1;
    unsigned int reserved                                   : 4;
};
#define standby_standby_mcu_reg_stby_mcu19(val) ((rs_standby_standby_mcu_reg_stby_mcu19*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU20                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x54)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU20_struct                        rs_standby_standby_mcu_reg_stby_mcu20

typedef struct _rs_standby_standby_mcu_reg_stby_mcu20  rs_standby_standby_mcu_reg_stby_mcu20;
struct _rs_standby_standby_mcu_reg_stby_mcu20 {
    unsigned int reg_dbg_sel                                :16;
    unsigned int reserved                                   :16;
};
#define standby_standby_mcu_reg_stby_mcu20(val) ((rs_standby_standby_mcu_reg_stby_mcu20*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU23                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x60)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU23_struct                        rs_standby_standby_mcu_reg_stby_mcu23

typedef struct _rs_standby_standby_mcu_reg_stby_mcu23  rs_standby_standby_mcu_reg_stby_mcu23;
struct _rs_standby_standby_mcu_reg_stby_mcu23 {
    unsigned int reg_wake_int_clr                           :16;
    unsigned int reg_wake_int_en                            :16;
};
#define standby_standby_mcu_reg_stby_mcu23(val) ((rs_standby_standby_mcu_reg_stby_mcu23*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU24                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x64)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU24_struct                        rs_standby_standby_mcu_reg_stby_mcu24

typedef struct _rs_standby_standby_mcu_reg_stby_mcu24  rs_standby_standby_mcu_reg_stby_mcu24;
struct _rs_standby_standby_mcu_reg_stby_mcu24 {
    unsigned int reg_wake_int_level_p                       :16;
    unsigned int reg_wake_int_level_n                       :16;
};
#define standby_standby_mcu_reg_stby_mcu24(val) ((rs_standby_standby_mcu_reg_stby_mcu24*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU25                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x68)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU25_struct                        rs_standby_standby_mcu_reg_stby_mcu25

typedef struct _rs_standby_standby_mcu_reg_stby_mcu25  rs_standby_standby_mcu_reg_stby_mcu25;
struct _rs_standby_standby_mcu_reg_stby_mcu25 {
    unsigned int reg_wake_int_edge_p                        :16;
    unsigned int reg_wake_int_edge_n                        :16;
};
#define standby_standby_mcu_reg_stby_mcu25(val) ((rs_standby_standby_mcu_reg_stby_mcu25*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU26                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x6C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU26_struct                        rs_standby_standby_mcu_reg_stby_mcu26

typedef struct _rs_standby_standby_mcu_reg_stby_mcu26  rs_standby_standby_mcu_reg_stby_mcu26;
struct _rs_standby_standby_mcu_reg_stby_mcu26 {
    unsigned int regr_wake_int_stat                         :16;
    unsigned int reserved                                   :16;
};
#define standby_standby_mcu_reg_stby_mcu26(val) ((rs_standby_standby_mcu_reg_stby_mcu26*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU27                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x70)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU27_struct                        rs_standby_standby_mcu_reg_stby_mcu27

typedef struct _rs_standby_standby_mcu_reg_stby_mcu27  rs_standby_standby_mcu_reg_stby_mcu27;
struct _rs_standby_standby_mcu_reg_stby_mcu27 {
    unsigned int reg_hdmi_filter_num                        :24;
    unsigned int reg_hdmi_pol                               : 1;
    unsigned int reserved                                   : 4;
    unsigned int reg_osc_1_div_num                          : 3;
};
#define standby_standby_mcu_reg_stby_mcu27(val) ((rs_standby_standby_mcu_reg_stby_mcu27*)&(val))



#define STANDBY_STANDBY_MCU_REG_74                                       (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x74)

#define STANDBY_STANDBY_MCU_REG_74_struct                                rs_standby_standby_mcu_reg_74

typedef struct _rs_standby_standby_mcu_reg_74  rs_standby_standby_mcu_reg_74;
struct _rs_standby_standby_mcu_reg_74 {
    unsigned int reg_aux0_clk_en                            : 1;
    unsigned int reg_gpio_clk_en                            : 1;
    unsigned int reg_adc0_clk_en                            : 1;
    unsigned int reg_pwm_pclk_en                            : 1;
    unsigned int reg_adc0_rst_n                             : 1;
    unsigned int reg_pwm_presetn                            : 1;
    unsigned int reg_aux1_clk_en                            : 1;
    unsigned int reg_rx_cec0_clk_en                         : 1;
    unsigned int reg_rx_cec1_clk_en                         : 1;
    unsigned int reg_hdmi0_osc_clk_en                       : 1;
    unsigned int reg_hdmi1_osc_clk_en                       : 1;
    unsigned int reg_hdmi0_pclk_en                          : 1;
    unsigned int reg_hdmi1_pclk_en                          : 1;
    unsigned int reg_cec0_rstn                              : 1;
    unsigned int reg_cec1_rstn                              : 1;
    unsigned int reg_hdmi0_osc_rstn                         : 1;
    unsigned int reg_hdmi1_osc_rstn                         : 1;
    unsigned int reg_hdmi0_presetn                          : 1;
    unsigned int reg_hdmi1_presetn                          : 1;
    unsigned int reg_typec0_clk_en                          : 1;
    unsigned int reg_typec1_clk_en                          : 1;
    unsigned int reg_typec0_pclk_en                         : 1;
    unsigned int reg_typec1_pclk_en                         : 1;
    unsigned int reg_typec0_rstn                            : 1;
    unsigned int reg_typec1_rstn                            : 1;
    unsigned int reg_typec0_presetn                         : 1;
    unsigned int reg_typec1_presetn                         : 1;
    unsigned int reg_adc1_clk_en                            : 1;
    unsigned int reg_adc1_rst_n                             : 1;
    unsigned int reg_rx_short_clk_en                        : 1;
    unsigned int reg_rx_short_rst_n                         : 1;
    unsigned int reg_bg33_res_measure_clk_en                : 1;
};
#define standby_standby_mcu_reg_74(val) ((rs_standby_standby_mcu_reg_74*)&(val))



#define STANDBY_STANDBY_MCU_REG_78                                       (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x78)

#define STANDBY_STANDBY_MCU_REG_78_struct                                rs_standby_standby_mcu_reg_78

typedef struct _rs_standby_standby_mcu_reg_78  rs_standby_standby_mcu_reg_78;
struct _rs_standby_standby_mcu_reg_78 {
    unsigned int reg_rx_cec_clk_div_num                     :16;
    unsigned int reserved                                   :16;
};
#define standby_standby_mcu_reg_78(val) ((rs_standby_standby_mcu_reg_78*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU36                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x80)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU36_struct                        rs_standby_standby_mcu_reg_stby_mcu36

typedef struct _rs_standby_standby_mcu_reg_stby_mcu36  rs_standby_standby_mcu_reg_stby_mcu36;
struct _rs_standby_standby_mcu_reg_stby_mcu36 {
    unsigned int reg_event_int_clr                          :16;
    unsigned int reg_event_int_en                           :16;
};
#define standby_standby_mcu_reg_stby_mcu36(val) ((rs_standby_standby_mcu_reg_stby_mcu36*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU37                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x84)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU37_struct                        rs_standby_standby_mcu_reg_stby_mcu37

typedef struct _rs_standby_standby_mcu_reg_stby_mcu37  rs_standby_standby_mcu_reg_stby_mcu37;
struct _rs_standby_standby_mcu_reg_stby_mcu37 {
    unsigned int reg_event_int_level_p                      :16;
    unsigned int reg_event_int_level_n                      :16;
};
#define standby_standby_mcu_reg_stby_mcu37(val) ((rs_standby_standby_mcu_reg_stby_mcu37*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU38                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x88)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU38_struct                        rs_standby_standby_mcu_reg_stby_mcu38

typedef struct _rs_standby_standby_mcu_reg_stby_mcu38  rs_standby_standby_mcu_reg_stby_mcu38;
struct _rs_standby_standby_mcu_reg_stby_mcu38 {
    unsigned int reg_event_int_edge_p                       :16;
    unsigned int reg_event_int_edge_n                       :16;
};
#define standby_standby_mcu_reg_stby_mcu38(val) ((rs_standby_standby_mcu_reg_stby_mcu38*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU39                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x8C)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU39_struct                        rs_standby_standby_mcu_reg_stby_mcu39

typedef struct _rs_standby_standby_mcu_reg_stby_mcu39  rs_standby_standby_mcu_reg_stby_mcu39;
struct _rs_standby_standby_mcu_reg_stby_mcu39 {
    unsigned int regr_event_int_stat                        :16;
    unsigned int reserved                                   :16;
};
#define standby_standby_mcu_reg_stby_mcu39(val) ((rs_standby_standby_mcu_reg_stby_mcu39*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU40                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0x90)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU40_struct                        rs_standby_standby_mcu_reg_stby_mcu40

typedef struct _rs_standby_standby_mcu_reg_stby_mcu40  rs_standby_standby_mcu_reg_stby_mcu40;
struct _rs_standby_standby_mcu_reg_stby_mcu40 {
    unsigned int reg_rx_det_filter_num                      :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_stby_mcu40(val) ((rs_standby_standby_mcu_reg_stby_mcu40*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU28                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xA0)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU28_struct                        rs_standby_standby_mcu_reg_stby_mcu28

typedef struct _rs_standby_standby_mcu_reg_stby_mcu28  rs_standby_standby_mcu_reg_stby_mcu28;
struct _rs_standby_standby_mcu_reg_stby_mcu28 {
    unsigned int reg_stby_reg8                              :32;
};
#define standby_standby_mcu_reg_stby_mcu28(val) ((rs_standby_standby_mcu_reg_stby_mcu28*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU29                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xA4)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU29_struct                        rs_standby_standby_mcu_reg_stby_mcu29

typedef struct _rs_standby_standby_mcu_reg_stby_mcu29  rs_standby_standby_mcu_reg_stby_mcu29;
struct _rs_standby_standby_mcu_reg_stby_mcu29 {
    unsigned int reg_stby_reg9                              :32;
};
#define standby_standby_mcu_reg_stby_mcu29(val) ((rs_standby_standby_mcu_reg_stby_mcu29*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU30                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xA8)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU30_struct                        rs_standby_standby_mcu_reg_stby_mcu30

typedef struct _rs_standby_standby_mcu_reg_stby_mcu30  rs_standby_standby_mcu_reg_stby_mcu30;
struct _rs_standby_standby_mcu_reg_stby_mcu30 {
    unsigned int reg_stby_rega                              :32;
};
#define standby_standby_mcu_reg_stby_mcu30(val) ((rs_standby_standby_mcu_reg_stby_mcu30*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU31                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xAC)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU31_struct                        rs_standby_standby_mcu_reg_stby_mcu31

typedef struct _rs_standby_standby_mcu_reg_stby_mcu31  rs_standby_standby_mcu_reg_stby_mcu31;
struct _rs_standby_standby_mcu_reg_stby_mcu31 {
    unsigned int reg_stby_regb                              :32;
};
#define standby_standby_mcu_reg_stby_mcu31(val) ((rs_standby_standby_mcu_reg_stby_mcu31*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU32                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xB0)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU32_struct                        rs_standby_standby_mcu_reg_stby_mcu32

typedef struct _rs_standby_standby_mcu_reg_stby_mcu32  rs_standby_standby_mcu_reg_stby_mcu32;
struct _rs_standby_standby_mcu_reg_stby_mcu32 {
    unsigned int reg_stby_regc                              :32;
};
#define standby_standby_mcu_reg_stby_mcu32(val) ((rs_standby_standby_mcu_reg_stby_mcu32*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU33                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xB4)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU33_struct                        rs_standby_standby_mcu_reg_stby_mcu33

typedef struct _rs_standby_standby_mcu_reg_stby_mcu33  rs_standby_standby_mcu_reg_stby_mcu33;
struct _rs_standby_standby_mcu_reg_stby_mcu33 {
    unsigned int reg_stby_regd                              :32;
};
#define standby_standby_mcu_reg_stby_mcu33(val) ((rs_standby_standby_mcu_reg_stby_mcu33*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU34                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xB8)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU34_struct                        rs_standby_standby_mcu_reg_stby_mcu34

typedef struct _rs_standby_standby_mcu_reg_stby_mcu34  rs_standby_standby_mcu_reg_stby_mcu34;
struct _rs_standby_standby_mcu_reg_stby_mcu34 {
    unsigned int reg_stby_rege                              :32;
};
#define standby_standby_mcu_reg_stby_mcu34(val) ((rs_standby_standby_mcu_reg_stby_mcu34*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_MCU35                               (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xBC)

#define STANDBY_STANDBY_MCU_REG_STBY_MCU35_struct                        rs_standby_standby_mcu_reg_stby_mcu35

typedef struct _rs_standby_standby_mcu_reg_stby_mcu35  rs_standby_standby_mcu_reg_stby_mcu35;
struct _rs_standby_standby_mcu_reg_stby_mcu35 {
    unsigned int reg_stby_regf                              :32;
};
#define standby_standby_mcu_reg_stby_mcu35(val) ((rs_standby_standby_mcu_reg_stby_mcu35*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT0                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xC0)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT0_struct                         rs_standby_standby_mcu_reg_rx_short0

typedef struct _rs_standby_standby_mcu_reg_rx_short0  rs_standby_standby_mcu_reg_rx_short0;
struct _rs_standby_standby_mcu_reg_rx_short0 {
    unsigned int reg_rxphy_short_det_enb                    : 4;
    unsigned int reg_rxphy_short_det_pwm_update_en          : 4;
    unsigned int regr_rxphy_short_flag                      :16;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short0(val) ((rs_standby_standby_mcu_reg_rx_short0*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT1                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xC4)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT1_struct                         rs_standby_standby_mcu_reg_rx_short1

typedef struct _rs_standby_standby_mcu_reg_rx_short1  rs_standby_standby_mcu_reg_rx_short1;
struct _rs_standby_standby_mcu_reg_rx_short1 {
    unsigned int reg_rxphy0_short_det_pwm_l_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short1(val) ((rs_standby_standby_mcu_reg_rx_short1*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT2                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xC8)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT2_struct                         rs_standby_standby_mcu_reg_rx_short2

typedef struct _rs_standby_standby_mcu_reg_rx_short2  rs_standby_standby_mcu_reg_rx_short2;
struct _rs_standby_standby_mcu_reg_rx_short2 {
    unsigned int reg_rxphy0_short_det_pwm_h_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short2(val) ((rs_standby_standby_mcu_reg_rx_short2*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT3                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xCC)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT3_struct                         rs_standby_standby_mcu_reg_rx_short3

typedef struct _rs_standby_standby_mcu_reg_rx_short3  rs_standby_standby_mcu_reg_rx_short3;
struct _rs_standby_standby_mcu_reg_rx_short3 {
    unsigned int reg_rxphy1_short_det_pwm_l_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short3(val) ((rs_standby_standby_mcu_reg_rx_short3*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT4                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xD0)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT4_struct                         rs_standby_standby_mcu_reg_rx_short4

typedef struct _rs_standby_standby_mcu_reg_rx_short4  rs_standby_standby_mcu_reg_rx_short4;
struct _rs_standby_standby_mcu_reg_rx_short4 {
    unsigned int reg_rxphy1_short_det_pwm_h_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short4(val) ((rs_standby_standby_mcu_reg_rx_short4*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT5                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xD4)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT5_struct                         rs_standby_standby_mcu_reg_rx_short5

typedef struct _rs_standby_standby_mcu_reg_rx_short5  rs_standby_standby_mcu_reg_rx_short5;
struct _rs_standby_standby_mcu_reg_rx_short5 {
    unsigned int reg_rxphy2_short_det_pwm_l_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short5(val) ((rs_standby_standby_mcu_reg_rx_short5*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT6                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xD8)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT6_struct                         rs_standby_standby_mcu_reg_rx_short6

typedef struct _rs_standby_standby_mcu_reg_rx_short6  rs_standby_standby_mcu_reg_rx_short6;
struct _rs_standby_standby_mcu_reg_rx_short6 {
    unsigned int reg_rxphy2_short_det_pwm_h_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short6(val) ((rs_standby_standby_mcu_reg_rx_short6*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT7                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xDC)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT7_struct                         rs_standby_standby_mcu_reg_rx_short7

typedef struct _rs_standby_standby_mcu_reg_rx_short7  rs_standby_standby_mcu_reg_rx_short7;
struct _rs_standby_standby_mcu_reg_rx_short7 {
    unsigned int reg_rxphy3_short_det_pwm_l_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short7(val) ((rs_standby_standby_mcu_reg_rx_short7*)&(val))



#define STANDBY_STANDBY_MCU_REG_RX_SHORT8                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xE0)

#define STANDBY_STANDBY_MCU_REG_RX_SHORT8_struct                         rs_standby_standby_mcu_reg_rx_short8

typedef struct _rs_standby_standby_mcu_reg_rx_short8  rs_standby_standby_mcu_reg_rx_short8;
struct _rs_standby_standby_mcu_reg_rx_short8 {
    unsigned int reg_rxphy3_short_det_pwm_h_num             :24;
    unsigned int reserved                                   : 8;
};
#define standby_standby_mcu_reg_rx_short8(val) ((rs_standby_standby_mcu_reg_rx_short8*)&(val))



#define STANDBY_STANDBY_MCU_REG_BG33_MEASURE                             (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xE4)

#define STANDBY_STANDBY_MCU_REG_BG33_MEASURE_struct                      rs_standby_standby_mcu_reg_bg33_measure

typedef struct _rs_standby_standby_mcu_reg_bg33_measure  rs_standby_standby_mcu_reg_bg33_measure;
struct _rs_standby_standby_mcu_reg_bg33_measure {
    unsigned int reg_bg33_res_measure_en                    : 1;
    unsigned int reserved                                   : 3;
    unsigned int reg_bg33_res_measure_set                   : 4;
    unsigned int reg_bg33_res_measure_hold                  :16;
    unsigned int regr_bg33_res_measure_set                  : 4;
    unsigned int regr_bg33_res_measure_done                 : 1;
    unsigned int reserved_1                                 : 3;
};
#define standby_standby_mcu_reg_bg33_measure(val) ((rs_standby_standby_mcu_reg_bg33_measure*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_DBG0                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xF0)

#define STANDBY_STANDBY_MCU_REG_STBY_DBG0_struct                         rs_standby_standby_mcu_reg_stby_dbg0

typedef struct _rs_standby_standby_mcu_reg_stby_dbg0  rs_standby_standby_mcu_reg_stby_dbg0;
struct _rs_standby_standby_mcu_reg_stby_dbg0 {
    unsigned int regr_proga                                 :20;
    unsigned int regr_proga_en                              : 1;
    unsigned int regr_aux_wake_irq                          : 2;
    unsigned int reserved                                   : 1;
    unsigned int regr_progdi                                : 8;
};
#define standby_standby_mcu_reg_stby_dbg0(val) ((rs_standby_standby_mcu_reg_stby_dbg0*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_DBG1                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xF4)

#define STANDBY_STANDBY_MCU_REG_STBY_DBG1_struct                         rs_standby_standby_mcu_reg_stby_dbg1

typedef struct _rs_standby_standby_mcu_reg_stby_dbg1  rs_standby_standby_mcu_reg_stby_dbg1;
struct _rs_standby_standby_mcu_reg_stby_dbg1 {
    unsigned int regr_xramdi                                : 8;
    unsigned int regr_xramdo                                : 8;
    unsigned int regr_nxramr                                : 1;
    unsigned int regr_nxramw                                : 1;
    unsigned int regr_xrama_en                              : 1;
    unsigned int regr_mwait                                 : 1;
    unsigned int regr_mcu_idle                              : 1;
    unsigned int regr_act_to_stby                           : 1;
    unsigned int reserved                                   : 7;
    unsigned int regr_pmu_off_irq                           : 1;
    unsigned int regr_adc0_irq                              : 1;
    unsigned int regr_adc1_irq                              : 1;
};
#define standby_standby_mcu_reg_stby_dbg1(val) ((rs_standby_standby_mcu_reg_stby_dbg1*)&(val))



#define STANDBY_STANDBY_MCU_REG_STBY_DBG2                                (HV_STANDBY_MCU_REG_BASE_ADDRESS + 0xF8)

#define STANDBY_STANDBY_MCU_REG_STBY_DBG2_struct                         rs_standby_standby_mcu_reg_stby_dbg2

typedef struct _rs_standby_standby_mcu_reg_stby_dbg2  rs_standby_standby_mcu_reg_stby_dbg2;
struct _rs_standby_standby_mcu_reg_stby_dbg2 {
    unsigned int regr_dp0_cable                             : 1;
    unsigned int regr_dp1_cable                             : 1;
    unsigned int regr_hdmi0_cable                           : 1;
    unsigned int regr_hdmi1_cable                           : 1;
    unsigned int regr_gpio_in                               : 8;
    unsigned int reserved                                   :20;
};
#define standby_standby_mcu_reg_stby_dbg2(val) ((rs_standby_standby_mcu_reg_stby_dbg2*)&(val))



#endif