#ifndef _HV_PAGE_HT7315_UART1_H_
#define _HV_PAGE_HT7315_UART1_H_

#ifndef HV_UART1_BASE_ADDRESS
    #define HV_UART1_BASE_ADDRESS                                         0x11083000
#endif


#define CPU_SYS_UART1_THR_DLL                                            (HV_UART1_BASE_ADDRESS + 0x000)

#define CPU_SYS_UART1_THR_DLL_struct                                     rs_cpu_sys_uart1_thr_dll

typedef struct _rs_cpu_sys_uart1_thr_dll  rs_cpu_sys_uart1_thr_dll;
struct _rs_cpu_sys_uart1_thr_dll {
    unsigned int reg_THR_DLL                                : 9;
    unsigned int reserved                                   :23;
};
#define cpu_sys_uart1_thr_dll(val) ((rs_cpu_sys_uart1_thr_dll*)&(val))



#define CPU_SYS_UART1_DLH_IER                                            (HV_UART1_BASE_ADDRESS + 0x004)

#define CPU_SYS_UART1_DLH_IER_struct                                     rs_cpu_sys_uart1_dlh_ier

typedef struct _rs_cpu_sys_uart1_dlh_ier  rs_cpu_sys_uart1_dlh_ier;
struct _rs_cpu_sys_uart1_dlh_ier {
    unsigned int reg_DLH_IER                                : 8;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_dlh_ier(val) ((rs_cpu_sys_uart1_dlh_ier*)&(val))



#define CPU_SYS_UART1_FCR                                                (HV_UART1_BASE_ADDRESS + 0x008)

#define CPU_SYS_UART1_FCR_struct                                         rs_cpu_sys_uart1_fcr

typedef struct _rs_cpu_sys_uart1_fcr  rs_cpu_sys_uart1_fcr;
struct _rs_cpu_sys_uart1_fcr {
    unsigned int reg_FIFOE                                  : 1;
    unsigned int reg_RFIFOR                                 : 1;
    unsigned int reg_XFIFOR                                 : 1;
    unsigned int reg_DMAM                                   : 1;
    unsigned int TET                                        : 2;
    unsigned int RT                                         : 2;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_fcr(val) ((rs_cpu_sys_uart1_fcr*)&(val))



#define CPU_SYS_UART1_LCR                                                (HV_UART1_BASE_ADDRESS + 0x00C)

#define CPU_SYS_UART1_LCR_struct                                         rs_cpu_sys_uart1_lcr

typedef struct _rs_cpu_sys_uart1_lcr  rs_cpu_sys_uart1_lcr;
struct _rs_cpu_sys_uart1_lcr {
    unsigned int reg_DLS                                    : 2;
    unsigned int reg_STOP                                   : 1;
    unsigned int reg_PEN                                    : 1;
    unsigned int reg_EPS                                    : 1;
    unsigned int reg_SP                                     : 1;
    unsigned int reg_BC                                     : 1;
    unsigned int reg_DLAB                                   : 1;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_lcr(val) ((rs_cpu_sys_uart1_lcr*)&(val))



#define CPU_SYS_UART1_MCR                                                (HV_UART1_BASE_ADDRESS + 0x010)

#define CPU_SYS_UART1_MCR_struct                                         rs_cpu_sys_uart1_mcr

typedef struct _rs_cpu_sys_uart1_mcr  rs_cpu_sys_uart1_mcr;
struct _rs_cpu_sys_uart1_mcr {
    unsigned int reg_DTR                                    : 1;
    unsigned int reg_RTS                                    : 1;
    unsigned int reg_OUT1                                   : 1;
    unsigned int reg_OUT2                                   : 1;
    unsigned int reg_LoopBack                               : 1;
    unsigned int reg_AFCE                                   : 1;
    unsigned int reg_SIRE                                   : 1;
    unsigned int reserved                                   :25;
};
#define cpu_sys_uart1_mcr(val) ((rs_cpu_sys_uart1_mcr*)&(val))



#define CPU_SYS_UART1_LSR                                                (HV_UART1_BASE_ADDRESS + 0x014)

#define CPU_SYS_UART1_LSR_struct                                         rs_cpu_sys_uart1_lsr

typedef struct _rs_cpu_sys_uart1_lsr  rs_cpu_sys_uart1_lsr;
struct _rs_cpu_sys_uart1_lsr {
    unsigned int reg_DR                                     : 1;
    unsigned int reg_OE                                     : 1;
    unsigned int reg_PE                                     : 1;
    unsigned int reg_FE                                     : 1;
    unsigned int reg_BI                                     : 1;
    unsigned int reg_THRE                                   : 1;
    unsigned int reg_TEMT                                   : 1;
    unsigned int reg_RFE                                    : 1;
    unsigned int reg_ADDR_RCVD                              : 1;
    unsigned int reserved                                   :23;
};
#define cpu_sys_uart1_lsr(val) ((rs_cpu_sys_uart1_lsr*)&(val))



#define CPU_SYS_UART1_MSR                                                (HV_UART1_BASE_ADDRESS + 0x018)

#define CPU_SYS_UART1_MSR_struct                                         rs_cpu_sys_uart1_msr

typedef struct _rs_cpu_sys_uart1_msr  rs_cpu_sys_uart1_msr;
struct _rs_cpu_sys_uart1_msr {
    unsigned int reg_DCTS                                   : 1;
    unsigned int reg_DDSR                                   : 1;
    unsigned int reg_TERI                                   : 1;
    unsigned int reg_DDCD                                   : 1;
    unsigned int reg_CTS                                    : 1;
    unsigned int reg_DSR                                    : 1;
    unsigned int reg_RI                                     : 1;
    unsigned int reg_DCD                                    : 1;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_msr(val) ((rs_cpu_sys_uart1_msr*)&(val))



#define CPU_SYS_UART1_SCR                                                (HV_UART1_BASE_ADDRESS + 0x01C)

#define CPU_SYS_UART1_SCR_struct                                         rs_cpu_sys_uart1_scr

typedef struct _rs_cpu_sys_uart1_scr  rs_cpu_sys_uart1_scr;
struct _rs_cpu_sys_uart1_scr {
    unsigned int reg_SCR                                    : 8;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_scr(val) ((rs_cpu_sys_uart1_scr*)&(val))



#define CPU_SYS_UART1_FAR                                                (HV_UART1_BASE_ADDRESS + 0x070)

#define CPU_SYS_UART1_FAR_struct                                         rs_cpu_sys_uart1_far

typedef struct _rs_cpu_sys_uart1_far  rs_cpu_sys_uart1_far;
struct _rs_cpu_sys_uart1_far {
    unsigned int reg_FAR                                    : 1;
    unsigned int reserved                                   :31;
};
#define cpu_sys_uart1_far(val) ((rs_cpu_sys_uart1_far*)&(val))



#define CPU_SYS_UART1_TFR                                                (HV_UART1_BASE_ADDRESS + 0x074)

#define CPU_SYS_UART1_TFR_struct                                         rs_cpu_sys_uart1_tfr

typedef struct _rs_cpu_sys_uart1_tfr  rs_cpu_sys_uart1_tfr;
struct _rs_cpu_sys_uart1_tfr {
    unsigned int reg_TFR                                    : 8;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_tfr(val) ((rs_cpu_sys_uart1_tfr*)&(val))



#define CPU_SYS_UART1_RFW                                                (HV_UART1_BASE_ADDRESS + 0x078)

#define CPU_SYS_UART1_RFW_struct                                         rs_cpu_sys_uart1_rfw

typedef struct _rs_cpu_sys_uart1_rfw  rs_cpu_sys_uart1_rfw;
struct _rs_cpu_sys_uart1_rfw {
    unsigned int reg_RFWD                                   : 8;
    unsigned int reg_RFPE                                   : 1;
    unsigned int reg_RFFE                                   : 1;
    unsigned int reserved                                   :22;
};
#define cpu_sys_uart1_rfw(val) ((rs_cpu_sys_uart1_rfw*)&(val))



#define CPU_SYS_UART1_USR                                                (HV_UART1_BASE_ADDRESS + 0x07C)

#define CPU_SYS_UART1_USR_struct                                         rs_cpu_sys_uart1_usr

typedef struct _rs_cpu_sys_uart1_usr  rs_cpu_sys_uart1_usr;
struct _rs_cpu_sys_uart1_usr {
    unsigned int reg_BUSY                                   : 1;
    unsigned int reg_TFNF                                   : 1;
    unsigned int reg_TFE                                    : 1;
    unsigned int reg_RFNE                                   : 1;
    unsigned int reg_RFF                                    : 1;
    unsigned int reserved                                   :27;
};
#define cpu_sys_uart1_usr(val) ((rs_cpu_sys_uart1_usr*)&(val))



#define CPU_SYS_UART1_TFL                                                (HV_UART1_BASE_ADDRESS + 0x080)

#define CPU_SYS_UART1_TFL_struct                                         rs_cpu_sys_uart1_tfl

typedef struct _rs_cpu_sys_uart1_tfl  rs_cpu_sys_uart1_tfl;
struct _rs_cpu_sys_uart1_tfl {
    unsigned int reg_tfl                                    : 6;
    unsigned int reserved                                   :26;
};
#define cpu_sys_uart1_tfl(val) ((rs_cpu_sys_uart1_tfl*)&(val))



#define CPU_SYS_UART1_RFL                                                (HV_UART1_BASE_ADDRESS + 0x084)

#define CPU_SYS_UART1_RFL_struct                                         rs_cpu_sys_uart1_rfl

typedef struct _rs_cpu_sys_uart1_rfl  rs_cpu_sys_uart1_rfl;
struct _rs_cpu_sys_uart1_rfl {
    unsigned int reg_rfl                                    : 6;
    unsigned int reserved                                   :26;
};
#define cpu_sys_uart1_rfl(val) ((rs_cpu_sys_uart1_rfl*)&(val))



#define CPU_SYS_UART1_HTX                                                (HV_UART1_BASE_ADDRESS + 0x0A4)

#define CPU_SYS_UART1_HTX_struct                                         rs_cpu_sys_uart1_htx

typedef struct _rs_cpu_sys_uart1_htx  rs_cpu_sys_uart1_htx;
struct _rs_cpu_sys_uart1_htx {
    unsigned int reg_HTX                                    : 1;
    unsigned int reserved                                   :31;
};
#define cpu_sys_uart1_htx(val) ((rs_cpu_sys_uart1_htx*)&(val))



#define CPU_SYS_UART1_DMASA                                              (HV_UART1_BASE_ADDRESS + 0x0A8)

#define CPU_SYS_UART1_DMASA_struct                                       rs_cpu_sys_uart1_dmasa

typedef struct _rs_cpu_sys_uart1_dmasa  rs_cpu_sys_uart1_dmasa;
struct _rs_cpu_sys_uart1_dmasa {
    unsigned int reg_DMASA                                  : 1;
    unsigned int reserved                                   :31;
};
#define cpu_sys_uart1_dmasa(val) ((rs_cpu_sys_uart1_dmasa*)&(val))



#define CPU_SYS_UART1_TCR                                                (HV_UART1_BASE_ADDRESS + 0x0AC)

#define CPU_SYS_UART1_TCR_struct                                         rs_cpu_sys_uart1_tcr

typedef struct _rs_cpu_sys_uart1_tcr  rs_cpu_sys_uart1_tcr;
struct _rs_cpu_sys_uart1_tcr {
    unsigned int reg_RS485_EN                               : 1;
    unsigned int reg_RE_POL                                 : 1;
    unsigned int reg_DE_POL                                 : 1;
    unsigned int reg_XFER_MODE                              : 2;
    unsigned int reserved                                   :27;
};
#define cpu_sys_uart1_tcr(val) ((rs_cpu_sys_uart1_tcr*)&(val))



#define CPU_SYS_UART1_DE_EN                                              (HV_UART1_BASE_ADDRESS + 0x0B0)

#define CPU_SYS_UART1_DE_EN_struct                                       rs_cpu_sys_uart1_de_en

typedef struct _rs_cpu_sys_uart1_de_en  rs_cpu_sys_uart1_de_en;
struct _rs_cpu_sys_uart1_de_en {
    unsigned int reg_DE_Enable                              : 1;
    unsigned int reserved                                   :31;
};
#define cpu_sys_uart1_de_en(val) ((rs_cpu_sys_uart1_de_en*)&(val))



#define CPU_SYS_UART1_RE_EN                                              (HV_UART1_BASE_ADDRESS + 0x0B4)

#define CPU_SYS_UART1_RE_EN_struct                                       rs_cpu_sys_uart1_re_en

typedef struct _rs_cpu_sys_uart1_re_en  rs_cpu_sys_uart1_re_en;
struct _rs_cpu_sys_uart1_re_en {
    unsigned int reg_RE_Enable                              : 1;
    unsigned int reserved                                   :31;
};
#define cpu_sys_uart1_re_en(val) ((rs_cpu_sys_uart1_re_en*)&(val))



#define CPU_SYS_UART1_DET                                                (HV_UART1_BASE_ADDRESS + 0x0B8)

#define CPU_SYS_UART1_DET_struct                                         rs_cpu_sys_uart1_det

typedef struct _rs_cpu_sys_uart1_det  rs_cpu_sys_uart1_det;
struct _rs_cpu_sys_uart1_det {
    unsigned int reg_DE_Assertion_Time                      : 8;
    unsigned int reserved                                   : 8;
    unsigned int reg_DE_De_assertion_Time                   : 8;
    unsigned int reserved_1                                 : 8;
};
#define cpu_sys_uart1_det(val) ((rs_cpu_sys_uart1_det*)&(val))



#define CPU_SYS_UART1_TAT                                                (HV_UART1_BASE_ADDRESS + 0x0BC)

#define CPU_SYS_UART1_TAT_struct                                         rs_cpu_sys_uart1_tat

typedef struct _rs_cpu_sys_uart1_tat  rs_cpu_sys_uart1_tat;
struct _rs_cpu_sys_uart1_tat {
    unsigned int reg_DE_to_RE                               :16;
    unsigned int reg_RE_to_DE                               :16;
};
#define cpu_sys_uart1_tat(val) ((rs_cpu_sys_uart1_tat*)&(val))



#define CPU_SYS_UART1_DLF                                                (HV_UART1_BASE_ADDRESS + 0x0C0)

#define CPU_SYS_UART1_DLF_struct                                         rs_cpu_sys_uart1_dlf

typedef struct _rs_cpu_sys_uart1_dlf  rs_cpu_sys_uart1_dlf;
struct _rs_cpu_sys_uart1_dlf {
    unsigned int reg_DLF                                    : 6;
    unsigned int reserved                                   :26;
};
#define cpu_sys_uart1_dlf(val) ((rs_cpu_sys_uart1_dlf*)&(val))



#define CPU_SYS_UART1_RAR                                                (HV_UART1_BASE_ADDRESS + 0x0C4)

#define CPU_SYS_UART1_RAR_struct                                         rs_cpu_sys_uart1_rar

typedef struct _rs_cpu_sys_uart1_rar  rs_cpu_sys_uart1_rar;
struct _rs_cpu_sys_uart1_rar {
    unsigned int reg_RAR                                    : 8;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_rar(val) ((rs_cpu_sys_uart1_rar*)&(val))



#define CPU_SYS_UART1_TAR                                                (HV_UART1_BASE_ADDRESS + 0x0C8)

#define CPU_SYS_UART1_TAR_struct                                         rs_cpu_sys_uart1_tar

typedef struct _rs_cpu_sys_uart1_tar  rs_cpu_sys_uart1_tar;
struct _rs_cpu_sys_uart1_tar {
    unsigned int reg_TAR                                    : 8;
    unsigned int reserved                                   :24;
};
#define cpu_sys_uart1_tar(val) ((rs_cpu_sys_uart1_tar*)&(val))



#define CPU_SYS_UART1_LCR_EXT                                            (HV_UART1_BASE_ADDRESS + 0x0CC)

#define CPU_SYS_UART1_LCR_EXT_struct                                     rs_cpu_sys_uart1_lcr_ext

typedef struct _rs_cpu_sys_uart1_lcr_ext  rs_cpu_sys_uart1_lcr_ext;
struct _rs_cpu_sys_uart1_lcr_ext {
    unsigned int reg_DLS_E                                  : 1;
    unsigned int reg_ADDR_MATCH                             : 1;
    unsigned int reg_SEND_ADDR                              : 1;
    unsigned int reg_TRANSMIT_MODE                          : 1;
    unsigned int reserved                                   :28;
};
#define cpu_sys_uart1_lcr_ext(val) ((rs_cpu_sys_uart1_lcr_ext*)&(val))



#define CPU_SYS_UART1_REG_TIMEOUT_RST                                    (HV_UART1_BASE_ADDRESS + 0x0D4)

#define CPU_SYS_UART1_REG_TIMEOUT_RST_struct                             rs_cpu_sys_uart1_reg_timeout_rst

typedef struct _rs_cpu_sys_uart1_reg_timeout_rst  rs_cpu_sys_uart1_reg_timeout_rst;
struct _rs_cpu_sys_uart1_reg_timeout_rst {
    unsigned int reg_REG_TIMEOUT_RST                        : 4;
    unsigned int reserved                                   :28;
};
#define cpu_sys_uart1_reg_timeout_rst(val) ((rs_cpu_sys_uart1_reg_timeout_rst*)&(val))



#define CPU_SYS_UART1_CPR                                                (HV_UART1_BASE_ADDRESS + 0x0F4)

#define CPU_SYS_UART1_CPR_struct                                         rs_cpu_sys_uart1_cpr

typedef struct _rs_cpu_sys_uart1_cpr  rs_cpu_sys_uart1_cpr;
struct _rs_cpu_sys_uart1_cpr {
    unsigned int reg_APB_DATA_WIDTH                         : 2;
    unsigned int reserved                                   : 2;
    unsigned int reg_AFCE_MODE                              : 1;
    unsigned int reg_THRE_MODE                              : 1;
    unsigned int reg_SIR_MODE                               : 1;
    unsigned int reg_SIR_LP_MODE                            : 1;
    unsigned int reg_ADDITIONAL_FEAT                        : 1;
    unsigned int reg_FIFO_ACCESS                            : 1;
    unsigned int reg_FIFO_STAT                              : 1;
    unsigned int reg_SHADOW                                 : 1;
    unsigned int reg_UART_ADD_ENCODED_PARAMS                : 1;
    unsigned int reg_DMA_EXTRA                              : 1;
    unsigned int reserved_1                                 : 2;
    unsigned int FIFO_MODE                                  : 8;
    unsigned int reserved_2                                 : 8;
};
#define cpu_sys_uart1_cpr(val) ((rs_cpu_sys_uart1_cpr*)&(val))



#define CPU_SYS_UART1_UCV                                                (HV_UART1_BASE_ADDRESS + 0x0F8)

#define CPU_SYS_UART1_UCV_struct                                         rs_cpu_sys_uart1_ucv

typedef struct _rs_cpu_sys_uart1_ucv  rs_cpu_sys_uart1_ucv;
struct _rs_cpu_sys_uart1_ucv {
    unsigned int reg_UART_Component_Version                 :32;
};
#define cpu_sys_uart1_ucv(val) ((rs_cpu_sys_uart1_ucv*)&(val))



#define CPU_SYS_UART1_CTR                                                (HV_UART1_BASE_ADDRESS + 0x0FC)

#define CPU_SYS_UART1_CTR_struct                                         rs_cpu_sys_uart1_ctr

typedef struct _rs_cpu_sys_uart1_ctr  rs_cpu_sys_uart1_ctr;
struct _rs_cpu_sys_uart1_ctr {
    unsigned int reg_Peripheral_ID                          :32;
};
#define cpu_sys_uart1_ctr(val) ((rs_cpu_sys_uart1_ctr*)&(val))



#define CPU_SYS_UART1_UART_CTL0                                          (HV_UART1_BASE_ADDRESS + 0x100)

#define CPU_SYS_UART1_UART_CTL0_struct                                   rs_cpu_sys_uart1_uart_ctl0

typedef struct _rs_cpu_sys_uart1_uart_ctl0  rs_cpu_sys_uart1_uart_ctl0;
struct _rs_cpu_sys_uart1_uart_ctl0 {
    unsigned int reg_abr_en                                 : 1;
    unsigned int reg_debug_sel                              : 1;
    unsigned int reg_abrf                                   : 1;
    unsigned int reg_bit_num                                :16;
    unsigned int reserved                                   :13;
};
#define cpu_sys_uart1_uart_ctl0(val) ((rs_cpu_sys_uart1_uart_ctl0*)&(val))



#endif