#ifndef _HV_PAGE_HT7315_USB_TOP_H_
#define _HV_PAGE_HT7315_USB_TOP_H_

#ifndef HV_USB_TOP_BASE_ADDRESS
    #define HV_USB_TOP_BASE_ADDRESS                                         0x11090000
#endif


#define USB_TOP_USB_TOP_FADDR                                            (HV_USB_TOP_BASE_ADDRESS + 0x00)

#define USB_TOP_USB_TOP_FADDR_struct                                     rs_usb_top_usb_top_faddr

typedef struct _rs_usb_top_usb_top_faddr  rs_usb_top_usb_top_faddr;
struct _rs_usb_top_usb_top_faddr {
    unsigned int FuncAddr                                   : 7;
    unsigned int reserved                                   :25;
};
#define usb_top_usb_top_faddr(val) ((rs_usb_top_usb_top_faddr*)&(val))



#define USB_TOP_USB_TOP_INTRRX                                           (HV_USB_TOP_BASE_ADDRESS + 0x04)

#define USB_TOP_USB_TOP_INTRRX_struct                                    rs_usb_top_usb_top_intrrx

typedef struct _rs_usb_top_usb_top_intrrx  rs_usb_top_usb_top_intrrx;
struct _rs_usb_top_usb_top_intrrx {
    unsigned int reserved                                   : 1;
    unsigned int EP1Rx                                      : 1;
    unsigned int EP2Rx                                      : 1;
    unsigned int EP3Rx                                      : 1;
    unsigned int EP4Rx                                      : 1;
    unsigned int EP5Rx                                      : 1;
    unsigned int EP6Rx                                      : 1;
    unsigned int EP7Rx                                      : 1;
    unsigned int EP8Rx                                      : 1;
    unsigned int EP9Rx                                      : 1;
    unsigned int EP10Rx                                     : 1;
    unsigned int EP11Rx                                     : 1;
    unsigned int EP12Rx                                     : 1;
    unsigned int EP13Rx                                     : 1;
    unsigned int EP14Rx                                     : 1;
    unsigned int EP15Rx                                     : 1;
    unsigned int reserved_1                                 :16;
};
#define usb_top_usb_top_intrrx(val) ((rs_usb_top_usb_top_intrrx*)&(val))



#define USB_TOP_USB_TOP_INTRRXE                                          (HV_USB_TOP_BASE_ADDRESS + 0x08)

#define USB_TOP_USB_TOP_INTRRXE_struct                                   rs_usb_top_usb_top_intrrxe

typedef struct _rs_usb_top_usb_top_intrrxe  rs_usb_top_usb_top_intrrxe;
struct _rs_usb_top_usb_top_intrrxe {
    unsigned int reserved                                   : 1;
    unsigned int EP1Rx_EN                                   : 1;
    unsigned int EP2Rx_EN                                   : 1;
    unsigned int EP3Rx_EN                                   : 1;
    unsigned int EP4Rx_EN                                   : 1;
    unsigned int EP5Rx_EN                                   : 1;
    unsigned int EP6Rx_EN                                   : 1;
    unsigned int EP7Rx_EN                                   : 1;
    unsigned int EP8Rx_EN                                   : 1;
    unsigned int EP9Rx_EN                                   : 1;
    unsigned int EP10Rx_EN                                  : 1;
    unsigned int EP11Rx_EN                                  : 1;
    unsigned int EP12Rx_EN                                  : 1;
    unsigned int EP13Rx_EN                                  : 1;
    unsigned int EP14Rx_EN                                  : 1;
    unsigned int EP15Rx_EN                                  : 1;
    unsigned int reserved_1                                 :16;
};
#define usb_top_usb_top_intrrxe(val) ((rs_usb_top_usb_top_intrrxe*)&(val))



#define USB_TOP_USB_TOP_FRAME                                            (HV_USB_TOP_BASE_ADDRESS + 0x0C)

#define USB_TOP_USB_TOP_FRAME_struct                                     rs_usb_top_usb_top_frame

typedef struct _rs_usb_top_usb_top_frame  rs_usb_top_usb_top_frame;
struct _rs_usb_top_usb_top_frame {
    unsigned int FrameNumber                                :11;
    unsigned int reserved                                   :21;
};
#define usb_top_usb_top_frame(val) ((rs_usb_top_usb_top_frame*)&(val))



#define USB_TOP_USB_TOP_TXMAXP                                           (HV_USB_TOP_BASE_ADDRESS + 0x10)

#define USB_TOP_USB_TOP_TXMAXP_struct                                    rs_usb_top_usb_top_txmaxp

typedef struct _rs_usb_top_usb_top_txmaxp  rs_usb_top_usb_top_txmaxp;
struct _rs_usb_top_usb_top_txmaxp {
    unsigned int Maximum_Payload_transaction                :11;
    unsigned int m                                          : 5;
    unsigned int reserved                                   :16;
};
#define usb_top_usb_top_txmaxp(val) ((rs_usb_top_usb_top_txmaxp*)&(val))



#define USB_TOP_USB_TOP_RXMAXP                                           (HV_USB_TOP_BASE_ADDRESS + 0x14)

#define USB_TOP_USB_TOP_RXMAXP_struct                                    rs_usb_top_usb_top_rxmaxp

typedef struct _rs_usb_top_usb_top_rxmaxp  rs_usb_top_usb_top_rxmaxp;
struct _rs_usb_top_usb_top_rxmaxp {
    unsigned int Maximum_Payload_transaction                :11;
    unsigned int m                                          : 5;
    unsigned int reserved                                   :16;
};
#define usb_top_usb_top_rxmaxp(val) ((rs_usb_top_usb_top_rxmaxp*)&(val))



#define USB_TOP_USB_TOP_COUNT0_RXCOUNT0                                  (HV_USB_TOP_BASE_ADDRESS + 0x18)

#define USB_TOP_USB_TOP_COUNT0_RXCOUNT0_struct                           rs_usb_top_usb_top_count0_rxcount0

typedef struct _rs_usb_top_usb_top_count0_rxcount0  rs_usb_top_usb_top_count0_rxcount0;
struct _rs_usb_top_usb_top_count0_rxcount0 {
    unsigned int Endpoint0_RxCount                          : 7;
    unsigned int reserved                                   :25;
};
#define usb_top_usb_top_count0_rxcount0(val) ((rs_usb_top_usb_top_count0_rxcount0*)&(val))



#define USB_TOP_USB_TOP_RXTYPE                                           (HV_USB_TOP_BASE_ADDRESS + 0x1C)

#define USB_TOP_USB_TOP_RXTYPE_struct                                    rs_usb_top_usb_top_rxtype

typedef struct _rs_usb_top_usb_top_rxtype  rs_usb_top_usb_top_rxtype;
struct _rs_usb_top_usb_top_rxtype {
    unsigned int TargetEndpointNumber                       : 4;
    unsigned int Protocol                                   : 2;
    unsigned int reserved                                   :26;
};
#define usb_top_usb_top_rxtype(val) ((rs_usb_top_usb_top_rxtype*)&(val))



#define USB_TOP_USB_TOP_FIFOX                                            (HV_USB_TOP_BASE_ADDRESS + 0x20)

#define USB_TOP_USB_TOP_FIFOX_struct                                     rs_usb_top_usb_top_fifox

typedef struct _rs_usb_top_usb_top_fifox  rs_usb_top_usb_top_fifox;
struct _rs_usb_top_usb_top_fifox {
    unsigned int Endpoint0                                  :32;
};
#define usb_top_usb_top_fifox(val) ((rs_usb_top_usb_top_fifox*)&(val))



#define USB_TOP_USB_TOP_24                                               (HV_USB_TOP_BASE_ADDRESS + 0x24)

#define USB_TOP_USB_TOP_24_struct                                        rs_usb_top_usb_top_24

typedef struct _rs_usb_top_usb_top_24  rs_usb_top_usb_top_24;
struct _rs_usb_top_usb_top_24 {
    unsigned int Endpoint1                                  :32;
};
#define usb_top_usb_top_24(val) ((rs_usb_top_usb_top_24*)&(val))



#define USB_TOP_USB_TOP_28                                               (HV_USB_TOP_BASE_ADDRESS + 0x28)

#define USB_TOP_USB_TOP_28_struct                                        rs_usb_top_usb_top_28

typedef struct _rs_usb_top_usb_top_28  rs_usb_top_usb_top_28;
struct _rs_usb_top_usb_top_28 {
    unsigned int Endpoint2                                  :32;
};
#define usb_top_usb_top_28(val) ((rs_usb_top_usb_top_28*)&(val))



#define USB_TOP_USB_TOP_2C                                               (HV_USB_TOP_BASE_ADDRESS + 0x2C)

#define USB_TOP_USB_TOP_2C_struct                                        rs_usb_top_usb_top_2c

typedef struct _rs_usb_top_usb_top_2c  rs_usb_top_usb_top_2c;
struct _rs_usb_top_usb_top_2c {
    unsigned int Endpoint3                                  :32;
};
#define usb_top_usb_top_2c(val) ((rs_usb_top_usb_top_2c*)&(val))



#define USB_TOP_USB_TOP_30                                               (HV_USB_TOP_BASE_ADDRESS + 0x30)

#define USB_TOP_USB_TOP_30_struct                                        rs_usb_top_usb_top_30

typedef struct _rs_usb_top_usb_top_30  rs_usb_top_usb_top_30;
struct _rs_usb_top_usb_top_30 {
    unsigned int Endpoint4                                  :32;
};
#define usb_top_usb_top_30(val) ((rs_usb_top_usb_top_30*)&(val))



#define USB_TOP_USB_TOP_34                                               (HV_USB_TOP_BASE_ADDRESS + 0x34)

#define USB_TOP_USB_TOP_34_struct                                        rs_usb_top_usb_top_34

typedef struct _rs_usb_top_usb_top_34  rs_usb_top_usb_top_34;
struct _rs_usb_top_usb_top_34 {
    unsigned int Endpoint5                                  :32;
};
#define usb_top_usb_top_34(val) ((rs_usb_top_usb_top_34*)&(val))



#define USB_TOP_USB_TOP_38                                               (HV_USB_TOP_BASE_ADDRESS + 0x38)

#define USB_TOP_USB_TOP_38_struct                                        rs_usb_top_usb_top_38

typedef struct _rs_usb_top_usb_top_38  rs_usb_top_usb_top_38;
struct _rs_usb_top_usb_top_38 {
    unsigned int Endpoint6                                  :32;
};
#define usb_top_usb_top_38(val) ((rs_usb_top_usb_top_38*)&(val))



#define USB_TOP_USB_TOP_3C                                               (HV_USB_TOP_BASE_ADDRESS + 0x3C)

#define USB_TOP_USB_TOP_3C_struct                                        rs_usb_top_usb_top_3c

typedef struct _rs_usb_top_usb_top_3c  rs_usb_top_usb_top_3c;
struct _rs_usb_top_usb_top_3c {
    unsigned int Endpoint7                                  :32;
};
#define usb_top_usb_top_3c(val) ((rs_usb_top_usb_top_3c*)&(val))



#define USB_TOP_USB_TOP_40                                               (HV_USB_TOP_BASE_ADDRESS + 0x40)

#define USB_TOP_USB_TOP_40_struct                                        rs_usb_top_usb_top_40

typedef struct _rs_usb_top_usb_top_40  rs_usb_top_usb_top_40;
struct _rs_usb_top_usb_top_40 {
    unsigned int Endpoint8                                  :32;
};
#define usb_top_usb_top_40(val) ((rs_usb_top_usb_top_40*)&(val))



#define USB_TOP_USB_TOP_44                                               (HV_USB_TOP_BASE_ADDRESS + 0x44)

#define USB_TOP_USB_TOP_44_struct                                        rs_usb_top_usb_top_44

typedef struct _rs_usb_top_usb_top_44  rs_usb_top_usb_top_44;
struct _rs_usb_top_usb_top_44 {
    unsigned int Endpoint9                                  :32;
};
#define usb_top_usb_top_44(val) ((rs_usb_top_usb_top_44*)&(val))



#define USB_TOP_USB_TOP_48                                               (HV_USB_TOP_BASE_ADDRESS + 0x48)

#define USB_TOP_USB_TOP_48_struct                                        rs_usb_top_usb_top_48

typedef struct _rs_usb_top_usb_top_48  rs_usb_top_usb_top_48;
struct _rs_usb_top_usb_top_48 {
    unsigned int Endpoint10                                 :32;
};
#define usb_top_usb_top_48(val) ((rs_usb_top_usb_top_48*)&(val))



#define USB_TOP_USB_TOP_4C                                               (HV_USB_TOP_BASE_ADDRESS + 0x4C)

#define USB_TOP_USB_TOP_4C_struct                                        rs_usb_top_usb_top_4c

typedef struct _rs_usb_top_usb_top_4c  rs_usb_top_usb_top_4c;
struct _rs_usb_top_usb_top_4c {
    unsigned int Endpoint11                                 :32;
};
#define usb_top_usb_top_4c(val) ((rs_usb_top_usb_top_4c*)&(val))



#define USB_TOP_USB_TOP_50                                               (HV_USB_TOP_BASE_ADDRESS + 0x50)

#define USB_TOP_USB_TOP_50_struct                                        rs_usb_top_usb_top_50

typedef struct _rs_usb_top_usb_top_50  rs_usb_top_usb_top_50;
struct _rs_usb_top_usb_top_50 {
    unsigned int Endpoint12                                 :32;
};
#define usb_top_usb_top_50(val) ((rs_usb_top_usb_top_50*)&(val))



#define USB_TOP_USB_TOP_54                                               (HV_USB_TOP_BASE_ADDRESS + 0x54)

#define USB_TOP_USB_TOP_54_struct                                        rs_usb_top_usb_top_54

typedef struct _rs_usb_top_usb_top_54  rs_usb_top_usb_top_54;
struct _rs_usb_top_usb_top_54 {
    unsigned int Endpoint13                                 :32;
};
#define usb_top_usb_top_54(val) ((rs_usb_top_usb_top_54*)&(val))



#define USB_TOP_USB_TOP_58                                               (HV_USB_TOP_BASE_ADDRESS + 0x58)

#define USB_TOP_USB_TOP_58_struct                                        rs_usb_top_usb_top_58

typedef struct _rs_usb_top_usb_top_58  rs_usb_top_usb_top_58;
struct _rs_usb_top_usb_top_58 {
    unsigned int Endpoint14                                 :32;
};
#define usb_top_usb_top_58(val) ((rs_usb_top_usb_top_58*)&(val))



#define USB_TOP_USB_TOP_5C                                               (HV_USB_TOP_BASE_ADDRESS + 0x5C)

#define USB_TOP_USB_TOP_5C_struct                                        rs_usb_top_usb_top_5c

typedef struct _rs_usb_top_usb_top_5c  rs_usb_top_usb_top_5c;
struct _rs_usb_top_usb_top_5c {
    unsigned int Endpoint15                                 :32;
};
#define usb_top_usb_top_5c(val) ((rs_usb_top_usb_top_5c*)&(val))



#define USB_TOP_USB_TOP_DEVCTL                                           (HV_USB_TOP_BASE_ADDRESS + 0x60)

#define USB_TOP_USB_TOP_DEVCTL_struct                                    rs_usb_top_usb_top_devctl

typedef struct _rs_usb_top_usb_top_devctl  rs_usb_top_usb_top_devctl;
struct _rs_usb_top_usb_top_devctl {
    unsigned int Session                                    : 1;
    unsigned int HostReq                                    : 1;
    unsigned int HostMode                                   : 1;
    unsigned int VBus                                       : 2;
    unsigned int LSDev                                      : 1;
    unsigned int FSDev                                      : 1;
    unsigned int B_Device                                   : 1;
    unsigned int reserved                                   :24;
};
#define usb_top_usb_top_devctl(val) ((rs_usb_top_usb_top_devctl*)&(val))



#define USB_TOP_USB_TOP_TXFIFOADD                                        (HV_USB_TOP_BASE_ADDRESS + 0x64)

#define USB_TOP_USB_TOP_TXFIFOADD_struct                                 rs_usb_top_usb_top_txfifoadd

typedef struct _rs_usb_top_usb_top_txfifoadd  rs_usb_top_usb_top_txfifoadd;
struct _rs_usb_top_usb_top_txfifoadd {
    unsigned int AD                                         :13;
    unsigned int reserved                                   :19;
};
#define usb_top_usb_top_txfifoadd(val) ((rs_usb_top_usb_top_txfifoadd*)&(val))



#define USB_TOP_USB_TOP_68                                               (HV_USB_TOP_BASE_ADDRESS + 0x68)

#define USB_TOP_USB_TOP_68_struct                                        rs_usb_top_usb_top_68

typedef struct _rs_usb_top_usb_top_68  rs_usb_top_usb_top_68;
struct _rs_usb_top_usb_top_68 {
    unsigned int VCONTROL                                   : 8;
    unsigned int VSTATUS                                    : 8;
    unsigned int reserved                                   :16;
};
#define usb_top_usb_top_68(val) ((rs_usb_top_usb_top_68*)&(val))



#define USB_TOP_USB_TOP_HWVERS                                           (HV_USB_TOP_BASE_ADDRESS + 0x6C)

#define USB_TOP_USB_TOP_HWVERS_struct                                    rs_usb_top_usb_top_hwvers

typedef struct _rs_usb_top_usb_top_hwvers  rs_usb_top_usb_top_hwvers;
struct _rs_usb_top_usb_top_hwvers {
    unsigned int yyy                                        :10;
    unsigned int xx                                         : 5;
    unsigned int RC                                         : 1;
    unsigned int reserved                                   :16;
};
#define usb_top_usb_top_hwvers(val) ((rs_usb_top_usb_top_hwvers*)&(val))



#define USB_TOP_USB_TOP_ULPI                                             (HV_USB_TOP_BASE_ADDRESS + 0x70)

#define USB_TOP_USB_TOP_ULPI_struct                                      rs_usb_top_usb_top_ulpi

typedef struct _rs_usb_top_usb_top_ulpi  rs_usb_top_usb_top_ulpi;
struct _rs_usb_top_usb_top_ulpi {
    unsigned int ULPI                                       :32;
};
#define usb_top_usb_top_ulpi(val) ((rs_usb_top_usb_top_ulpi*)&(val))



#define USB_TOP_USB_TOP_EPINFO                                           (HV_USB_TOP_BASE_ADDRESS + 0x78)

#define USB_TOP_USB_TOP_EPINFO_struct                                    rs_usb_top_usb_top_epinfo

typedef struct _rs_usb_top_usb_top_epinfo  rs_usb_top_usb_top_epinfo;
struct _rs_usb_top_usb_top_epinfo {
    unsigned int TxEndPoints                                : 4;
    unsigned int RxEndPoints                                : 4;
    unsigned int reserved                                   :24;
};
#define usb_top_usb_top_epinfo(val) ((rs_usb_top_usb_top_epinfo*)&(val))



#define USB_TOP_USB_TOP_HS_EOF1                                          (HV_USB_TOP_BASE_ADDRESS + 0x7C)

#define USB_TOP_USB_TOP_HS_EOF1_struct                                   rs_usb_top_usb_top_hs_eof1

typedef struct _rs_usb_top_usb_top_hs_eof1  rs_usb_top_usb_top_hs_eof1;
struct _rs_usb_top_usb_top_hs_eof1 {
    unsigned int HS_EOF1                                    : 8;
    unsigned int reserved                                   :24;
};
#define usb_top_usb_top_hs_eof1(val) ((rs_usb_top_usb_top_hs_eof1*)&(val))



#define USB_TOP_USB_TOP_REG_WTRST                                        (HV_USB_TOP_BASE_ADDRESS + 0x80)

#define USB_TOP_USB_TOP_REG_WTRST_struct                                 rs_usb_top_usb_top_reg_wtrst

typedef struct _rs_usb_top_usb_top_reg_wtrst  rs_usb_top_usb_top_reg_wtrst;
struct _rs_usb_top_usb_top_reg_wtrst {
    unsigned int FS                                         :16;
    unsigned int HS                                         :16;
};
#define usb_top_usb_top_reg_wtrst(val) ((rs_usb_top_usb_top_reg_wtrst*)&(val))



#define USB_TOP_USB_TOP_REG_UCH                                          (HV_USB_TOP_BASE_ADDRESS + 0x84)

#define USB_TOP_USB_TOP_REG_UCH_struct                                   rs_usb_top_usb_top_reg_uch

typedef struct _rs_usb_top_usb_top_reg_uch  rs_usb_top_usb_top_reg_uch;
struct _rs_usb_top_usb_top_reg_uch {
    unsigned int REG_UCH                                    :32;
};
#define usb_top_usb_top_reg_uch(val) ((rs_usb_top_usb_top_reg_uch*)&(val))



#define USB_TOP_USB_TOP_REG_WTFS                                         (HV_USB_TOP_BASE_ADDRESS + 0x88)

#define USB_TOP_USB_TOP_REG_WTFS_struct                                  rs_usb_top_usb_top_reg_wtfs

typedef struct _rs_usb_top_usb_top_reg_wtfs  rs_usb_top_usb_top_reg_wtfs;
struct _rs_usb_top_usb_top_reg_wtfs {
    unsigned int REG_WTFS                                   :32;
};
#define usb_top_usb_top_reg_wtfs(val) ((rs_usb_top_usb_top_reg_wtfs*)&(val))



#define USB_TOP_USB_TOP_REG_FSTO                                         (HV_USB_TOP_BASE_ADDRESS + 0x8C)

#define USB_TOP_USB_TOP_REG_FSTO_struct                                  rs_usb_top_usb_top_reg_fsto

typedef struct _rs_usb_top_usb_top_reg_fsto  rs_usb_top_usb_top_reg_fsto;
struct _rs_usb_top_usb_top_reg_fsto {
    unsigned int REG_FSTO                                   :32;
};
#define usb_top_usb_top_reg_fsto(val) ((rs_usb_top_usb_top_reg_fsto*)&(val))



#define USB_TOP_USB_TOP_REG_ADEVTO                                       (HV_USB_TOP_BASE_ADDRESS + 0x90)

#define USB_TOP_USB_TOP_REG_ADEVTO_struct                                rs_usb_top_usb_top_reg_adevto

typedef struct _rs_usb_top_usb_top_reg_adevto  rs_usb_top_usb_top_reg_adevto;
struct _rs_usb_top_usb_top_reg_adevto {
    unsigned int REG_ADEVTO                                 :32;
};
#define usb_top_usb_top_reg_adevto(val) ((rs_usb_top_usb_top_reg_adevto*)&(val))



#define USB_TOP_USB_TOP_REG_WTREV                                        (HV_USB_TOP_BASE_ADDRESS + 0x94)

#define USB_TOP_USB_TOP_REG_WTREV_struct                                 rs_usb_top_usb_top_reg_wtrev

typedef struct _rs_usb_top_usb_top_reg_wtrev  rs_usb_top_usb_top_reg_wtrev;
struct _rs_usb_top_usb_top_reg_wtrev {
    unsigned int REG_WTREV                                  :32;
};
#define usb_top_usb_top_reg_wtrev(val) ((rs_usb_top_usb_top_reg_wtrev*)&(val))



#define USB_TOP_USB_TOP_REG_LSBT                                         (HV_USB_TOP_BASE_ADDRESS + 0x98)

#define USB_TOP_USB_TOP_REG_LSBT_struct                                  rs_usb_top_usb_top_reg_lsbt

typedef struct _rs_usb_top_usb_top_reg_lsbt  rs_usb_top_usb_top_reg_lsbt;
struct _rs_usb_top_usb_top_reg_lsbt {
    unsigned int REG_LSBT                                   :32;
};
#define usb_top_usb_top_reg_lsbt(val) ((rs_usb_top_usb_top_reg_lsbt*)&(val))



#define USB_TOP_USB_TOP_REG_FSBT                                         (HV_USB_TOP_BASE_ADDRESS + 0x9C)

#define USB_TOP_USB_TOP_REG_FSBT_struct                                  rs_usb_top_usb_top_reg_fsbt

typedef struct _rs_usb_top_usb_top_reg_fsbt  rs_usb_top_usb_top_reg_fsbt;
struct _rs_usb_top_usb_top_reg_fsbt {
    unsigned int REG_FSBT                                   :32;
};
#define usb_top_usb_top_reg_fsbt(val) ((rs_usb_top_usb_top_reg_fsbt*)&(val))



#define USB_TOP_USB_TOP_REG_HSBT                                         (HV_USB_TOP_BASE_ADDRESS + 0xA0)

#define USB_TOP_USB_TOP_REG_HSBT_struct                                  rs_usb_top_usb_top_reg_hsbt

typedef struct _rs_usb_top_usb_top_reg_hsbt  rs_usb_top_usb_top_reg_hsbt;
struct _rs_usb_top_usb_top_reg_hsbt {
    unsigned int REG_HSBT                                   :32;
};
#define usb_top_usb_top_reg_hsbt(val) ((rs_usb_top_usb_top_reg_hsbt*)&(val))



#define USB_TOP_USB_TOP_REG_FP                                           (HV_USB_TOP_BASE_ADDRESS + 0xA4)

#define USB_TOP_USB_TOP_REG_FP_struct                                    rs_usb_top_usb_top_reg_fp

typedef struct _rs_usb_top_usb_top_reg_fp  rs_usb_top_usb_top_reg_fp;
struct _rs_usb_top_usb_top_reg_fp {
    unsigned int REG_FSFP                                   :16;
    unsigned int REG_HSFP                                   :16;
};
#define usb_top_usb_top_reg_fp(val) ((rs_usb_top_usb_top_reg_fp*)&(val))



#define USB_TOP_USB_TOP_REG_FTO                                          (HV_USB_TOP_BASE_ADDRESS + 0xA8)

#define USB_TOP_USB_TOP_REG_FTO_struct                                   rs_usb_top_usb_top_reg_fto

typedef struct _rs_usb_top_usb_top_reg_fto  rs_usb_top_usb_top_reg_fto;
struct _rs_usb_top_usb_top_reg_fto {
    unsigned int REG_FSFTO                                  :16;
    unsigned int REG_HSFTO                                  :16;
};
#define usb_top_usb_top_reg_fto(val) ((rs_usb_top_usb_top_reg_fto*)&(val))



#define USB_TOP_USB_TOP_REG_RST                                          (HV_USB_TOP_BASE_ADDRESS + 0xAC)

#define USB_TOP_USB_TOP_REG_RST_struct                                   rs_usb_top_usb_top_reg_rst

typedef struct _rs_usb_top_usb_top_reg_rst  rs_usb_top_usb_top_reg_rst;
struct _rs_usb_top_usb_top_reg_rst {
    unsigned int REG_HSRTN                                  :16;
    unsigned int REG_FSRTN                                  :16;
};
#define usb_top_usb_top_reg_rst(val) ((rs_usb_top_usb_top_reg_rst*)&(val))



#define USB_TOP_USB_TOP_REG_RSFC                                         (HV_USB_TOP_BASE_ADDRESS + 0xB0)

#define USB_TOP_USB_TOP_REG_RSFC_struct                                  rs_usb_top_usb_top_reg_rsfc

typedef struct _rs_usb_top_usb_top_reg_rsfc  rs_usb_top_usb_top_reg_rsfc;
struct _rs_usb_top_usb_top_reg_rsfc {
    unsigned int REG_HSFC                                   :16;
    unsigned int REG_RSE0                                   :16;
};
#define usb_top_usb_top_reg_rsfc(val) ((rs_usb_top_usb_top_reg_rsfc*)&(val))



#define USB_TOP_USB_TOP_REG_COVIDT                                       (HV_USB_TOP_BASE_ADDRESS + 0xB4)

#define USB_TOP_USB_TOP_REG_COVIDT_struct                                rs_usb_top_usb_top_reg_covidt

typedef struct _rs_usb_top_usb_top_reg_covidt  rs_usb_top_usb_top_reg_covidt;
struct _rs_usb_top_usb_top_reg_covidt {
    unsigned int REG_HSRECOV                                :16;
    unsigned int REG_WTIDT                                  :16;
};
#define usb_top_usb_top_reg_covidt(val) ((rs_usb_top_usb_top_reg_covidt*)&(val))



#define USB_TOP_USB_TOP_REG_AVRISE                                       (HV_USB_TOP_BASE_ADDRESS + 0xB8)

#define USB_TOP_USB_TOP_REG_AVRISE_struct                                rs_usb_top_usb_top_reg_avrise

typedef struct _rs_usb_top_usb_top_reg_avrise  rs_usb_top_usb_top_reg_avrise;
struct _rs_usb_top_usb_top_reg_avrise {
    unsigned int REG_AVRISE                                 :32;
};
#define usb_top_usb_top_reg_avrise(val) ((rs_usb_top_usb_top_reg_avrise*)&(val))



#define USB_TOP_USB_TOP_REG_ACON                                         (HV_USB_TOP_BASE_ADDRESS + 0xBC)

#define USB_TOP_USB_TOP_REG_ACON_struct                                  rs_usb_top_usb_top_reg_acon

typedef struct _rs_usb_top_usb_top_reg_acon  rs_usb_top_usb_top_reg_acon;
struct _rs_usb_top_usb_top_reg_acon {
    unsigned int REG_ACON                                   :32;
};
#define usb_top_usb_top_reg_acon(val) ((rs_usb_top_usb_top_reg_acon*)&(val))



#define USB_TOP_USB_TOP_REG_ACONST                                       (HV_USB_TOP_BASE_ADDRESS + 0xC0)

#define USB_TOP_USB_TOP_REG_ACONST_struct                                rs_usb_top_usb_top_reg_aconst

typedef struct _rs_usb_top_usb_top_reg_aconst  rs_usb_top_usb_top_reg_aconst;
struct _rs_usb_top_usb_top_reg_aconst {
    unsigned int REG_ACONS                                  :16;
    unsigned int REG_ACONT                                  :16;
};
#define usb_top_usb_top_reg_aconst(val) ((rs_usb_top_usb_top_reg_aconst*)&(val))



#define USB_TOP_USB_TOP_REG_CHRPEOR                                      (HV_USB_TOP_BASE_ADDRESS + 0xC4)

#define USB_TOP_USB_TOP_REG_CHRPEOR_struct                               rs_usb_top_usb_top_reg_chrpeor

typedef struct _rs_usb_top_usb_top_reg_chrpeor  rs_usb_top_usb_top_reg_chrpeor;
struct _rs_usb_top_usb_top_reg_chrpeor {
    unsigned int REG_HCHRP                                  :16;
    unsigned int REG_HFSEOR                                 :16;
};
#define usb_top_usb_top_reg_chrpeor(val) ((rs_usb_top_usb_top_reg_chrpeor*)&(val))



#define USB_TOP_USB_TOP_REG_HEOCAT                                       (HV_USB_TOP_BASE_ADDRESS + 0xC8)

#define USB_TOP_USB_TOP_REG_HEOCAT_struct                                rs_usb_top_usb_top_reg_heocat

typedef struct _rs_usb_top_usb_top_reg_heocat  rs_usb_top_usb_top_reg_heocat;
struct _rs_usb_top_usb_top_reg_heocat {
    unsigned int REG_HEOC                                   :16;
    unsigned int REG_HEOCT                                  :16;
};
#define usb_top_usb_top_reg_heocat(val) ((rs_usb_top_usb_top_reg_heocat*)&(val))



#define USB_TOP_USB_TOP_REG_DPLEN                                        (HV_USB_TOP_BASE_ADDRESS + 0xCC)

#define USB_TOP_USB_TOP_REG_DPLEN_struct                                 rs_usb_top_usb_top_reg_dplen

typedef struct _rs_usb_top_usb_top_reg_dplen  rs_usb_top_usb_top_reg_dplen;
struct _rs_usb_top_usb_top_reg_dplen {
    unsigned int REG_DPLEN                                  :32;
};
#define usb_top_usb_top_reg_dplen(val) ((rs_usb_top_usb_top_reg_dplen*)&(val))



#define USB_TOP_USB_TOP_REG_DPLENT                                       (HV_USB_TOP_BASE_ADDRESS + 0xD0)

#define USB_TOP_USB_TOP_REG_DPLENT_struct                                rs_usb_top_usb_top_reg_dplent

typedef struct _rs_usb_top_usb_top_reg_dplent  rs_usb_top_usb_top_reg_dplent;
struct _rs_usb_top_usb_top_reg_dplent {
    unsigned int REG_DPLENT                                 :32;
};
#define usb_top_usb_top_reg_dplent(val) ((rs_usb_top_usb_top_reg_dplent*)&(val))



#define USB_TOP_USB_TOP_REG_VPLENT                                       (HV_USB_TOP_BASE_ADDRESS + 0xD4)

#define USB_TOP_USB_TOP_REG_VPLENT_struct                                rs_usb_top_usb_top_reg_vplent

typedef struct _rs_usb_top_usb_top_reg_vplent  rs_usb_top_usb_top_reg_vplent;
struct _rs_usb_top_usb_top_reg_vplent {
    unsigned int REG_VPLENT                                 :32;
};
#define usb_top_usb_top_reg_vplent(val) ((rs_usb_top_usb_top_reg_vplent*)&(val))



#define USB_TOP_USB_TOP_REG_WTHHS                                        (HV_USB_TOP_BASE_ADDRESS + 0xD8)

#define USB_TOP_USB_TOP_REG_WTHHS_struct                                 rs_usb_top_usb_top_reg_wthhs

typedef struct _rs_usb_top_usb_top_reg_wthhs  rs_usb_top_usb_top_reg_wthhs;
struct _rs_usb_top_usb_top_reg_wthhs {
    unsigned int REG_WTHHS                                  :32;
};
#define usb_top_usb_top_reg_wthhs(val) ((rs_usb_top_usb_top_reg_wthhs*)&(val))



#define USB_TOP_USB_TOP_REG_HNPDIS                                       (HV_USB_TOP_BASE_ADDRESS + 0xDC)

#define USB_TOP_USB_TOP_REG_HNPDIS_struct                                rs_usb_top_usb_top_reg_hnpdis

typedef struct _rs_usb_top_usb_top_reg_hnpdis  rs_usb_top_usb_top_reg_hnpdis;
struct _rs_usb_top_usb_top_reg_hnpdis {
    unsigned int REG_HNPDIS                                 :32;
};
#define usb_top_usb_top_reg_hnpdis(val) ((rs_usb_top_usb_top_reg_hnpdis*)&(val))



#define USB_TOP_USB_TOP_REG_HHS                                          (HV_USB_TOP_BASE_ADDRESS + 0xE0)

#define USB_TOP_USB_TOP_REG_HHS_struct                                   rs_usb_top_usb_top_reg_hhs

typedef struct _rs_usb_top_usb_top_reg_hhs  rs_usb_top_usb_top_reg_hhs;
struct _rs_usb_top_usb_top_reg_hhs {
    unsigned int RTN                                        :16;
    unsigned int RTNT                                       :16;
};
#define usb_top_usb_top_reg_hhs(val) ((rs_usb_top_usb_top_reg_hhs*)&(val))



#define USB_TOP_USB_TOP_REG_TNTDET                                       (HV_USB_TOP_BASE_ADDRESS + 0xE4)

#define USB_TOP_USB_TOP_REG_TNTDET_struct                                rs_usb_top_usb_top_reg_tntdet

typedef struct _rs_usb_top_usb_top_reg_tntdet  rs_usb_top_usb_top_reg_tntdet;
struct _rs_usb_top_usb_top_reg_tntdet {
    unsigned int REG_HCHRDET                                :16;
    unsigned int REG_WUCHP                                  :16;
};
#define usb_top_usb_top_reg_tntdet(val) ((rs_usb_top_usb_top_reg_tntdet*)&(val))



#define USB_TOP_USB_TOP_REG_BCON                                         (HV_USB_TOP_BASE_ADDRESS + 0xE8)

#define USB_TOP_USB_TOP_REG_BCON_struct                                  rs_usb_top_usb_top_reg_bcon

typedef struct _rs_usb_top_usb_top_reg_bcon  rs_usb_top_usb_top_reg_bcon;
struct _rs_usb_top_usb_top_reg_bcon {
    unsigned int REG_BWHNP                                  :24;
    unsigned int REG_WTISUS                                 : 8;
};
#define usb_top_usb_top_reg_bcon(val) ((rs_usb_top_usb_top_reg_bcon*)&(val))



#define USB_TOP_USB_TOP_REG_MISC                                         (HV_USB_TOP_BASE_ADDRESS + 0xEC)

#define USB_TOP_USB_TOP_REG_MISC_struct                                  rs_usb_top_usb_top_reg_misc

typedef struct _rs_usb_top_usb_top_reg_misc  rs_usb_top_usb_top_reg_misc;
struct _rs_usb_top_usb_top_reg_misc {
    unsigned int REG_AUTO_DOUBLE_BUFFER_EN                  : 4;
    unsigned int reserved                                   : 4;
    unsigned int REG_DOUBLE_BUFFER_STA                      : 8;
    unsigned int reserved_1                                 :16;
};
#define usb_top_usb_top_reg_misc(val) ((rs_usb_top_usb_top_reg_misc*)&(val))



#define USB_TOP_USB_TOP_REG_FILT                                         (HV_USB_TOP_BASE_ADDRESS + 0xF0)

#define USB_TOP_USB_TOP_REG_FILT_struct                                  rs_usb_top_usb_top_reg_filt

typedef struct _rs_usb_top_usb_top_reg_filt  rs_usb_top_usb_top_reg_filt;
struct _rs_usb_top_usb_top_reg_filt {
    unsigned int REG_FILT                                   :16;
    unsigned int reserved                                   :16;
};
#define usb_top_usb_top_reg_filt(val) ((rs_usb_top_usb_top_reg_filt*)&(val))



#define USB_TOP_USB_TOP_LSREG                                            (HV_USB_TOP_BASE_ADDRESS + 0xF4)

#define USB_TOP_USB_TOP_LSREG_struct                                     rs_usb_top_usb_top_lsreg

typedef struct _rs_usb_top_usb_top_lsreg  rs_usb_top_usb_top_lsreg;
struct _rs_usb_top_usb_top_lsreg {
    unsigned int LSADD                                      : 1;
    unsigned int reserved                                   :31;
};
#define usb_top_usb_top_lsreg(val) ((rs_usb_top_usb_top_lsreg*)&(val))



#define USB_TOP_USB_TOP_REG_UTMISTATE                                    (HV_USB_TOP_BASE_ADDRESS + 0xF8)

#define USB_TOP_USB_TOP_REG_UTMISTATE_struct                             rs_usb_top_usb_top_reg_utmistate

typedef struct _rs_usb_top_usb_top_reg_utmistate  rs_usb_top_usb_top_reg_utmistate;
struct _rs_usb_top_usb_top_reg_utmistate {
    unsigned int UTMI_ENCTRL                                : 1;
    unsigned int UTMI_SUSPENDM                              : 1;
    unsigned int UTMI_OPMODE                                : 2;
    unsigned int UTMI_XCVRSEL                               : 2;
    unsigned int UTMI_TERMSEL                               : 1;
    unsigned int UTMI_DRVVBUS                               : 1;
    unsigned int reserved                                   : 4;
    unsigned int UTMI_IDPULLUP                              : 1;
    unsigned int UTMI_LINESTATE                             : 2;
    unsigned int UTMI_VBUSVALID                             : 1;
    unsigned int UTMI_AVALID                                : 1;
    unsigned int UTMI_SESSEND                               : 1;
    unsigned int UTMI_HOSTDISCON                            : 1;
    unsigned int UTMI_IDDIG                                 : 1;
    unsigned int REG_opstate                                : 7;
    unsigned int reserved_1                                 : 5;
};
#define usb_top_usb_top_reg_utmistate(val) ((rs_usb_top_usb_top_reg_utmistate*)&(val))



#define USB_TOP_USB_TOP_REG_UTMIDATA                                     (HV_USB_TOP_BASE_ADDRESS + 0xFC)

#define USB_TOP_USB_TOP_REG_UTMIDATA_struct                              rs_usb_top_usb_top_reg_utmidata

typedef struct _rs_usb_top_usb_top_reg_utmidata  rs_usb_top_usb_top_reg_utmidata;
struct _rs_usb_top_usb_top_reg_utmidata {
    unsigned int UTMI_XDATAOUT                              : 8;
    unsigned int UTMI_TXVALID                               : 1;
    unsigned int UTMI_XDATAIN                               : 8;
    unsigned int UTMI_TXREADY                               : 1;
    unsigned int UTMI_RXVALID                               : 1;
    unsigned int UTMI_RXACTIVE                              : 1;
    unsigned int UTMI_RXERROR                               : 1;
    unsigned int reserved                                   :11;
};
#define usb_top_usb_top_reg_utmidata(val) ((rs_usb_top_usb_top_reg_utmidata*)&(val))



#endif