﻿/**
 * @file hv_drv_Ddcci.h
 * @brief Header file of ddcci module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+)  
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */

#ifndef __SDK_DRV_DDCCI_H__
#define __SDK_DRV_DDCCI_H__

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"

#define U32_BYTE0(v) ((v) & 0xFF)
#define U32_BYTE1(v) (((v) >> 8) & 0xFF)
#define U32_BYTE2(v) (((v) >> 16) & 0xFF)
#define U32_BYTE3(v) (((v) >> 24) & 0xFF)

UCHAR8 Hv_Drv_Ddcci_GetPQToolCmd(VOID);
UINT32 Hv_Drv_Ddcci_GetPQToolItem(VOID);
UCHAR8 Hv_Drv_Ddcci_GetPQToolStatus(VOID);
UINT32 Hv_Drv_Ddcci_GetPQToolInfo(VOID);
VOID Hv_Drv_Ddcci_SetPQToolCmd(UCHAR8 ucCmd);
VOID Hv_Drv_Ddcci_SetPQToolStatus(UCHAR8 ucSts);
VOID Hv_Drv_Ddcci_SetPQToolInfo(UINT32 uiInfo);

#endif

