/*****************************************************************************/
/**
* @file hal_hdcp1x_rx.h
* @{
* @details
*
* This is the main header file for the Hiview HDCP 2.2 Receiver device
* driver. The HDCP 2.2 Receiver driver implements the authentication
* state machine.
*
*****************************************************************************/

#ifndef HV_DRV_HDCP1X_RX_H        /* prevent circular inclusions */
#define HV_DRV_HDCP1X_RX_H        /* by using protection macros */

#ifdef __cplusplus
extern "C" 
{
#endif

/***************************** Include Files ********************************/
#include "hv_vos_Comm.h"
#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"


void Hv_Engine_RxCalcKm(UCHAR8 * aksv,UINT32 * Km, UCHAR8 ucPortIndex);
void Hv_Engine_RxBlockCipher(UCHAR8 *An,UINT32 *Km, UCHAR8 Repeater,UINT32 *Ks,UINT32 *M0,USHORT16 *R0, UCHAR8 ucPortIndex);
#ifdef __cplusplus
}
#endif

#endif /* HS_HAL_HDCP1X_RX_H_ */

/** @} */
