export SDK_WITH_OSD_TEST=no
export SDK_WITH_OSD_GRAPHIC_TEST=no
export SDK_OSD_TEST_ASYNC_REGEN=no
export SDK_OSD_OUTPUT_IP_DATA=no

VPATH += $(SDK_DRIVER_DIR)/OSD/drv/src

INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc/
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PowerManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PanelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/OSD/inc
INCLUDES += -I$(SDK_DIR)/Common/timer/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(USER_OSD_DIR)/
INCLUDES += -I$(USER_OSD_DIR)/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource
INCLUDES += -I$(USER_DATABASE_DIR)/inc

ifeq ($(CONFIG_USER_TJPG_SUPPORT), TJPG_ON)
INCLUDES += -I$(SDK_DRIVER_DIR)/3rd/Tjpg
endif

ifeq ($(OSD_TEST), yes)
  C_DEF_FLAG += -DOSD_TEST
endif
ifeq ($(SDK_OSD_TEST_ASYNC_REGEN), yes)
  C_DEF_FLAG += -DOSD_TEST_ASYNC_REGEN
endif
ifeq ($(SDK_OSD_OUTPUT_IP_DATA), yes)
  C_DEF_FLAG += -DOSD_OUTPUT_IP_DATA
endif

OBJ_DRIVER_OSD_DRV_C = $(wildcard $(SDK_DRIVER_DIR)/OSD/drv/src/*.c)

ifeq ($(SDK_WITH_OSD_TEST), yes)
  C_DEF_FLAG += -DSDK_WITH_OSD_TEST
  INCLUDES += -I$(SDK_DIR)/test/test_osd/inc
  INCLUDES += -I$(SDK_DIR)/test/test_osd/resource/inc
  
  VPATH += $(SDK_DIR)/test/test_osd
  VPATH += $(SDK_DIR)/test/test_osd/resource/src

  OBJ_DRIVER_OSD_DRV_C += $(wildcard $(SDK_DIR)/test/test_osd/*.c)
  OBJ_DRIVER_OSD_DRV_C += $(wildcard $(SDK_DIR)/test/test_osd/resource/src/*.c)
  ifeq ($(SDK_WITH_OSD_GRAPHIC_TEST), yes)
    C_DEF_FLAG += -DOSD_ENABLE_GRAPHIC_TEST
    VPATH += $(SDK_DIR)/test/test_osd/test_graphic
    OBJ_DRIVER_OSD_DRV_C += $(wildcard $(SDK_DIR)/test/test_osd/test_graphic/*.c)
  endif
endif

#OBJ_DRIVER_OSD_DRV_C += $(wildcard $(SDK_TEST_DIR)/OSD/drv/src/*.c)

OBJ_DRIVER_OSD_DRV_C_NODIR = $(notdir $(OBJ_DRIVER_OSD_DRV_C))
OBJ_DRIVER_OSD_DRV_C_O = $(OBJ_DRIVER_OSD_DRV_C_NODIR:%.c=%.o)
DRIVER_TARGET_O += $(OBJ_DRIVER_OSD_DRV_C_O)
