/**
 * @file hv_drv_Physical.h
 * @brief HDMI RX driver layer interface.
 * @verbatim
 * ==============================================================================
 *                        ##### How to use this driver #####
 * ==============================================================================
 * (+) Use Hv_Drv_Phy_Init(...) to Init the Phy Data for HDMI and DP.
 * (+) Use Hv_Drv_Phy_SetRxMapping(...) to Set the R G B Color Mapping.
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-08-22
 */

#ifndef __HV_DRV_PHYSICAL_H__
#define __HV_DRV_PHYSICAL_H__

/**
 * @brief Initialize the HDMI Data information.
 * @return 0: Success or 1: Fail.
 */
 
Status Hv_Drv_Phy_Init();

Status Hv_Drv_Phy_SetRxMapping(UCHAR8 ucPortIndex);

#endif


