/** @file
 *  @brief Watchdog (WDG) CAL APIs
*/

#ifndef _HV_CAL_WATCHDOG_H
#define _HV_CAL_WATCHDOG_H


/** @defgroup CAL_WDG CAL_WDG
 *  cal watchdog functions
 *  @{
 */

typedef void (*HV_CAL_WDG_EARLY_INTERRUPT_FN)(void);

/**
 * @brief Reload the counter register.
 */
void Hv_Cal_WDG_Feed(UINT32 uiTimeoutMs);

/**
 * @brief WDG Enable
 */
void Hv_Cal_WDG_Enable(void);

 /**
 * @brief WDG Disable
 */
void Hv_Cal_WDG_Disable(void);

 /**
 * @brief WDG Cleanup
 */
void Hv_Cal_WDG_Cleanup(void);

/**
 * @brief set early wakeup calback.
 */
void Hv_Cal_WDG_SetEarlyWakeup(HV_CAL_WDG_EARLY_INTERRUPT_FN fEarlyInterruptFn);

/** @} */

#endif




