/*
 * @file hv_drv_Eeprom.h
 * @brief Header file of misc module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-05-08
 */

#ifndef _HV_DRV_E2P_H
#define _HV_DRV_E2P_H

/** @defgroup DRV_E2P DRV_E2P
 *  drv eeprom functions
 *  @{
 */


/** Transmit an amount of data to Eeprom
 *  @param ucBus i2c bus
 *  @param usWtAddr  address to write data
 *  @param pucWtData pointer to write data
 *  @param usWtDataSize size to write data.
 *  @retval Status
 */
Status Hv_Drv_Eeprom_Write(UCHAR8 ucBus, USHORT16 usWtAddr, UCHAR8 *pucWtData, USHORT16 usWtDataSize);

/** receive an amount of data from eeprom
 *  @param ucBus i2c bus
 *  @param usRdAddr  address to write data
 *  @param pucRdData pointer to write data
 *  @param usRdDataSize size to read data.
 *  @retval Status
 */
Status Hv_Drv_Eeprom_Read(UCHAR8 ucBus, USHORT16 usRdAddr, UCHAR8 *pucRdData, USHORT16 usRdDataSize);

/** init i2c for eeprom
 *  @retval Status
 */
Status Hv_Drv_Eeprom_Init(void);

/** @} */


#endif




