
/*
 * @file hv_drv_Watchdog.h
 * @brief Header file of misc module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-06-14
 */

/** @file
 *  @brief Watchdog (WDG) CAL APIs
*/

#ifndef _HV_DRV_WATCHDOG_H
#define _HV_DRV_WATCHDOG_H
#include "hv_cal_Watchdog.h"

/** @defgroup CAL_WDG CAL_WDG
 *  cal watchdog functions
 *  @{
 */

/**
 * @brief Reload the counter register.
 */
void Hv_Drv_WDG_Feed(UINT32 uiTimeoutMs);

/**
 * @brief WDG Enable
 */
void Hv_Drv_WDG_Enable(void);

 /**
 * @brief WDG Disable
 */
void Hv_Drv_WDG_Disable(void);

 /**
 * @brief WDG Cleanup
 */
void Hv_Drv_WDG_Cleanup(void);

/**
 * @brief set early wakeup calback.
 */
void Hv_Drv_WDG_SetEarlyWakeup(HV_CAL_WDG_EARLY_INTERRUPT_FN fEarlyInterruptFn);

/** @} */

#endif




