/**
 * @file hv_drv_Pinshare.c
 * @brief pinshare driver  layer file.
 * @details This file provides the following functions: \n
 *          (1) pin share init \n
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-06-12
 * @copyright Copyright(c),2023-5, Hiview Software. All rights reserved.
 * @par History:
  */
#include "hv_chip_Config.h"
#include "hv_cal_Pinshare.h"
#include "hv_vos_Comm.h"

/**
 * @brief pinshare init
 * @param[in/out] N/A
 */
VOID Hv_Drv_Pinshare_Init(VOID)
{
    HV_LOG_DEBUG(PINSHARE, "Pinshare Init\n");
    Hv_Cal_Pinshare_Init();
    HV_LOG_DEBUG(PINSHARE,"Pinshare Init done\n");

    Hv_Chip_SwitchQspiRsic();
    Hv_Chip_DebugUartConfig();
    Hv_Chip_SetIOUserMode();
    return;
}
