/**
 * @file hv_drv_Watchdog.c
 * @brief wdg driver chip file.
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-06-05
 * @copyright Copyright(c),2023-6, Hiview Software. All rights reserved.
 * </table>
 */

#include "hv_vos_Comm.h"
#include "hv_chip_Config.h"
#include "hv_cal_Watchdog.h"
#include "hv_drv_Watchdog.h"
#include "ProjectConfig.h"

/**
 * @brief Reload the counter register.
 */
void Hv_Drv_WDG_Feed(UINT32 uiTimeoutMs)
{
    return Hv_Cal_WDG_Feed(uiTimeoutMs);
}

/**
 * @brief WDG Enable
 */
void Hv_Drv_WDG_Enable(void)
{
    #ifdef CONFIG_USER_WATCHDOG_ON
    return Hv_Cal_WDG_Enable();
    #else
    return;
    #endif
}

 /**
 * @brief WDG Disable
 */
void Hv_Drv_WDG_Disable(void)
{
    return Hv_Cal_WDG_Disable();
}

 /**
 * @brief WDG Cleanup
 */
void Hv_Drv_WDG_Cleanup(void)
{
    return Hv_Cal_WDG_Cleanup();
}

/**
 * @brief set early wakeup calback.
 */
void Hv_Drv_WDG_SetEarlyWakeup(HV_CAL_WDG_EARLY_INTERRUPT_FN fEarlyInterruptFn)
{
    return Hv_Cal_WDG_SetEarlyWakeup(fEarlyInterruptFn);
}