/**
 * @file hv_cal_vbo_tx.h
 * @brief Header file of cal vbo module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-09-03
 */

#ifndef _HV_CAL_VBO_TX_H_
#define _HV_CAL_VBO_TX_H_
#include "hv_comm_DataType.h"
#include "hv_cal_VboTxCommon.h"

/**
 * @brief VBO fix settings.
 * @param[in] stVboTopParam E3 - VBY1_TOP Param.
 */
VOID Hv_Cal_VboTx_Init(HvVboTopParam stVboTopParam);

/**
 * @brief Set VBO Mac Enable.
 */
VOID Hv_Cal_VboTx_SetMacEn(BOOL bEn);

/**
 * @brief Set VBO Pif clk Enable.
 */
VOID Hv_Cal_VboTx_SetPifVboClkEn(BOOL bEn);

/**
 * @brief Get VBO Lockn Status.
 */
Status Hv_Cal_VboTx_GetVboLocknStatus(VOID);

/**
 * @brief Get VBO hpd Status.
 */
BOOL Hv_Cal_VboTx_CheckPanelExist(VOID);

#endif
