/**
 * @file  hv_drv_TypecDebugDefs.h
 * @brief   Debug Header File
 *          This file contains functions to print debug messages from PSF stack
 * @details This file provides the following functions: \n
 *          (1) \n
 *          (2) \n
 *          (3) \n
 *
 * 
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-25
 * @copyright Copyright(c),2022-8, Hiview Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>Author                         <th>Date         <th>Change Description
 * <tr><td>Hiview SoC Software Team       <td>2022-08-25   <td>init
 * </table>
*/


#ifndef _HV_DRV_TYPECDEBUGDEFS_H_
#define _HV_DRV_TYPECDEBUGDEFS_H_

#include <hv_drv_TypecApiHook.h>

#if (HV_TRUE == CONFIG_HOOK_DEBUG_MSG)
/**************************************************************************************/
    /* Define to print a string */
    #define DEBUG_PRINT_PORT_STR(byPortNum,string)    HV_PSF_HOOK_PRINT_INTEGER(byPortNum,1); \
                                                      HV_PSF_HOOK_PRINT_TRACE(string);

    /* Define to print string and a UINT32 buffer*/
    #define DEBUG_PRINT_PORT_UINT32_STR(byPortNum,string1,dwData,byLen,string2)      HV_PSF_HOOK_PRINT_INTEGER(byPortNum,1); \
                                                                                     HV_PSF_HOOK_PRINT_TRACE(string1); \
                                                                                     HV_PSF_HOOK_PRINT_INTEGER(dwData,byLen); \
                                                                                     HV_PSF_HOOK_PRINT_TRACE(string2);

/**************************************************************************************/ 
    
#else
    #define DEBUG_PRINT_PORT_STR(byPportNum,string) 
    #define DEBUG_PRINT_PORT_UINT32_STR(byPportNum,string1,u32Buf,u32Len,string2)
#endif /*CONFIG_HOOK_DEBUG_MSG*/

#endif /*_DEBUG_H_*/

