/*
* @file hv_drv_UsbErrNo.h
* @brief Error number define. 
*
* @author HiView SoC Software Team
* @version 1.0.0
* @date 2022-06-15
*/


#ifndef __HV_DRV_USB_ERR_NO_H_
#define __HV_DRV_USB_ERR_NO_H_


#define    ESHUTDOWN       108  /* Cannot send after transport endpoint shutdown */
#define    ENOMEM          12   /* Out of memory */
#define    EIO             5    /* I/O error */
#define    ENOENT          2    /* No such file or directory */
#define    EEXIST          17   /* File exists */
#define    ENXIO           6    /* No such device or address */

#define    EOPNOTSUPP      95    /* Operation not supported on transport endpoint */
#define    EINVAL          22    /* Invalid argument */
#define    EBUSY           16    /* Device or resource busy */
#define    ENODATA         61    /* No data available */
#define    ENODEV          19    /* No such device */
#define    ECONNRESET      104   /* Connection reset by peer */
#define    EAGAIN          11    /* Try again */


#endif
