/*
 * @file hv_mw_AudioInterrupt.h
 * @brief Header file of audio module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use Hv_Cal_Audio_SetRxOut()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-01-16
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_SYSTEMMANAGER_CHANNEL_MANAGER_INC_AUDIO_INTERRUPT_H__
#define __SDK_MIDDLEWARE_RUNTIME_SYSTEMMANAGER_CHANNEL_MANAGER_INC_AUDIO_INTERRUPT_H__

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"
#include "hv_comm_Event.h"

Status Hv_Mw_Audio_Interrupt_Init(VOID);
Status Hv_Mw_Audio_Interrupt_Enable(LinkPortIndex eAudioSrc);
Status Hv_Mw_Audio_Interrupt_Disable(VOID);

#endif
