﻿/**
 * @file hv_mw_DynamicColorWin.h
 * @brief Header file of dpu module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use hv_mw_DynamicColorWin(...) as a function handle. 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2024-9-10
 */

#ifndef __SDK_MIDDLEWARE_DYNAMIC_COLOR_WIN_H__
#define __SDK_MIDDLEWARE_DYNAMIC_COLOR_WIN_H__
#if (HV_CONFIG_ON == HV_PROJECT_CONFIG_DPU_BRIGHT_FRAME)

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"
#include "hv_comm_PqDef.h"

Status Hv_Mw_DCW_SetBrightFrameEn(BOOL bEn);

BOOL Hv_Mw_DCW_GetBrightFrameEn(VOID);

VOID Hv_Mw_DCW_SetBrightFrameSize(UCHAR8 ucSizeLevel);

UCHAR8 Hv_Mw_DCW_GetBrightFrameSize(VOID);

VOID Hv_Mw_DCW_SetBrightFrameHPos(UCHAR8 ucHPosLevel);

UCHAR8 Hv_Mw_DCW_GetBrightFrameHPos(VOID);

VOID Hv_Mw_DCW_SetBrightFrameVPos(UCHAR8 ucVPosLevel);

UCHAR8 Hv_Mw_DCW_GetBrightFrameVPos(VOID);
#endif

#endif
