﻿/**
 * @file hv_mw_Video_TimingCheck.h
 * @brief Header file of dpu TimingCheck module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use hv_mw_Video(...) s a task function handle. 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __HV_MW_VIDEO_TIMING_CHECK_H__
#define __HV_MW_VIDEO_TIMING_CHECK_H__

#include "hv_comm_DataType.h"
#include "hv_comm_Define.h"
#include "hv_comm_Event.h"
#include "hv_mw_Channel_Manager.h"
/*Status 返回相关ErrorCode,前10个给状态机预留，错误码从10开始*/
#define ERROR_RX_TIMING_UNSTABLE                            10  /*rx timing无法稳定*/
#define ERROR_RX_TIMING_FREQ_OUT_OF_RANGE                   11  /*RX信号时钟已大于或者小于芯片支持的上限*/
#define ERROR_RX_TIMING_COLOR_DEPTH_NOT_SUPPORT             12  /*信号源色深不支持*/
#define ERROR_RX_NO_SIGNAL                                  13  /*无信号*/
#define ERROR_RX_TIMING_UNSUPPORT                           14  /*不支持的timing*/
#define ERROR_RX_AUDIO_TIMING_ABNORMAL                      15  /*audio 参数为零，无法计算FS*/
#define ERROR_RX_AUTOEQ_ABNORMAL                            16  /*rx 误码超出阈值*/
Status Hv_Mw_Video_TimingCheck(LinkPortIndex stPortIndex,ChannelData* pstChannelData);

#endif
