/**
 * @file hv_mw_AmbientLight.h
 * @brief Header file of AmbientLight Task module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use Hv_Mw_AmbientLightTaskHandle(...)  as a task function handle. 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_AMBIENT_LIGHT_INC_AMBIENT_LIGHT_H__
#define __SDK_MIDDLEWARE_RUNTIME_AMBIENT_LIGHT_INC_AMBIENT_LIGHT_H__

#include "Common/hv_comm_DataType.h"

/**
 * @brief Start Audio AmbientLight.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_AmbientLight_Start(VOID);

/**
 * @brief Stopt Audio AmbientLight.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_AmbientLight_Stop(VOID);

/**
 * @brief task function handle.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_AmbientLightTaskHandle(  VOID *arg  );

VOID Hv_Mw_AmbientLightPwmInit(VOID);

#endif
