/**
 * @file hv_mw_OsdTask.h
 * @brief Header file of Event hub task module.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use Hv_Mw_OsdTaskHandle(...) s a task function handle.
 *
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_OSDTASK_INC_OSDTASK_H__
#define __SDK_MIDDLEWARE_RUNTIME_OSDTASK_INC_OSDTASK_H__



#include "Common/hv_comm_DataType.h"

Status Hv_Mw_Osd_TaskStartInit(VOID);

VOID Hv_Mw_Osd_PrintDebugEventQueue(VOID);

/**
 * @brief task function handle.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_OsdTaskHandle(VOID *arg);

#endif
