/*
 * @file hv_vos_Base.h
 * @brief Header file of base macro.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-03-01
 */


#ifndef _HV_VOS_BASE_H
#define _HV_VOS_BASE_H

#include <string.h>
#include <stdlib.h>
#include "hv_vos_BaseArch.h"


#ifdef __cplusplus

#define VOS_EXTERN_C extern "C"
#define VOS_EXTERN_C_BEGIN extern "C"{
#define VOS_EXTERN_C_END }

#else

#define VOS_EXTERN_C
#define VOS_EXTERN_C_BEGIN
#define VOS_EXTERN_C_END

#endif

VOS_EXTERN_C_BEGIN

/// initialize VOS
void Hv_Vos_Init(void);

/// De-initialize VOS
void Hv_Vos_Cleanup(void);

VOS_EXTERN_C_END


/**
 * @}
*/

#endif


