﻿/** @file vos.h
 *  @brief include all vos headers
*/
/**
 * @file hv_vos.h
 * @brief vos header for all include.
 * @details anyware
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-09-05
 * @copyright Copyright(c),2022-9, Hiview Software. All rights reserved.
*/
#ifndef _HV_VOS_H
#define _HV_VOS_H

#include "hv_vos_Types.h"
#include "hv_vos_Macro.h"
#include "hv_vos_Endian.h"
#include "hv_vos_Assert.h"
#include "hv_vos_Log.h"
#include "hv_comm_DataType.h"
#include "hv_comm_Log.h"

#include "hv_vos_Time.h"
#include "hv_vos_Memory.h"
#include "hv_vos_Irq.h"
#include "hv_vos_Conn.h"
#include "hv_vos_Stdio.h"
#include "hv_vos_Printf.h"
#include "hv_vos_Cache.h"
#include "hv_vos_Vsscanf.h"

/* multithread function header files, 多线程相关头文件，当前默认全打开 */
#include "hv_vos_Task.h"
#include "hv_vos_Mutex.h"
#include "hv_vos_Queue.h"
#include "hv_vos_Semaphore.h"
#include "hv_vos_Timer.h"
#include "hv_vos_EventGroup.h"

/* initialize VOS */
void Hv_Vos_Init(void);

/* De-initialize VOS */
void Hv_Vos_Cleanup(void);


#endif



