/*
 * @file hv_vos_Vsscan.h
 * @brief Header file of Vsscan.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use ()
 *
 * @endverbatim
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-03-01
 */



#ifndef _HV_VOS_VSSCANF_H
#define _HV_VOS_VSSCANF_H

#include "hv_vos_Types.h"

VOS_EXTERN_C_BEGIN

/** @defgroup VOS_VSSCANF VOS_VSSCANF
 *  VOS vsscanf related functions
 *  @{
 */


/** @brief vsscanf
 *  @param s input string
 *  @param format the format for out string
 *  @param va_list argument list
 *  @return 0: no char return  other: return nums of output char 
 */
INT32 Hv_Vos_VSSCANF(const CHAR8 *s, const CHAR8 *format, va_list arg);

/** @brief sscanf
 *  @param buf input string
 *  @param fmt the format for out string
 *  @param ... the output vars
 *  @return 0: no char return  other: return nums of output char 
 */
INT32 Hv_Vos_SSCANF(const CHAR8 * buf, const CHAR8 * fmt, ...);

#define HV_VSSCANF Hv_Vos_VSSCANF //!< short form of Hv_Vos_VSSCANF
#define HV_SSCANF Hv_Vos_SSCANF //!< short form of Hv_Vos_SSCANF

/** @} */

VOS_EXTERN_C_END

#endif



