/*
 * @file hv_app_DdcciAT.h
 * @brief Header file of ddcci AT(Auto Test Tool).
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use 
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-12-20
 */



#ifndef _HV_APP_DDCCI_OTA_H
#define _HV_APP_DDCCI_OTA_H

#include "hv_comm_DataType.h"
#include "hv_vos_Comm.h"
#include "hv_comm_Define.h"



/**
 * @brief The main handler of OTA.
 * @param[in] ucSource Indicates which source the message came from.
 * @param[in] pucData Pointer to the commging message data.
 * @param[in] ucLen Indicates the length of message.
 * @return None.
 */
VOID Hv_App_Ddcci_ProcessOTA(UCHAR8 ucSource, UCHAR8 *pucData, UCHAR8 ucLen);


/**
 * @brief Get mccs ota run flag.
 * @return HV_TRUE:OTA is running.
 */
BOOL Hv_App_Ddcci_GetOtaRunFlag(VOID);

#endif

