/**
 * @file EventHub.h
 * @brief Header file of Event hub task module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use Hv_Mw_EventHubTaskHandle(...) s a task function handle. 
 * 
 * @endverbatim
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2022-08-10
 */
#ifndef __SDK_MIDDLEWARE_RUNTIME_EVENT_HUB_INC_EVENT_HUB_H__
#define __SDK_MIDDLEWARE_RUNTIME_EVENT_HUB_INC_EVENT_HUB_H__

#include "hv_comm_DataType.h"
#include "hv_comm_Event.h"

VOID Hv_Mw_EventHub_TaskStartInit(VOID);
/**
 * @brief task function handle.
 * @param[in] arg  not used!.
 * @return VOID
 */
VOID Hv_Mw_EventHubTaskHandle(  VOID *arg  );

Status hv_mw_EventHub_SendOsdEvent(USHORT16 usEventId, USHORT16 usValue);

/**
 * @brief task function handle.
 * @param VOID
 * @return cur key value.
 */
UCHAR8 Hv_Mw_EventHub_GetCurKeyValue(void);

USHORT16 Hv_Mw_EventHub_GetPoweronReason(VOID);

#endif
