/**
 * @file hv_edid_UpdateEdid.h
 * @brief Header file of SearchSource module.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+)  
 * 
 @ endverbatim 
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-12-04
 */

#include "hv_comm_DataType.h"
#include "ProjectConfig.h"
#include "hv_comm_Define.h"
#include "hv_mw_InputPortManager.h"

/**
 * @brief RX EDID更新函数.
 * @param[in] enMwPortIndex：中间件索引；enChannelType：通道类型
 * @param[out] NULL
 * @return SUCCESS or FAIL
 */
Status Hw_Mw_Channel_Update_EDID(const ChannelData* pstChannelData, LinkPortIndex enMwPortIndex);

/**
 * @brief 接收OSD指令，变更显示器freesync支持状态.
 * @param[in] channel data.
 * @param[out] NULL.
 * @return 0-invalid 1-valid
 */
Status Hw_Mw_Channel_ChangeFreesync(ChannelData *pstChannelData);

