/**
 * @file BOE_EDP_ME270QHB_NF0_ZD32_QHD180.h
 * @brief Header file of Panel Param.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 *
 *
 @ endverbatim
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-08-26
 */

#ifndef _BOE_EDP_ME270QHB_NF0_ZD32_QHD180_H_
#define _BOE_EDP_ME270QHB_NF0_ZD32_QHD180_H_

/*Panel common*/
#define PANEL_NAME                      "BOE_EDP_ME270QHB_NF0_ZD32_QHD180"

/* QHD attribute */
#define PANEL_H_TOTAL_TYP                  2710
#define PANEL_H_TOTAL_MAX                  2960
#define PANEL_H_TOTAL_MIN                  2690
#define PANEL_V_TOTAL_TYP                  1510
#define PANEL_V_TOTAL_MAX                  5448
#define PANEL_V_TOTAL_MIN                  1500
#define PANEL_H_ACTIVE                     2560
#define PANEL_V_ACTIVE                     1440
#define PANEL_FRAME_RATE_TYP               144
#define PANEL_FRAME_RATE_MAX               180
#define PANEL_FRAME_RATE_MIN               48
#define PANEL_PIXEL_CLOCK_TYP              675590  /*KHZ*/
#define PANEL_PIXEL_CLOCK_MAX              749999   /*KHZ*/
#define PANEL_PIXEL_CLOCK_MIN              230000   /*KHZ*/
#define PANEL_H_SYNC_WIDTH                 20
#define PANEL_V_SYNC_WIDTH                 4
#define PANEL_H_SYNC_BACK_PORCH            140
#define PANEL_V_SYNC_BACK_PORCH            56

#define PANEL_COLOR_DEPTH                  10
#define PANEL_LANE_NUM                     4
#define PANEL_PORT_NUM                     2

/* EDP attribute */
#define PANEL_LANE_RATE                    20  /*for EDP(6:1.62Gbps 10:2.7Gbps 20 5.4Gbps)*/

/* Process */
#define PANEL_POWER_ON_TIME                 800                         /*Panel上电*/
#define PANEL_DATA_ON_TIME                  200                         /*打开data*/
#define PANEL_BLK_ON_TIME                   100                         /*开背光*/
#define PANEL_BLK_OFF_TIME                  5                           /*关闭data*/
#define PANEL_DATA_OF_TIME                  10                          /*关闭背光*/
#define PANEL_POWER_OFF_TIME                10                          /*Panel下电*/
#define PANEL_KTX_PLL_LOCK_TIME             210                         /*KTX PLL LOCK*/
#define PANEL_IDLE_PATTERN_TIME             0                           /*发送idle pattern*/

/* SSC */
#define PANEL_SSC_EN                        0
#define PANEL_SSC_FREQ                      50       /*0-100(k)*/
#define PANEL_SSC_FRAC                      2        /*0-30(0%-3%)*/

#define PANEL_EDP_HPD0_SOFT_MODE            0  /*软件模式（强制HPD模式）, 2表示软件模式开并拉低，3表示软件模式开并拉高，0表示硬件模式*/
#define PANEL_EDP_HPD1_SOFT_MODE            0  /*软件模式（强制HPD模式）, 2表示软件模式开并拉低，3表示软件模式开并拉高，0表示硬件模式*/

/* PHY MUX attribute */
#define PANEL_EDP_AUX0_PN_SWAP_EN           0
#define PANEL_EDP_AUX1_PN_SWAP_EN           0

#define PANEL_PHY0_MUX_EN                   1
#define PANEL_PHY0_0_MUX_SEL                4
#define PANEL_PHY0_1_MUX_SEL                5
#define PANEL_PHY0_2_MUX_SEL                6
#define PANEL_PHY0_3_MUX_SEL                7
#define PANEL_PHY0_LANE0_PN_SWAP            1
#define PANEL_PHY0_LANE1_PN_SWAP            1
#define PANEL_PHY0_LANE2_PN_SWAP            1
#define PANEL_PHY0_LANE3_PN_SWAP            1

#define PANEL_PHY1_MUX_EN                   1
#define PANEL_PHY1_0_MUX_SEL                0
#define PANEL_PHY1_1_MUX_SEL                1
#define PANEL_PHY1_2_MUX_SEL                2
#define PANEL_PHY1_3_MUX_SEL                3
#define PANEL_PHY1_LANE0_PN_SWAP            1
#define PANEL_PHY1_LANE1_PN_SWAP            1
#define PANEL_PHY1_LANE2_PN_SWAP            1
#define PANEL_PHY1_LANE3_PN_SWAP            1

#define PANEL_PHY2_MUX_EN                   0
#define PANEL_PHY2_0_MUX_SEL                0
#define PANEL_PHY2_1_MUX_SEL                1
#define PANEL_PHY2_2_MUX_SEL                2
#define PANEL_PHY2_3_MUX_SEL                3
#define PANEL_PHY2_LANE0_PN_SWAP            0
#define PANEL_PHY2_LANE1_PN_SWAP            0
#define PANEL_PHY2_LANE2_PN_SWAP            0
#define PANEL_PHY2_LANE3_PN_SWAP            0

#define PANEL_LDC_VCC_ON_TIME                 1                          /* power on到ldc vcc on延时 */
#define PANEL_LDC_VIN_ON_TIME                 250                          /* ldc vcc到ldc vin on延时 */
#define PANEL_LDC_PWM_ON_TIME                 15                           /* ldc vcc到ldc pwm on延时 */
#define PANEL_LDC_LDEN_ON_TIME                30                           /* ldc vcc到ldc lden on延时 */
#define PANEL_LDC_SPI_ON_TIME                 15                            /* ldc vcc到ldc spi on延时 */
#define PANEL_LDC_BL_ON_TIME                  350                         /* ldc vcc到ldc bl on延时 */

#define PANEL_LDC_BL_OFF_TIME                  1                           /* power off到ldc bl off延时 */
#define PANEL_LDC_SPI_OFF_TIME                 15                          /* ldc bl off到ldc spi off延时 */
#define PANEL_LDC_LDEN_OFF_TIME                15                          /* ldc bl off到ldc lden off延时 */
#define PANEL_LDC_PWM_OFF_TIME                 15                          /* ldc bl off到ldc pwm off延时 */
#define PANEL_LDC_VIN_OFF_TIME                 15                          /* ldc bl off到ldc vin off延时 */
#define PANEL_LDC_VCC_OFF_TIME                 25                          /* ldc bl off到ldc vcc off延时 */
#endif
