/**
 * @file PanelConfig.h
 * @brief Header file of panel_list.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 @ endverbatim 
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-09-06
 */
#ifndef __USER_HI_VIEW_HT7315_PANEL_LIST_H__
#define __USER_HI_VIEW_HT7315_PANEL_LIST_H__

/*************************************************
   Panel Option Mux, Pls add the panel in the same group by vendor
*************************************************/
//====================HKC===============================//
#ifdef  CONFIG_USER_HKC_EDP_SN270ES01_QHD165
#include "HKC_EDP_SN270ES01_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_HKC_EDP_SN270ES01_QHD180
#include "HKC_EDP_SN270ES01_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//====================BOE================================//
#ifdef  CONFIG_USER_BOE_EDP_MV270QHM_NF2_QHD165
#include "BOE_EDP_MV270QHM_NF2_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_MV238QHM_NF0_P6_QHD165
#include "BOE_EDP_MV238QHM_NF0_P6_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_NE160QDM_NY1_QHD165
#include "BOE_EDP_NE160QDM_NY1_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_27QHD_MINILED_QHD180Hz
#include "BOE_EDP_27QHD_MINILED_QHD180Hz.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_ME270QHB_NF0_ZD32_QHD180
#include "BOE_EDP_ME270QHB_NF0_ZD32_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_MNT2560720_240
#include "BOE_EDP_MNT2560720_240.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_MV340VWM_NM0_34401440
#include "BOE_EDP_MV340VWM_NM0_34401440.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_BOE_EDP_ME270QHB_NM1_D941_QHD180
#include "BOE_EDP_ME270QHB_NM1_D941_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//====================LG================================//
#ifdef  CONFIG_USER_LG_EDP_LM270WQA_QHD165
#include "LG_EDP_LM270WQA_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_LG_EDP_LM270WQA_SSB2_QHD165
#include "LG_EDP_LM270WQA_SSB2_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//=====================COST=============================//
#ifdef  CONFIG_USER_COST_EDP_SG2701G01_1_QHD165
#include "COST_EDP_SG2701G01_1_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_COST_EDP_SG2701G03_3_QHD180
#include "COST_EDP_SG2701G03_3_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_COST_EDP_SG3402H01_2_WQHD100
#include "COST_EDP_SG3402H01_2_WQHD100.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_CSOT_VBO_SG2451B01_2_FHD280
#include "CSOT_VBO_SG2451B01_2_FHD280.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef CONFIG_USER_COST_EDP_SG2701G02_2_QHD165
#include "COST_EDP_SG2701G02_2_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//====================TPV================================//
#ifdef  CONFIG_USER_TPV_EDP_TPM270WQ1_SG1G02_QHD165
#include "TPV_EDP_TPM270WQ1_SG1G02_QHD165.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//====================AUO================================//
#ifdef  CONFIG_USER_AUO_EDP_M270DAN08_D_QHD180
#include "AUO_EDP_M270DAN08_D_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_AUO_EDP_M270DAN08_B_QHD180
#include "AUO_EDP_M270DAN08_B_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//====================INNO================================//
#ifdef  CONFIG_USER_INNO_EDP_M270KCA_E8BA1_QHD180
#include "INNO_EDP_M270KCA_E8BA1_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

#ifdef  CONFIG_USER_TPV_EDP_TPM270WF1_MEQHBNM1_QHD180
#include "TPV_EDP_TPM270WF1_MEQHBNM1_QHD180.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

#ifdef  CONFIG_USER_AUO_EDP_M270DAN080_QHD240
#include "AUO_EDP_M270DAN080_QHD240.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


#endif