/*
 * @file hv_app_OsdConvert.h
 * @brief Header file of osd interface for ddcci.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use 
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2024-11-27
 */


#ifndef _HV_APP_OSD_CONVERT_H
#define _HV_APP_OSD_CONVERT_H

#include "hv_comm_DataType.h"
#include "hv_vos_Comm.h"
#include "hv_comm_Define.h"

Status Hv_App_OsdBrightnessMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdContrastMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdSharpnessMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdGammaMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdColorTempMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdRedGainMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdGreenGainMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdBlueGainMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdVideoSourceMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdAudioVolumeMaxValGet(UINT32 *puiVal);
Status Hv_App_OsdLanguageMaxValGet(UINT32 *puiVal);

Status Hv_App_OsdBrightnessValSet(UINT32 uiVal);
Status Hv_App_OsdContrastValSet(UINT32 uiVal);
Status Hv_App_OsdSharpnessValSet(UINT32 uiVal);
Status Hv_App_OsdGammaValSet(UINT32 uiVal);
Status Hv_App_OsdColorTempValSet(UINT32 uiVal);
Status Hv_App_OsdRedGainValSet(UINT32 uiVal);
Status Hv_App_OsdGreenGainValSet(UINT32 uiVal);
Status Hv_App_OsdBlueGainValSet(UINT32 uiVal);
Status Hv_App_OsdVideoSourceValSet(UINT32 uiVal);
Status Hv_App_OsdAudioVolumeValSet(UINT32 uiVal);
Status Hv_App_OsdLanguageValSet(UINT32 uiVal);

#endif

