/**
 * @file hv_res_OsdProp.h
 * @brief Auto Generate by HiView OSD Designer, Do Not Edit Manually !
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-11-09
 * @copyright Copyright(c),2023-11, HiView Software. All rights reserved.
 * @par History:
 * <table>
 * <tr><th>Author         <th>Date        <th>Change Description
 * <tr><td>OSD Group      <td>2023-11-09<td>create
 * </table>
 */

/*Project Name: RedBlack */
/*Description: Hivew RedBlack Public Vision */
#ifndef _HV_RES_OSD_PROP_H
#define _HV_RES_OSD_PROP_H

/* Cusor的style数量，至少为1，第0个为空 */
#define CURSOR_STYLE_NUM                (71)

/* 随item状态改变的动态color色系数量 */
#define OSD_DYN_STATE_COLOR_NUM         (6)

/* 绘制一个Scene所需的最大帧数 */
#define OSD_FRAME_PART_MAX              (1)

/* 工具生成组件rect style属性的最大个数，至少为1，第0个为空 */
#define COMPONET_RECT_STYLE_NUM_MAX      (2)

/* 工具生成组件rect highlight属性的最大个数，至少为1，第0个为空 */
#define COMPONET_RECT_HIGHLIGHT_NUM_MAX      (1)

/* 工具生成组件line highlight属性的最大个数，至少为1，第0个为空 */
#define COMPONET_LINE_HIGHLIGHT_NUM_MAX      (1)

/* 画到DDR中的格式 */
#define OSD_DDR_FORMAT 2

typedef enum
{
    /*SCENE_AUTO_ADJUSTING */
    TEXT_AUTO_ADJUST_SCENE_AUTO_ADJUSTING_NORMAL,
    /*SCENE_BRIGHTNESS */
    TEXT_1_SCENE_BRIGHTNESS_NORMAL,
    /*MENU_BRIGHTNESS */
    /*SCENE_CONTRAST */
    TEXT_1_SCENE_CONTRAST_NORMAL,
    /*MENU_CONTRAST */
    /*SCENE_FUNCTION_TIPS */
    TEXT_1_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_5_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_ADJ_FREESYNC_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_OFF_MPRT_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_ADJ_MAGNIFY_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_OFF_MAGNIFY_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_ADJ_PXPMODE_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_OFF_PXPMODE_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_ADJ_ADAPTIVESYNC_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_ADJ_HDR_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_2_SCENE_FUNCTION_TIPS_NORMAL,
    TEXT_3_SCENE_FUNCTION_TIPS_NORMAL,
    /*SCENE_FUNCTION_UNSUPPORT */
    TEXT_1_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    TEXT_2_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    TEXT_3_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    /*SCENE_INPUT */
    TEXT_1_SCENE_INPUT_NORMAL,
    TEXT_2_SCENE_INPUT_NORMAL,
    TEXT_3_SCENE_INPUT_NORMAL,
    TEXT_4_SCENE_INPUT_NORMAL,
    /*SCENE_MAIN */
    TEXT_RESOLUTION1_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE1_DP1_SCENE_MAIN_NORMAL,
    TEXT_INPUT1_SCENE_MAIN_NORMAL,
    TEXT_RESOLUTION2_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE2_DP1_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE2_DP2_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE2_HDMI1_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE2_HDMI2_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE1_DP2_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE1_HDMI1_SCENE_MAIN_NORMAL,
    TEXT_INPUTSOURCE1_HDMI2_SCENE_MAIN_NORMAL,
    /*MENU_MAIN */
    MAIN_INPUT_TEXT_SCENE_MAIN_NORMAL,
    MAIN_BRI_TEXT_SCENE_MAIN_NORMAL,
    MAIN_COL_TEXT_SCENE_MAIN_NORMAL,
    MAIN_PQ_TEXT_SCENE_MAIN_NORMAL,
    MAIN_DISP_TEXT_SCENE_MAIN_NORMAL,
    TEXT_63_SCENE_MAIN_NORMAL,
    MAIN_MENU_TEXT_SCENE_MAIN_NORMAL,
    MAIN_OTHER_TEXT_SCENE_MAIN_NORMAL,
    MAIN_F_TEXT_SCENE_MAIN_NORMAL,
    /*MENU1_INPUT_ITEM */
    TEXT_73_SCENE_MAIN_NORMAL,
    TEXT_65_SCENE_MAIN_NORMAL,
    TEXT_162_SCENE_MAIN_NORMAL,
    TEXT_163_SCENE_MAIN_NORMAL,
    /*MENU1_BRI_CON_ITEM */
    TEXT_BRI_SCENE_MAIN_NORMAL,
    TEXT_BKL_SCENE_MAIN_NORMAL,
    TEXT_CON_SCENE_MAIN_NORMAL,
    TEXT_DCR_SCENE_MAIN_NORMAL,
    /*MENU1_COL_ITEM */
    TEXT_242_SCENE_MAIN_NORMAL,
    TEXT_243_SCENE_MAIN_NORMAL,
    TEXT_244_SCENE_MAIN_NORMAL,
    TEXT_245_SCENE_MAIN_NORMAL,
    TEXT_246_SCENE_MAIN_NORMAL,
    TEXT_247_SCENE_MAIN_NORMAL,
    TEXT_248_SCENE_MAIN_NORMAL,
    TEXT_354_SCENE_MAIN_NORMAL,
    TEXT_355_SCENE_MAIN_NORMAL,
    /*MENU1_PQ_ITEM */
    TEXT_SHARPNESS_SCENE_MAIN_NORMAL,
    TEXT_OD_SCENE_MAIN_NORMAL,
    TEXT_MPRT_SCENE_MAIN_NORMAL,
    /*MENU1_DISP_ITEM */
    TEXT_PIC_SCENE_MAIN_NORMAL,
    /*MENU1_AUD_ITEM */
    TEXT_171_SCENE_MAIN_NORMAL,
    TEXT_172_SCENE_MAIN_NORMAL,
    /*MENU1_OSD_ITEM */
    TEXT_LANGUA_SCENE_MAIN_NORMAL,
    TEXT_H_POS_SCENE_MAIN_NORMAL,
    TEXT_V_POS_SCENE_MAIN_NORMAL,
    TEXT_TRAN_SCENE_MAIN_NORMAL,
    TEXT_OSDTIME_SCENE_MAIN_NORMAL,
    TEXT_OSDROT_SCENE_MAIN_NORMAL,
    /*MENU1_OTHER_ITEM */
    TEXT_FREESYNC_SCENE_MAIN_NORMAL,
    TEXT_RESET_SCENE_MAIN_NORMAL,
    TEXT_261_SCENE_MAIN_NORMAL,
    TEXT_262_SCENE_MAIN_NORMAL,
    TEXT_263_SCENE_MAIN_NORMAL,
    TEXT_264_SCENE_MAIN_NORMAL,
    TEXT_265_SCENE_MAIN_NORMAL,
    TEXT_266_SCENE_MAIN_NORMAL,
    TEXT_267_SCENE_MAIN_NORMAL,
    TEXT_310_SCENE_MAIN_NORMAL,
    TEXT_353_SCENE_MAIN_NORMAL,
    /*ADJUST3_BRI_ITEM */
    /*ADJUST3_DCR_ITEM */
    TEXT_ADJ_DCR_OFF_SCENE_MAIN_NORMAL,
    TEXT_ADJ_DCR_ON_SCENE_MAIN_NORMAL,
    /*ADJUST3_BKL_ITEM */
    /*ADJUST3_CON_ITEM */
    /*ADJUST3_GAMMA_ITEM */
    TEXT_304_SCENE_MAIN_NORMAL,
    TEXT_184_SCENE_MAIN_NORMAL,
    TEXT_185_SCENE_MAIN_NORMAL,
    TEXT_187_SCENE_MAIN_NORMAL,
    TEXT_188_SCENE_MAIN_NORMAL,
    TEXT_189_SCENE_MAIN_NORMAL,
    /*ADJUST3_ECO_ITEM */
    TEXT_191_SCENE_MAIN_NORMAL,
    TEXT_192_SCENE_MAIN_NORMAL,
    TEXT_193_SCENE_MAIN_NORMAL,
    TEXT_194_SCENE_MAIN_NORMAL,
    TEXT_195_SCENE_MAIN_NORMAL,
    TEXT_196_SCENE_MAIN_NORMAL,
    /*ADJUST3_COLTEMP_ITEM */
    TEXT_198_SCENE_MAIN_NORMAL,
    TEXT_199_SCENE_MAIN_NORMAL,
    TEXT_200_SCENE_MAIN_NORMAL,
    /*ADJUST3_LOWBLUE_ITEM */
    /*ADJUST3_HUE_ITEM */
    /*ADJUST3_SATURA_ITEM */
    /*ADJUST3_SHARPE_ITEM */
    /*ADJUST3_OD_ITEM */
    TEXT_203_SCENE_MAIN_NORMAL,
    TEXT_204_SCENE_MAIN_NORMAL,
    TEXT_205_SCENE_MAIN_NORMAL,
    TEXT_206_SCENE_MAIN_NORMAL,
    /*ADJUST3_DIP_ITEM */
    TEXT_305_SCENE_MAIN_NORMAL,
    TEXT_208_SCENE_MAIN_NORMAL,
    TEXT_209_SCENE_MAIN_NORMAL,
    /*ADJUST3_MUTE_ITEM */
    TEXT_211_SCENE_MAIN_NORMAL,
    TEXT_212_SCENE_MAIN_NORMAL,
    /*ADJUST3_VOL_ITEM */
    /*ADJUST3_LANGU_ITEM */
    TEXT_215_SCENE_MAIN_NORMAL,
    TEXT_214_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_H_ITEM */
    /*ADJUST3_OSD_V_ITEM */
    /*ADJUST3_OSD_TRAN_ITEM */
    /*ADJUST3_TIMEOUT_ITEM */
    /*ADJUST3_OSDROT_ITEM */
    TEXT_227_SCENE_MAIN_NORMAL,
    TEXT_228_SCENE_MAIN_NORMAL,
    TEXT_229_SCENE_MAIN_NORMAL,
    TEXT_230_SCENE_MAIN_NORMAL,
    /*ADJUST3_FREESYNC_ITEM */
    TEXT_232_SCENE_MAIN_NORMAL,
    TEXT_233_SCENE_MAIN_NORMAL,
    /*MENU4_COL_USER_ITEM */
    TEXT_235_SCENE_MAIN_NORMAL,
    TEXT_236_SCENE_MAIN_NORMAL,
    TEXT_237_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_R */
    /*ADJUST4_COL_USER_G */
    /*ADJUST4_COL_USER_B */
    /*ADJUST3_COLSPACE_ITEM */
    TEXT_253_SCENE_MAIN_NORMAL,
    TEXT_250_SCENE_MAIN_NORMAL,
    TEXT_251_SCENE_MAIN_NORMAL,
    TEXT_252_SCENE_MAIN_NORMAL,
    TEXT_254_SCENE_MAIN_NORMAL,
    /*ADJUST3_CROSSHAIR_ITEM */
    /*ADJUST3_REFRESH_RATE_ITEM */
    TEXT_274_SCENE_MAIN_NORMAL,
    TEXT_275_SCENE_MAIN_NORMAL,
    /*ADJUST3_TIME_COUNT_ITEM */
    TEXT_277_SCENE_MAIN_NORMAL,
    TEXT_278_SCENE_MAIN_NORMAL,
    TEXT_279_SCENE_MAIN_NORMAL,
    TEXT_280_SCENE_MAIN_NORMAL,
    TEXT_281_SCENE_MAIN_NORMAL,
    TEXT_282_SCENE_MAIN_NORMAL,
    /*ADJUST3_POWER_INDICATOR_ITEM */
    TEXT_284_SCENE_MAIN_NORMAL,
    TEXT_285_SCENE_MAIN_NORMAL,
    /*ADJUST3_KEY1_ITEM */
    TEXT_287_SCENE_MAIN_NORMAL,
    TEXT_288_SCENE_MAIN_NORMAL,
    TEXT_289_SCENE_MAIN_NORMAL,
    TEXT_290_SCENE_MAIN_NORMAL,
    TEXT_291_SCENE_MAIN_NORMAL,
    /*ADJUST3_KEY2_ITEM */
    TEXT_293_SCENE_MAIN_NORMAL,
    TEXT_294_SCENE_MAIN_NORMAL,
    TEXT_295_SCENE_MAIN_NORMAL,
    TEXT_296_SCENE_MAIN_NORMAL,
    TEXT_297_SCENE_MAIN_NORMAL,
    /*ADJUST3_KEY3_ITEM */
    TEXT_299_SCENE_MAIN_NORMAL,
    TEXT_300_SCENE_MAIN_NORMAL,
    TEXT_301_SCENE_MAIN_NORMAL,
    TEXT_302_SCENE_MAIN_NORMAL,
    TEXT_303_SCENE_MAIN_NORMAL,
    /*ADJUST3_MPRT_ITEM */
    TEXT_307_SCENE_MAIN_NORMAL,
    TEXT_308_SCENE_MAIN_NORMAL,
    TEXT_309_SCENE_MAIN_NORMAL,
    /*ADJUST3_LIGHTMODE_ITEM */
    TEXT_312_SCENE_MAIN_NORMAL,
    TEXT_313_SCENE_MAIN_NORMAL,
    TEXT_314_SCENE_MAIN_NORMAL,
    TEXT_315_SCENE_MAIN_NORMAL,
    TEXT_316_SCENE_MAIN_NORMAL,
    /*ADJUST4_STEADY_COLOR */
    TEXT_318_SCENE_MAIN_NORMAL,
    TEXT_319_SCENE_MAIN_NORMAL,
    TEXT_320_SCENE_MAIN_NORMAL,
    TEXT_321_SCENE_MAIN_NORMAL,
    TEXT_322_SCENE_MAIN_NORMAL,
    TEXT_323_SCENE_MAIN_NORMAL,
    TEXT_324_SCENE_MAIN_NORMAL,
    /*ADJUST4_BREATHE_COLOR */
    TEXT_326_SCENE_MAIN_NORMAL,
    TEXT_327_SCENE_MAIN_NORMAL,
    TEXT_328_SCENE_MAIN_NORMAL,
    TEXT_329_SCENE_MAIN_NORMAL,
    TEXT_330_SCENE_MAIN_NORMAL,
    TEXT_331_SCENE_MAIN_NORMAL,
    TEXT_332_SCENE_MAIN_NORMAL,
    /*ADJUST4_MARQUEEIN_COLOR */
    TEXT_334_SCENE_MAIN_NORMAL,
    TEXT_341_SCENE_MAIN_NORMAL,
    TEXT_342_SCENE_MAIN_NORMAL,
    TEXT_335_SCENE_MAIN_NORMAL,
    TEXT_336_SCENE_MAIN_NORMAL,
    TEXT_337_SCENE_MAIN_NORMAL,
    TEXT_338_SCENE_MAIN_NORMAL,
    TEXT_339_SCENE_MAIN_NORMAL,
    TEXT_340_SCENE_MAIN_NORMAL,
    /*ADJUST4_MARQUEEOUT_COLOR */
    TEXT_344_SCENE_MAIN_NORMAL,
    TEXT_351_SCENE_MAIN_NORMAL,
    TEXT_352_SCENE_MAIN_NORMAL,
    TEXT_345_SCENE_MAIN_NORMAL,
    TEXT_346_SCENE_MAIN_NORMAL,
    TEXT_347_SCENE_MAIN_NORMAL,
    TEXT_348_SCENE_MAIN_NORMAL,
    TEXT_349_SCENE_MAIN_NORMAL,
    TEXT_350_SCENE_MAIN_NORMAL,
    /*ADJUST3_HUE_6AXIS */
    TEXT_357_SCENE_MAIN_NORMAL,
    TEXT_358_SCENE_MAIN_NORMAL,
    TEXT_359_SCENE_MAIN_NORMAL,
    TEXT_360_SCENE_MAIN_NORMAL,
    TEXT_361_SCENE_MAIN_NORMAL,
    TEXT_362_SCENE_MAIN_NORMAL,
    /*ADJUST3_SATURATION_6AXIS */
    TEXT_364_SCENE_MAIN_NORMAL,
    TEXT_365_SCENE_MAIN_NORMAL,
    TEXT_366_SCENE_MAIN_NORMAL,
    TEXT_367_SCENE_MAIN_NORMAL,
    TEXT_368_SCENE_MAIN_NORMAL,
    TEXT_369_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_R */
    /*ADJUST4_HUE_G */
    /*ADJUST4_HUE_B */
    /*ADJUST4_HUE_Y */
    /*ADJUST4_HUE_M */
    /*ADJUST4_HUE_C */
    /*ADJUST4_SATURATION_R */
    /*ADJUST4_SATURATION_G */
    /*ADJUST4_SATURATION_B */
    /*ADJUST4_SATURATION_Y */
    /*ADJUST4_SATURATION_M */
    /*ADJUST4_SATURATION_C */
    /*SCENE_NOSIGNAL */
    TEXT_NOSIGNAL_HDMI1_SCENE_NOSIGNAL_NORMAL,
    TEXT_NOSIGNAL_HDMI2_SCENE_NOSIGNAL_NORMAL,
    TEXT_NOSIGNAL_DP1_SCENE_NOSIGNAL_NORMAL,
    TEXT_NOSIGNAL_DP2_SCENE_NOSIGNAL_NORMAL,
    /*SCENE_OTA */
    TEXT_DISCONNECT_SCENE_OTA_NORMAL,
    TEXT_ERASE_SCENE_OTA_NORMAL,
    TEXT_MOUNT_FAIL_SCENE_OTA_NORMAL,
    TEXT_DONE_SCENE_OTA_NORMAL,
    TEXT_PREPARE_SCENE_OTA_NORMAL,
    TEXT_FIND_FILE_FAIL_SCENE_OTA_NORMAL,
    TEXT_UPDATING_SCENE_OTA_NORMAL,
    TEXT_FAIL_SCENE_OTA_NORMAL,
    TEXT_PROCEED_SCENE_OTA_NORMAL,
    TEXT_PREPARE_POWER_SCENE_OTA_NORMAL,
    TEXT_YES_SCENE_OTA_NORMAL,
    TEXT_NO_SCENE_OTA_NORMAL,
    /*SCENE_POWER_TIPS */
    TEXT_1_SCENE_POWER_TIPS_NORMAL,
    TEXT_5_SCENE_POWER_TIPS_NORMAL,
    TEXT_6_SCENE_POWER_TIPS_NORMAL,
    TEXT_BRIGHTNESS_SCENE_POWER_TIPS_NORMAL,
    TEXT_2_SCENE_POWER_TIPS_NORMAL,
    TEXT_3_SCENE_POWER_TIPS_NORMAL,
    /*SCENE_RESET_ALL */
    TEXT_1_SCENE_RESET_ALL_NORMAL,
    TEXT_2_SCENE_RESET_ALL_NORMAL,
    TEXT_3_SCENE_RESET_ALL_NORMAL,
    /*SCENE_SIGNAL_UNSUPPORT */
    TEXT_UBSUPPORT_SCENE_SIGNAL_UNSUPPORT_NORMAL,
    /*SCENE_VOLUME */
    TEXT_1_SCENE_VOLUME_NORMAL,
    /*MENU_VOLUME */
    TEXT_ID_MAX,
} OsdTextId;

typedef enum
{
    /*SCENE_FACTORY */
    ASCIISTRING_1_SCENE_FACTORY_NORMAL,
    ASCIISTRING_MST_SCENE_FACTORY_NORMAL,
    ASCIISTRING_3_SCENE_FACTORY_NORMAL,
    ASCIISTRING_4_SCENE_FACTORY_NORMAL,
    ASCIISTRING_FW_SCENE_FACTORY_NORMAL,
    ASCIISTRING_DATE_SCENE_FACTORY_NORMAL,
    ASCIISTRING_PANEL_SCENE_FACTORY_NORMAL,
    ASCIISTRING_SIZE_SCENE_FACTORY_NORMAL,
    ASCIISTRING_24_SCENE_FACTORY_NORMAL,
    ASCIISTRING_CHECKSUM_SCENE_FACTORY_NORMAL,
    ASCIISTRING_53_SCENE_FACTORY_NORMAL,
    ASCIISTRING_EDP_FAIL_COUNT_SCENE_FACTORY_NORMAL,
    /*MENU_MAINF */
    ASCIISTRING_10_SCENE_FACTORY_NORMAL,
    ASCIISTRING_11_SCENE_FACTORY_NORMAL,
    ASCIISTRING_12_SCENE_FACTORY_NORMAL,
    ASCIISTRING_52_SCENE_FACTORY_NORMAL,
    ASCIISTRING_15_SCENE_FACTORY_NORMAL,
    ASCIISTRING_LOGO_SCENE_FACTORY_NORMAL,
    ASCIISTRING_13_SCENE_FACTORY_NORMAL,
    ASCIISTRING_BURNLN_SCENE_FACTORY_NORMAL,
    ASCIISTRING_38_SCENE_FACTORY_NORMAL,
    ASCIISTRING_PRODUCT_MODE_SCENE_FACTORY_NORMAL,
    ASCIISTRING_14_SCENE_FACTORY_NORMAL,
    ASCIISTRING_EDIDWP_SCENE_FACTORY_NORMAL,
    ASCIISTRING_16_SCENE_FACTORY_NORMAL,
    ASCIISTRING_PF_SCENE_FACTORY_NORMAL,
    ASCIISTRING_17_SCENE_FACTORY_NORMAL,
    ASCIISTRING_PP_SCENE_FACTORY_NORMAL,
    ASCIISTRING_39_SCENE_FACTORY_NORMAL,
    ASCIISTRING_DF_SCENE_FACTORY_NORMAL,
    ASCIISTRING_40_SCENE_FACTORY_NORMAL,
    ASCIISTRING_DP_SCENE_FACTORY_NORMAL,
    ASCIISTRING_DM_NAME_SCENE_FACTORY_NORMAL,
    ASCIISTRING_DM_SCENE_FACTORY_NORMAL,
    ASCIISTRING_54_SCENE_FACTORY_NORMAL,
    ASCIISTRING_19_SCENE_FACTORY_NORMAL,
    ASCIISTRING_TIME_SCENE_FACTORY_NORMAL,
    ASCIISTRING_23_SCENE_FACTORY_NORMAL,
    /*MENU_COOL */
    ASCIISTRING_37_SCENE_FACTORY_NORMAL,
    ASCIISTRING_CR_SCENE_FACTORY_NORMAL,
    ASCIISTRING_32_SCENE_FACTORY_NORMAL,
    ASCIISTRING_CG_SCENE_FACTORY_NORMAL,
    ASCIISTRING_33_SCENE_FACTORY_NORMAL,
    ASCIISTRING_CB_SCENE_FACTORY_NORMAL,
    /*MENU_NATURAL */
    ASCIISTRING_28_SCENE_FACTORY_NORMAL,
    ASCIISTRING_NR_SCENE_FACTORY_NORMAL,
    ASCIISTRING_29_SCENE_FACTORY_NORMAL,
    ASCIISTRING_NG_SCENE_FACTORY_NORMAL,
    ASCIISTRING_30_SCENE_FACTORY_NORMAL,
    ASCIISTRING_NB_SCENE_FACTORY_NORMAL,
    /*MENU_WARM */
    ASCIISTRING_25_SCENE_FACTORY_NORMAL,
    ASCIISTRING_WR_SCENE_FACTORY_NORMAL,
    ASCIISTRING_26_SCENE_FACTORY_NORMAL,
    ASCIISTRING_WG_SCENE_FACTORY_NORMAL,
    ASCIISTRING_27_SCENE_FACTORY_NORMAL,
    ASCIISTRING_WB_SCENE_FACTORY_NORMAL,
    /*MENU_SRGB */
    ASCIISTRING_46_SCENE_FACTORY_NORMAL,
    ASCIISTRING_SR_SCENE_FACTORY_NORMAL,
    ASCIISTRING_48_SCENE_FACTORY_NORMAL,
    ASCIISTRING_SG_SCENE_FACTORY_NORMAL,
    ASCIISTRING_50_SCENE_FACTORY_NORMAL,
    ASCIISTRING_SB_SCENE_FACTORY_NORMAL,
    /*SCENE_FACTORY_AGING */
    ASCIISTRING_1_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_MST_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_3_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_FW_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_DATE_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_PANEL_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_51_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_TIME_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_11_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_12_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_SIZE_SCENE_FACTORY_AGING_NORMAL,
    ASCIISTRING_CHECKSUM_SCENE_FACTORY_AGING_NORMAL,
    /*SCENE_INPUT_SOURCE */
    CUSTOMSTRING_INPUT_SCENE_INPUT_SOURCE_NORMAL,
    /*SCENE_INPUT_SOURCE_SUB */
    CUSTOMSTRING_INPUT_SCENE_INPUT_SOURCE_SUB_NORMAL,
    /*SCENE_MAIN */
    CUSTOMSTRING_RESOLUTION1_SCENE_MAIN_NORMAL,
    CUSTOMSTRING_RESOLUTION2_SCENE_MAIN_NORMAL,
    /*SCENE_OTA */
    CUSTOMSTRING_OTA_SCENE_OTA_NORMAL,
    /*SCENE_REFRESH_RATE */
    CUSTOMSTRING_REFRESHRATE_SCENE_REFRESH_RATE_NORMAL,
    /*SCENE_TIMER */
    CUSTOMSTRING_TIMER_SCENE_TIMER_NORMAL,
    ASCII_STRING_ID_MAX,
} OsdAsciiStringId;

typedef enum
{
    /*SCENE_BRIGHTNESS_SCENE_BRIGHTNESS */
    /*MENU_BRIGHTNESS */
    NUMBER_6_SCENE_BRIGHTNESS_NORMAL,
    /*SCENE_CONTRAST_SCENE_CONTRAST */
    /*MENU_CONTRAST */
    NUMBER_3_SCENE_CONTRAST_NORMAL,
    /*SCENE_MAIN_SCENE_MAIN */
    /*MENU2_BRI_CON_ITEM */
    NUMBER_BRI_SCENE_MAIN_NORMAL,
    NUMBER_BKL_SCENE_MAIN_NORMAL,
    NUMBER_CON_SCENE_MAIN_NORMAL,
    /*MENU2_COL_ITEM */
    NUMBER_LBLUE_SCENE_MAIN_NORMAL,
    NUMBER_HUE_SCENE_MAIN_NORMAL,
    NUMBER_SATURATION_SCENE_MAIN_NORMAL,
    /*MENU2_PQ_ITEM */
    NUMBER_SHARPNESS_SCENE_MAIN_NORMAL,
    /*MENU2_AUD_ITEM */
    NUMBER_VOL_SCENE_MAIN_NORMAL,
    /*MENU2_OSD_ITEM */
    NUMBER_H_POS_SCENE_MAIN_NORMAL,
    NUMBER_V_POS_SCENE_MAIN_NORMAL,
    NUMBER_TRAN_SCENE_MAIN_NORMAL,
    NUMBER_OSDTIME_SCENE_MAIN_NORMAL,
    /*ADJUST3_BRI_ITEM */
    NUMBER_ADJ_BRI_SCENE_MAIN_NORMAL,
    /*ADJUST3_BKL_ITEM */
    NUMBER_182_SCENE_MAIN_NORMAL,
    /*ADJUST3_CON_ITEM */
    NUMBER_187_SCENE_MAIN_NORMAL,
    /*ADJUST3_LOWBLUE_ITEM */
    NUMBER_193_SCENE_MAIN_NORMAL,
    /*ADJUST3_HUE_ITEM */
    NUMBER_198_SCENE_MAIN_NORMAL,
    /*ADJUST3_SATURA_ITEM */
    NUMBER_203_SCENE_MAIN_NORMAL,
    /*ADJUST3_SHARPE_ITEM */
    NUMBER_208_SCENE_MAIN_NORMAL,
    /*ADJUST3_VOL_ITEM */
    NUMBER_213_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_H_ITEM */
    NUMBER_218_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_V_ITEM */
    NUMBER_223_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_TRAN_ITEM */
    NUMBER_228_SCENE_MAIN_NORMAL,
    /*ADJUST3_TIMEOUT_ITEM */
    NUMBER_233_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_R */
    NUMBER_238_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_G */
    NUMBER_243_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_B */
    NUMBER_248_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_R */
    NUMBER_285_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_G */
    NUMBER_290_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_B */
    NUMBER_295_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_Y */
    NUMBER_300_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_M */
    NUMBER_305_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_C */
    NUMBER_310_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_R */
    NUMBER_315_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_G */
    NUMBER_320_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_B */
    NUMBER_325_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_Y */
    NUMBER_330_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_M */
    NUMBER_335_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_C */
    NUMBER_340_SCENE_MAIN_NORMAL,
    /*SCENE_VOLUME_SCENE_VOLUME */
    /*MENU_VOLUME */
    NUMBER_3_SCENE_VOLUME_NORMAL,
    NUMBER_ID_MAX,
} OsdNumberId;

typedef enum
{
    /*SCENE_INPUT_SOURCE */
    TEXTLIST_INPUT_SCENE_INPUT_SOURCE_NORMAL,
    /*SCENE_INPUT_SOURCE_SUB */
    TEXTLIST_INPUT_SCENE_INPUT_SOURCE_SUB_NORMAL,
    /*SCENE_MAIN */
    /*MENU2_BRI_CON_ITEM */
    TEXTLIST_DCR_SCENE_MAIN_NORMAL,
    /*MENU2_COL_ITEM */
    TEXTLIST_GAMMA_SCENE_MAIN_NORMAL,
    TEXTLIST_ECO_SCENE_MAIN_NORMAL,
    TEXTLIST_COLORTEMP_SCENE_MAIN_NORMAL,
    TEXTLIST_COL_SPACE_SCENE_MAIN_NORMAL,
    /*MENU2_PQ_ITEM */
    TEXTLIST_OD_SCENE_MAIN_NORMAL,
    TEXTLIST_MPRT_SCENE_MAIN_NORMAL,
    /*MENU2_DISP_ITEM */
    TEXTLIST_PIC_SCENE_MAIN_NORMAL,
    /*MENU2_AUD_ITEM */
    TEXTLIST_MUTE_SCENE_MAIN_NORMAL,
    /*MENU2_OSD_ITEM */
    TEXTLIST_LANGUAGE_SCENE_MAIN_NORMAL,
    TEXTLIST_OSDROT_SCENE_MAIN_NORMAL,
    /*MENU2_OTHER_ITEM */
    TEXTLIST_FREESYNC_ADJUST_SCENE_MAIN_NORMAL,
    TEXTLIST_259_SCENE_MAIN_NORMAL,
    TEXTLIST_260_SCENE_MAIN_NORMAL,
    TEXTLIST_261_SCENE_MAIN_NORMAL,
    TEXTLIST_262_SCENE_MAIN_NORMAL,
    TEXTLIST_263_SCENE_MAIN_NORMAL,
    TEXTLIST_264_SCENE_MAIN_NORMAL,
    TEXTLIST_274_SCENE_MAIN_NORMAL,
    /*SCENE_MODE */
    /*MENU_MODE */
    TEXTLIST_1_SCENE_MODE_NORMAL,
    TEXT_LIST_ID_MAX,
} OsdTextListId;

typedef enum
{
    /*SCENE_MAIN */
    /*MENU2_OTHER_ITEM */
    IMAGELIST_1_SCENE_MAIN_NORMAL,
    ICON_LIST_ID_MAX,
} OsdIconListId;

typedef enum
{
    BMP_LIST_ID_MAX,
} OsdBmpListId;

typedef enum
{
    /*SCENE_BRIGHTNESS */
    /*MENU_BRIGHTNESS */
    IMAGE_4_SCENE_BRIGHTNESS_NORMAL,
    /*SCENE_CONTRAST */
    /*MENU_CONTRAST */
    ICON_1_SCENE_CONTRAST_NORMAL,
    /*SCENE_CROSSHAIR */
    IMAGE_CROSSHAIR1_SCENE_CROSSHAIR_NORMAL,
    IMAGE_CROSSHAIR2_SCENE_CROSSHAIR_NORMAL,
    IMAGE_CROSSHAIR3_SCENE_CROSSHAIR_NORMAL,
    /*SCENE_LOCK */
    IMAGE_LOCK_SCENE_LOCK_NORMAL,
    IMAGE_UNLOCK_SCENE_LOCK_NORMAL,
    /*SCENE_MAIN */
    /*MENU_MAIN */
    IMAGE_272_SCENE_MAIN_FOCUS,
    /*MENU1_INPUT_ITEM */
    IMAGE_161_SCENE_MAIN_FOCUS,
    /*MENU1_BRI_CON_ITEM */
    IMAGE_162_SCENE_MAIN_FOCUS,
    /*MENU1_COL_ITEM */
    IMAGE_273_SCENE_MAIN_FOCUS,
    /*MENU1_PQ_ITEM */
    IMAGE_166_SCENE_MAIN_FOCUS,
    /*MENU1_DISP_ITEM */
    IMAGE_168_SCENE_MAIN_FOCUS,
    /*MENU1_AUD_ITEM */
    IMAGE_170_SCENE_MAIN_FOCUS,
    /*MENU1_OSD_ITEM */
    IMAGE_172_SCENE_MAIN_FOCUS,
    /*MENU1_OTHER_ITEM */
    IMAGE_174_SCENE_MAIN_FOCUS,
    /*ADJUST3_BRI_ITEM */
    IMAGE_176_SCENE_MAIN_FOCUS,
    ICON_ADJ_BRI_SCENE_MAIN_NORMAL,
    /*ADJUST3_DCR_ITEM */
    IMAGE_177_SCENE_MAIN_FOCUS,
    /*ADJUST3_BKL_ITEM */
    IMAGE_178_SCENE_MAIN_FOCUS,
    IMAGE_181_SCENE_MAIN_NORMAL,
    /*ADJUST3_CON_ITEM */
    IMAGE_182_SCENE_MAIN_FOCUS,
    IMAGE_185_SCENE_MAIN_NORMAL,
    /*ADJUST3_GAMMA_ITEM */
    IMAGE_186_SCENE_MAIN_FOCUS,
    /*ADJUST3_ECO_ITEM */
    IMAGE_187_SCENE_MAIN_FOCUS,
    /*ADJUST3_COLTEMP_ITEM */
    IMAGE_188_SCENE_MAIN_FOCUS,
    /*ADJUST3_LOWBLUE_ITEM */
    IMAGE_189_SCENE_MAIN_FOCUS,
    IMAGE_192_SCENE_MAIN_NORMAL,
    /*ADJUST3_HUE_ITEM */
    IMAGE_193_SCENE_MAIN_FOCUS,
    IMAGE_196_SCENE_MAIN_NORMAL,
    /*ADJUST3_SATURA_ITEM */
    IMAGE_197_SCENE_MAIN_FOCUS,
    IMAGE_200_SCENE_MAIN_NORMAL,
    /*ADJUST3_SHARPE_ITEM */
    IMAGE_201_SCENE_MAIN_FOCUS,
    IMAGE_204_SCENE_MAIN_NORMAL,
    /*ADJUST3_OD_ITEM */
    IMAGE_205_SCENE_MAIN_FOCUS,
    /*ADJUST3_DIP_ITEM */
    IMAGE_206_SCENE_MAIN_FOCUS,
    /*ADJUST3_MUTE_ITEM */
    IMAGE_207_SCENE_MAIN_FOCUS,
    /*ADJUST3_VOL_ITEM */
    IMAGE_208_SCENE_MAIN_FOCUS,
    IMAGE_211_SCENE_MAIN_NORMAL,
    /*ADJUST3_LANGU_ITEM */
    IMAGE_212_SCENE_MAIN_FOCUS,
    /*ADJUST3_OSD_H_ITEM */
    IMAGE_213_SCENE_MAIN_FOCUS,
    IMAGE_216_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_V_ITEM */
    IMAGE_217_SCENE_MAIN_FOCUS,
    IMAGE_220_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSD_TRAN_ITEM */
    IMAGE_221_SCENE_MAIN_FOCUS,
    IMAGE_224_SCENE_MAIN_NORMAL,
    /*ADJUST3_TIMEOUT_ITEM */
    IMAGE_225_SCENE_MAIN_FOCUS,
    IMAGE_228_SCENE_MAIN_NORMAL,
    /*ADJUST3_OSDROT_ITEM */
    IMAGE_229_SCENE_MAIN_FOCUS,
    /*ADJUST3_FREESYNC_ITEM */
    IMAGE_230_SCENE_MAIN_FOCUS,
    /*MENU4_COL_USER_ITEM */
    IMAGE_231_SCENE_MAIN_FOCUS,
    /*ADJUST4_COL_USER_R */
    IMAGE_232_SCENE_MAIN_FOCUS,
    IMAGE_235_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_G */
    IMAGE_236_SCENE_MAIN_FOCUS,
    IMAGE_239_SCENE_MAIN_NORMAL,
    /*ADJUST4_COL_USER_B */
    IMAGE_240_SCENE_MAIN_FOCUS,
    IMAGE_243_SCENE_MAIN_NORMAL,
    /*ADJUST3_COLSPACE_ITEM */
    IMAGE_244_SCENE_MAIN_FOCUS,
    /*ADJUST3_CROSSHAIR_ITEM */
    IMAGE_261_SCENE_MAIN_FOCUS,
    ICON_10_SCENE_MAIN_NORMAL,
    IMAGE_268_SCENE_MAIN_NORMAL,
    IMAGE_269_SCENE_MAIN_NORMAL,
    IMAGE_270_SCENE_MAIN_NORMAL,
    /*ADJUST3_REFRESH_RATE_ITEM */
    IMAGE_262_SCENE_MAIN_FOCUS,
    /*ADJUST3_TIME_COUNT_ITEM */
    IMAGE_263_SCENE_MAIN_FOCUS,
    /*ADJUST3_POWER_INDICATOR_ITEM */
    IMAGE_264_SCENE_MAIN_FOCUS,
    /*ADJUST3_KEY1_ITEM */
    IMAGE_265_SCENE_MAIN_FOCUS,
    /*ADJUST3_KEY2_ITEM */
    IMAGE_266_SCENE_MAIN_FOCUS,
    /*ADJUST3_KEY3_ITEM */
    IMAGE_267_SCENE_MAIN_FOCUS,
    /*ADJUST3_MPRT_ITEM */
    IMAGE_271_SCENE_MAIN_FOCUS,
    /*ADJUST3_LIGHTMODE_ITEM */
    ICON_274_SCENE_MAIN_FOCUS,
    /*ADJUST4_STEADY_COLOR */
    ICON_275_SCENE_MAIN_FOCUS,
    /*ADJUST4_BREATHE_COLOR */
    ICON_276_SCENE_MAIN_FOCUS,
    /*ADJUST4_MARQUEEIN_COLOR */
    ICON_277_SCENE_MAIN_FOCUS,
    /*ADJUST4_MARQUEEOUT_COLOR */
    ICON_278_SCENE_MAIN_FOCUS,
    /*ADJUST3_HUE_6AXIS */
    ICON_279_SCENE_MAIN_FOCUS,
    /*ADJUST3_SATURATION_6AXIS */
    ICON_280_SCENE_MAIN_FOCUS,
    /*ADJUST4_HUE_R */
    ICON_281_SCENE_MAIN_FOCUS,
    ICON_284_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_G */
    ICON_285_SCENE_MAIN_FOCUS,
    ICON_288_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_B */
    ICON_289_SCENE_MAIN_FOCUS,
    ICON_292_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_Y */
    ICON_293_SCENE_MAIN_FOCUS,
    ICON_296_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_M */
    ICON_297_SCENE_MAIN_FOCUS,
    ICON_300_SCENE_MAIN_NORMAL,
    /*ADJUST4_HUE_C */
    ICON_301_SCENE_MAIN_FOCUS,
    ICON_304_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_R */
    ICON_305_SCENE_MAIN_FOCUS,
    ICON_308_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_G */
    ICON_309_SCENE_MAIN_FOCUS,
    ICON_312_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_B */
    ICON_313_SCENE_MAIN_FOCUS,
    ICON_316_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_Y */
    ICON_317_SCENE_MAIN_FOCUS,
    ICON_320_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_M */
    ICON_321_SCENE_MAIN_FOCUS,
    ICON_324_SCENE_MAIN_NORMAL,
    /*ADJUST4_SATURATION_C */
    ICON_325_SCENE_MAIN_FOCUS,
    ICON_328_SCENE_MAIN_NORMAL,
    /*SCENE_VOLUME */
    /*MENU_VOLUME */
    IMAGE_4_SCENE_VOLUME_NORMAL,
    ICON_ID_MAX,
} OsdIconId;

typedef enum
{
    BMP_ID_MAX,
} OsdBmpId;

typedef enum
{
    GRAPHIC_ID_MAX,
} OsdGraphicId;

typedef enum
{
    /*SCENE_AUTO_ADJUSTING */
    RECT_1_SCENE_AUTO_ADJUSTING_NORMAL,
    RECT_3_SCENE_AUTO_ADJUSTING_NORMAL,
    RECT_2_SCENE_AUTO_ADJUSTING_NORMAL,
    /*SCENE_BRIGHTNESS */
    RECT_7_SCENE_BRIGHTNESS_NORMAL,
    RECT_3_SCENE_BRIGHTNESS_NORMAL,
    RECT_6_SCENE_BRIGHTNESS_NORMAL,
    /*MENU_BRIGHTNESS */
    RECTANGLE_4_SCENE_BRIGHTNESS_NORMAL,
    RECTANGLE_5_SCENE_BRIGHTNESS_NORMAL,
    RECTANGLE_5_SCENE_BRIGHTNESS_FOCUSING,
    RECTANGLE_5_SCENE_BRIGHTNESS_DISABLED,
    /*SCENE_CONTRAST */
    RECT_5_SCENE_CONTRAST_NORMAL,
    RECT_3_SCENE_CONTRAST_NORMAL,
    RECT_4_SCENE_CONTRAST_NORMAL,
    /*MENU_CONTRAST */
    RECTANGLE_6_SCENE_CONTRAST_NORMAL,
    RECTANGLE_7_SCENE_CONTRAST_NORMAL,
    RECTANGLE_7_SCENE_CONTRAST_FOCUSING,
    RECTANGLE_7_SCENE_CONTRAST_DISABLED,
    /*SCENE_FACTORY */
    RECTANGLE_FM_BG_SCENE_FACTORY_NORMAL,
    /*SCENE_FACTORY_AGING */
    RECTANGLE_FA_BG_SCENE_FACTORY_AGING_NORMAL,
    /*SCENE_FUNCTION_TIPS */
    RECT_10_SCENE_FUNCTION_TIPS_NORMAL,
    RECT_9_SCENE_FUNCTION_TIPS_NORMAL,
    RECT_8_SCENE_FUNCTION_TIPS_NORMAL,
    /*SCENE_FUNCTION_UNSUPPORT */
    RECT_BG3_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    RECT_1_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    RECT_2_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    RECT_4_SCENE_FUNCTION_UNSUPPORT_NORMAL,
    /*SCENE_INPUT */
    RECT_4_SCENE_INPUT_NORMAL,
    RECT_5_SCENE_INPUT_NORMAL,
    RECT_1_SCENE_INPUT_NORMAL,
    /*SCENE_INPUT_SOURCE */
    RECT_1_SCENE_INPUT_SOURCE_NORMAL,
    RECT_2_SCENE_INPUT_SOURCE_NORMAL,
    RECT_3_SCENE_INPUT_SOURCE_NORMAL,
    /*SCENE_INPUT_SOURCE_SUB */
    RECT_3_SCENE_INPUT_SOURCE_SUB_NORMAL,
    RECT_1_SCENE_INPUT_SOURCE_SUB_NORMAL,
    RECT_2_SCENE_INPUT_SOURCE_SUB_NORMAL,
    /*SCENE_LOCK */
    RECT_LOCK_BG_SCENE_LOCK_NORMAL,
    /*SCENE_MAIN */
    RECT_1_SCENE_MAIN_NORMAL,
    RECT_2_SCENE_MAIN_NORMAL,
    RECT_3_SCENE_MAIN_NORMAL,
    /*ADJUST3_BRI_ITEM */
    RECT_ADJ_BRI_BG_SCENE_MAIN_FOCUSING,
    RECT_ADJ_BRI_SCENE_MAIN_FOCUSING,
    /*ADJUST3_BKL_ITEM */
    RECT_ADJ_CON_BG_SCENE_MAIN_FOCUSING,
    RECT_ADJ_CON_SCENE_MAIN_NORMAL,
    RECT_ADJ_CON_SCENE_MAIN_FOCUSING,
    /*ADJUST3_CON_ITEM */
    RECTANGLE_180_SCENE_MAIN_FOCUSING,
    RECTANGLE_181_SCENE_MAIN_NORMAL,
    RECTANGLE_181_SCENE_MAIN_FOCUSING,
    /*ADJUST3_LOWBLUE_ITEM */
    RECTANGLE_190_SCENE_MAIN_FOCUSING,
    RECTANGLE_191_SCENE_MAIN_NORMAL,
    RECTANGLE_191_SCENE_MAIN_FOCUSING,
    /*ADJUST3_HUE_ITEM */
    RECTANGLE_193_SCENE_MAIN_FOCUSING,
    RECTANGLE_194_SCENE_MAIN_NORMAL,
    RECTANGLE_194_SCENE_MAIN_FOCUSING,
    /*ADJUST3_SATURA_ITEM */
    RECTANGLE_196_SCENE_MAIN_FOCUSING,
    RECTANGLE_197_SCENE_MAIN_NORMAL,
    RECTANGLE_197_SCENE_MAIN_FOCUSING,
    /*ADJUST3_SHARPE_ITEM */
    RECTANGLE_200_SCENE_MAIN_NORMAL,
    /*ADJUST3_TIMEOUT_ITEM */
    RECTANGLE_224_SCENE_MAIN_NORMAL,
    RECTANGLE_224_SCENE_MAIN_FOCUSING,
    /*SCENE_MODE */
    RECT_6_SCENE_MODE_NORMAL,
    RECT_4_SCENE_MODE_NORMAL,
    RECT_5_SCENE_MODE_NORMAL,
    /*SCENE_NOSIGNAL */
    RECT_1_SCENE_NOSIGNAL_NORMAL,
    RECT_3_SCENE_NOSIGNAL_NORMAL,
    RECT_2_SCENE_NOSIGNAL_NORMAL,
    /*SCENE_OTA */
    RECT_BG4_SCENE_OTA_NORMAL,
    RECT_BG1_SCENE_OTA_NORMAL,
    RECT_BG3_SCENE_OTA_NORMAL,
    /*SCENE_POWER_TIPS */
    RECT_4_SCENE_POWER_TIPS_NORMAL,
    RECT_2_SCENE_POWER_TIPS_NORMAL,
    RECT_3_SCENE_POWER_TIPS_NORMAL,
    /*SCENE_RESET_ALL */
    RECT_1_SCENE_RESET_ALL_NORMAL,
    RECT_2_SCENE_RESET_ALL_NORMAL,
    RECT_3_SCENE_RESET_ALL_NORMAL,
    /*SCENE_SIGNAL_UNSUPPORT */
    RECT_6_SCENE_SIGNAL_UNSUPPORT_NORMAL,
    RECT_4_SCENE_SIGNAL_UNSUPPORT_NORMAL,
    RECT_5_SCENE_SIGNAL_UNSUPPORT_NORMAL,
    /*SCENE_TIMER */
    RECT_1_SCENE_TIMER_NORMAL,
    /*SCENE_VOLUME */
    RECT_8_SCENE_VOLUME_NORMAL,
    RECT_6_SCENE_VOLUME_NORMAL,
    RECT_7_SCENE_VOLUME_NORMAL,
    /*MENU_VOLUME */
    RECTANGLE_9_SCENE_VOLUME_NORMAL,
    RECTANGLE_10_SCENE_VOLUME_NORMAL,
    RECTANGLE_10_SCENE_VOLUME_FOCUSING,
    RECTANGLE_10_SCENE_VOLUME_DISABLED,
    RECT_ID_MAX,
} OsdRectId;

typedef enum
{
    RECTGRID_ID_MAX,
} OsdRectGridId;

typedef enum
{
    /*SCENE_AUTO_ADJUSTING */
    LINE_1_SCENE_AUTO_ADJUSTING,
    LINE_2_SCENE_AUTO_ADJUSTING,
    /*SCENE_BRIGHTNESS */
    LINE_1_SCENE_BRIGHTNESS,
    LINE_2_SCENE_BRIGHTNESS,
    /*SCENE_CONTRAST */
    LINE_1_SCENE_CONTRAST,
    LINE_2_SCENE_CONTRAST,
    /*SCENE_FUNCTION_TIPS */
    LINE_1_SCENE_FUNCTION_TIPS,
    LINE_2_SCENE_FUNCTION_TIPS,
    /*SCENE_FUNCTION_UNSUPPORT */
    LINE_1_SCENE_FUNCTION_UNSUPPORT,
    LINE_2_SCENE_FUNCTION_UNSUPPORT,
    /*SCENE_INPUT */
    LINE_1_SCENE_INPUT,
    LINE_2_SCENE_INPUT,
    /*SCENE_INPUT_SOURCE */
    LINE_1_SCENE_INPUT_SOURCE,
    LINE_2_SCENE_INPUT_SOURCE,
    /*SCENE_INPUT_SOURCE_SUB */
    LINE_1_SCENE_INPUT_SOURCE_SUB,
    LINE_2_SCENE_INPUT_SOURCE_SUB,
    /*SCENE_MAIN */
    LINE_1_SCENE_MAIN,
    LINE_2_SCENE_MAIN,
    LINE_3_SCENE_MAIN,
    LINE_4_SCENE_MAIN,
    LINE_5_SCENE_MAIN,
    /*SCENE_MODE */
    LINE_1_SCENE_MODE,
    LINE_2_SCENE_MODE,
    /*SCENE_NOSIGNAL */
    LINE_1_SCENE_NOSIGNAL,
    LINE_2_SCENE_NOSIGNAL,
    /*SCENE_OTA */
    LINE_1_SCENE_OTA,
    LINE_2_SCENE_OTA,
    /*SCENE_POWER_TIPS */
    LINE_1_SCENE_POWER_TIPS,
    LINE_2_SCENE_POWER_TIPS,
    /*SCENE_RESET_ALL */
    LINE_1_SCENE_RESET_ALL,
    LINE_2_SCENE_RESET_ALL,
    /*SCENE_SIGNAL_UNSUPPORT */
    LINE_1_SCENE_SIGNAL_UNSUPPORT,
    LINE_2_SCENE_SIGNAL_UNSUPPORT,
    /*SCENE_VOLUME */
    LINE_1_SCENE_VOLUME,
    LINE_2_SCENE_VOLUME,
    LINEGRID_ID_MAX,
} OsdLineGridId;

typedef enum
{
    LINE_ID_MAX,
} OsdLineId;

typedef enum
{
    GROUP_ID_MAX,
} OsdGroupId;

typedef enum
{
    /*SCENE_BRIGHTNESS */
    /*MENU_BRIGHTNESS */
    ITEM_BRIGHTNESS_SCENE_BRIGHTNESS,
    /*SCENE_CONTRAST */
    /*MENU_CONTRAST */
    ITEM_CONTRAST_SCENE_CONTRAST,
    /*SCENE_FACTORY */
    /*MENU_MAINF */
    ITEM_WARM_SCENE_FACTORY,
    ITEM_NATURAL_SCENE_FACTORY,
    ITEM_COOL_SCENE_FACTORY,
    ITEM_SRGB_SCENE_FACTORY,
    ITEM_LOGO_SCENE_FACTORY,
    ITEM_LOGO_V_SCENE_FACTORY,
    ITEM_BURNLN_SCENE_FACTORY,
    ITEM_BURNLN_V_SCENE_FACTORY,
    ITEM_PRODUCT_MODE_SCENE_FACTORY,
    ITEM_PRODUCT_MODE_V_SCENE_FACTORY,
    ITEM_EDIDWP_SCENE_FACTORY,
    ITEM_EDIDWP_V_SCENE_FACTORY,
    ITEM_PF_SCENE_FACTORY,
    ITEM_PF_V_SCENE_FACTORY,
    ITEM_PP_SCENE_FACTORY,
    ITEM_PP_V_SCENE_FACTORY,
    ITEM_DF_SCENE_FACTORY,
    ITEM_DF_V_SCENE_FACTORY,
    ITEM_DP_SCENE_FACTORY,
    ITEM_DP_V_SCENE_FACTORY,
    ITEM_DM_SCENE_FACTORY,
    ITEM_DM_V_SCENE_FACTORY,
    ITEM_EEPROM_ERASE_SCENE_FACTORY,
    ITEM_RESETBL_SCENE_FACTORY,
    ITEM_BLIGHT_TIME_SCENE_FACTORY,
    ITEM_EXIT_SCENE_FACTORY,
    /*MENU_COOL */
    ITEM_COOLR_SCENE_FACTORY,
    ITEM_COOL_RV_SCENE_FACTORY,
    ITEM_COOLG_SCENE_FACTORY,
    ITEM_COOL_GV_SCENE_FACTORY,
    ITEM_COOLB_SCENE_FACTORY,
    ITEM_COOL_BV_SCENE_FACTORY,
    /*MENU_NATURAL */
    ITEM_NATURALR_SCENE_FACTORY,
    ITEM_NATURAL_RV_SCENE_FACTORY,
    ITEM_NATURALG_SCENE_FACTORY,
    ITEM_NATURAL_GV_SCENE_FACTORY,
    ITEM_NATURALB_SCENE_FACTORY,
    ITEM_NATURAL_BV_SCENE_FACTORY,
    /*MENU_WARM */
    ITEM_WARMR_SCENE_FACTORY,
    ITEM_WARM_RV_SCENE_FACTORY,
    ITEM_WARMG_SCENE_FACTORY,
    ITEM_WARM_GV_SCENE_FACTORY,
    ITEM_WARMB_SCENE_FACTORY,
    ITEM_WARM_BV_SCENE_FACTORY,
    /*MENU_SRGB */
    ITEM_SRGBR_SCENE_FACTORY,
    ITEM_SRGB_RV_SCENE_FACTORY,
    ITEM_SRGBG_SCENE_FACTORY,
    ITEM_SRGB_GV_SCENE_FACTORY,
    ITEM_SRGBB_SCENE_FACTORY,
    ITEM_SRGB_BV_SCENE_FACTORY,
    /*SCENE_FUNCTION_TIPS */
    /*MENU_FUNCTION_TIPS */
    ITEM_YES_SCENE_FUNCTION_TIPS,
    ITEM_NO_SCENE_FUNCTION_TIPS,
    /*SCENE_INPUT */
    /*MENU_INPUT_LIST */
    ITEM_HDMI1_SCENE_INPUT,
    ITEM_HDMI2_SCENE_INPUT,
    ITEM_DP1_SCENE_INPUT,
    ITEM_DP2_SCENE_INPUT,
    /*SCENE_MAIN */
    /*MENU_MAIN */
    MAIN_INPUT_ITEM_SCENE_MAIN,
    MAIN_BRI_ITEM_SCENE_MAIN,
    MAIN_COL_ITEM_SCENE_MAIN,
    MAIN_PQ_ITEM_SCENE_MAIN,
    MAIN_DISP_ITEM_SCENE_MAIN,
    MAIN_AUD_ITEM_SCENE_MAIN,
    MAIN_MENU_ITEM_SCENE_MAIN,
    MAIN_OTHER_ITEM_SCENE_MAIN,
    MAIN_F_ITEM_SCENE_MAIN,
    /*MENU1_INPUT_ITEM */
    MENU1_HDMI1_ITEM_SCENE_MAIN,
    MENU1_HDMI2_ITEM_SCENE_MAIN,
    MENU1_DP1_ITEM_SCENE_MAIN,
    MENU1_DP2_ITEM_SCENE_MAIN,
    /*MENU1_BRI_CON_ITEM */
    MENU1_BRI_ITEM_SCENE_MAIN,
    MENU1_BKL_ITEM_SCENE_MAIN,
    MENU1_CON_ITEM_SCENE_MAIN,
    MENU1_DCR_ITEM_SCENE_MAIN,
    /*MENU1_COL_ITEM */
    MENU1_GAMMA_ITEM_SCENE_MAIN,
    MENU1_ECO_ITEM_SCENE_MAIN,
    MENU1_COL_TP_ITEM_SCENE_MAIN,
    MENU1_LBLUE_ITEM_SCENE_MAIN,
    MENU1_HUE_ITEM_SCENE_MAIN,
    MENU1_SATURATION_ITEM_SCENE_MAIN,
    MENU1_COL_SPACE_ITEM_SCENE_MAIN,
    MENU1_HUE_6AXIS_ITEM_SCENE_MAIN,
    MENU1_SATURATION_6AXIS_ITEM_SCENE_MAIN,
    /*MENU1_PQ_ITEM */
    MENU1_SHARPNESS_ITEM_SCENE_MAIN,
    MENU1_OD_ITEM_SCENE_MAIN,
    MENU1_MPRT_ITEM_SCENE_MAIN,
    /*MENU1_DISP_ITEM */
    MENU1_PICMODE_ITEM_SCENE_MAIN,
    /*MENU1_AUD_ITEM */
    MENU1_MUTE_ITEM_SCENE_MAIN,
    MENU1_VOL_ITEM_SCENE_MAIN,
    /*MENU1_OSD_ITEM */
    MENU1_LANGUA_ITEM_SCENE_MAIN,
    MENU1_H_POS_ITEM_SCENE_MAIN,
    MENU1_V_POS_ITEM_SCENE_MAIN,
    MENU1_TRAN_ITEM_SCENE_MAIN,
    MENU1_OSDTIME_ITEM_SCENE_MAIN,
    MENU1_OSDROT_ITEM_SCENE_MAIN,
    /*MENU1_OTHER_ITEM */
    MENU1_ADAPTIVE_SYNC_ITEM_SCENE_MAIN,
    MENU1_RESET_ITEM_SCENE_MAIN,
    MENU1_CROSSHAIR_ITEM_SCENE_MAIN,
    MENU1_REFRESH_RATE_ITEM_SCENE_MAIN,
    MENU1_TIME_COUNT_ITEM_SCENE_MAIN,
    MENU1_POWER_INDICATOR_ITEM_SCENE_MAIN,
    MENU1_KEY1_ITEM_SCENE_MAIN,
    MENU1_KEY2_ITEM_SCENE_MAIN,
    MENU1_KEY3_ITEM_SCENE_MAIN,
    MENU1_LIGHTMODE_ITEM_SCENE_MAIN,
    MENU1_OTA_SCENE_MAIN,
    /*MENU2_BRI_CON_ITEM */
    ITEM_NUMBER_BRI_SCENE_MAIN,
    ITEM_NUMBER_BKL_SCENE_MAIN,
    ITEM_NUMBER_CON_SCENE_MAIN,
    ITEM_TEXTLIST_DCR_SCENE_MAIN,
    /*MENU2_COL_ITEM */
    MENU2_GAMMA_ITEM_SCENE_MAIN,
    MENU2_ECO_ITEM_SCENE_MAIN,
    MENU2_COL_TP_ITEM_SCENE_MAIN,
    MENU2_LBLUE_ITEM_SCENE_MAIN,
    MENU2_HUE_ITEM_SCENE_MAIN,
    MENU2_SATURATION_ITEM_SCENE_MAIN,
    MENU2_COL_SPACE_ITEM_SCENE_MAIN,
    /*MENU2_PQ_ITEM */
    MENU2_SHARPNESS_ITEM_SCENE_MAIN,
    MENU2_OD_ITEM_SCENE_MAIN,
    MENU2_MPRT_ITEM_SCENE_MAIN,
    /*MENU2_DISP_ITEM */
    MENU2_PICMODE_ITEM_SCENE_MAIN,
    /*MENU2_AUD_ITEM */
    MENU2_MUTE_ITEM_SCENE_MAIN,
    MENU2_VOL_ITEM_SCENE_MAIN,
    /*MENU2_OSD_ITEM */
    MENU2_LANGUA_ITEM_SCENE_MAIN,
    MENU2_H_POS_ITEM_SCENE_MAIN,
    MENU2_V_POS_ITEM_SCENE_MAIN,
    MENU2_TRAN_ITEM_SCENE_MAIN,
    MENU2_OSDTIME_ITEM_SCENE_MAIN,
    MENU2_OSDROT_ITEM_SCENE_MAIN,
    /*MENU2_OTHER_ITEM */
    MENU2_ADAPTIVE_SYNC_ITEM_SCENE_MAIN,
    MENU2_CROSSHAIR_ITEM_SCENE_MAIN,
    MENU2_REFRESH_RATE_ITEM_SCENE_MAIN,
    MENU2_TIME_COUNT_ITEM_SCENE_MAIN,
    MENU2_POWER_INDICATOR_ITEM_SCENE_MAIN,
    MENU2_KEY1_ITEM_SCENE_MAIN,
    MENU2_KEY2_ITEM_SCENE_MAIN,
    MENU2_KEY3_ITEM_SCENE_MAIN,
    MENU2_LIGHTMODE_ITEM_SCENE_MAIN,
    /*ADJUST3_BRI_ITEM */
    ITEM_BRI_ADJ_SCENE_MAIN,
    /*ADJUST3_DCR_ITEM */
    ITEM_ADJ_DCR_OFF_SCENE_MAIN,
    ITEM_ADJ_DCR_ON_SCENE_MAIN,
    /*ADJUST3_BKL_ITEM */
    ITEM_BKL_ADJ_SCENE_MAIN,
    /*ADJUST3_CON_ITEM */
    ITEM_CON_ADJ_SCENE_MAIN,
    /*ADJUST3_GAMMA_ITEM */
    ITEM_GAMMA_16_SCENE_MAIN,
    ITEM_GAMMA_18_SCENE_MAIN,
    ITEM_GAMMA_20_SCENE_MAIN,
    ITEM_GAMMA_22_SCENE_MAIN,
    ITEM_GAMMA_24_SCENE_MAIN,
    ITEM_GAMMA_26_SCENE_MAIN,
    /*ADJUST3_ECO_ITEM */
    ITEM_ECO_NORMAL_SCENE_MAIN,
    ITEM_ECO_PICTURE_SCENE_MAIN,
    ITEM_ECO_MOVIE_SCENE_MAIN,
    ITEM_ECO_GAME_SCENE_MAIN,
    ITEM_ECO_FPS_SCENE_MAIN,
    ITEM_ECO_RTS_SCENE_MAIN,
    /*ADJUST3_COLTEMP_ITEM */
    ITEM_WARM_SCENE_MAIN,
    ITEM_COOL_SCENE_MAIN,
    ITEM_COLTEMP_USER_SCENE_MAIN,
    /*ADJUST3_LOWBLUE_ITEM */
    ITEM_LOWBLUE_ADJ_SCENE_MAIN,
    /*ADJUST3_HUE_ITEM */
    ITEM_HUE_ADJ_SCENE_MAIN,
    /*ADJUST3_SATURA_ITEM */
    ITEM_SATURA_ADJ_SCENE_MAIN,
    /*ADJUST3_SHARPE_ITEM */
    ITEM_SHARPE_ADJ_SCENE_MAIN,
    /*ADJUST3_OD_ITEM */
    ITEM_OD_OFF_SCENE_MAIN,
    ITEM_OD_LOW_SCENE_MAIN,
    ITEM_OD_MIDDLE_SCENE_MAIN,
    ITEM_OD_HIGH_SCENE_MAIN,
    /*ADJUST3_DIP_ITEM */
    ITEM_DIS_AUTO_SCENE_MAIN,
    ITEM_DIS_169_SCENE_MAIN,
    ITEM_DIP_43_SCENE_MAIN,
    /*ADJUST3_MUTE_ITEM */
    ITEM_MUTE_OFF_SCENE_MAIN,
    ITEM_MUTE_ON_SCENE_MAIN,
    /*ADJUST3_VOL_ITEM */
    ITEM_VOLUME_ADJ_SCENE_MAIN,
    /*ADJUST3_LANGU_ITEM */
    ITEM_CHINESE_SCENE_MAIN,
    ITEM_ENGLISH_SCENE_MAIN,
    /*ADJUST3_OSD_H_ITEM */
    ITEM_OSD_H_ADJ_SCENE_MAIN,
    /*ADJUST3_OSD_V_ITEM */
    ITEM_OSD_V_ADJ_SCENE_MAIN,
    /*ADJUST3_OSD_TRAN_ITEM */
    ITEM_OSD_TRAN_ADJ_SCENE_MAIN,
    /*ADJUST3_TIMEOUT_ITEM */
    ITEM_TIMEOUT_ADJ_SCENE_MAIN,
    /*ADJUST3_OSDROT_ITEM */
    ITEM_ROT_NORMAL_SCENE_MAIN,
    ITEM_ROT_90_SCENE_MAIN,
    ITEM_ROT_180_SCENE_MAIN,
    ITEM_ROT_270_SCENE_MAIN,
    /*ADJUST3_FREESYNC_ITEM */
    ITEM_FREESYNC_OFF_SCENE_MAIN,
    ITEM_FREESYNC_ON_SCENE_MAIN,
    /*MENU4_COL_USER_ITEM */
    ITEM_COL_USER_R_SCENE_MAIN,
    ITEM_COL_USER_G_SCENE_MAIN,
    ITEM_COL_USER_B_SCENE_MAIN,
    /*ADJUST4_COL_USER_R */
    ADJUST4_USER_R_ITEM_SCENE_MAIN,
    /*ADJUST4_COL_USER_G */
    ADJUST4_USER_G_ITEM_SCENE_MAIN,
    /*ADJUST4_COL_USER_B */
    ADJUST4_USER_B_ITEM_SCENE_MAIN,
    /*ADJUST3_COLSPACE_ITEM */
    ITEM_COLSPACE_NATIVE_SCENE_MAIN,
    ITEM_COLSPACE_SRGB_SCENE_MAIN,
    ITEM_COLSPACE_BT709_SCENE_MAIN,
    ITEM_COLSPACE_DCIP3_SCENE_MAIN,
    ITEM_COLSPACE_ADOBE_SCENE_MAIN,
    /*ADJUST3_CROSSHAIR_ITEM */
    ITEM_CROSS0_SCENE_MAIN,
    ITEM_CROSS1_SCENE_MAIN,
    ITEM_CROSS2_SCENE_MAIN,
    ITEM_CROSS3_SCENE_MAIN,
    /*ADJUST3_REFRESH_RATE_ITEM */
    ITEM_REFRESH_RATE_OFF_SCENE_MAIN,
    ITEM_REFRESH_RATE_ON_SCENE_MAIN,
    /*ADJUST3_TIME_COUNT_ITEM */
    ITEM_TIME_COUNT_OFF_SCENE_MAIN,
    ITEM_TIME_COUNT_5_SCENE_MAIN,
    ITEM_TIME_COUNT_10_SCENE_MAIN,
    ITEM_TIME_COUNT_20_SCENE_MAIN,
    ITEM_TIME_COUNT_40_SCENE_MAIN,
    ITEM_TIME_COUNT_60_SCENE_MAIN,
    /*ADJUST3_POWER_INDICATOR_ITEM */
    ITEM_POWER_INDICATOR_OFF_SCENE_MAIN,
    ITEM_POWER_INDICATOR_ON_SCENE_MAIN,
    /*ADJUST3_KEY1_ITEM */
    ITEM_KEY1_INPUT_SCENE_MAIN,
    ITEM_KEY1_PICTUREMODE_SCENE_MAIN,
    ITEM_KEY1_BRIGHTNESS_SCENE_MAIN,
    ITEM_KEY1_CONTRAST_SCENE_MAIN,
    ITEM_KEY1_VOLUME_SCENE_MAIN,
    /*ADJUST3_KEY2_ITEM */
    ITEM_KEY2_INPUT_SCENE_MAIN,
    ITEM_KEY2_PICTUREMODE_SCENE_MAIN,
    ITEM_KEY2_BRIGHTNESS_SCENE_MAIN,
    ITEM_KEY2_CONTRAST_SCENE_MAIN,
    ITEM_KEY2_VOLUME_SCENE_MAIN,
    /*ADJUST3_KEY3_ITEM */
    ITEM_KEY3_INPUT_SCENE_MAIN,
    ITEM_KEY3_PICTUREMODE_SCENE_MAIN,
    ITEM_KEY3_BRIGHTNESS_SCENE_MAIN,
    ITEM_KEY3_CONTRAST_SCENE_MAIN,
    ITEM_KEY3_VOLUME_SCENE_MAIN,
    /*ADJUST3_MPRT_ITEM */
    ITEM_MPRT_OFF_SCENE_MAIN,
    ITEM_MPRT_ON_SCENE_MAIN,
    ITEM_MPRT_VRR_SCENE_MAIN,
    /*ADJUST3_LIGHTMODE_ITEM */
    ITEM_LIGHTMODE_OFF_SCENE_MAIN,
    ITEM_LIGHTMODE_STEADY_SCENE_MAIN,
    ITEM_LIGHTMODE_BREATHE_SCENE_MAIN,
    ITEM_LIGHTMODE_MARQUEEIN_SCENE_MAIN,
    ITEM_LIGHTMODE_MARQUEEOUT_SCENE_MAIN,
    /*ADJUST4_STEADY_COLOR */
    ITEM_STEADY_SPECTRUM_SCENE_MAIN,
    ADJUST4_STEADY_RED_SCENE_MAIN,
    ADJUST4_STEADY_GREEN_SCENE_MAIN,
    ADJUST4_STEADY_BLUE_SCENE_MAIN,
    ADJUST4_STEADY_CYAN_SCENE_MAIN,
    ADJUST4_STEADY_PURPLE_SCENE_MAIN,
    ADJUST4_STEADY_YELLOW_SCENE_MAIN,
    /*ADJUST4_BREATHE_COLOR */
    ITEM_BREATHE_SPECTRUM_SCENE_MAIN,
    ITEM_BREATHE_RED_SCENE_MAIN,
    ITEM_BREATHE_GREEN_SCENE_MAIN,
    ITEM_BREATHE_BLUE_SCENE_MAIN,
    ITEM_BREATHE_CYAN_SCENE_MAIN,
    ITEM_BREATHE_PURPLE_SCENE_MAIN,
    ITEM_BREATHE_YELLOW_SCENE_MAIN,
    /*ADJUST4_MARQUEEIN_COLOR */
    ITEM_MARQUEEIN_SPECTRUM1_SCENE_MAIN,
    ITEM_MARQUEEIN_SPECTRUM2_SCENE_MAIN,
    ITEM_MARQUEEIN_SPECTRUM3_SCENE_MAIN,
    ITEM_MARQUEEIN_RED_SCENE_MAIN,
    ITEM_MARQUEEIN_GREEN_SCENE_MAIN,
    ITEM_MARQUEEIN_BLUE_SCENE_MAIN,
    ITEM_MARQUEEIN_CYAN_SCENE_MAIN,
    ITEM_MARQUEEIN_PURPLE_SCENE_MAIN,
    ITEM_MARQUEEIN_YELLOW_SCENE_MAIN,
    /*ADJUST4_MARQUEEOUT_COLOR */
    ITEM_MARQUEEOUT_SPECTRUM1_SCENE_MAIN,
    ITEM_MARQUEEOUT_SPECTRUM2_SCENE_MAIN,
    ITEM_MARQUEEOUT_SPECTRUM3_SCENE_MAIN,
    ITEM_MARQUEEOUT_RED_SCENE_MAIN,
    ITEM_MARQUEEOUT_GREEN_SCENE_MAIN,
    ITEM_MARQUEEOUT_BLUE_SCENE_MAIN,
    ITEM_MARQUEEOUT_CYAN_SCENE_MAIN,
    ITEM_MARQUEEOUT_PURPLE_SCENE_MAIN,
    ITEM_MARQUEEOUT_YELLOW_SCENE_MAIN,
    /*ADJUST3_HUE_6AXIS */
    ITEM_HUE_RED_SCENE_MAIN,
    ITEM_HUE_GREEN_SCENE_MAIN,
    ITEM_HUE_BLUE_SCENE_MAIN,
    ITEM_HUE_YELLOW_SCENE_MAIN,
    ITEM_HUE_MAGENTA_SCENE_MAIN,
    ITEM_HUE_CYAN_SCENE_MAIN,
    /*ADJUST3_SATURATION_6AXIS */
    ITEM_SATURATION_RED_SCENE_MAIN,
    ITEM_SATURATION_GREEN_SCENE_MAIN,
    ITEM_SATURATION_BLUE_SCENE_MAIN,
    ITEM_SATURATION_YELLOW_SCENE_MAIN,
    ITEM_SATURATION_MAGENTA_SCENE_MAIN,
    ITEM_SATURATION_CYAN_SCENE_MAIN,
    /*ADJUST4_HUE_R */
    ADJUST_HUE_R_ITEM_SCENE_MAIN,
    /*ADJUST4_HUE_G */
    ADJUST_HUE_G_ITEM_SCENE_MAIN,
    /*ADJUST4_HUE_B */
    ADJUST_HUE_B_ITEM_SCENE_MAIN,
    /*ADJUST4_HUE_Y */
    ADJUST_HUE_Y_ITEM_SCENE_MAIN,
    /*ADJUST4_HUE_M */
    ADJUST_HUE_M_ITEM_SCENE_MAIN,
    /*ADJUST4_HUE_C */
    ADJUST_HUE_C_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_R */
    ADJUST_SAT_R_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_G */
    ADJUST_SAT_G_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_B */
    ADJUST_SAT_B_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_Y */
    ADJUST_SAT_Y_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_M */
    ADJUST_SAT_M_ITEM_SCENE_MAIN,
    /*ADJUST4_SATURATION_C */
    ADJUST_SAT_C_ITEM_SCENE_MAIN,
    /*SCENE_MODE */
    /*MENU_MODE */
    ITEM_MODE_SCENE_MODE,
    /*SCENE_OTA */
    /*MENU_PROCEED */
    ITEM_YES_SCENE_OTA,
    ITEM_NO_SCENE_OTA,
    /*SCENE_POWER_TIPS */
    /*MENU_POWER_TIPS */
    ITEM_YES_SCENE_POWER_TIPS,
    ITEM_NO_SCENE_POWER_TIPS,
    /*SCENE_RESET_ALL */
    /*MENU_RESET */
    ITEM_YES_SCENE_RESET_ALL,
    ITEM_NO_SCENE_RESET_ALL,
    /*SCENE_VOLUME */
    /*MENU_VOLUME */
    ITEM_VOLUME_SCENE_VOLUME,
    ITEM_ID_MAX,
    ITEM_NONE_ID = ITEM_ID_MAX,
} OsdItemId;

typedef enum
{
    WIN_ALL3_SCENE_AUTO_ADJUSTING,
    WIN_RECT1_SCENE_AUTO_ADJUSTING,
    WIN_ALL3_SCENE_BRIGHTNESS,
    WIN_RECT1_SCENE_BRIGHTNESS,
    WIN_ALL3_SCENE_CONTRAST,
    WIN_RECT1_SCENE_CONTRAST,
    WIN_ALL1_SCENE_CROSSHAIR,
    WIN_ALL3_SCENE_FACTORY,
    WIN_RECT1_SCENE_FACTORY,
    WIN_ALL3_SCENE_FACTORY_AGING,
    WIN_RECT1_SCENE_FACTORY_AGING,
    WIN_ALL3_SCENE_FUNCTION_TIPS,
    WIN_RECT1_SCENE_FUNCTION_TIPS,
    WIN_ALL3_SCENE_FUNCTION_UNSUPPORT,
    WIN_RECT1_SCENE_FUNCTION_UNSUPPORT,
    WIN_ALL3_SCENE_INPUT,
    WIN_RECT1_SCENE_INPUT,
    WIN_ALL3_SCENE_INPUT_SOURCE,
    WIN_RECT1_SCENE_INPUT_SOURCE,
    WIN_ALL3_SCENE_INPUT_SOURCE_SUB,
    WIN_RECT1_SCENE_INPUT_SOURCE_SUB,
    WIN_ALL3_SCENE_LOCK,
    WIN_RECT1_SCENE_LOCK,
    WIN_ALL1_SCENE_MAIN,
    WIN_ALL2_SCENE_MAIN,
    WIN_ALL3_SCENE_MAIN,
    WIN_RECT0_SCENE_MAIN,
    WIN_RECT1_SCENE_MAIN,
    WIN_ALL3_SCENE_MODE,
    WIN_RECT1_SCENE_MODE,
    WIN_ALL3_SCENE_NOSIGNAL,
    WIN_RECT1_SCENE_NOSIGNAL,
    WIN_ALL2_SCENE_OTA,
    WIN_ALL3_SCENE_OTA,
    WIN_RECT1_SCENE_OTA,
    WIN_ALL3_SCENE_POWER_TIPS,
    WIN_RECT1_SCENE_POWER_TIPS,
    WIN_ALL3_SCENE_REFRESH_RATE,
    WIN_ALL3_SCENE_RESET_ALL,
    WIN_RECT1_SCENE_RESET_ALL,
    WIN_ALL3_SCENE_SIGNAL_UNSUPPORT,
    WIN_RECT1_SCENE_SIGNAL_UNSUPPORT,
    WIN_ALL2_SCENE_TIMER,
    WIN_RECT1_SCENE_TIMER,
    WIN_ALL3_SCENE_VOLUME,
    WIN_RECT1_SCENE_VOLUME,
    WIN_ID_MAX,
} OsdWindowId;

typedef enum
{
    SCENE_AUTO_ADJUSTING,
    SCENE_BRIGHTNESS,
    SCENE_CONTRAST,
    SCENE_CROSSHAIR,
    SCENE_FACTORY,
    SCENE_FACTORY_AGING,
    SCENE_FUNCTION_TIPS,
    SCENE_FUNCTION_UNSUPPORT,
    SCENE_INPUT,
    SCENE_INPUT_SOURCE,
    SCENE_INPUT_SOURCE_SUB,
    SCENE_LOCK,
    SCENE_MAIN,
    SCENE_MODE,
    SCENE_NOSIGNAL,
    SCENE_OTA,
    SCENE_POWER_TIPS,
    SCENE_REFRESH_RATE,
    SCENE_RESET_ALL,
    SCENE_SIGNAL_UNSUPPORT,
    SCENE_TIMER,
    SCENE_VOLUME,
    SCENE_ID_MAX,
} OsdSceneId;

#endif