/**
 * @file PanelConfig.h
 * @brief Header file of panel_list.
 * 
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 @ endverbatim 
 *
 * @author HiView SoC Software Team
 * @version 0.0.1
 * @date 2022-09-06
 */
#ifndef __USER_HI_VIEW_HT7315_PANEL_LIST_H__
#define __USER_HI_VIEW_HT7315_PANEL_LIST_H__

/*************************************************
   Panel Option Mux
*************************************************/

//====================HIVIEW=============================//
#ifdef  CONFIG_USER_HIVIEW_VBO_SILICON65VBO_UHD60
#include "HIVIEW_VBO_SILICON65VBO_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif



//====================BOE===============================//
#ifdef  CONFIG_USER_BOE_EDP_MV270QUM_N60_UHD60
#include "BOE_EDP_MV270QUM_N60_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_UV860QUD_N10_UHD60
#include "BOE_EDP_UV860QUD_N10_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_MV315QUM_N70_UHD60
#include "BOE_EDP_MV315QUM_N70_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_MV238QUM_N20_UHD60
#include "BOE_EDP_MV238QUM_N20_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_NE156QUM_N6C_UHD60
#include "BOE_EDP_NE156QUM_N6C_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_EDP_ME270QUM_NF2_P0_UD60
#include "BOE_EDP_ME270QUM_NF2_P0_UD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//==vbo===:
#ifdef  CONFIG_USER_BOE_VBO_DV430QUM_N10_UHD60
#include "BOE_VBO_DV430QUM_N10_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_ON
#endif
#ifdef  CONFIG_USER_BOE_VBO_UV550QUB_N70_UHD60
#include "BOE_VBO_UV550QUB_N70_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_ON
#endif
#ifdef  CONFIG_USER_BOE_VBO_DV650QUM_N00_UHD60
#include "BOE_VBO_DV650QUM_N00_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_BOE_VBO_UF860QUB_N10_UHD60
#include "BOE_VBO_UF860QUB_N10_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

//====================CIL===============================//
#ifdef  CONFIG_USER_CIL_VBO_M280DGJ_Q02_UHD60
#include "CIL_VBO_M280DGJ_Q02_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//====================AUO===============================//
#ifdef  CONFIG_USER_AUO_EDP_M270QAN06_R_UHD60
#include "AUO_EDP_M270QAN06_R_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_AUO_VBO_G270ZAN01_1_UHD60
#include "AUO_VBO_G270ZAN01_1_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_AUO_VBO_P860QVN01_0_UHD60
#include "AUO_VBO_P860QVN01_0_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
#ifdef  CONFIG_USER_AUO_EDP_M270QAN07_0_UHD60
#include "AUO_EDP_M270QAN07_0_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//====================PANDA=============================//
#ifdef  CONFIG_USER_PANDA_EDP_LM270PF1L01_UHD60
#include "PANDA_EDP_LM270PF1L01_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//====================INNO==============================//
#ifdef  CONFIG_USER_INNO_VBO_M280DGJ_L30_UHD60
#include "INNO_VBO_M280DGJ_L30_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

#ifdef  CONFIG_USER_INNO_EDP_M270DCA_D5B_UHD60
#include "INNO_EDP_M270DCA_D5B_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif


//=====================LG==============================//
#ifdef  CONFIG_USER_LG_EDP_LM270WR8_SSC1_UHD60
#include "LG_EDP_LM270WR8_SSC1_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif
	
//=====================TPV==============================//
#ifdef  CONFIG_USER_TPV_EDP_TPM270WR1_QAN06U_000G_UHD60
#include "TPV_EDP_TPM270WR1_QAN06U_000G_UHD60.h"
#define HV_PROJECT_CONFIG_TCON_POWER_CONTROL          HV_CONFIG_OFF
#endif

#endif