/*
 * @file hv_app_DdcciRegister.h
 * @brief Header file of ddcci for register.
 *
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * (+) Use 
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2024-11-08
 */


#ifndef _HV_APP_DDCCI_REGISTER_H
#define _HV_APP_DDCCI_REGISTER_H

#include "hv_comm_DataType.h"
#include "hv_vos_Comm.h"
#include "hv_comm_Define.h"


/*
 * @brief Macro definitions of HDMI Capability Strings.
 */
#define DDCCI_CAPABILITIES_HDMI                 "(prot(monitor)type(LCD)model(HIVIEW_EVB)cmds(01 02 03 07 0C E3 F3)vcp(02 04 05 08 10 12 14(01 05 06 08 0B) 16 18 1A 52 60(0F 11) 62 86(01 02 05 0B 0C 0D 0E 0F 10 11 12 13) 8D B2 B6 C6 C8 CC(01 02 03 04 05 06 07 08 09 0A 0C 0D 15 1A 1E 24) D6(04 05) DC(00 0B 0C 0D 0E 0F 10) DF FF)mswhql(1)asset_eep(40)mccs_ver(2.2))"

/*
 * @brief Macro definitions of DP Capability Strings.
 */
#define DDCCI_CAPABILITIES_DP                   "(prot(monitor)type(LCD)model(HIVIEW_EVB)cmds(01 02 03 07 0C E3 F3)vcp(02 04 05 08 10 12 14(01 05 06 08 0B) 16 18 1A 52 60(0F 11) 62 86(01 02 05 0B 0C 0D 0E 0F 10 11 12 13) 8D B2 B6 C6 C8 CC(01 02 03 04 05 06 07 08 09 0A 0C 0D 15 1A 1E 24) D6(04 05) DC(00 0B 0C 0D 0E 0F 10) DF FF)mswhql(1)asset_eep(40)mccs_ver(2.2))"

VOID Hv_App_Ddcci_ProductInit(void);
#endif

