/**
 * @file OtaConfig.h
 * @brief Header file of OTA Config.
 * @verbatim
 * ==============================================================================
 *                        ##### How to use #####
 * ==============================================================================
 * 
 * 
 @ endverbatim 
 *
 * @author HiView SoC Software Team
 * @version 1.0.0
 * @date 2023-09-01
 */
#ifndef __OTA_CONFIG_H__
#define __OTA_CONFIG_H__

#include "BoardConfig.h"
#include "ProjectConfig.h"


/*************************************************
   Firmware Bin Name Config
*************************************************/
/**
 * @brief The full path of the mips firmware in the USB flash drive.
 */
#define OTA_BIN_NAME                    "TargetHis/His7315Upgrade.bin"


/*************************************************
   Partition config
*************************************************/
//暂时保留下面这2个宏定义，待ddcci升级修改后可以去掉它们
/**
 * @brief 定义A分区的起始地址
 */
#define OTA_PART_A_ADDR                 (0x00009000)

/**
 * @brief 定义B分区的起始地址
 */
#define OTA_PART_B_ADDR                 (0x00218000)

#endif
